Úvod

Navigation: »No topics above this level«

Úvod

 Return to chapter overview

Vážený uživateli, děkujeme za zakoupení stravovacího systému, který jsme vyvíjeli s maximálním úsilím zefektivnit a urychlit provoz vaší jídelny a kuchyně. Program Jídelna - elektronická objednávka a výdej stravy vyvinula firma RON Software s cílem vytvořit univerzální software, který vyhovuje provozu malých i velkých jídelen bez omezení kapacity.

Systém pracuje jako kreditní nebo srážkový, čímž se minimalizuje pohyb hotových peněz a úplně odpadá práce s klasickými stravenkami, minimalizují se tak možnosti podvodů ze strany strávníků i personálu. Zavedením systému se maximálně zefektivní a urychlí provoz celé jídelny a kuchyně.

Touto příručkou se vám pokusíme co nejvíce usnadnit práci se systémem. Jakékoliv podněty a připomínky k příručce i samotnému systému rádi zpracujeme a budeme se snažit v maximální možné míře je zapracovat do dalších verzí systému k vaší plné spokojenosti.


Funkce a možnosti programu

Navigation: Úvod >

Funkce a možnosti programu

 Return to chapter overview
· Snadné ovládání programu.
· Uživatelsky přívětivá definice jídelníčku.
· Možnost výdeje jídla bez předchozí objednávky.
· Spolehlivý a pružný provoz.
· Evidence výdeje stravenek.
· Uživatelsky nenáročná definice zaúčtování.
· Snadné zavedení do praxe.
· Příjemné uživatelské prostředí.
· Množství výstupních sestav s možností vlastní definice.
· Detailní definice přístupových práv uživatelů a hesel.
· Propracovaný nástroj pro výběr dat.
· Export dat do velkého množství formátů.


Instalace

Navigation: »No topics above this level«

Instalace

 Return to chapter overview

Tato kapitola popisuje požadavky na software a hardware. Současně zde naleznete postup instalace software pro jednu stanici a také pro síťové prostředí.


Požadavky na hardware

Navigation: Instalace >

Požadavky na hardware

 Return to chapter overview

Minimální požadavky na hardware:

Procesor Celeron 1GHz, operační paměť 1GB, operační systém Windows XP, minimální rozlišení obrazovky 1280x768.

Doporučená konfigurace hardware:

Procesor Intel Core Quad 2.6 GHz, RAM 4 GB, operační systém Windows 7.

U konfigurace hardware platí pravidlo: čím výkonnější počítač, tím rychlejší a pohodlnější práce se systémem. V síťovém provozu (replikace) platí jako minimální konfigurace doporučená konfigurace.

Pro instalaci systému je potřeba jeden volný sériový port (COM) na počítači a možnost připojení napájecího zdroje na 230V pro napájení terminálu. Při větším rozsahu systému je nutné strukturu zapojení systému individuálně konzultovat.


Požadavky na software

Navigation: Instalace >

Požadavky na software

 Return to chapter overview

Programový systém je určen pro operační systémy Windows XP a vyšší a Windows Server 2003 a vyšší. Programový systém podporuje databáze: MS SQL server 2000, 2005, 2008, 2012 (včetně Express verzí), Firebird 2.5 (Win32/Linux) a Oracle 9, 10, 11.

Požadavky na instalaci komponent Windows pro korektní běh programu:

Windows XP/Vista/7/8

Není potřeba instalovat žádné komponenty. Všechny potřebné komponenty již systém obsahuje.

V případě Windows XP je vhodné upgradovat Mdac na poslední verzi. Poslední Mdac naleznete také na našich stránkách www.ron.cz.


Postup instalace

Navigation: Instalace >

Postup instalace

 Return to chapter overview

Distribuce produktu probíhá standardně pouze na CD. Instalační CD vložte do mechaniky. Po vložení se automaticky spustí instalační menu z CD. Pokud se menu nespustí automaticky, spusťte instalační program MENU.EXE z CD disku. Vyberte požadovaný program (WIN) a potvrďte, že chcete instalaci provést.

Spustí se Průvodce instalací, který vám pomůže instalaci provést. Čtěte pokyny průvodce a řiďte se jimi.

1.

Kdykoli můžete přerušit instalaci stisknutím tlačítka [image]. Pokračujte klepnutím na [image].

2.

Pruvodce instalaci licencni smlouva

Nyní musíte odsouhlasit podmínky licenční smlouvy, aby mohl být program nainstalován. Pokud zaškrtnete "Nesouhlasím s podmínkami licenční smlouvy", nebude možné pokračovat v instalaci. Proto zvolte "Souhlasím s podmínkami licenční smlouvy" a pokračujte stisknutím tlačítka [image].

3.

Pruvodce instalaci cilove umisteni

Tento krok umožní zvolit cílové umístění programu. Vyberte cestu pomocí tlačítka [image], nebo ponechte cíl beze změny a pokračujte v instalaci tlačítkem [image].

4.

Pruvodce instalaci soucasti instalace

Nyní vám program nabídne (pouze) možnost úplné instalace. Pokračujte tlačítkem [image].

5.

Pruvodce instalaci slozka v nabidce start

Dále vytvoříte zástupce aplikace ve vámi určené složce. Opět se posunete dál tlačítkem [image].

6.

Pruvodce instalaci instalace pripravena

V této chvíli vám průvodce instalací nabízí možnost překontrolovat všechna nastavení. Pokud se rozhodnete změnit kterýkoliv údaj, stiskněte tlačítko [image], nebo pokračujte stisknutím [image].

7.

Pruvodce instalaci instalace probiha

Nyní můžete sledovat průběh kopírování součástí programu do vámi zvoleného adresáře.

8.

Pruvodce instalaci instalace dokoncena

Po ukončení instalace uzavřete instalační menu stiskem tlačítka [image]. Program je nyní úspěšně nainstalován.


První spuštění

Navigation: Instalace >

První spuštění

 Return to chapter overview

Spuštění programu můžete provést:

- výběrem ikony na ploše, kterou zde automaticky umístil instalační program nebo

- výběrem položky v menu Start operačního systému Windows.

1.

Instalace_Dotaz pri prvnim spusteni

V první části spuštění programu se zobrazí následující Dotaz: "Toto je první start aplikace. Implicitní název souboru pro vytvoření databáze je: "C:\ProgramData\MZDY\data.fdb nebo data.mdb", přejete si vygenerovat databázi do tohoto cílového souboru?". Cesta k vygenerovanému souboru data.fdb nebo data.mdb je závislá na spouštěné aplikaci (programu - Mzdy, Docházka, Jídelna apod.).

V případě, že nemáte zakoupenou SQL verzi programu, zvolte [image] a postupujte oddílem 2a). Pokud máte SQL verzi programu, stiskněte [image] a pokračujte oddílem 2b).

2a)

Po potvrzení Dotazu se spustí okno, ve kterém bude probíhat generování databáze včetně tabulek.

Instalace_Nacitani preddefinovanych implicitnich zaznamu

Po vytvoření databáze podá program informaci, kterou potvrďte stiskem [image] . Tímto je instalace ukončena.

2b) Zvolte Typ připojení:

- MS SQL server - vyplňte zobrazená pole a poté vytvořte databázi (výhodou tohoto typu připojení je možnost vytvoření nové databáze).

Instalace_Prvni spusteni MS SQL server

· Název serveru - název nebo IP adresa SQL serveru.

· Uživatel - uživatelské jméno ("sa" - systém administrator).

· Heslo - heslo pro přihlášení k serveru.

· Databáze - můžete vybrat ze seznamu již vytvořených databází nebo kliknout na tlačítko [image]. Otevře se okno, do kterého uvedete název databáze. Poté potvrdíte dotaz o provedení restrukturalizace připojené databáze. Program provede restrukturalizaci dat a vygeneruje základní nastavení databáze. Základní seznamy budou vyplněny standardními hodnotami. Tyto hodnoty můžete samozřejmě nahradit.

- SQL server - slouží pro připojení k jiným typům databázových serverů pomocí OLE DB rozhraní.

Instalace_Prvni spusteni SQL server

Pomocí tlačítka [image] můžete vytvořit řetězec spojení:

· v záložce "Zprostředkovatel" vyberte "Microsoft OLE DB Provider for SQL Server"
· v záložce "Připojení" nastavte následující hodnoty:

1. Název nebo IP adresu SQL serveru;

2. Zadejte uživatelské jméno ("sa" - systém administrator) a heslo pro přihlášení k serveru;

3. Zapište nebo vyberte název databáze;

4. Proveďte test spojení, po úspěšném testu potvrďte tlačítkem OK.

- Soubor MDB - umožní připojit již vytvořený MDB soubor.

Instalace_Prvni spusteni MDB databaze

Do pole MDB soubor můžete zadat cestu k souboru ručně, nebo pomocí tlačítka [image], které pomocí průzkumníka umožní najít soubor pohodlněji.

- Firebird - umožní připojit již vytvořený FDB soubor.

Instalace_Prvni spusteni Firebird

Do pole FDB soubor můžete zadat cestu k souboru ručně, nebo pomocí tlačítka [image], které pomocí průzkumníka umožní najít soubor pohodlněji.


Instalace databázového serveru

Navigation: Instalace >

Instalace databázového serveru

 Return to chapter overview

Umístění databáze:

První volbou je umístění dat. Jelikož u síťové verze předpokládáme využívání dat více uživateli v síti, měli byste data uložit na síťový server. Pokud se rozhodnete data uložit na lokálním počítači, musíte jej nastavit jako sdílený a musí být spuštěn vždy, kdykoliv budou jiní uživatelé data potřebovat. Další nevýhodou umístění dat na lokálním počítači je riziko zhroucení a restartu běžně používaného počítače. Nekorektní uzavírání databáze může vést k poškozování této databáze. Proto jednoznačně preferujeme umístění dat na serveru, který je k tomuto účelu určen.


Instalace síťové verze

Navigation: Instalace >

Instalace síťové verze

 Return to chapter overview

Pokud máte zakoupenou síťovou verzi systému, máte několik variant rozložení systému.

Umístění programu:

Pro umístění aplikace je možné použít dvě varianty, z nichž každá má své výhody:

První variantou je instalace aplikace na všechny lokální počítače, které budou s daty systému pracovat. Na lokálně instalovaných aplikacích potom nastavujete cestu k databázi. Výhodou je jisté zvýšení rychlosti při spouštění systému. Nevýhodou je vysoká náročnost na údržbu takto nainstalované aplikace. Při instalaci update a upgrade systému musíte zajistit výměnu aplikace na všech těchto stanicích, což je velmi nepraktické.

Druhou variantou je umístění aplikace na server. Všichni uživatelé potom spouštějí tuto jedinou aplikaci, jejíž správa při update nebo upgrade je pro správce velmi snadná. V tomto případě je sice doba pro spuštění aplikace delší, při běžném provozu však nepodstatná.

Jak z výše uvedeného vyplývá, doporučujeme druhou variantu - umístění aplikace na server. Umístění aplikace na server však neznamená, že nemusíte na lokálním počítači zajistit podmínky pro správný chod aplikace. Aplikace potřebuje mít nainstalovány komponenty pro přístup k datům, viz kapitola Požadavky na software. Všechny potřebné soubory pro instalaci povinných komponent jsou obsaženy na instalačním CD. Při provádění instalace instalačním programem se všechny potřebné komponenty nainstalují automaticky.

Instalace samotná je identická s běžnou instalací, viz kapitola Postup Instalace.


Licence

Navigation: »No topics above this level«

Licence

 Return to chapter overview

Po nainstalování je program standardně v režimu demoverze. K tomu, aby program fungoval plnohodnotně, je nutné provést AKTIVACI. Aktivací se rozumí zadání licenčních parametrů z registrační karty.

Aktivace je způsobem ochrany programu před neoprávněným používáním jinými osobami.

POZOR: Nezapomeňte, že můžete program používat pouze v rozsahu, jaký vám dovoluje zakoupená licence. Užívání programu nad rámec licence nebo poskytnutí programu jinému uživateli je porušením zákona a v případě zjištění neoprávněného používání programu jsou autoři oprávněni chránit své zájmy i právní cestou.

Pro aktivaci otevřete okno pro zadání registračních údajů Systém/Správa databáze/Aktivace.

Aktivace aktivace programu

Ve formuláři jsou čtyři údaje zvýrazněny tučně. Tyto údaje musíte opsat z registrační karty přesně tak, jak jsou uvedeny. V případě, že budete mít v některém údaji chybu (nebude podle registrační karty), neproběhne aktivace úspěšně. Ostatní údaje ve formuláři, které nejsou zobrazeny tučně, nejsou pevně vázány a můžete je měnit.

· Název - povinný údaj. Po instalaci programu je v názvu firmy zadána firma RON Software. Tento údaj nahraďte názvem vaší firmy tak, jak je zadaný na registrační kartě.

· Název (druhý řádek) - pokud je v registračním formuláři uveden, musíte jej rovněž zadat přesně podle údajů v registraci.

· Ulice / Město / PSČ - adresa uživatele.

· Telefon - telefonní číslo uživatele.

· Fax - faxové číslo uživatele.

· Email - adresa elektronické pošty uživatele.

· IČO - povinný údaj. Zadejte podle registrační karty.

· DIČ - daňové identifikační číslo.

· Licenční číslo - povinný údaj. Zadejte podle registrační karty.

· Specifikace - v případě vyplnění na registrační kartě je tento údaj povinný.

· Aktivační kód - povinný údaj. Zadejte podle registrační karty.

Pokud máte údaje správně zadány, stiskněte tlačítko [image] pro potvrzení. Nemáte-li v aktivaci překlep, ohlásí program, že aktivační kód byl identifikován a program bude převeden do ostré verze. Jestliže program nahlásí, že aktivace neproběhla v pořádku, musíte zadání údajů překontrolovat.

Pokud jste aktivaci provedli úspěšně, program se spustí v plně funkční verzi.

POZOR: Pokud máte nesprávně vyplněnou aktivaci, bude systém fungovat jako demoverze pro 3 zaměstnance. Pokud se někdy v průběhu práce pokusíte aktivaci změnit (např. vyměnit název firmy), systém se okamžitě přepne do režimu demoverze a bude požadovat zadání původní správné aktivace.


Ovládání programu

Navigation: »No topics above this level«

Ovládání programu

 Return to chapter overview

V následujících kapitolách naleznete instrukce k ovládání systému, tedy popis práce v seznamech a formulářích vyskytujících se v programu.

Seznam je tvořen několika záznamy, které lze filtrovat. Na základě zvolených filtrů se zobrazí v řádcích požadované údaje. Nepoužívejte seznam pro editaci.

Formulář zobrazuje data pouze jednoho vybraného záznamu ze seznamu a uvedené hodnoty můžete libovolně upravovat, rušit, popřípadě vkládat nové.


Ovládání seznamu

Navigation: Ovládání programu >

Ovládání seznamu

 Return to chapter overview

Každý seznam má ve své horní části zobrazena tlačítka pro ovládání. Po kliknutí na tlačítko program provede definovanou akci. Stejného výsledku dosáhnete kliknutím na nabídku "Aktuální okno" v menu a výběrem akce, kterou chcete provést. Každá akce má také přiřazenu klávesu nebo kombinaci kláves, kterou můžete akci vyvolat bez použití myši. Seznam slouží pouze pro zobrazení v řádcích. Nepoužívejte seznam pro přímou editaci. Vždy si otevřete okno s formulářem pomocí akce [image] Nový záznam nebo [image] Editace záznamu.

Ukázka nástrojové lišty:

Ovladani nastrojova lista seznamu

Používaná tlačítka - akce:

 | Nový záznam - otevře formulář pro zápis nového záznamu do seznamu. Klávesová zkratka ALT+INS nebo F4.
C_Novy zaznam z kopie | Nový záznam z kopie aktuálního - otevře formulář pro zápis nového záznamu do seznamu. Hodnoty položek nastaví podle záznamu, který byl v seznamu aktuálně označen. Vždy je nutné změnit alespoň klíčové položky, jinak nebude možné záznam zapsat kvůli duplicitě klíčové položky. Klávesová zkratka CTRL+K.
 | Editace záznamu - otevře formulář s aktuálním záznamem pro editaci (změnu údajů). Klávesová zkratka CTRL+ENTER nebo F5.
 | Zrušit záznam - provede zrušení záznamu ze seznamu. Před zrušením se vždy zobrazí dotaz, zda opravdu chcete akci provést. Po potvrzení je tato akce nevratná. V mnoha případech jsou na zvolené položce závislé další údaje v databázi. Proto ne vždy program umožní položku smazat a oznámí, že záznam nelze odstranit, protože obsahuje související záznamy. Klávesová zkratka ALT+DEL nebo F8.
 | Obnovit obsah seznamu - po použití této akce program obnoví obsah aktuálního seznamu. Pokud jste měli seznam otevřený a přes jiný seznam změnili jeho obsah, neprovádí program z časových důvodů automatické obnovení. Stejná situace nastává, pokud změníte parametry zobrazení seznamu. Vždy platí - pokud je seznam neaktuální, zvolte tuto akci. Klávesová zkratka CTRL+O.
 | Rychlé vyhledávání - po použití této akce, nebo stiskem CTRL+F, se ve spodní části seznamu zobrazí řádek s editačním polem pro zápis hledané hodnoty. Vedle editačního pole můžete mít nastavenu hodnotu "Vyhledávání" nebo "Výběr" a zaškrtnutou volbu "Vybírat podle podřetězce".

Ovladani lista rychleho vyhledavani v seznamu

· Zrušení výběru - po stisku tlačítka se řádek pro rychlé hledání uzavře.

· V poli - implicitně je zvolena nabídka (všechna textová pole), to znamená, že zadaná hodnota se hledá ve všech textových sloupcích. Po výběru některého z polí program hledá zadanou hodnotu jen v příslušném sloupci.

Vedle editačního pole můžete mít nastavenou hodnotu Vyhledávání nebo Výběr a zaškrtnutou volbu Vybírat podle podřetězce.

· Vyhledávání - pokud máte nastavenou tuto volbu, bude se seznam při zápisu do editačního pole posouvat na hodnotu, která začíná hledanou hodnotou nebo hodnotou blízkou.

· Výběr - pokud máte nastavenou tuto volbu, bude se seznam při zápisu do editačního pole omezovat a zobrazovat pouze hodnoty, které začínají hledanou hodnotou.

· Vybírat podle podřetězce - jestliže zaškrtnete tuto volbu, bude se seznam omezovat na hodnoty, které obsahují hledanou hodnotu. Tuto volbu velmi často použijete, když znáte jen část hledané hodnoty.

Nastavení řazení - řazení záznamů v seznamu lze nastavit několika způsoby.
· Způsoby řazení lze definovat v editoru řazení, který můžete vyvolat stisknutím daného tlačítka nebo kombinací kláves CTRL+R. V editoru řazení můžete vytvořit a pojmenovat vlastní způsoby řazení.

· Kliknete-li dvakrát (dvojklik) na nadpis zobrazeného sloupce v seznamu, nadpis se podtrhne a seznam se seřadí podle této položky. Dvojklikem na nadpis pole v seznamu se automaticky vytvoří (pokud již neexistuje) a vybere řazení podle daného pole.

· Přehled možných způsobů řazení nadefinovaných v editoru řazení lze vyvolat kliknutím na šipku vedle tlačítka pro nastavení řazení.

Nastavení filtru - tato volba umožňuje vyvolat seznam definovaných filtrů, ve kterém lze filtry vytvářet, editovat, případně rušit. Tyto filtry lze pak aktivovat jejich výběrem. Nadefinované filtry lze rychle volit kliknutím na šipku vedle tlačítka pro nastavení filtru.

Nastavení vzhledu - stiskem tohoto tlačítka, nebo stiskem CTRL+L, vyvoláte editor nastavení sloupců, který umožňuje nastavení vzhledu seznamu. Lze volit pořadí, viditelnost, editovatelnost, barvy a fonty sloupců a jejich nadpisů v seznamu. V editoru nastavení sloupců lze vytvářet více různých nastavení, která pak lze rychle volit pomocí rychlé volby (kliknutím na šipku vedle tlačítka editoru nastavení vzhledu).

Tiskové sestavy - stiskem tohoto tlačítka, nebo stiskem CTRL+T, se vyvolá seznam tiskových sestav, ve kterém můžete vytvářet, editovat, rušit a tisknout sestavy s aktuálně zobrazenými záznamy v seznamu. Tento seznam tiskových sestav ve skutečnosti obsahuje dvě záložky se dvěma seznamy pro dva druhy sestav.

Exporty - stiskem tohoto tlačítka, nebo stiskem CTRL+E, vyvoláte seznam exportních sestav, který umožňuje vytvářet, editovat, rušit exportní sestavy a exportovat data (aktuálně zobrazené záznamy v seznamu) ve formátu definovaném jednotlivými exportními sestavami.

Za posledním tlačítkem jsou zobrazeny názvy aktuálně zvoleného řazení a filtru.

Pokud není některá z akcí funkční (ikona je šedá a položka akce není v menu dostupná), nemáte přístupová práva tuto akci provádět, nebo v daném stavu není možné tuto akci provést.


Ovládání formuláře

Navigation: Ovládání programu >

Ovládání formuláře

 Return to chapter overview

Každý formulář má v dolní části zobrazenou lištu s tlačítky pro základní ovládání formuláře.

Ovladani nastrojova lista formulare

Malá tlačítka vlevo na liště:

 | Nový záznam - vytvoří nový záznam a umožní jeho vložení do seznamu. Klávesová zkratka ALT+INS nebo F4.
C_Novy zaznam z kopie1 | Nový záznam z kopie aktuálního - vytvoří nový záznam, kde hodnoty položek nastaví podle záznamu, který byl aktuální před vytvořením nového záznamu. Vždy je nutné změnit alespoň klíčové položky, jinak nebude možné záznam zapsat, a to kvůli duplicitě klíčové položky. Klávesová zkratka CTRL+K.
 | Zrušit záznam - provede zrušení záznamu ze seznamu. Před zrušením se vždy zobrazí dotaz, zda opravdu chcete akci provést. Po potvrzení je tato akce nevratná. V mnoha případech jsou na zvolené položce závislé další údaje v databázi. Proto ne vždy program umožní položku smazat a oznámí, že záznam nelze odstranit, protože obsahuje související záznamy. Klávesová zkratka ALT+DEL nebo F8.
C_Skok na privni zaznam | Skok na první záznam - zobrazí se první záznam v seznamu, ze kterého je formulář otevřen. Klávesová zkratka CTRL+Home.
C_Skok na predchozi zaznam | Skok na předchozí záznam - bude zobrazen předchozí záznam v seznamu, ze kterého je formulář otevřen. Klávesová zkratka CTRL+PgUp.
C_Papir se sipkou | Změna akt. záznamu výběrem ze seznamu - umožní skok na vybraný záznam ze zobrazeného seznamu. Klávesová zkratka CTRL+S.
C_Skok na nasledujici zaznam | Skok na následující záznam - bude zobrazen následující záznam v seznamu, ze kterého je formulář otevřen. Klávesová zkratka CTRL+PgDn.
C_Skok na posledni zaznam | Skok na poslední záznam - zobrazí se poslední záznam v seznamu, ze kterého je formulář otevřen. Klávesová zkratka CTRL+End.
 | Zapsat změny záznamu do databáze - provede se zápis změn záznamu do databáze. Formulář zůstane otevřen.
 | Obnovit původní hodnoty položek záznamu z databáze - obnoví hodnoty položek na původní hodnoty před změnou záznamu. Klávesová zkratka ALT+BkSp.
 | Tiskové sestavy - stiskem tohoto tlačítka, nebo stiskem CTRL+T, vyvoláte seznam tiskových sestav, ve kterém můžete vytvářet, editovat, rušit a tisknout sestavy s aktuálně zobrazenými záznamy v seznamu. Tento seznam tiskových sestav ve skutečnosti obsahuje dvě záložky se dvěma seznamy pro dva druhy sestav.

Velká tlačítka vpravo na liště:

OK - provede se zápis změn záznamu do databáze a uzavře se formulář. Klávesová zkratka F12.

Storno - budou obnoveny původní hodnoty položek záznamu z databáze a následně uzavřen formulář. Klávesová zkratka ESC.

Pokud není některá z akcí funkční (ikona je šedá), nemáte přístupová práva tuto akci provádět, nebo v daném stavu není možné tuto akci provést.


Editor řazení

Navigation: Ovládání programu >

Editor řazení

 Return to chapter overview

Editor řazení slouží k nastavení způsobů řazení a ukládání vytvořených nastavení pod zvolenými jmény. Editor řazení otevřete tlačítkem [image].

Ovladani editor razeni

· Seznam vlevo obsahuje seznam vytvořených nastavení řazení. Nové nastavení řazení lze vytvořit pomocí tlačítka: . Přejmenovat nastavení řazení lze pomocí tlačítka [image]. Zrušit nastavení řazení lze pomocí tlačítka [image].

· Seznam uprostřed obsahuje dostupná pole, ze kterých lze volit podle, kterých polí se bude řadit. Přidávat pole mezi vybraná je možno pomocí myši (dvojklikem nebo tažením), nebo pomocí tlačítek: , C_Sipka dvojita vpravo mezi seznamy dostupných polí a seznamem vybraných polí.

· Seznam vpravo obsahuje pole, podle kterých jsou řazeny záznamy při aktivovaném aktuálním nastavení řazení. U jednotlivých polí lze volit příznak C_Sipka zelena dolu, který znamená, že podle daného pole je řazeno sestupně. Rušit vybraná pole je možno pomocí myši (dvojklikem nebo tažením), nebo pomocí tlačítek: , C_Sipka dvojita vlevo mezi seznamy dostupných polí a seznamem vybraných polí. Přesunovat pozice vybraných polí lze pomocí tlačítek C_Sipka seda dvojita nahoru , C_Sipka seda nahoru, C_Sipka seda dolu, C_Sipka seda dvojita dolu .

· Pomocí tlačítka [image] lze aktivovat aktuálně zvolené nastavení řazení.

· Tlačítko [image] uzavře formulář a ponechá aktivováno stávající řazení.


Seznam filtrů

Navigation: Ovládání programu >

Seznam filtrů

 Return to chapter overview

Filtry slouží pro omezení seznamu na omezený počet záznamů, které splňují podmínky definované ve filtrech. Filtry lze definovat v zobrazovaných seznamech v aplikaci a také pro jednotlivé kategorie sestav v manažeru sestav. Každý seznam a kategorie sestav má vlastní seznam definovaných filtrů. Do tohoto seznamu lze filtry přidávat, editovat je a rušit. Filtry lze pak aktivovat jejich výběrem. Po aktivaci zadaného filtru budou v daném seznamu nebo kategorii sestav jen záznamy, které dané podmínky splňují. Seznam filtrů otevřete tlačítkem [image] .

Ovladani seznam filtru

Seznam definovaných filtrů obsahuje filtry definované uživateli pro daný seznam, nebo kategorii sestav v manažeru sestav.

Nad seznamem filtrů lze provádět následující operace:

 | Nový - vytvoření nového filtru. Zobrazí vstupní dialog pro zadání názvu nového filtru a po zadání jména zobrazí editor filtru, kde je možno zadat požadované nastavení filtru a uložit jej.
C_Novy z kopie | Nový z kopie - vytvoření nového filtru z kopie aktuálního filtru. Zobrazí vstupní dialog pro zadání názvu nového filtru a po zadání jména zkopíruje nastavení akt. filtru do nového a zobrazí editor filtru, kde je možno změnit nastavení filtru a uložit jej.
 | Editovat - editace aktuálního filtru. Zobrazí editor filtru, kde je možno změnit aktuální nastavení filtru a uložit jej.
 | Přejmenovat - umožní přejmenovat aktuální filtr.
 | Zrušit - umožní zrušení aktuálního filtru. Před zrušením se vždy zobrazí dotaz, zda opravdu chcete akci provést.
 | Použít - uzavře okno a aktivuje aktuálně zvolený filtr.
 | Nefiltrovat - uzavře okno a deaktivuje filtr nastavený v seznamu záznamů nebo kategorii sestav. To znamená, že v seznamu nebo kategorii sestav nebude nastaven žádný filtr (záznamy nebudou omezené žádným filtrem).
 | Načíst - zadejte cestu k načtení souboru s nastavením filtru.
 | Uložit - uloží filtr do vámi zadaného adresáře.

· Jen vlastní - po zatrhnutí pole se zobrazí jen filtry, které byly vytvořeny uživatelem.

Editor filtru slouží pro zadání omezujících podmínek pro daný seznam, nebo kategorii sestav v manažeru sestav. Po aktivaci zadaného filtru budou v daném seznamu nebo kategorii sestav jen záznamy, které dané podmínky splňují. Podmínky pro omezení záznamů lze zadat dvěma způsoby:

· Jednoduchý filtr - jednoduchý filtr (na záložce jednoduchý filtr) slouží pro zadání jednoduchých podmínek pomocí nastavení omezujících hodnot a intervalů hodnot pro jednotlivá pole (sloupce) tabulky (seznamu).

· Složitý filtr - složitý filtr (na záložce složitý filtr) slouží pro zadání složitějších omezujících podmínek záznamů, kde se jednotlivé podmínky vkládají do seznamů podmínek. Do seznamu podmínek se mohou vkládat další seznamy podmínek tak, že nastavení filtru tvoří hierarchickou strukturu podmínek, pomocí které lze vytvořit jakýkoli logický výraz.

Nastavení filtru lze uložit pomocí tlačítka [image]. Uložen je ten typ filtru (jednoduchý, složitý), jehož záložka byla aktivní při stisku tlačítka [image]. Po uložení filtru je okno editoru uzavřeno. Pokud je stisknuto tlačítko [image], pak je okno editoru uzavřeno a změny nastavení filtru nejsou uloženy.


Jednoduchý filtr

Navigation: Ovládání programu > Seznam filtrů >

Jednoduchý filtr

 Return to chapter overview

Jednoduchý filtr slouží pro zadání jednoduchých podmínek pomocí nastavení omezujících hodnot a intervalů hodnot pro jednotlivá pole (sloupce) tabulky (seznamu).

Ovladani seznam filtru podminky filtru jednoduchy filtr

V horní části jednoduchého filtru je seznam polí (sloupců) tabulky (seznamu). U každého pole je zobrazena zadána podmínka.

V dolní části je zobrazená podmínka pro akt. vybrané pole. Typ podmínky má tyto čtyři možnosti:

· Bez omezení - pole nemá žádné omezení. Díky tomuto filtru bude dané pole zobrazeno ve všech podobách, např. v poli Rodné číslo se zobrazí všechna rodná čísla.

· Bez zadané hodnoty - tuto podmínku splňují záznamy, které nemají v daném poli (sloupci) zadanou žádnou hodnotu.

· Libovolná neprázdná hodnota - tuto podmínku splňují záznamy, které mají v daném poli (sloupci) zadanou libovolnou neprázdnou hodnotu.

· Rozsah hodnot - pokud je zadán tento typ omezení, je potřeba zadat rozsah hodnot daného pole (sloupce), ve kterém hodnota daného sloupce musí být, aby záznam splnil podmínku. Zadaný rozsah nemusí být z obou stran ohraničený, tedy je možno zadat jen dolní nebo jen horní limit. Dolní limit rozsahu se zadává do pole Od a horní limit rozsahu se zadává do pole Do. Pokud je potřeba zadat více rozsahů nebo jen výčet jednotlivých hodnot splňující podmínku, je potřeba danou podmínku zapsat do pole Výčet.

Formát pole Výčet představuje řetězec možných hodnot oddělených středníkem. Možná hodnota může být buď jednoduchá hodnota (prvek omezení), nebo interval. Jednoduchá hodnota může být jakákoli hodnota vyhovující typu položky. Interval se skládá ze dvou prvků (hodnot) oddělených dvěma tečkami "..", pokud prvek (hodnota) na některé straně chybí, pak není interval na této straně omezen. Pro jednoduché hodnoty může být pro všechny typy použita konstanta NULL, která vyjadřuje, že hodnota dané položky může být i nedefinovaná (bez hodnoty). V intervalech by se konstanta NULL neměla vyskytovat.

Příklady výčtů pro pole různých typů:

PŘÍKLAD 1:

"2;5..10;20.." - číselné pole je omezeno na hodnoty 2, 5 až 10, a 20 a více.

PŘÍKLAD 2:

"Novák;Novotný" - textové pole je omezeno na hodnotu "Novák" a "Novotný"

PŘÍKLAD 3:

"..10;20" - číselné pole je omezeno na hodnotu menší rovno 10 a hodnotu 20

PŘÍKLAD 4:

"..23.8.1998" - datumové pole je omezeno na hodnotu data menší rovno 23.8.1998

PŘÍKLAD 5:

"10:30..12:00" - časové pole je omezeno na hodnotu času od 10:30 do 12:30

PŘÍKLAD 6:

"NULL;10" - číselné pole je omezeno na hodnotu 10 nebo nedefinovanou hodnotu

POZNÁMKA: Uvozovky (uvedené v příkladech) nejsou součástí textu zapsaného do pole Výčet, ty jsou jen v příkladech pro ohraničení textů.


Složitý filtr

Navigation: Ovládání programu > Seznam filtrů >

Složitý filtr

 Return to chapter overview

Složitý filtr (na záložce složitý filtr) slouží pro zadání složitějších omezujících podmínek záznamů, kde se jednotlivé podmínky vkládají do seznamů podmínek. Do seznamu podmínek se mohou vkládat další seznamy podmínek tak, že nastavení filtru tvoří hierarchickou strukturu podmínek. Pro každý seznam podmínek lze volit, zda podmínky v seznamu musí být splněny všechny nebo stačí splnit alespoň jednu podmínku, aby byl celý seznam jako podmínka splněn. Takto lze vytvořit jakýkoli logický výraz.

Ovladani seznam filtru podminky filtru slozity filtr

Celý složitý filtr zastřešuje hlavní seznam podmínek, do kterého se vkládají podmínky a další seznamy podmínek. U každého seznamu a podmínky je tlačítko pro vyvolání kontextového menu, přes které je možno provádět různé operace s daným seznamem nebo podmínkou. Tlačítka C_Sipka cervena dvojita vpravo, C_Sipka modra dvojita vpravo , C_Sipka ruzova dvojita vpravo, C_Sipka zluta dvojita vpravo a následující texty představují hlavičky seznamu, tlačítka C_Sipka modra vpravo, C_Sipka ruzova vpravo , C_Sipka zluta vpravo a následující texty představují podmínky, tlačítka C_Sipka modra plus vpravo , C_Sipka ruzova plus vpravo, C_Sipka zluta plus vpravo novou podmínku zadanou SQL výrazem.

Seznam podmínek:

Kontextové menu hlavičky seznamu podmínek C_Sipka cervena dvojita vpravo, C_Sipka modra dvojita vpravo , C_Sipka ruzova dvojita vpravo, C_Sipka zluta dvojita vpravo má tyto položky:

· Nová podmínka - vloží novou podmínku do aktuálního seznamu podmínek.

· Nová podmínka SQL výrazem - vloží do aktuálního seznamu novou podmínku, která se zadává formou logického výrazu jako podmínka WHERE klauzule SQL dotazu. Tato možnost zadání slouží pro definici složitých podmínek velmi pokročilým uživatelům se znalostí SQL jazyka a struktury databáze aplikace.

· Nový seznam podmínek - vloží do aktuálního seznamu nový seznam podmínek.

· Odstranit seznam - zruší aktuální seznam podmínek. Hlavní seznam podmínek obsahuje místo dané položky položku Odstranit vše, která zruší všechny podmínky v hlavním seznamu.

Další kontextové menu lze pro seznam podmínek vyvolat kliknutím na zvýrazněná slova v textu hlavičky seznamu podmínek. Toto kontextové menu umožňuje volit způsob splnění aktuálního seznamu jako podmínky. Kontextové menu má tyto položky:

· každá - určuje, že pro splnění seznamu musí být splněny všechny podmínky v seznamu.

· alespoň jedna - určuje, že pro splnění seznamu musí být splněna alespoň jedna podmínka v seznamu.

· žádná - určuje, že pro splnění seznamu nesmí být splněna žádná podmínka v seznamu. Pokud je splněna alespoň jedna podmínka v seznamu, pak seznam není jako podmínka splněn.

Podmínka:

Kontextové menu podmínky vyvolané přes úvodní tlačítko před podmínkou C_Sipka modra vpravo, C_Sipka ruzova vpravo , C_Sipka zluta vpravo obsahuje pouze položku odstranit podmínku, která umožňuje danou podmínku zrušit. Tělo podmínky se skládá ze tří částí, které jsou ohraničeny obdélníkem. Kliknutím na jednotlivé části podmínek lze vyvolat kontextová menu pro nastavení daných částí podmínek.

První část podmínky představuje pole tabulky, ke kterému bude nastavena logická podmínka. Druhá část podmínky představuje operátor, kterým se spolu s třetí částí podmínky, která představuje hodnotu, určuje omezení daného pole. Výběr operátorů podmínky je omezen podle typu daného pole. Hodnota v podmínce je rovněž omezena typem daného pole. To například znamená, že pokud pole představuje číselnou hodnotu, pak je možno do hodnoty v podmínce zadat jen číslo a ne libovolný text.

Podmínka SQL výrazem:

Kontextové menu podmínky vyvolané přes úvodní tlačítko před podmínkou C_Sipka modra plus vpravo , C_Sipka ruzova plus vpravo, C_Sipka zluta plus vpravo obsahuje pouze položku odstranit podmínku, která umožňuje SQL výraz zrušit.

POZNÁMKA: Možnost vytvoření podmínky SQL výrazem má pouze osoba přihlášená do aplikace jako správce.

Tělo podmínky se skládá z jedné části, která je ohraničena obdélníkem. Kliknutím na tuto část podmínky se vyvolá SQL editor pro nastavení podmínky.

Ovladani seznam filtru SQL editor

Přes tlačítko [image] otevřete seznam parametrů, ze kterého můžete použít nabízené parametry. Po vytvoření potřebných změn potvrďte tlačítkem [image].

POZNÁMKA: Vložení parametru umožňují jen vybrané browsery (seznamy) v programu.


Editor nastavení vzhledu

Navigation: Ovládání programu >

Editor nastavení vzhledu

 Return to chapter overview

Editor nastavení vzhledu slouží pro nastavení různých způsobů zobrazení sloupců a řádků v seznamu a otevřete jej pomocí tlačítka [image]. Editor nastavení vzhledu seznamu obsahuje také nastavení rychlých uživatelských filtrů.


Editor nastavení sloupců

Navigation: Ovládání programu > Editor nastavení vzhledu >

Editor nastavení sloupců

 Return to chapter overview

Editor nastavení sloupců slouží pro nastavení různých způsobů zobrazení sloupců v seznamu.

Ovladani editor nastaveni vzhledu nastaveni sloupcu

V horní části editoru je možno volit aktuální nastavení sloupců ze seznamu vytvořených nastavení. Aktuální nastavení je to nastavení, které bude editováno a při stisku tlačítka [image] bude aktivováno.

Nové - zobrazí dialog pro zadání názvu a vytvoření nového nastavení sloupců. Nově vytvořené nastavení sloupců bude nastaveno jako aktuální.

Přejmenovat - umožní změnu názvu aktuálního nastavení sloupců.

Zrušit - umožní zrušit aktuální nastavení sloupců. Pokud je zrušeno poslední nastavení sloupců, pak editor automaticky vytvoří implicitní nastavení sloupců.

OK - uzavře formulář editoru a aktivuje aktuální nastavení sloupců.

Storno - zruší naposledy provedené změny v aktuálním nastavení sloupců a uzavře formulář editoru.

V levé části editoru je seznam sloupců, pro které se nastavují různá nastavení v rámci akt. nastavení sloupců. Vedle seznamu sloupců, na pravé straně, je sada tlačítek C_Sipka seda dvojita nahoru, C_Sipka seda nahoru, C_Sipka seda dolu, C_Sipka seda dvojita dolu pomocí kterých lze upravovat pořadí sloupců v rámci aktuálního nastavení sloupců. Pod tlačítky pro úpravu pořadí sloupců jsou tlačítka pro nastavení zvolených sloupců jen pro čtení [image] a nastavení neviditelnosti sloupců [image]. Pokud má sloupec nastavenou volbu "jen pro čtení", nebo má nastavenou neviditelnost, pak jsou stejné ikony jako na tlačítkách zobrazeny v seznamu před názvem sloupce. Ikona volby "jen pro čtení" v červené barvě [image] znamená, že sloupec má v daném seznamu nastavenu volbu "jen pro čtení" natrvalo a nelze změnit. Pokud je u sloupce ikona volby "jen pro čtení" v zelené barvě [image] , znamená to, že sloupec je součástí primárního klíče dané tabulky a volba "jen pro čtení" je nastavena rovněž natrvalo a nelze ji změnit.

V prostřední části v sekci "Celý seznam" lze v rámci celého seznamu nastavovat, kliknutím na tlačítko [image], font titulků a font seznamu. V sekcích "Titulek" a "Sloupec" se nastavují vlastnosti titulků a sloupců aktuálně zvolených sloupců.

Tlačítko C_Obnovit implicitni nastaveni sloupcu slouží k obnovení implicitních hodnot aktuálního nastavení sloupců.


Editor nastavení řádků

Navigation: Ovládání programu > Editor nastavení vzhledu >

Editor nastavení řádků

 Return to chapter overview

V editoru nastavujete podmínky pro řádky a pro ně volíte barevné označení. Na základě nastavených podmínek řádků program postupně projde jejich seznam, a jestliže daný řádek vyhovuje podmínce, změní barvu řádku.

Ovladani editor nastaveni vzhledu nastaveni radku

Ve vrchní části editoru se zobrazí seznam vytvořených podmínek.

Ve střední části editoru jsou tlačítka, která slouží pro manipulaci se seznamem jednotlivých nastavení řádků:

 | Nové - zobrazí dialog pro zadání názvu a vytvoření nového nastavení řádků.
 | Zrušit - umožní zrušit aktuální nastavení řádků. Pokud je zrušeno poslední nastavení řádků, pak editor automaticky vytvoří implicitní nastavení řádků.
C_Sipka seda dvojita nahoru , C_Sipka seda nahoru , C_Sipka seda dolu , C_Sipka seda dvojita dolu | Šipky - pomocí těchto tlačítek upravíte pořadí řádků v rámci aktuálního nastavení řádků.
 | Načíst společné - načte společné nastavení řádků.
C_Ulozit pro vsechny | Uložit pro všechny - uloží nastavení pro všechny uživatele, kteří se do programu přihlásí.
 | Načíst nastavení ze souboru - načtete nastavení ze souboru např. v případě, že si necháte podmínku na zakázku vytvořit.
 | Uložit nastavení do souboru - uložíte aktuální nastavení do souboru.

Ve spodní části editoru nastavujete podmínky a omezení řádků:

· Popis - jednoduše popište nové nastavení.

· Ignorovat nastavení sloupců - zaškrtnutím políčka ignorujete nastavení sloupců. To znamená, že barevné označení se přednostně řídí podle řádku. Při opačném nastavení políčka se barevné označení (pokud je nastaveno) řídí podle sloupce.

· Omezení - zvolte omezení pro řádky.

o Všechny řádky - zatrhnutím políčka pracujete se všemi řádky. Nadefinované podmínky se vztahují na všechny řádky.

o Liché řádky - zatrhnutím políčka pracujete jen s lichými řádky. Nadefinované podmínky se vztahují na liché řádky.

o Sudé řádky - zatrhnutím políčka pracujete jen se sudými řádky. Nadefinované podmínky se vztahují na sudé řádky.

· Podmínka - zvolte typ podmínky.

o Bez podmínky - podmínku nedefinujete.

o Rozsah hodnot - z nabídky vyberte název sloupce. Ve vedlejším políčku doplňte rozsah hodnot, kterých se podmínka týká, například:

ž NULL - zobrazí řádky, které mají prázdné pole ve vybraném sloupci,

ž !NULL - zobrazí řádky, které nemají prázdné pole ve vybraném sloupci,

ž 1..5 - rozsah hodnot,

ž 1,5 - konkrétní hodnoty,

ž 1..5,8 - kombinace hodnot.

o Složitá podmínka - slouží pro zadání složitějších omezujících podmínek záznamů. Po zatrhnutí složité podmínky je možné použít tlačítko Otevřít vzorec editoru.

Otevřít vzorec v editoru - otevře se editor vzorce složité podmínky, ve kterém si pomocí operátorů a funkcí vytvoříte potřebný vzorec. Zda je napsaný vzorec korektní či nikoliv zjistíte tlačítkem [image]. Po zadání potřebných hodnot uložíte data tlačítkem [image].

Ovladani editor nastaveni vzhledu editor vzorcu

· Barva pozadí - zatrhněte políčko a stiskem tlačítka [image] vyberte barevné označení řádku. Tlačítko se zobrazí ve vybrané barvě.

· Barva textu - zatrhněte políčko a stiskem tlačítka [image] vyberte barevné označení textu. Tlačítko se zobrazí ve vybrané barvě.

OK - uzavře formulář editoru a aktivuje aktuální nastavení řádků.

Zrušit - zruší naposledy provedené změny v aktuálním nastavení řádků a uzavře formulář editoru.


Editor rychlých filtrů

Navigation: Ovládání programu > Editor nastavení vzhledu >

Editor rychlých filtrů

 Return to chapter overview

Nastavení rychlých filtrů slouží pro vytvoření ovládacích prvků pro zrychlený výběr (filtrování) dat v seznamu. Máte možnost vytvořit si následující ovládací prvky:

- zaškrtávací políčko (s „fajfkou“)

- pole pro zadání libovolného textu

- výběr hodnoty z databáze

- pole pro zadání kalendářního data

Ovladani editor nastaveni vzhledu rychle filtry seznam

Nový - pomocí tohoto tlačítka vytvoříte nový filtr.

Ovladani editor nastaveni vzhledu rychle filtry

· Kód - zadejte kód. Každý filtr musí mít jedinečný kód, který slouží jen k jeho identifikaci a nemá vliv na funkčnost.

· Podmínka - určuje pravidlo pro výběr záznamů. Text podmínky se použije v SQL výrazu pro výběr záznamů. Může obsahovat názvy jednotlivých databázových polí, která jsou dostupná v seznamu a SQL funkce. Kromě toho v něm mohou být použity parametry. Název parametru začíná vždy dvojtečkou a dále může obsahovat písmena anglické abecedy a čísla. Pro každý parametr se vytvoří ovládací prvek, kterým se nastavuje jeho hodnota. Jeden z parametrů může být použit ve výrazu vícekrát a může být použit i v různých filtrech. Po změně podmínky se nové parametry automaticky přidávají do seznamu parametrů.

· Parametry - v seznamu parametrů můžete měnit pořadí parametrů, přidávat a rušit parametry a především nastavovat typ a vlastnosti parametrů. Změna pořadí C_Sipka seda nahoru , C_Sipka seda dolu , přidání [image] a mazání [image] parametrů se provádí pomocí tlačítek vedle seznamu parametrů. Vlastnosti parametru se nastavují ve formuláři Nastavení parametru seznamu, které se zobrazí po dvojkliku na daný parametr. Nový parametr můžete vytvořit kliknutím na tlačítko [image] Nový parametr, kde zadáte kód nového parametru. Po potvrzení zadaného kódu se objeví formulář Nastavení parametru seznamu.

Ovladani editor nastaveni vzhledu rychle filtry formular parametru

· Kód parametru - při vytváření nového parametru zadáváte jeho kód.

· Typ - vyberte typ parametru. Na výběr máte z následujících:

o Text - pole pro zadání libovolného textu.

o Datum - pole pro zadání kalendářního data s možností výběru z kalendáře.

o Celé číslo - pole pro zadání čísla.

o Zaškrtávátko - zaškrtávací políčko s fajfkou. Parametr nabývá hodnot 0 nebo 1.

o Nový řádek - další parametr bude začínat na novém řádku.

o Oddělovač - (prázdné místo) zadejte šířku prázdného místa.

· Nadpis - nadpis filtru, např. Jen Okres. Nadpis se zobrazí u ovládacího prvku.

· Šířka - pokud máte zadán nadpis, můžete upravit také jeho šířku.

· SQL pro výběr - u parametrů typu text, datum a celé číslo můžete zadat SQL dotaz pro výběr hodnot. V takovém případě se hodnota parametru nebude zadávat přímo, ale bude se vybírat z roletky. SQL výraz musí obsahovat pole s názvem KOD a pole s názvem POPIS.

 | Nový - v seznamu vytvoříte nový záznam.
 | Zrušit - tlačítkem zrušíte dané nastavení vybraného záznamu.
C_Ulozit do souboru | Uložit do souboru - po načtení kliknete na tlačítko uložit.
C_Nacist ze souboru | Načíst ze souboru - načtete soubor obsahující nějaký seznam.
C_Ulozit pro vsechny | Uložit pro všechny - uloží současné nastavení pro všechny uživatele.
 | Načíst společné - načte společné nastavení uživatelů.
 | OK - tlačítkem potvrdíte nastavení.
 | Storno - tlačítkem uzavřete formulář.

PŘÍKLAD 1: (:FiltrovatNazevOd = 0 OR Mesto >= :NazevOd)

AND ( :FiltrovatNazevDo = 0 OR Mesto <= :NazevDo)

Parametry FiltrovatNazevOd a FiltrovatNazevOd jsou zaškrtávátka a parametry NazevOd a NazevDo jsou text. Tento filtr v seznamu měst umožní filtrovat města s názvem větším než NazevOd a menším než NazevDo.

PŘÍKLAD 2: FiltrovatOkres = 0 OR Okres = :okres

Parametr FiltrovatOkres je zaškrtávátko a parametr okres je text. Parametr okres má nastaven SQL výraz:

SELECT DISTINCT KodPosta AS Kod, Popis
FROM Okres ORDER BY Popis

Podmínka umožňuje vybírat jen města ze zvoleného okresu – zobrazí se roletka pro výběr okresu. U SQL výrazu je důležité, aby obsahoval pole KOD a POPIS. Pokud zdrojová databázová tabulka tato pole nemá, musí výraz obsahovat přejmenování pomocí klíčového slova AS.


Editor uzivatelskych sloupcu

Navigation: Ovládání programu > Editor nastavení vzhledu >

Editor uživatelských sloupců

 Return to chapter overview

Ve formuláři provedete nastavení uživatelských sloupců.

Ovladani editor nastaveni vzhledu uzivatelske sloupce

· Název - zadejte název uživatelského titulku.

· Titulek - vepište titulek nového sloupce.

· Aktivní - zaškrtnutím zvolte, zda je nastavení platné.

· Lookup SQL - může obsahovat názvy jednotlivých databázových polí, která jsou dostupná v seznamu a SQL funkce.

· Klíčová pole - zadejte jména polí seznamu, podle kterých se bude vyhledávat. Můžete zadat více polí oddělených středníkem.

· Klíč (lookup) - zadejte jména polí vyhledávací tabulky, podle kterých se bude vyhledávat. Jednotlivá pole musí odpovídat příslušným klíčovým polím ze seznamu.

· Výsledné pole - zadejte jméno pole vyhledávací tabulky, které bude zobrazeno.

 | Nový - v seznamu vytvoříte nový záznam.
 | Zrušit - tlačítkem zrušíte dané nastavení vybraného záznamu.
C_Ulozit do souboru | Uložit do souboru - tlačítko slouží pro uložení nastavení do souboru.
C_Nacist ze souboru | Načíst ze souboru - načtete soubor obsahující již vytvořený seznam.
C_Ulozit pro vsechny | Uložit pro všechny - uloží současné nastavení sloupců pro všechny uživatele.
 | Načíst společné - načte společné nastavení uživatelů.
 | Vložit parametr - tlačítkem se zobrazí okno, ve kterém můžete vybrat a vložit požadovaný parametr.
 | Test - tlačítkem otestujete nastavené parametry.
 | Ok - tlačítkem potvrdíte nastavení.
 | Storno - tlačítkem uzavřete formulář.


Tiskové sestavy

Navigation: Ovládání programu >

Tiskové sestavy

 Return to chapter overview

Tiskové sestavy slouží pro nastavení jednotlivých sestav pro dané seznamy a můžete je nadefinovat tak, aby co nejvíce odpovídaly vašim představám. Výsledek nastavení si můžete prohlédnout v náhledu nebo tisku této sestavy.

Seznam obsahuje tiskové sestavy definované uživateli pro daný seznam, nebo kategorii sestav v manažeru tiskových sestav. Jednotlivé sestavy můžete filtrovat podle toho, jestli jste sestavu vytvořili vy nebo jiný uživatel programu. Další možností je filtrování podle způsobu vytvoření sestavy, a to jestli jsou sestaveny sloupcově nebo editorově. Tiskové sestavy otevřete tlačítkem [image].

Ovladani tiskove sestavy

Vedle seznamu sestav lze provádět následující operace:

 | Nová - klávesová zkratka ALT+INS nebo F4. Otevře formulář pro výběr názvu sestavy a typu sestavy. Máte možnost vytvořit sestavu v editoru sestav nebo sloupcovou sestavu.
C_Nova z kopie | Nová z kopie - otevře formulář pro zápis nového záznamu do seznamu. Hodnoty položek nastaví podle záznamu, který byl v seznamu aktuálně označen. Vždy je nutné změnit alespoň klíčové položky, jinak nebude možné záznam zapsat kvůli duplicitě klíčové položky. Klávesová zkratka CTRL+K.
 | Editovat - otevře formulář s aktuálním záznamem pro editaci (změnu údajů). Klávesová zkratka CTRL+ENTER nebo F5. Pokud editujete sestavu vytvořenou v editoru sestav, potom se otevře FastReport, kde sestavu můžete editovat. Pokud editujete sestavu sloupcovou, potom se otevře formulář Editace sestavy. V editaci sestavy vyberete údaje, které chcete mít v sestavě. Ze sloupce Dostupná pole přesuňte požadovaná pole do Vybraných polí pomocí šipek [image] , C_Sipka dvojita vpravo , [image] , C_Sipka dvojita vlevo . Sami si můžete navrhnout vzhled titulků v sestavě, sloupců, stránky (velikost, okraje, číslování a datování stránek), nastavení sestavy či titulku celé sestavy.

Ovladani tiskove sestavy formular sloupcove sestavy

Přejmenovat - umožní přejmenovat aktuální tiskovou sestavu.

Zrušit - provede zrušení záznamu ze seznamu. Před zrušením se vždy zobrazí dotaz, zda opravdu chcete akci provést. Po potvrzení je tato akce nevratná. V mnoha případech jsou na zvolené položce závislé další údaje v databázi. Proto ne vždy program umožní položku smazat a oznámí, že záznam nelze odstranit, protože obsahuje související záznamy.

Náhled - zobrazí náhled dokumentu před tiskem. Můžete zobrazit více stránek najednou, zvětšit nebo zmenšit velikost stránky na obrazovce, kontrolovat konce stránek a provádět změny v textu i ve formátování.

Tisk - vytiskne aktivní vybrané položky.

Zobrazené - vytvoří tiskovou sestavu ze všech položek na aktuálním listu.

Vybrané - vytvoří tiskovou sestavu pouze u vybrané položky na aktuálním listu.

Načíst - zadejte cestu k načtení souboru s nastavením tiskových sestav.

Uložit - uloží aktuální tiskovou sestavu do vámi zadaného adresáře.

Zavřít - uzavře okno pro práci s tiskovými sestavami.


Seznam sestav pro export

Navigation: Ovládání programu >

Seznam sestav pro export

 Return to chapter overview

Seznam sestav pro export slouží pro nastavení exportů dat do Microsoft Word, Excel nebo jen do textového souboru. Tato data se poté dají dále zpracovávat. Exportní sestavy si můžete nadefinovat tak, aby co nejvíce odpovídaly vašim představám. Seznam sestav pro export obsahuje sestavy definované uživateli pro daný seznam, nebo kategorii sestav v manažeru sestav. Seznam sestav pro export otevřete tlačítkem [image].

Ovladani seznam sestav pro export

Vedle seznamu sestav lze provádět následující operace:

 | Nový - otevře formulář pro zápis nového záznamu do seznamu. Klávesová zkratka ALT+INS nebo F4.
C_Novy z kopie | Nový z kopie - otevře formulář pro zápis nového záznamu do seznamu. Hodnoty položek nastaví podle záznamu, který byl v seznamu aktuálně označen. Vždy je nutné změnit alespoň klíčové položky, jinak nebude možné záznam zapsat kvůli duplicitě klíčové položky. Klávesová zkratka CTRL+K.
 | Editovat - otevře formulář s aktuálním záznamem pro editaci (změnu údajů). Klávesová zkratka CTRL+ENTER nebo F5.

V editaci sestavy vyberete údaje, které chcete mít v sestavě. Ze sloupce Dostupná pole přesuňte požadovaná pole do Vybraných polí pomocí šipek [image] , C_Sipka dvojita vpravo, [image], C_Sipka dvojita vlevo. Dále si můžete vybrat, jaký formát sestavy pro export chcete: Microsoft Word, Microsoft Excel nebo Textový soubor. Vybraný formát máte možnost nastavit dle vašich požadavků. Definovanou sestavu můžete ihned exportovat do požadovaného formátu přes tlačítko [image] ve formuláři Editace sestavy nebo můžete sestavu [image] a podle potřeby exportovat z formuláře Manažer výstupních sestav.

Ovladani seznam sestav pro export formular exportni sestavy

Přejmenovat - umožní přejmenovat aktuální tiskovou sestavu.

Zrušit - provede zrušení záznamu ze seznamu. Před zrušením se vždy zobrazí dotaz, zda opravdu chcete akci provést. Po potvrzení je tato akce nevratná. V mnoha případech jsou na zvolené položce závislé další údaje v databázi. Proto ne vždy program umožní položku smazat a oznámí, že záznam nelze odstranit, protože obsahuje související záznamy.

Export - provede export aktuálně vybrané sestavy do vybraného formátu pro export (Word, Excel, Textový soubor).

Zobrazené - vytvoří tiskovou sestavu ze všech položek na aktuálním listu.

Vybrané - vytvoří tiskovou sestavu pouze u vybrané položky na aktuálním listu.

Zavřít - uzavře okno pro práci s tiskovými sestavami.

· Jen vlastní - po zatrhnutí pole se zobrazí jen sestavy, které byly vytvořeny uživatelem.


Princip práce se systémem Jídelna

Navigation: »No topics above this level«

Princip práce se systémem Jídelna

 Return to chapter overview

V kapitole naleznete základní princip práce se systémem Jídelna. Jsou zde zdůrazněny jednotlivé kroky, které jsou potřebné pro správnou funkci programu Jídelna.


Princip práce

Navigation: Princip práce se systémem Jídelna >

Princip práce

 Return to chapter overview

Po přečtení této kapitoly byste měli pochopit princip práce se systémem Jídelna.

Vycházíme z předpokladu, že máte nainstalovaný program se založenou databází a připojena všechna zařízení jídelního systému (terminály apod.). Jednotlivá zařízení jsou nakonfigurována v té míře, jakou není schopen obsluhovat program z počítače.

Práci s jídelním systémem rozdělíme na dvě základní části:

Konfigurace a nastavení systému a naplnění daty potřebnými pro provoz. Toto nastavení provádíte hlavně ve fázi zprovoznění systému. Samozřejmě i v průběhu používání systému budete měnit své požadavky na zpracování dat, upravovat nastavení a obsahy seznamů.

Pravidelný provoz - zpracování dat. Budete zpracovávat pravidelné informace z jídelních terminálů a tyto informace vyhodnocovat.


Postup práce v bodech

Navigation: Princip práce se systémem Jídelna >

Postup práce v bodech

 Return to chapter overview

Systém Jídelna máte nainstalovaný a nyní musíte nastavit jeho funkce tak, aby splňoval Vaše požadavky. Při prvním spuštění jste založili databázi, do které program automaticky doplnil některá základní nastavení. Dále je pro správnou funkci programu potřeba vytvořit následující seznamy.

Ø Nastavení období

Jídelní systém pracuje v měsíčním režimu zpracování dat. Nastavení období je jednou z prvních věcí, kterou musíte v programu Jídelna provést. Postup pro vytvoření období najdete v kapitole Seznam zpracovávaných období.

Ø Vytvoření seznamu typů denních jídel

Jsou to typy denních jídel (například: oběd, večeře), které vaříte ve Vaší jídelně, nebo dovážíte do Vaší jídelny. Typy denních jídel mají návaznost na vytváření jídelníčku. Nastavení, která zde provedete, se projeví při vytváření jídelníčku. Jedná se například o cenu jídla, počet nabídek v jídelníčku apod. Postup pro vytvoření typů denních jídel najdete v kapitole Typy denních jídel.

Ø Vytvoření seznamu jídelen

Dalším krokem, který provedete je nadefinování Jídelny. Je to jídelna popřípadě jídelny, které jsou určeny ke stravování. Pro jídelnu se vytváří jídelníček. Postup pro vytvoření seznamu jídelen najdete v kapitole Jídelny.

Ø Vytvoření jídelníčku

Jelikož již máte vytvořeny typy denních jídel a jídelny, můžete vytvořit jídelníček. Postup na vytvoření jídelníčku je v kapitole Jídelníček.

Ø Vytvoření seznamu terminálů

Dalším krokem, který provedete je vytvoření seznamu Terminálů. Jedná se o vytvoření objednávacích a výdejních terminálů. Zde provede potřebná nastavení pro komunikaci programu s terminálem. Více o vytvoření seznamu terminálů najdete v kapitole Terminály. Detailní možnosti najdete v popisu určeném komunikaci vašeho terminálu a programu JÍDELNA.

Ø Vytvoření seznamu cenových kategorií

V dalším kroku vytvoříte seznam Cenových kategorií. Cenová kategorie definuje pravidla účtování stravy zaměstnanci. Postup na vytvoření cenových kategorií najdete v kapitole Cenové kategorie.

Ø Naplnění seznamů

Základním seznamem je seznam zaměstnanců. Pro správné zadání zaměstnance musíte předem naplnit výše uvedené seznamy. Zaměstnanec musí mít přiřazeno:

Identifikační médium - aby mohl toto médium používat u objednávacích a výdejních terminálů,

Cenovou kategorii - pro stanovení pravidla účtování za objednanou stravu,

Jídelnu - jídelna popřípadě jídelny, které jsou určeny ke stravování.

Tyto údaje se nastavují při příjmu nového zaměstnance v Průvodci přidáním nového strávníka (dále jen průvodce). Samotné spuštění průvodce provedete pomocí klávesové zkratky Alt + Insert nebo kliknutím na tlačítko [image] Nový záznam v okně Seznam strávníků (menu Seznamy/Strávníci).

Pokud stávající zaměstnanci nemají přiřazeny tyto údaje, je třeba provést jejich přiřazení. Pokud se jedná o pár zaměstnanců, můžete přiřazení provést jednotlivě ve Formuláři strávníka v záložce Rozdělení. Pokud je zaměstnanců více, proveďte přiřazení k cenové kategorii ve Formuláři cenové kategorie - Členové kategorie a k jídelně ve Formuláři jídelny - Členové jídelny. Identifikační médium přiřaďte ve Formuláři strávníka - ID média.

Ø Komunikace s terminály

Data jste si připravili a nyní je můžete zaslat do objednávacích terminálů. Pro odeslání dat do objednávacích terminálů použijete volbu v menu Terminály/Generování jídelníčku do terminálů. Pokud proběhlo generování jídelníčku do terminálů úspěšně, můžete prověřit, že terminál registruje identifikační média strávníků. Pokud terminál identifikační média nepřijímá, není něco správně nastaveno a musíte chybu odstranit.

POZOR: Změny v nastavení systému se projeví na objednávacích terminálech až po provedení Generování jídelníčku do terminálu a na výdejních terminálech až po provedení Generování (příprava) výdeje do terminálů.

Terminály jste nastavili a strávníci je používají k objednávání stravy. Aby si mohli objednanou stravu strávníci vyzvednout na výdejních terminálech, je třeba provést Načítání objednávek z terminálu v menu Terminály. Program si postupně načte z terminálů objednávky a uloží je do Přehledu objednávek v menu Stravování. Před výdejem stravy je třeba provést Generování (příprava) výdeje do terminálů. Po ukončení výdeje je třeba provést Načítání vydaných jídel z terminálu v menu Terminály. Program si vydaná jídla postupně načte z terminálů a uloží je do Odběrů jídel v menu Stravování. Možnosti používání vašeho terminálu najdete v manuálu k terminálu.

TIP: Generování a načítání terminálů můžete provádět ručně nebo v plánovači úloh nastavit automatické generování a načítání ve zvoleném čase. Více v kapitole Plánovač úloh.

Tento popis postupu práce by Vám měl ujasnit logickou posloupnost jednotlivých kroků, které musíte provést po instalaci programu Jídelna. Detailní popis těchto operací najdete v následující kapitole Postup práce.


Postup práce

Navigation: Princip práce se systémem Jídelna >

Postup práce

 Return to chapter overview

V následujícím textu naleznete podrobný popis vytváření základních seznamů pro správnou funkci programu Jídelna.


Seznam zpracovávaných období

Navigation: Princip práce se systémem Jídelna > Postup práce >

Seznam zpracovávaných období

 Return to chapter overview

Při prvním spuštění programu Jídelna musíte nadefinovat Seznam zpracovávaných období. Je to období, ve kterém budete účtovat stravu. Program pracuje podle základní časové jednotky, která je jeden měsíc. V menu vyberete Systém/Výběr období. Otevřete Seznam zpracovávaných období. Seznam je prázdný a musíte ho vytvořit.

P_Seznam zpracovavanych obdobi

Pro vytvoření nového záznamu v seznamu Seznam zpracovávaných období, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím zobrazíte formulář Období. Program Vám standardně nabídne aktuální měsíc. Buďte opatrní při vytváření prvního období. Pokud špatně zvolíte první období, nemáte žádnou jinou šanci to změnit! Když se tak stane, musíte vytvořit novou databázi.

P_Seznam zpracovavanych obdobi formular noveho obdobi

· Počátek období – povinný údaj. Počáteční den účtování stravy v jídelně.

· Konec období – povinný údaj. Konečný den účtování stravy v jídelně.

· Popis – povinný údaj. Popis měsíce a roku, ve kterém účtujete.

Po provedení změn nebo kontrole správnosti zobrazených údajů ve formuláři Období potvrďte tlačítkem [image] (po tomto potvrzení formulář neuzavřete) nebo [image] (u tohoto potvrzení formulář uzavřete). Po vytvoření Seznamu zpracovávaných období označíte řádek s Vámi zvoleným obdobím, ve kterém budete účtovat a potvrďte tlačítkem [image] .


Typy denních jídel

Navigation: Princip práce se systémem Jídelna > Postup práce >

Typy denních jídel

 Return to chapter overview

Po prvním spuštění programu Jídelna musíte nadefinovat Typy denních jídel. Jsou to typy denních jídel, které vaříte ve Vaší jídelně, nebo dovážíte do Vaší jídelny. V menu vyberte Seznamy/Typy denních jídel. Tím otevřete seznam Typy denních jídel. Seznam je prázdný a proto jej musíte nadefinovat.

P_Typy dennich jidel

Chcete-li vytvořit nový záznam, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím otevřete formulář Typ denního jídla.

P_Typy dennich jidel formular typu denniho jidla

· Kód – povinný údaj. Označte typ denního jídla kódem tak, abyste jej pak snadno identifikovali i podle kódu.

· Aktivní - pokud je typ denního jídla platný, zaškrtněte pole.

· Popis – povinný údaj. Název denního jídla (například Oběd).

· Pořadí – povinný údaj. Pořadí, podle kterého se typy jídel zobrazují.

· Obrázek – můžete zvolit obrázek typu denního jídla, a to dvojklikem na plochu pole pro obrázek.

· Počáteční číslo nabídky – obvyklé číslo nabídky pro daný typ jídla.

· Počet nabídek v jídelníčku – obvyklý počet nabídek v jídelníčku (na oběd máte na výběr ze dvou druhů obědů, vepíšete číslo 2).

· Cena jídla – obvyklá cena jídla.

· Pořadí pro dotaci – pokud dotujete jedno jídlo denně z více možných, pak si zde nastavíte prioritu pro dotaci. Jídlo s menší hodnotou bude dotováno.

· Neobjednávat - při zaškrtnutí políčka se typ denního jídla nebude zobrazovat k objednání, například společná polévka.

· Implicitně nabízet pro objednání – pokud zatrhnete tuto položku, pak se daný typ jídla bude nabízet implicitně v objednávacím formuláři. Má vliv na objednávky pomocí dotykové obrazovky.

· Barva fontu – vyberte barvu u typu denního jídla, která se bude zobrazovat strávníkům při objednávání jídla a při tvorbě jídelníčku.

· Ukázka – ukázka textu v barvě vybraného fontu.

· Konec přímé burzy - zadejte počet minut před výdejem, kdy je ještě možné vkládat a vybírat jídla z burzy bez komunikace s terminálem.

· Konec burzy - zadejte počet minut před ukončením výdeje, kdy už není možné použít burzu jídel.

TIP: Pokud máte burzu aktivovanou, ale zatím ji nepoužíváte a nechcete, aby se zobrazovala například na touchscreenu, můžete provést její "vypnutí". To provedete v menu Systém -> Nastavení -> Nastavení aplikace -> Společné nastavení -> Burza.

POZOR: Burza je přístupná, jen pokud máte zakoupen modul burza.

Po definici nového druhu jídla klikněte na tlačítko [image].

Chcete-li vymazat záznam v seznamu, označíte řádek, který chcete vymazat. V panelu nástrojů kliknete na tlačítko [image] Zrušit záznam. Než proběhne zrušení záznamu, zeptá se Vás program: Opravdu si přejete zrušit aktuální záznam tabulky: „Typ denního jídla“?. Po potvrzení Dotazu se záznam vymaže.


Jídelny

Navigation: Princip práce se systémem Jídelna > Postup práce >

Jídelny

 Return to chapter overview

Dalším krokem, který provedete je nadefinování Jídelny. Je to jídelna popřípadě jídelny, které jsou určeny ke stravování. V menu vyberte Seznamy/Jídelny. Tím otevřete seznam jídelen, který je prázdný.

Pro vytvoření nového záznamu v seznamu jídelen, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím zobrazíte formulář, ve kterém vyplníte potřebné údaje. Nejprve vyplňte záložku Jídelna a následně záložku Objednávací pravidla.


Jídelna

Navigation: Princip práce se systémem Jídelna > Postup práce > Jídelny >

Formulář jídelny - Jídelna

 Return to chapter overview

Ve formuláři Jídelna je třeba vyplnit základní identifikační údaje. Jedná se zejména o kód a popis jídelny a datum vytvoření.

P_Jidelny formular jidelny jidelna

· Kód – povinný údaj. Označte jídelnu kódem tak, abyste ji pak snadno identifikovali i podle kódu.

· Popis – povinný údaj. Název jídelny (například Hlavní jídelna).

· Vedoucí – jméno vedoucího této jídelny.

· Datum vytvoření – povinný údaj. Libovolné datum podle Vašich potřeb.

· Datum zrušení – libovolné datum podle Vašich potřeb, pokud budete znát toto datum.

· Ulice – jméno ulice, kde se jídelna nachází.

· Město – jméno města, kde se jídelna nachází.

· PSČ – směrovací číslo města.

· Obec – název obce, ve které se jídelna nachází.

· Stát – stát, ve kterém se jídelna nachází.

· Telefon – kontaktní telefon jídelny.

· Fax – kontaktní fax jídelny.

· E-mail – kontaktní e-mail jídelny.

Jakmile se vyplní údaje v záložce Jídelna, klikněte na tlačítko [image] (po tomto potvrzení formulář neuzavřete) a přejděte na záložku Objednávací pravidla.


Formulář jídelny - Objednávací pravidla

Navigation: Princip práce se systémem Jídelna > Postup práce > Jídelny >

Formulář jídelny - Objednávací pravidla

 Return to chapter overview

Ve formuláři Objednávací pravidla určujete, v jakém časovém rozmezí můžete předem objednávat jídla v dané jídelně. Pravidla nastavíte zvlášť pro jídelnu, každý typ denního jídla a den v týdnu, ve kterém jídlo vydáváte. Pokud nemáte pro jídelnu a typ jídla nastaveno žádné pravidlo nebo tyto pravidla nechcete zavádět, můžete objednávat ihned po potvrzení jídelníčku.

P_Jidelny formular jidelny objednavaci pravidla

· Zobrazit pravidla pro typ denního jídla - zvolte typ denního jídla, pro které nastavíte pravidla objednávání.

· Den výdeje - den, ve kterém vydáváte jídlo (Pondělí, atd.).

· Dnů nejdříve před výdejem - kolik dnů před výdejem je možné objednat stravu.

· Čas od - čas od kdy je možné před výdejem objednat stravu.

· Dnů nejpozději před výdejem - kolik dnů před výdejem nejpozději je možné objednat stravu.

· Čas do - čas do kdy je možné před výdejem objednat stravu.

· Nepočítat víkendy - zaškrtávací položky. Při zaškrtnutí políček program neumožní objednání jídla o víkendu. (Např. poslední možnost objednat si jídlo máte nastaveno jeden den před výdejem. Při zaškrtnutých položkách je možné objednat jídlo na pondělí do pátku).

· Počítat jen dny s jídelníčkem - zaškrtávací položky. Program přeskočí dny (den) bez jídelníčku a umožní objednat jídlo jen ve dnech kdy je jídelníček vytvořen. (Např. jídelníček nemáte vytvořen na pátek, sobota, neděle. Poslední možnost objednat si jídlo máte nastaveno jeden den před výdejem. Na pondělí si můžete objednat naposledy ve čtvrtek).

Položku „dnů nejdříve před výdejem“ můžete vyplnit nezávisle na položce „dnů nejpozději před výdejem“ a naopak.

Jakmile se vyplní formulář Objednávací pravidla, klikněte na tlačítko [image] (po tomto potvrzení formulář uzavřete).


Jídelníček

Navigation: Princip práce se systémem Jídelna > Postup práce >

Jídelníček

 Return to chapter overview

Dalším krokem, který provedete je vytvoření Jídelníčku. V menu vyberte Stravování/Jídelníček. Tím otevřete formulář Jídelníček. Formulář nemá při prvním spuštění vytvořený jídelníček, a proto jej musíte vytvořit.

Před prvním vytvořením jídelníčku je třeba v horní části formuláře zvolit Jídelnu a Datum, pro které budete jídelníček vytvářet. Poté kliknete na tlačítko [image]. Než proběhne vytvoření jídelníčku, zeptá se Vás program: Vytvořit jídelníček na den „pondělí 7.7.2008“ (zobrazí se Vám den, který jste vybrali) a jídelnu „Jídelna 1“ (zobrazí se Vám jídelna, kterou jste vybrali)?. Po potvrzení Dotazu se Vám zobrazí formulář Jídelníček.

P_Jidelnicek bez jidel

Ve formuláři ještě nejsou vytvořena denní jídla, proto je nyní vytvoříme. V horní části formuláře kliknete na tlačítko [image]. Tím vyvoláte formulář Parametry předplnění jídelníčku.

P_Jidelnicek parametry predplneni jidelnicku

· Předplnit od – jídelníček vytvoříte od tohoto data.

· - do – jídelníček vytvoříte až po toto datum.

· Víkendy neplnit – v případě, že toto políčko máte zaškrtnuto, nebudou se Vám plnit víkendy a naopak.

· Podle obvyklého počtu nabídek – v menu Seznamy/Typy denních jídel máte nadefinovány parametry obvyklého počtu nabídek. Při zatrhnutí této nabídky se jídelníček předplní podle tohoto vyplnění.

· Podle šablony – zaškrtnutím tohoto políčka předplníte podle šablony v případě, že ji máte vytvořenou.

· Pouze typ jídla - zaškrtnutím tohoto políčka vyberete předplnění vybraného typu jídla. Typ jídla jste si nadefinovali v menu Seznamy/Typy denních jídel.

Jakmile vyplníte ve formuláři potřebná pole, klikněte na tlačítko [image]. Než proběhne předplnění jídelníčku, zeptá se Vás program: Předplnit hromadně jídelníček?. Po potvrzení Dotazu spustíte předplnění jídelníčku. Po jeho vytvoření se zobrazí Informace: Předplnění ukončeno. Informaci potvrďte. Po potvrzení máte vytvořen jídelníček na dny a pro vybranou jídelnu.

P_Jidelnicek s jidly

Nyní ještě nemáte možnost si objednat stravu. Pro možnost objednávání jídel je třeba potvrdit vytvořený jídelníček. Potvrzení jídelníčku provedete přes tlačítko [image]. Tím zobrazíte formulář Potvrzení jídelníčku.

P_Jidelnicek potvrzeni jidelnicku

· Potvrdit jídelníček od – datum, od kterého chcete mít jídelníček potvrzen.

· - do – datum, do kterého chcete mít jídelníček potvrzen.

Po vyplnění těchto údajů potvrďte kliknutím na tlačítko [image]. Než proběhne potvrzení jídelníčku, zeptá se Vás program: Potvrdit jídelníček v rozmezí po 07.07.2008 – ne 13.07.2008? (zobrazí se Vám zkratka dne a datum, které jste zadávali do formuláře Potvrzení jídelníčku). Po potvrzení dotazu se zobrazí Informace: Jídelníček potvrzen. Informaci potvrďte.

Zda máte jídelníček potvrzen či nikoliv poznáte z informace, která je zobrazena v horní části formuláře ( [image], [image], [image]).

Smazat jídelníček - chcete-li vymazat jídelníček, klikněte na toto tlačítko, které je umístěno v horní části formuláře Jídelníček. Tím vyvoláte formulář Smazání jídelníčku, kde pro danou jídelnu potvrdíte datum jídelníčku a kliknete na tlačítko [image]. Díky ochraně programu budete ještě dvakrát dotázáni, zda chcete smazat jídelníček pro vybrané datum, potvrďte [image]. Program smaže jídelníček pro vybrané datum. Lze smazat jídelníček pro více dní najednou!

POZOR: Jídelníček je smazán jen v případě, že ještě nemá nikdo nic objednáno!!

Smazat - chcete-li vymazat jeden řádek nebo více řádku potvrzeného jídelníčku (například oběd), označíte příslušný řádek, který chcete vymazat a kliknete na toto tlačítko. Následně se zobrazí Dotaz: Smazat položku jídelníčku?. Po potvrzení smažete aktuálně vybranou položku jídelníčku.

Zavřít - kliknutím na toto tlačítko uzavřete formulář s jídelníčkem.


Terminál

Navigation: Princip práce se systémem Jídelna > Postup práce >

Terminál

 Return to chapter overview

Dalším krokem, který provedete je vytvoření Terminálu. Zde nadefinujete nastavení parametrů pro komunikaci s terminálem. V menu vyberte Terminály/Terminály. Tím otevřete seznam Terminály. V seznamu nejsou vytvořeny terminály, a proto je musíte vytvořit.

Postup je popsán pro 1) Objednávací terminál, 2) Výdejní terminál.


Objednávací terminál

Navigation: Princip práce se systémem Jídelna > Postup práce > Terminál >

Objednávací terminál

 Return to chapter overview

Pro vytvoření nového terminálu v seznamu, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím se zobrazí prázdný formulář Terminál, ve kterém je potřeba vyplnit záložku Terminál a dále záložku Mapování jídel.


Formulář objednávacího terminálu - Terminál

Navigation: Princip práce se systémem Jídelna > Postup práce > Terminál > Objednávací terminál >

Formulář objednávacího terminálu - Terminál

 Return to chapter overview

Ve formuláři zadejte základní identifikační údaje o terminálu. Jedná se zejména o kód, popis a určení terminálu.

P_Terminaly formular objednavaciho terminalu terminal

· Kód – povinný údaj. Označte typ terminálu (například OT1 – Objednávací terminál 1).

· Popis – povinný údaj. Název terminálu (například objednávací terminál 1). Slouží k rychlé orientaci mezi terminály.

· Text na terminálu – vepište text, který se bude zobrazovat uživatelům terminálu (například pokud nevaříte, napíšete, Nevydává se).

· Umístění – informativní charakter, kde máte terminál umístěn.

· Určení terminálu - zde musíte určit, o jaký typ se jedná, zda o výdejní nebo objednací. Podle toho se pak terminály zobrazí při různých operacích. V případě objednávacího terminálu se zobrazí při generování jídelníčku do terminálu a načítání objednávek z terminálu.

· Umístění - informativní charakter, kde máte terminál umístěn.

· Typ ID média - z nabídky vyberte typ ID média. Nový typ identifikačního média vytvoříte v menu Terminály -> Typy identifikačních médií.

· Používat kód média č. 2 - pokud jste si v nastavení aplikace zatrhli, že chcete používat 2 kódy ID médií, tak máte tuto kolonku aktivní. Zde si můžete zvolit, který ze dvou kódů chcete používat na daném terminálu. Nastavení více ID médií provedete v menu Systém/Společné nastavení - ID média.

· Používat jen primární ID média - při používání více ID médií (např. bezkontaktní karty pro docházku a pro jídelnu kontaktní čipy) jednou osobou tuto volbu zaškrtněte. ID médium používané v jídelně označte jako primární.

· Negenerovat datum a čas – zde nastavíte, zda chcete při každém přenosu dat přenášet také datum a čas. Pokud nezatrhnete, na terminálu se sladí čas s časem na počítači.

· Negenerovat biometrické šablony – pokud používáte biometrické údaje, zde si můžete určit, zda chcete při každém přenosu dat do terminálu přenášet i tyto údaje.

· Použít jen ID média daného typu - po zatrhnutí pole, bude terminál přijímat jen ID média vybraného typu.

· Jídelna - povinný údaj. Musíte si vybrat, pro kterou jídelnu bude tento terminál aktivní.

· Generovat max. dnů dopředu – povinný údaj. Vepište číslici, na kolik dní dopředu chcete generovat data. U terminálů DMR-System je tato délka omezena na maximálně 24 dnů.


Formulář objednávacího terminálu - Mapování jídel

Navigation: Princip práce se systémem Jídelna > Postup práce > Terminál > Objednávací terminál >

Formulář objednávacího terminálu - Mapování jídel

 Return to chapter overview

Ve formuláři Mapování jídel jsou uvedeny typy jídel, které je terminál schopen objednat. Seznam je prázdný a proto ho musíte vytvořit.

P_Terminaly formular objednavaciho terminalu mapovani jidel

Pro vytvoření nového záznamu, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím zobrazíte prázdný formulář Mapování jídel v terminálu.

P_Terminaly formular terminalu mapovani jidel formular mapovani jidla v terminalu

· Typ denního jídla – povinný údaj. Zvolte z nabídky typ denního jídla.

· Číslo nabídky v jídelníčku – povinný údaj. Vepište číslo nabídky v jídelníčku. Číslo nabídky naleznete ve vytvořeném jídelníčku v menu Stravování/Jídelníček.

· Kód typu v terminálu – povinný údaj. Jedná se o číslo, které se nezobrazuje na terminálu.

PŘÍKLAD: Všechny Obědy označte číslem 1, večeře označte číslem 2 apod.

· Kód v terminálu – povinný údaj. Vepište číslo tlačítka na terminálu, pod kterým se bude zobrazovat zadaný typ jídla.

· Číslo tlačítka - vepište číslo tlačítka ve výdejním terminálu, pod kterým se bude zobrazovat zadávaný typ jídla. Číslo zadejte jen u výdejního terminálu DMR.

Příklady mapování jídel pro objednávací terminály ACS-Line a DMR-System jsou uvedeny v kapitole Terminály.

Jakmile vyplníte ve formuláři povinné údaje, potvrďte tlačítkem [image] (po tomto potvrzení formulář neuzavřete) nebo tlačítkem [image] (po tomto potvrzení formulář uzavřete).

Chcete-li vymazat jeden nebo více řádků v seznamu Mapování jídel (například večeři), označíte příslušný řádek, který chcete vymazat a kliknete na tlačítko [image] Zrušit záznam. Po kliknutí na toto tlačítko zobrazíte Dotaz: Opravdu si přejete zrušit aktuální záznam tabulky: „Mapování jídla v terminálu“?. Po potvrzení smažete aktuálně vybranou položku jídla.


Výdejní terminál

Navigation: Princip práce se systémem Jídelna > Postup práce > Terminál >

Výdejní terminál

 Return to chapter overview

Pro vytvoření nového záznamu v seznamu, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím se zobrazí prázdný formulář Terminál, ve kterém je potřeba vyplnit záložky Terminál, Mapování jídel a Časy výdeje.


Formulář výdejního terminálu - Terminál

Navigation: Princip práce se systémem Jídelna > Postup práce > Terminál > Výdejní terminál >

Formulář výdejního terminálu - Terminál

 Return to chapter overview

Ve formuláři Terminál je potřeba nastavit základní identifikační údaje o terminálu. Zejména se jedná o kód, popis a určení terminálu.

P_Terminaly formular vydejniho terminalu terminal

· Kód – povinný údaj. Označte typ terminálu (například VT1 – výdejní terminál 1).

· Popis – povinný údaj. Název terminálu (například výdejní terminál 1). Slouží k rychlé orientaci mezi terminály.

· Text na terminálu – vepište text, který se bude zobrazovat uživatelům terminálu (například pokud nevaříte, napíšete, Nevydává se).

· Určení terminálu - zde musíte určit, o jaký typ se jedná, zda o výdejní nebo objednací. Podle toho se pak terminály zobrazí při různých operacích. V případě výdejního terminálu se zobrazí při generování výdeje do terminálu a načítání vydaných jídel z terminálu.

· Umístění - informativní charakter, kde máte terminál umístěn.

· Typ ID média - z nabídky vyberte typ ID média. Nový typ identifikačního média vytvoříte v menu Terminály -> Typy identifikačních médií.

· Používat kód média č. 2 - pokud jste si v nastavení aplikace zatrhli, že chcete používat 2 kódy ID médií, tak máte tuto kolonku aktivní. Zde si můžete zvolit, který ze dvou kódů chcete používat na daném terminálu. Nastavení více ID médií provedete v menu Systém/Společné nastavení - ID média.

· Používat jen primární ID média - při používání více ID médií (např. bezkontaktní karty pro docházku a pro jídelnu kontaktní čipy) jednou osobou tuto volbu zaškrtněte. ID médium používané v jídelně označte jako primární.

· Negenerovat datum a čas – zde nastavíte, zda chcete při každém přenosu dat přenášet také datum a čas. Pokud nezatrhnete, na terminálu se sladí čas s časem na počítači.

· Negenerovat biometrické šablony - pokud používáte biometrické údaje, pak si tímto můžete určit, zda chcete při každém přenosu dat do terminálu přenášet i tyto údaje.

· Použít jen ID média daného typu - po zatrhnutí pole, bude terminál přijímat jen ID média vybraného typu.

· Jídelna – povinný údaj. Vyberete, pro kterou jídelnu bude tento terminál aktivní.

· Generovat max. dnů dopředu – povinný údaj. Vepište číslici, na kolik dní dopředu chcete generovat data. U terminálů DMR-System je tato délka omezena na maximálně 24 dnů.


Formulář výdejního terminálu - Mapování jídel

Navigation: Princip práce se systémem Jídelna > Postup práce > Terminál > Výdejní terminál >

Formulář výdejního terminálu - Mapování jídel

 Return to chapter overview

Ve formuláři Mapování jídel nadefinujete, jaká jídla bude terminál schopen vydávat. Seznam je prázdný a proto jej musíte vytvořit.

P_Terminaly formular vydejniho terminalu mapovani jidel

Pro vytvoření nového záznamu v seznamu Terminál, kliknete v panelu nástrojů na tlačítko [image] Nový záznam. Tím zobrazíte prázdný formulář Mapování jídel v terminálu.

P_Terminaly formular terminalu mapovani jidel formular mapovani jidla v terminalu

· Typ denního jídla – povinný údaj. Zvolte z nabídky typ denního jídla.

· Číslo nabídky v jídelníčku – povinný údaj. Vepište číslo nabídky v jídelníčku. Číslo nabídky naleznete ve vytvořeném jídelníčku v menu Stravování/Jídelníček.

· Kód typu v terminálu – povinný údaj. Jedná se o číslo, které se nezobrazuje na terminálu. Ve Formuláři terminálu - Časy výdeje se tento kód zapíše do pole Typ jídla v terminálu.

PŘÍKLAD: Všechny Obědy označte číslem 1, večeře označte číslem 2 apod.

· Kód v terminálu – povinný údaj. Vepište číslo tlačítka na terminálu, pod kterým se bude zobrazovat zadávaný typ jídla.

· Číslo tlačítka - vepište číslo tlačítka ve výdejním terminálu, pod kterým se bude zobrazovat zadávaný typ jídla. Číslo zadejte jen u výdejního terminálu DMR.

Příklady mapování jídel pro objednávací terminály ACS-Line a DMR-System jsou uvedeny v kapitole Terminály.

Jakmile vyplníte ve formuláři povinné údaje, potvrďte tlačítkem [image] (po tomto potvrzení formulář neuzavřete) nebo tlačítkem [image] (po tomto potvrzení formulář uzavřete).

Chcete-li vymazat jeden nebo více řádků v seznamu Mapování jídel (například večeři), označíte příslušný řádek, který chcete vymazat a klikněte na tlačítko [image] Zrušit záznam. Po kliknutí na toto tlačítko zobrazíte Dotaz: Opravdu si přejete zrušit aktuální záznam tabulky: „Mapování jídla v terminálu“?. Po potvrzení smažete aktuálně vybranou položku jídla.


Formulář výdejního terminálu - Časy výdeje

Navigation: Princip práce se systémem Jídelna > Postup práce > Terminál > Výdejní terminál >

Formulář výdejního terminálu - Časy výdeje

 Return to chapter overview

Ve formuláři záložce Časy výdeje je třeba nastavit, v jakou denní dobu bude terminál vydávat jednotlivé typy jídel. Seznam je prázdný a proto jej musíte vytvořit.

P_Terminaly formular vydejniho terminalu casy vydeje

Pro vytvoření nového záznamu v seznamu Jídelny, kliknete v panelu nástrojů na tlačítko [image] Nový záznam. Tím se zobrazí prázdný formulář Časová předvolba výdeje.

P_Terminaly formular vydejniho terminalu casy vydeje formular casova predvolba vydeje

· Čas od - povinná položka. Zadejte čas, od kdy se bude určitý typ jídla vydávat.

· Čas do - povinná položka. Zadejte čas, do kdy se bude tento typ jídla vydávat.

· Typ jídla v terminálu - povinná položka. Zadejte shodné číslo, které je uvedeno ve Formuláři terminálu - Mapování jídel v kolonce Kód typu v terminálu. Na základě zadaného čísla se ve zvoleném čase bude vydávat nastavený typ jídla.

· 1. příloha, 2. příloha - k hlavnímu jídlu je možné nastavit vydávání i dvou příloh. Může se jednat například o salát, polévku apod. Pokud si zaměstnanec přílohu objedná, potom při výdeji Obědu bude příloha zobrazena na velkém displeji v poli Příloha.

P_Terminaly formular terminalu casy vydeje

Od 11:00 - 14:00 se vydávají obědy a příloha (například polévka, salát apod.). Od 18:00 - 20: 00 se vydávají večeře.

· Jídelníček z předchozího dne - tuto funkcionalitu využijete pokud, vydáváte noční jídlo po půlnoci (například od 0:30). Generování (příprava) výdeje noční stravy do terminálů, vydávané po půlnoci (například od 0:30), musí proběhnout před půlnocí (tj. například ve 23:45).

Jakmile vyplníte ve formuláři povinné údaje, klikněte na tlačítko [image] (po tomto potvrzení formulář neuzavřete) nebo na tlačítko [image] (po tomto potvrzení formulář uzavřete).


Cenové kategorie

Navigation: Princip práce se systémem Jídelna > Postup práce >

Cenové kategorie

 Return to chapter overview

Dalším krokem, který provedete je vytvoření Cenové kategorie. Cenová kategorie definuje pravidla účtování stravy strávníkovi. V menu vyberte Seznamy/Cenové kategorie. Tím otevřete seznam Cenové kategorie. Seznam je prázdný a proto jej musíte vytvořit.

Pro vytvoření nového záznamu, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím se zobrazí formulář Cenová kategorie, ve kterém vyplníte záložky 1) Formulář záznamu a následně 2) Vlastnosti cenové kategorie.


Formulář cenové kategorie - Formulář záznamu

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie >

Formulář cenové kategorie - Formulář záznamu

 Return to chapter overview

Ve formuláři zadejte základní identifikační údaje o cenové kategorii.

P_Cenove kategorie formular cenove kategorie formular zaznamu

· Kód – povinný údaj. Vyberte kód, podle kterého se budete snadno orientovat.

· Popis – povinný údaj. Popište cenovou kategorii.

· Datum vytvoření – povinný údaj. Vložte datum vytvoření.

· Datum zrušení – vložte datum zrušení, pokud jej víte.

Jakmile vyplníte povinné údaje, potvrďte tlačítkem [image] (po tomto potvrzení formulář neuzavřete) a přejděte na záložku Vlastnosti cenové kategorie.


Formulář cenové kategorie - Vlastnosti cenové kategorie

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie >

Formulář cenové kategorie - Vlastnosti cenové kategorie

 Return to chapter overview

Pomocí Průvodce nastavením cenové kategorie (dále jen průvodce) nastavíte pravidla pro účtování stravy. V průvodci definujete způsob účtování, pravidlo poskytování dotace, maximální možný počet objednávek na den apod. Samotné spuštění průvodce provedete pomocí klávesové zkratky Alt + Insert nebo kliknutím na tlačítko [image] pro vytvoření nového záznamu.

P_Cenove kategorie formular cenove kategorie vlastnosti cenove kategorie

Průvodce se skládá z několika bodů (formulářů). Jednotlivé formuláře obsahují údaje, podle kterých bude účtována objednaná strava. Jestliže nezadáte některý z povinných údajů, budete upozorněni a program při stisknutí tlačítka [image] nenabídne následující formulář. Průvodce také umožňuje návrat k předchozím bodům pomocí tlačítka [image]. Ostatní nepovinné údaje jsou doplňující. Data vyplňujete nebo vybíráte ze seznamů.


Nastavení způsobu účtování

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Nastavení způsobu účtování

 Return to chapter overview

Ve formuláři se nastavuje způsob účtování za objednanou stravu. Provedené nastavení ve formuláři se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

P_Cenove kategorie pruvodce nastavenim cenove kategorie zpusob uctovani

· Platnost od – povinný údaj. Vepište do kolonky měsíc a rok začátku platnosti vytvářené cenové kategorie ve formátu MM.RRRR.

· Způsob účtování – povinný údaj. Vyberte, jak se bude v cenové kategorii účtovat:

o Srážkově - srážkový způsob se používá nejčastěji jako podklad pro srážky z mezd. Vyúčtování probíhá za období zpětně.

o Zálohově - zálohový způsob znamená, že strávník musí mít na účtu dostatečnou hotovost, aby mohl objednat stravu. Můžete zde nadefinovat možnost jít do debetu. Pokud zvolíte tento způsob, pak vyplňte také kolonku Minimální zůstatek. Při vyčerpání kreditu nelze objednat stravu.

· Účtovat jen odebraná jídla - zatrhnutím pole se zapne účtování pouze odebraných jídel. Objednaná jídla, která si strávník neodebere, se účtovat nebudou.

· Zaokrouhlení - nastavte, jak se zaokrouhlí výsledek vyúčtování (menu Stravování/Salda strávníků - sloupec Částka uhradit).

o Vždy dolů - zaokrouhlí částku vždy dolů.

o Normálně - částku standardně zaokrouhlí.

o Vždy nahoru - zaokrouhlí částku vždy nahoru.

o Nezaokrouhlovat - nezaokrouhlí částku.

Tyto částky budou zaokrouhleny na mince, které vyberete v políčku vedle.


Nastavení základního pravidla poskytování dotace

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Nastavení základního pravidla poskytování dotace

 Return to chapter overview

Ve formuláři se nastavuje základní pravidlo pro poskytování dotace. Provedené nastavení ve formuláři se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

P_Cenove kategorie pruvodce nastavenim cenove kategorie formular zakladni pravidlo poskytovani dotace

· Základní pravidlo poskytování dotace – povinný údaj. Vyberte z nabídky základní pravidlo pro účtování jídel:

o Dotovat dle počtu měsíčních dotací – počet dotovaných jídel dosahuje maximálně počtu měsíčních dotací.

o Dotovat dle počtu denních dotací – maximální počet dotovaných jídel je dán součtem denních dotací za účtované období.

o Dotovat denní částkou dotace – pro každý den nároku je generována nastavená částka. Pozor! Tento způsob dotace je možné použít pouze pro srážkový způsob účtování!

o Dotovat vše – jsou dotována všechna jídla.

o Nedotovat nic – není dotované žádné jídlo.

· Dotovat stravu pouze ve dnech nároku na dotaci – políčko je aktivní při volbě Dotovat dle počtu denních dotací – pokud zvolíte tuto možnost, pak je počet dotovaných jídel kontrolován pro každý den. Počet dotací dosahuje maximálně počtu dotací pro daný den - obvykle 1.


Nastavení dotací a denních objednávek

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Nastavení dotací a denních objednávek

 Return to chapter overview

Ve formuláři nastavujete podmínky Dotací a Denních objednávek bez ohledu na typ denního jídla.

P_Cenove kategorie pruvodce nastavenim cenove kategorie formular omezeni dotaci objednavek

Maximální počet dotovaných jídel na jeden den

· Omezit maximální počet dotací na jeden den - zaškrtnutím políčka se aktivuje pole, do nějž zapíšete počet dotací. Jedná se o maximální počet dotovaných jídel strávníka za jeden den, bez ohledu na typ denního jídla. Pokud je nastavení aktivováno, bude strávníkovi pro každý den přiznán maximálně daný počet dotací, nad tento limit dotována nebudou. Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

POZNÁMKA: Pokud chcete určit maximální počet dotací u jednoho typu jídla, lze to provést v průvodci nastavení.

Maximální hodnota celkové denní dotace

· Maximální částka celkové denní dotace - zadanou částkou omezíte maximální hodnotu celkové denní dotace.

· Maximální procento denní dotace z celkové částky - zadanou procentuální hodnotou omezíte maximální hodnoty celkové denní dotace vzhledem k součtu odběrů jídel a plateb. Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

Limity pro platbu kartou v pokladně

· Denní limit pro platbu kartou strávníka - zadejte částku denního limitu pro platbu kartou strávníka.

· Měsíční limit pro platbu kartou strávníka - zadejte částku měsíčního limitu pro platbu kartou strávníka.

· Do limitu započítat - určete, co se má do denního/měsíčního limitu započítat:

o Jen odběry zboží – do limitu budou započítány jen odběry zboží.

o Všechny pohyby na účtu – do limitu budou započítány všechny pohyby na účtu (všechny odběry, dotace apod.). Toto nastavení vyžaduje provádět vyúčtování.

o Všechny odběry (položky jídelníčku i zboží) – do limitu budou započítány veškeré provedené odběry. Toto nastavení rovněž vyžaduje provádět vyúčtování.

· Odběratel pro určení cenové hladiny - nepovinná položka. Odběratel, podle kterého se v modulu Pokladna určí cenová hladina a případně se přepočítají ceny.

Poznámka: Pravidla pro platbu kartou v pokladně se nastavují, pouze pokud je nainstalovaný program Sklad.

Maximální počet objednávek na jeden den

· Omezit maximální počet denních objednávek - zaškrtnutím políčka se aktivuje pole, do nějž zapíšete nejvyšší možný počet denních objednávek bez ohledu na typ denního jídla. Nad tento počet nebude moci strávník objednávat. Pokud není políčko zaškrtnuté, může strávník objednat neomezený počet jídel. Toto omezení se týká pouze objednávání přes dotykový displej a intraweb. Omezení objednávání na terminálech lze nastavit ve formuláři terminálu. Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.


Nastavení terminálů

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Nastavení terminálů

 Return to chapter overview

Formulář je věnován nastavení terminálů objednávacích a výdejních. Nastavení terminálů je důležité pro správnou komunikaci se softwarem Jídelna! Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

P_Cenove kategorie pruvodce nastavenim cenove kategorie formular terminal objednavky

· Číslo cenové kategorie v terminálu – číslo, pod kterým se daná cenová kategorie posílá do terminálu. Každá cenová kategorie musí mít jednoznačné číslo! Na terminálu ACS-Line je hodnota v poli Číslo cenové kategorie v terminálu omezena. Do terminálu lze poslat pouze čísla cenové kategorie v terminálu 1 až 9. Na terminálu DMR-System není hodnota v poli Číslo cenové kategorie v terminálu omezena. Pouze pro hodnoty 0 a vyšší jak 5 se nezobrazuje písmeno na velkém výdejním displeji.

· Maximální počet porcí objednávky/výdeje - maximální počet porcí, které lze objednat na objednávacím terminálu (ACS-Line)/vydat na výdejovém terminálu (DMR-System, ACS-Line).

· Maximální počet porcí výdeje v terminálu - maximální počet porcí, které lze strávníkovi vydat v bezobjednávkovém terminálu. Omezení tohoto počtu v terminálu provedete zatržením pole Omezovat denní počet vydaných jídel podle nastavení cenové kategorie v menu Terminály -> Terminály -> Formulář Terminálu -> Záložka terminál -> Tlačítko Editace parametrů -> Formulář Editor parametrů terminálu DMR. Toto nastavení je implementováno do DMR výdejového terminálu VT a VBT.

POZOR: Nemusí být kontrolováno ve všech typech terminálů!

· Povolit výdej bez objednávky – na výdejovém terminálu můžete provést výdej stravy bez předchozí objednávky. Na terminálu DMR-System lze vydat jídlo bez objednávky, i když není v cenové kategorii její vydání povoleno. Na terminálu ACS-Line toto funguje v pořádku.

· Povolit zrušení objednávky – povolí se zrušení předchozích objednávek na terminálu. Na terminálu DMR-System lze zrušit objednávku, i když není v cenové kategorii její zrušení povoleno. Na terminálu ACS-Line toto funguje v pořádku.

· Povolit změnu počtu objednávek – po zatrhnutí políčka, můžete na terminálu zvolit počet porcí objednávek/výdeje bez objednávky, ale jen maximálně do výše nastavené hodnoty v poli Maximální počet porcí objednávky/výdeje. Na terminálu DMR-System nelze změnit počet objednávek. U terminálu ACS-Line je změna počtu objednávek možná.


Nastavení pravidel výpočtu dotace pro typy denních jídel

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Nastavení pravidel výpočtu dotace pro typy denních jídel

 Return to chapter overview

V následujících formulářích průvodce nastavujete podmínky Dotace a Objednávání jednotlivých typů denních jídel. Zobrazují se postupně po jednotlivých stránkách v pořadí, ve kterém je máte nastaveny v seznamu Typy denních jídel.

P_Cenove kategorie pruvodce nastavenim cenove kategorie formular typy dennich jidel dotace

· Pravidlo výpočtu dotace - pravidla na této stránce se týkají pouze jednoho typu jídla. Pravidla pro další typy jídel lze nastavit na dalších stránkách. Z nabídky vyberte pravidlo pro dotování daného typu jídla:

o Bez dotace – výše uvedené jídlo se nebude dotovat.

o Pevná cena - výše uvedené jídlo bude účtováno vždy stejnou částkou bez ohledu na aktuální cenu.

o Dotace částkou – zvolte dotaci v korunách. Výše uvedené jídlo budete účtovat jako výslednice rozdílu ceny výše uvedeného jídla a peněžní dotace.

o Dotace procentní – zvolte dotaci v procentech. Výše uvedené jídlo budete účtovat jako výslednice rozdílu ceny výše uvedeného jídla a procentní dotace.

Záložka dotace:

· Dotační skupina - slouží pro složitější nastavení dotačních pravidel. Pro nastavení zvolte dotační skupinu. Dotační skupinu je možné jste vytvořili ve Vlastnostech cenové kategorie - Dotační skupiny.

· Maximální počet dotovaných jídel na jeden den (pro daný typ jídla):

o Omezit maximální počet dotovaných jídel na den – maximální počet výše uvedeného jídla, která jsou strávníkovi pro daný typ jídla za jeden den dotována.

o Omezit maximální počet dotací na den v rámci skupiny - maximální počet jídel, která jsou dotována v rámci dotační skupiny.

· Podmínka přiznání dotace - zde se může určit podmínka přiznání dotace denního jídla u zvolené cenové kategorie.

Záložka objednávání:

P_Cenove kategorie pruvodce nastavenim cenove kategorie formular typy dennich jidel objednavani

· Omezit maximální počet objednávek na den - zaškrtnutím políčka se aktivuje pole, do nějž zapíšete nejvyšší možný počet denních objednávek. Tímto omezením lze nastavit maximální počet objednávek strávníka za jeden den pro daný typ denního jídla. Toto omezení se týká pouze objednávání přes dotykový displej a intraweb. Omezení objednávání lze nastavit ve formuláři terminálu. Pokud chcete nastavit maximální počet dotovaných jídel na den bez ohledu na typ jídla, vraťte se do Nastavení dotací a denních objednávek.

· Zobrazené ceny během objednávek - zde si nastavíte cenu denního jídla, která se bude zobrazovat strávníkovi při objednávání. Zobrazení ceny během objednávek se týká jen objednávání přes internet nebo dotykový panel!! Zobrazit můžete následující:

o Nezobrazovat žádnou cenu - nezobrazí žádnou cenu.

o Plná cena z jídelníčku - zobrazí plnou cenu z jídelníčku.

o Dotovaná cena - zobrazí dotovanou cenu.

o Plná i dotovaná cena - zobrazí dotovanou i plnou cenu.

Výše uvedeným způsobem nastavíte pravidla pro další Typy denních jídel. Po nastavení všech Typů denních jídel se zobrazí poslední formulář.


Nastavení bylo ukončeno

Navigation: Princip práce se systémem Jídelna > Postup práce > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Nastavení bylo ukončeno

 Return to chapter overview

Formulář vám oznamuje, že nastavení cenové kategorie bylo ukončeno. Pokud chcete nastavení uložit, klikněte na tlačítko [image].

Dokončením práce s průvodcem se uložená data zobrazí ve vlastnostech cenové kategorie v záložkách Základní nastavení, Pravidla pro typy denních jídel a Platba kartou.


Strávníci

Navigation: Princip práce se systémem Jídelna > Postup práce >

Strávníci

 Return to chapter overview

Dalším krokem, který provedete je vytvoření seznamu Strávníků. V menu vyberte Seznamy/Strávníci. Tím se otevře seznam Strávníci. Pomocí Průvodce přidáním nového strávníka (dále jen průvodce) můžete vložit údaje nového strávníka. Samotné spuštění průvodce provedete pomocí klávesové zkratky Alt + Insert nebo kliknutím na tlačítko [image] Nový záznam pro vložení nového záznamu.

Průvodce se skládá z několika bodů (formulářů). Jednotlivé formuláře obsahují povinné a nepovinné údaje. Jestliže nezadáte některý z povinných údajů (tučným písmem), budete upozorněni a program při stisknutí tlačítka [image] nenabídne následující formulář. Průvodce také umožňuje návrat k předchozím bodům pomocí tlačítka [image]. Ostatní nepovinné údaje jsou doplňující. Data vyplňujete nebo vybíráte ze seznamů. Všechny nabízené seznamy můžete upravovat přímo v průvodci rozkliknutím seznamu (podtržené označení) a použitím tlačítka pro vložení nového záznamu nebo pro editaci.


Základní údaje

Navigation: Princip práce se systémem Jídelna > Postup práce > Strávníci >

Základní údaje

 Return to chapter overview

Provedené nastavení se projeví ve Formuláři strávníka - Hlavní údaje. Je potřeba vyplnit tučně zvýrazněné údaje:

P_Stravnici pruvodce pridanim noveho stravnika zakladni udaje

· Rodné číslo - povinný údaj. Vyplňte rodné číslo strávníka. V případě, že nechcete vést evidenci dle rodných čísel, zadejte číslo jiné, libovolné, které bude sloužit jako identifikační.

· Titul - vyplňte titul před jménem.

· Jméno - vepište jméno strávníka.

· Příjmení - povinný údaj. Vyplňte příjmení.

· Titul za - vyplňte titul za jménem.

· Typ osoby - zde vyberte z lišty, o jakého strávníka se jedná, zda o vlastního zaměstnance - strávníka nebo o zaměstnance jiné firmy.

· Osobní číslo -povinný údaj. Identifikační číslo pracovního poměru.

· Den nástupu - povinný údaj. Zadejte jej ve formátu D.M.RRRR. Od tohoto data lze se strávníkem v systému pracovat jako s aktivním.

· Poznámka - zde si můžete vepsat libovolné, pro vás důležité, informace.

· Foto - dvojklikem do prostoru určeného pro fotografii se dostanete do vlastních adresářů, z nichž můžete fotografii načíst do formuláře.


Identifikační médium

Navigation: Princip práce se systémem Jídelna > Postup práce > Strávníci >

Identifikační médium

 Return to chapter overview

V následujícím formuláři strávníkovi přidělíte Identifikační médium. ID médium slouží pro objednání a výdej stravy na terminálech. Provedené nastavení se projeví ve Formuláři strávníka - ID média. Více o Identifikačních médiích naleznete v kapitole Identifikační média.

P_Stravnici pruvodce pridanim noveho stravnika identifikacni medium

· Identifikační médium - položka umožňující výběr z definovaného seznamu, a to:

o kliknutím na podtržený nadpis Identifikační médium - otevře se seznam pro Výběr identifikačního média.

P_Stravnici pruvodce pridanim noveho stravnika vyber identifikacniho media

V seznamu můžete editovat stávající údaje tlačítkem [image] Editace záznamu nebo vkládat nové tlačítkem [image] Nový záznam.

P_Stravnici pruvodce pridanim noveho stravnika formular identifikacni medium

· Kód – povinný údaj. Číslo identifikačního média, jde o identifikátor přiřazený médiu při jeho výrobě.

· Označení média – povinný údaj. Textová identifikace (například pořadové číslo média).

· Biometrická šablona – pokud máte modul zakoupen, je tato položka aktivní.

· Datum pořízení – povinný údaj. Datum pořízení ve formátu DD.MM.RRRR.

· Datum vyřazení – datum vyřazení média z evidence.

· Způsob vyřazení – vyberte z připravených možností, jak bylo ID médium vyřazeno (poškozená, ztracená, vadná, ostatní).

· Blokována – zvolte, pokud chcete pozastavit funkčnost média v systému. Blokace začne být aktivní až po zadání na terminálu!

· Záloha na médium – zadejte cenu média.

· Poznámka – textová informace.

o kliknutím na [image] - otevře se výběrový seznam.

Načtení ID média (Ctrl+I) - slouží pro rychlé přiřazení karty nové osobě. Po přiložení karty ke čtecí hlavě program přiřadí načtenou kartu osobě. Pokud karta není v seznamu ID médií, zobrazí se formulář, ve kterém zadáte nové Identifikační médium. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

· PIN - pokud má identifikační médium PIN, můžete ho zde zapsat.


Jídelna a Cenová kategorie

Navigation: Princip práce se systémem Jídelna > Postup práce > Strávníci >

Jídelna a Cenová kategorie

 Return to chapter overview

V následujícím formuláři strávníkovi přidělíte Jídelnu a Cenovou kategorii. Pro vybranou jídelnu si strávník objednává jídla a podle cenové kategorie je mu účtována objednaná strava. Provedené nastavení se projeví ve formuláři strávníka - Rozdělení.

P_Stravnici pruvodce pridanim noveho stravnika jidelna cenova kategorie

· Jídelna - položka umožňující výběr z definovaného seznamu, a to:

o kliknutím na podtržený nadpis Jídelna - otevře se seznam pro Výběr jídelny, ve kterém můžete editovat stávající údaje tlačítkem [image] Editace záznamu nebo vkládat nové tlačítkem [image] Nový záznam. Více o Jídelně naleznete v kapitole Jídelny.

P_Stravnici pruvodce pridanim noveho stravnika vyber jidelny

o kliknutím na [image] - otevře se výběrový seznam.

· Cenová kategorie - položka umožňující výběr z definovaného seznamu, a to:

o kliknutím na podtržený nadpis Cenová kategorie - otevře se seznam pro Výběr cenové kategorie, ve kterém můžete editovat stávající údaje tlačítkem [image] Editace záznamu nebo vkládat nové tlačítkem [image] Nový záznam. Více o Cenové kategorii naleznete v kapitole Cenové kategorie.

P_Stravnici pruvodce pridanim noveho stravnika vyber cenove kategorie

o kliknutím na [image] - otevře se výběrový seznam.


Ukončení průvodce

Navigation: Princip práce se systémem Jídelna > Postup práce > Strávníci >

Ukončení průvodce

 Return to chapter overview

Po výběru jídelny a cenové kategorie se tlačítkem [image] dostanete k poslednímu kroku v průvodci. V zobrazeném formuláři nového strávníka můžete zadané údaje zkontrolovat, upravit, případně doplnit o další požadované.

P_Stravnici formular stravnika hlavni udaje

POZNÁMKA: Doplnění potřebných údajů je možné po otevření formuláře daného strávníka.


Generování jídelníčku do terminálu

Navigation: Princip práce se systémem Jídelna > Postup práce >

Generování jídelníčku do terminálu

 Return to chapter overview

V menu vyberte Terminály/Generování jídelníčku do terminálů. Tím otevřete formulář Generování jídelníčku do terminálu. Klikněte na tlačítko [image]. Tímto krokem generujete jídelníček do terminálu.

P_Generovani jidelnicku do terminalu


Postup zpracovani v bodech

Navigation: Princip práce se systémem Jídelna >

Postup zpracovani v bodech

 Return to chapter overview

Samotné zpracování dat v jídelním systému si můžeme shrnout do bodů. Princip opakované práce s jídelním systémem se skládá z několika samostatných operací, které však musí být realizovány v logickém sledu.

Pravidelná (denní) práce s jídelním systémem:

Ø Vytváření jídelníčku

Je třeba pravidelně vytvářet a potvrzovat jídelníček na další týden. Na jak dlouhou dobu dopředu budete jídelníček vytvářet je čistě na vašem uvážení. Protože mohou nastat situace, kdy dojde ke změnám, které se neprojeví ve vytvořeném jídelníčku a vy budete muset v jídelníčku provádět úpravy, je doporučená délka vytvořeného a potvrzeného jídelníčku jeden měsíc. K této situaci může například dojít, když změníte cenu jídla. Jídelníček vytvoříte v menu Stravování/Jídelníček. Postup na vytváření jídelníčků je popsán v kapitole Jídelníček.

POZOR: Z jídelníčku není možné objednávat, pokud není potvrzen.

Ø Generování jídelníčku do terminálu

Aby si strávníci mohli objednávat jídlo na terminálu, je třeba pravidelně posílat vytvořené a potvrzené jídelníčky do objednávacích terminálů. Pro odeslání dat do objednávacích terminálů použijete volbu v menu Terminály/Generování jídelníčku do terminálů.

Ø Zjištění počtu denních objednávek

Abyste měli přehled, kolik jídel je třeba dovést nebo navařit, budete potřebovat pravidelně zjišťovat počet denních objednávek. Souhrnný počet denních objednávek zjistíte v menu Stravování/Denní přehled objednávek. Objednávky je nutné zjišťovat po ukončení objednávání na terminálu na daný den. Kdy se ukončují objednávky, zjistíte v menu Seznamy/Jídelny/Formulář jídelny - Objednávací pravidla. Po ukončení objednávek je třeba provést v menu Terminál/Načítání objednávek z terminálu.

Ø Výdej jídel

Aby si mohli strávníci objednanou stravu vyzvednout na výdejních terminálech, je třeba provést v menu Terminály/Generování (příprava) výdeje do terminálů. Tento krok je třeba udělat před začátkem vydávání jídel. Kdy začínáte vydávat jídlo, se dozvíte v menu Terminály/Terminály/Formulář terminálu - Časy výdeje. Pokud budete potřebovat během výdeje jídel zjistit aktuální stav vydaných/nevydaných jídel použijte k tomu tlačítka na výdejním terminálu.

POZOR: Během výdeje jídel nesmějí být načítána vydaná jídla z terminálu do programu. V případě, že by se tak stalo, dojde pravděpodobně k chybám.

Ø Načítání vydaných jídel z terminálu

Po ukončení výdeje je třeba provést v menu Terminály/Načítání vydaných jídel z terminálu. Program si postupně vydaná jídla načte z terminálů a uloží je do Odběrů jídel v menu Stravování.

Ø Manuální vložení operace

Během objednávání či výdejů jídel mohou nastat různé situace, kdy je nezbytné dodat informace manuálně do programu Jídelna. Manuálně můžete strávníkovi objednat stravu, vložit výdej objednaného jídla nebo vložit odběr jídla (neobjednaného). Více se dozvíte v kapitolách Individuální objednávky osob, Manuální výdej objednaného jídla, Manuální vložení odběru jídla.

Ø Editace (úpravy) dat

V některých případech se může stát, že strávníkovi budete potřebovat zrušit odběr jídla (například pokud se při manuálním vkládání spletete a vyberete jinou osobu, datum apod.). Zrušení chybně zadaného jídla zrušíte v menu Stravování/Odběry jídel. Po zrušení se položka zobrazí ve zrušených odběrech jídel. Můžou nastat situace, kdy budete potřebovat doplnit či změnit dotace osob. Více informací se dozvíte v kapitolách Denní dotace - seznam, Měsíční dotace - seznam, Dotace - dle osob.

Ø Vyúčtování stravného

Aby strávníci mohli zjistit (například na intrawebu, touchscreenu) přehledu pohybů na účtu je třeba pravidelně provádět vyúčtování.

Vyúčtování spustíte v programu v menu Stravování/Vyúčtování. Program provede vyúčtování všech strávníků a všech otevřených období.

TIP: Vyúčtování stravy můžete provádět ručně nebo v plánovači úloh nastavit automatické vyúčtování ve zvoleném čase. Více v kapitole Plánovač úloh.

Ø Výsledky a tisky

Pro přehledné a rychlé vytváření, editování, případně vytištění sestav slouží manažer výstupních sestav, který může být vyvolán volbou v menu Výstupy/Manažer výstupních sestav, nebo seznamy tiskových sestav, které můžete otevřít na různých místech programu stiskem tlačítka [image] Tiskové sestavy, případně kombinací kláves CTRL+T. Výstupní sestavy poskytují maximum informací o objednávkách, odběrech či o pohybech na účtech a zároveň slouží jako podklady pro mzdové systémy v tiskové i datové podobě.

Ø Uzavření období

Data v programu Jídelna jsou zpracována a vy můžete uzavřít zpracovávané období a založit období nové. V praxi doplňujete ještě několik dní záznamy starého měsíce a připravujete výsledky pro zpracování mezd. Nové období však musí umožňovat pokračování v práci. Proto budete nové období zakládat vždy dříve, než budete staré období definitivně uzavírat. Souběžná práce ve více obdobích není pro tento systém žádným problémem. To znamená, že můžete kontrolovat data starého měsíce a již sbírat a upravovat data v měsíci novém.

Ø Zálohování databáze

Zálohování dat je jednou ze základních nutností při práci s počítačem. Je v zájmu Vás, uživatelů, abyste si veškerá data (databázi) uložili pro případ ztráty dat z původní databáze. Zálohování databáze provedete v menu Systém/Správa databáze/Zálohování databáze.

TIP: Zálohování databáze můžete provádět ručně nebo v plánovači úloh nastavit automatické zálohování ve zvoleném čase. Více v kapitole Plánovač úloh.

Tento popis postupu práce by Vám měl ujasnit logickou posloupnost jednotlivých kroků, které musíte provést pro zpracování dat v programu Jídelna. Detailní popis těchto operací najdete dále v manuálu. Při ustáleném provozu systému se činnost týkající se nastavení systému velmi omezuje. Pokud si nastavíte pomocí plánovače úloh automatické načítání a zpracování dat, můžete potom svou činnost omezit pouze na editaci zpracovaných dat. Nikdy se samozřejmě nevyhnete občasnému zásahu do nastavení systému.


Systém

Navigation: »No topics above this level«

Systém

 Return to chapter overview

Menu Systém, které se nachází na hlavní liště, je velice důležitým prvkem programu pro uživatele i pro správce sítě:

Výběr období... |
Nastavení | J_Sipka doprava seznamy
Import/Export | J_Sipka doprava seznamy
Multilicence |
Správa databáze | J_Sipka doprava seznamy
Seznam počítačů připojených k databázi |
Stavový řádek |
Rychlé menu Ctrl+Q |
Plovoucí nápověda |
Konec Alt+F4 |

Pokud v menu "Systém/Správa databáze/Nastavení zabezpečení" zvolíte možnost Zabezpečení heslem, popřípadě Zabezpečení systémem uživatelů a práv, rozšíří se nabídka menu Systém o položky Změna hesla uživatele a Přihlášení jiného uživatele.


Výběr období

Navigation: Systém >

Výběr období

 Return to chapter overview

Systém standardně pracuje v měsíčním režimu zpracování dat. Nastavení období provedete v menu Systém/Výběr období. Zobrazí se seznam již založených období v systému. Pokud jste založili novou databázi, je seznam prázdný. Základní časovou jednotkou programu, podle které pracuje, je jeden měsíc. V seznamu období nemůžete mazat ani upravovat data období. Vytváření dalšího období automaticky vytvoří další měsíc. Nemáte tedy možnost se vrátit zpět nebo nějaké období vynechat.

Obdobi vyber obdobi

Formulář obsahuje v levé části seznam všech vytvořených období a na pravé straně tlačítka pro práci s nimi. Vámi požadované období si zvolíte kliknutím na řádek s obdobím a tlačítkem [image] volbu potvrdíte. Tlačítko [image] uzavře formulář a ponechá aktivováno stávající období. Tlačítko [image] vám otevře dané období. Tlačítko [image] jej naopak uzavře.

V levé části nad seznamem období najdete přepínání obsahu na Všechna období a Aktuální rok. Zvolíte-li všechna období, zobrazí se historie všech dříve vytvořených období. Zvolíte-li aktuální rok, budou se vám pro přehlednost zobrazovat pouze období aktuálního roku, která korespondují s daty v počítači.

Vytvoření prvního období:

Stiskněte tlačítko [image] Nový záznam v horní části seznamu období. Máte možnost zadat počátek a konec prvního období. Standardně Vám program nabídne aktuální měsíc. Pokud vše souhlasí, klikněte [image].

Obdobi vyber obdobi formular noveho obdobi

POZOR: Buďte opatrní při zakládání prvního období. Pokud špatně zvolíte první období, nemůže to již změnit!

Vytvoření dalšího období:

Pro vytvoření dalšího období používáte stejnou volbu jako u období prvního ovšem bez možnosti zadat datum období. Systém automaticky vytvoří následující měsíc k poslednímu evidovanému měsíci.

Výběr období:

Pro práci musíte mít vybráno aktuální období, se kterým chcete pracovat. Označte zvolené období a stiskněte tlačítko [image]. Volba období má vliv na zobrazení dat. Zobrazují se vždy data vybraného období.

Uzavření a otevření období:

V uzavřeném období není možné provádět úpravy dat. Pokud jsou data zpracovaná, proveďte uzavření období. Jedná se o bezpečnostní opatření zajišťující, že nikdo neprovede zpětně úpravy dat. Tato operace není nevratná, takže se nemusíte bát období uzavřít tlačítkem [image]. Pokud jste provedli uzavření a zjistíte, že musíte provést ještě nějaké úpravy, můžete jednoduše použít tlačítko [image] pro otevření období. Pokud chcete mít data pod kontrolou, můžete nastavit přístupová práva k možnostem otevírání a uzavírání období tak, aby tyto operace mohl provádět pouze oprávněný uživatel.

POZOR: Nezavírejte období za obdobím, které zpracováváte (např. zpracováváte září a následující vytvořená období jsou říjen, listopad a prosinec. Ta období NESMÍ být uzavřena).


Nastavení

Navigation: Systém >

Nastavení

 Return to chapter overview

Program Jídelna umožňuje nastavení následujících položek:

Nastavení aplikace...

Nastavení intrawebu...


Nastavení aplikace

Navigation: Systém > Nastavení >

Nastavení aplikace

 Return to chapter overview

Formulář Nastavení aplikace obsahuje v levé části strom s výběrem, jehož částmi jsou:

Uživatelské nastavení

Vlastnosti formulářů

Lokální nastavení

Načítání ID média

Společenské nastavení

Pracovní poměry

Import pracovních poměrů

Export

ID média

Dotace

Uživatelská pole osob

Seznam pracovních poměrů

Jídelna

Touchscreen

Docházka

Tisk

Burza

Active directory

Hodnoty, které nastavíte ve společném nastavení, jsou shodné pro celou aplikaci. Rozděleny jsou do několika částí podle logické příslušnosti.

Pravá část zobrazí po výběru požadované nastavení.


Uživatelské nastavení

Navigation: Systém > Nastavení > Nastavení aplikace >

Uživatelské nastavení

 Return to chapter overview

Otevřením Uživatelského nastavení se Vám ukáže sdělení o tom, že uživatelské nastavení je ukládáno do databáze pro každého uživatele zvlášť.


Vlastnosti formulářů

Navigation: Systém > Nastavení > Nastavení aplikace > Uživatelské nastavení >

Vlastnosti formulářů

 Return to chapter overview

Ve formuláři je zobrazena položka:

Uzivatelske nastaveni vlastnosti formularu

· Dotazy při přesunu mezi dvěma seznamy - pokud v nastavení tuto volbu neaktivujete, nebude se program ptát, jestli má změnu skutečně provést, a provede ji automaticky. V tomto případě závisí čistě na uživateli, jaké nastavení si zvolí. Při zapnuté volbě jsou všechny přesuny potvrzovány, čímž můžete zabránit nechtěným přesunům. Nevýhodou pro některé uživatele může být potřeba neustálého potvrzování přesunu kontrolním dotazem.

Formular ID media presun mezi dvema seznamy

Ukázka formuláře rozděleného do dvou seznamů

Pro názorné zobrazení dat jsou některé formuláře rozděleny do dvou seznamů, mezi kterými můžete položky přesouvat (zleva doprava a zpět). Většinou se jedná o zobrazení všech položek seznamu v jednom okně a v druhém jsou pak aktuálně vybrané a používané položky z tohoto seznamu. Pro přesun mezi těmito seznamy se používá označení položky a stisk tlačítka se šipkou uprostřed mezi seznamy. Pokud chcete přesunout všechny položky, stiskněte dvojitou šipku. Šipky vždy názorně ukazují směr přesunu položek.

S přesuny dat mezi dvěma stranami se setkáte například ve Formuláři rozdělení - Členové rozdělení apod.

· Akce při přesunutí (dragdrop) celého jídla na položku jídelníčku - v jídelníčku můžete přesunout položku celého jídla na položku jídelníčku. V položce můžete nastavit jak se má přesunutá položka chovat.

o Zeptat se - po prvním přesunutí položky celého jídla v jídelníčku se zobrazí dotaz, ve kterém zvolíte, co se má s položkou provést. Zda se má existující položka jídelníčku přepsat nebo vložit nová položka jídelníčku. Také můžete zvolit, zda se má při dalším přesunu položky program opět zeptat.

o Přepsat existující položku - existující položka jídelníčku bude přepsána vybranou položkou celého jídla.

o Přidat novou položku - do jídelníčku bude vybraná položka celého jídla vložena jako nová položka jídelníčku.


Lokální nastavení

Navigation: Systém > Nastavení > Nastavení aplikace >

Lokální nastavení

 Return to chapter overview

Otevřením Lokálního nastavení se vám ukáže sdělení o tom, že lokální nastavení se týká pouze počítače, na kterém je aplikace spuštěna, a je ukládána na lokální disk do adresáře Windows.


Načítání ID média

Některé typy terminálů umožňují načítání čísla identifikačního média do seznamu identifikačních médií. Tato možnost je vhodná ve chvíli, kdy potřebujete do seznamu médií zapsat nová média, která jste k systému dostali nebo koupili.

Lokalni nastaveni Nacitani ID media

· Terminál pro načítání kódu ve formuláři ID média - ze seznamu vyberte terminál pro načítání kódu ve formuláři ID média. Ten definujete v menu Terminály/Terminály.

· Používat kód média 2 - zde si můžete zvolit, který ze dvou kódů chcete používat při výdeji přes touchscreen. Nastavení více ID médií provedete v menu Systém/Společné nastavení - ID média.

· Nastavení výdejního místa pro softwarový výdej - ze seznamu vyberte výdejní místo pro softwarový výdej. Seznam výdejních míst naplníte v menu Terminály/Výdejní místa.


Společné nastavení

Navigation: Systém > Nastavení > Nastavení aplikace >

Společné nastavení

 Return to chapter overview

Otevřením Společného nastavení se Vám ukáže sdělení o tom, že společné nastavení je ukládáno do databáze a je pro všechny uživatele společné.


Pracovní poměry

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Pracovní poměry

 Return to chapter overview

Ve formuláři zvolte následující zaškrtávací položky:

Spolecne nastaveni pracovni pomery

· Kontrolovat duplicitu osobních čísel - po zaškrtnutí této volby se kontroluje duplicita osobních čísel. Při zapsání stejného čísla Vás program upozorní "Toto osobní číslo je již použito. Povolit uložení duplicitního osobního čísla?". Dotaz můžete potvrdit tlačítkem ANO nebo odmítnout tlačítkem NE a osobní číslo přepsat na jiné.

· Ukončovat rozdělení dle pracovního poměru, Ukončovat kalendář dle pracovního poměru, Ukončovat ID médium dle pracovního poměru - v případě označení těchto možností se vše automaticky ukončí okamžikem ukončení pracovního poměru (zadáním data výstupu ve Formuláři strávníka).

TIP: Pokud v aplikaci nebudete mít označenou volbu "Ukončovat kalendář dle pracovního poměru" - pracovní poměr se sice ukončí, ale kalendář zůstane přiřazen. Umožní to zpracování docházky i u zaměstnance, který např. ukončil pracovní poměr v průběhu měsíce.


Import

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Import

 Return to chapter overview

Standardně program komunikuje při importu se mzdových systémem RONMZDY. Import je prováděn z textových souborů. Pokud tedy máte mzdový systém, ze kterého byste chtěli importovat data do programu, můžete si formáty připravit podle implicitního formátu RONMZDY.

Nastavte cestu do adresáře, ze kterého program bude načítat data poskytovaná mzdovým systémem. Jde o určení místa na disku.

Spolecne nastaveni import pracovnich pomeru

· Identifikovat pracovní poměr podle: RČ, Osobní číslo, Pořadovné číslo PP - tato volba určuje, že při importu pracovního poměru se bude hledat již existující odpovídající pracovní poměr podle polí: RČ, Osobní číslo, Pořadové číslo PP. Ostatní pole včetně data nástupu budou aktualizována.


Export

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Export

 Return to chapter overview

Data z programu je možné použít jako podklad pro zpracování mezd. Pokud je Váš mzdový systém schopen přijímat data z programu v textovém souboru, můžete si export do textového souboru pro mzdový systém nastavit. Program umožňuje nastavit libovolný počet exportovaných textových souborů s vlastním nadefinovaným formátem.

Pokud si na nastavení vlastního exportu netroufáte, kontaktujte linku podpory RON Software.

V jednoduché variantě stačí jedno nastavení exportu. Pokud je však export komplikovanější, může být zapotřebí nastavení více různých exportů (pro každou skupinu zaměstnanců jiný export). Z tohoto důvodu je možné nastavení exportů ukládat pod různými názvy - mít více různých exportů a k těmto exportům přiřazovat skupiny osob, které se budou exportovat.

Spolecne nastaveni export

Postup vytvoření nastavení exportu:

- stiskněte tlačítko [image] a zadejte název exportu (např. ABC_MZDY).

- vyplňte část Nastavení aktuálního exportu se všemi níže popsanými vlastnostmi - položkami (pokud chcete vytvořit více druhů exportů, opakujte předchozí kroky).

· Cílový soubor - toto pole slouží pro zadání názvu cílového souboru zobrazeného exportu. Do tohoto souboru se budou exportovaná data ukládat. Název souboru může obsahovat proměnné s definicí formátu datumu, které budou při provádění samotného exportu nahrazeny hodnotou podle aktuálního období. Proměnné s formátem datumu se do názvu vkládají tak, že se daný formát datumu ohraničí mezi znaky: %%. Jako formátovací znaky lze použít tyto řetězce: mm yy yyyy. Proměnných s formátem datumu je možno do názvu souboru vkládat libovolné množství.

PŘÍKLAD: Pro zadaný název cílového souboru: "c:\temp\export%mmyyyy%.txt" a aktuální období červen 2008, bude výsledný název souboru tento:

"c:\temp\export062008.txt".

· Přidávat záznamy do již existujícího souboru - pokud je tato volba aktivována, pak při provádění daného exportu bude provedena kontrola, zda daný soubor již existuje a pokud soubor existuje, pak původní obsah bude zachován a záznamy budou přidány na konec souboru. V opačném případě bude původní obsah souboru před exportem vymazán a bude naplněn novými daty.

· Povolit export v neuzavřeném období - po zatrhnutí je možné provést export v otevřeném období.

· Definice formátu - toto pole slouží pro definování jednotlivých řádků (záznamů) formátu exportu. Pro definici formátu stiskněte tlačítko [image].

· Platnost pracovních poměrů - zvolte, které pracovní poměry chcete exportovat (Aktivní, Ukončené, Všechny).

· Exportovat i zaměstnance jiné firmy - pokud je tato volba aktivována, pak při provádění exportu budou exportovány i údaje zaměstnanců jiné firmy.

· Exportovat jen zaměstnance jiné firmy - pokud je tato volba aktivována, pak při provádění exportu budou exportovány jen údaje zaměstnanců jiné firmy.

· Exportovat jen zaměstnance podle zvoleného rozdělení - pokud je tato volba aktivována, pak při provádění akt. exportu budou exportovány jen údaje zaměstnanců, kteří jsou přiřazeni do rozdělení nastavených v následujících dvou polích. Tuto volbu použijete, pokud potřebujete pro jednotlivé skupiny zaměstnanců definovat různé exporty. Například pro dělníky převádíte přesčasy a pro techniky přesčasy do exportu nedáváte.

o Typ rozdělení - toto pole určuje typ rozdělení, pro které bude omezen výběr zaměstnanců pro akt. export.

o Volba rozdělení před exportem - pomocí této volby aktivujete výběr konkrétních rozdělení podle přednastaveného typu, prostřednictvím formuláře ze seznamem rozdělení před provedením exportu. Pokud není volba aktivována, máte možnost zadat Seznam kódů rozdělení.

o Seznam kódů rozdělení - toto pole obsahuje kódy rozdělení zaměstnanců (oddělené středníkem). V položce Typ rozdělení jste vybrali nějaké rozdělení např. "Skupina". V této položce vypište seznam skupin, pro které se bude provádět tento export. Všichni zaměstnanci, kteří se během zpracovávaného období (měsíce) stali členy této "skupiny" budou obsaženi v exportu.

Další informace naleznete v kapitole POSTUPY.


ID média

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

ID média

 Return to chapter overview

Funkci využijete hlavně, pokud jste nuceni používat více druhů identifikačních médií, nebo pokud přecházíte z jednoho druhu médií na druhý a je tedy nutné používat více kódů identifikačních médií.

ID media spolecne nastaveni ID media

· Povolit zaměstnancům přiřazení více ID médií - pokud aktivujete tuto funkci, pak můžete přiřadit zaměstnancům více ID médií. V opačném případě aplikace odmítne přiřadit další ID médium s hláškou "Nelze přiřadit identifikační médium, dokud je platné jiné přiřazení", pokud již má jedno přiřazeno.

· Používat 2 kódy ID média - pokud kolonku zaškrtnete, pak v liště Terminály/Identifikační média ve formuláři Identifikační médium se zobrazí k vyplnění dvě kolonky pro vyplnění kódu.

ID media terminaly ID media identifikacni medium formular zaznamu

Více o identifikačních médiích v kapitole Identifikační média.


Dotace

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Dotace

 Return to chapter overview

Ve formuláři nastavujete potřebné údaje, jen pokud máte program jídelna propojen s naším docházkovým systémem.

Spolecne nastaveni dotace

· Importovat denní dotace při vyúčtování z ADS (kalendářní dny denních výsledků) - při zaškrtnutí této volby program importuje nároky na dotace z docházkového systému. Nároky na dotaci se zobrazí v Denních dotací - seznam a Denních dotací - dle osob.

· Typ časové složky pro import - z výběru nastavte typ časové složky.


Uživatelská pole osob

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Uživatelská pole osob

 Return to chapter overview

Nastavení těchto parametrů je vázané na kartu zaměstnance, konkrétně na položku Ostatní údaje. V tomto nastavení je možno upravit titulky pro zobrazení u jednotlivých uživatelských polí. V tomto formuláři se nastavují titulky uživatelských polí osob, ale také titulky uživatelských polí pracovního poměru.

Pokud zde nastavíte titulek (např. Typ řidičského oprávnění), bude ve formuláři zaměstnance v ostatních údajích zobrazeno pole s titulkem Typ řidičského oprávnění.

Spolecne nastaveni Uzivatelska pole osob


Seznam pracovních poměrů

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Seznam pracovních poměrů

 Return to chapter overview

Zaškrtnutím rozdělení provedete výběr položek, které se následně zobrazí v seznamu typů pracovních poměrů.

Pole osob spolecne nastaveni seznam pracovnich pomeru


Jídelna

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Jídelna

 Return to chapter overview

Ve formuláři můžete provést následující nastavení:

Spolecne nastaveni jidelna

· Povolit porušení nastavených pravidel při manuální změně objednávky - v případě nezatrhnutí políčka Vám program neumožní manuální převedení objednaného jídla na jinou osobu v menu Stravování/Manuální změna objednávky jídla.


Touchscreen

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Touchscreen

 Return to chapter overview

Spolecne nastaveni touchscreen

· Doba, po které se uzavře touchscreen v případě neaktivity - nastavte dobu v sekundách, po které se touchscreen uzavře v případě neaktivity. Šipkami zvolte požadovanou časovou prodlevu.

· Strávník musí potvrdit druhou a další objednávku - po zatržení pole se při objednání druhého a dalšího jídla v jednom dni zobrazí dotaz, zda si strávník opravdu přeje objednat další jídlo. Dotaz je potřeba potvrdit jednou ze dvou nabízených možností (Ano, Ne).

· Strávník musí objednávku na touchscreenu potvrdit kartou - po zatržení pole musí strávník každou objednávku/zrušení jídla potvrdit kartou.

· Doba, čekání na potvrzení objednávky - nastavte dobu v sekundách, po kterou bude touchscreen čekat na potvrzení objednávky.

· Provést vyúčtování po objednání nebo zrušení objednávky - po objednání/zrušení jídla se provede vyúčtování. Pokud pole zaškrtnuté nebude, potom se účet aktualizuje až po manuálním vyúčtování (Stravování/Vyúčtování) anebo po automatickém vyúčtování, které je nastaveno v plánovači úloh.
· Zobrazit zprávy a dotazy přes celou obrazovku - po zatržení pole budou veškeré zprávy a dotazy pole zobrazeny přes celou obrazovku.

· Výška řádku položky jídla na Touchscreenu - z nabídky vyberte výšku řádku položky jídla na touchscreenu. Může se nastavit řádek automaticky podle rozlišení, s malou výškou, se střední výškou nebo s velkou výškou řádku.

· Obrázek pro touchscreen - může se zvolit obrázek pro touchscreen, a to dvojklikem na plochu pole pro obrázek.

· Doba, po které se uvolní a znovu načte driver čtečky - pokud je problém se čtením karet nastavte dobu v sekundách, za kterou se driver čtečky uvolní a znovu načte. Pokud není se čtením karet žádný problém, ponechte hodnotu 0.


Docházka

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení > Touchscreen >

Docházka

 Return to chapter overview

Ve formuláři máte možnost povolit docházku v touchscreenu. Dále zde můžete nastavit sloupce, které přihlášený uživatel uvidí v přehledu denních výsledků. V pravé části je seznam všech dostupných časových složek a v levém je seznam Vámi vybraných sestav, které chcete zobrazit. Seznam přenesete do druhé části označením vybrané časové složky a stiskem tlačítka J_Sipka seda vlevo, které je umístěno uprostřed mezi seznamy. Zatržením zobrazování prázdných kolonek dojde k zobrazení všech dostupných sloupců sestavy tedy i těch s nulovou hodnotou výsledku.

Spolecne nastaveni touchscreen dochazka

POZNÁMKA: Funkce je přístupná, jen pokud je nainstalovaný program Docházka!


Tisk

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Tisk

 Return to chapter overview

Ve formuláři můžete provést následující nastavení:

Spolecne nastaveni tisk

· Sestava pro tisk potvrzení platby stravného - vyberte sestavu pro tisk potvrzení platby stravného. Nastavení se projeví při tisku dokladu o zaplacení stravného v menu Stravování/Manuální vklad/výběr hotovosti.

Sestava pro tisk potvrzení platby stravného se do programu Jídelna načte následujícím způsobem:

- otevřete si seznam Pohyby na účtu (menu Stravování/Pohyby na účtu),

- stiskněte ikonu [image] Tiskové sestavy,

- načtěte sestavu ze souboru tlačítkem [image] Načíst novou sestavu ze souboru,

- sestavu načtěte a otevřete ji,

- načtenou sestavu si po té můžete vybrat pro tisk potvrzení platby stravného.


Burza

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Burza

 Return to chapter overview

Ve formuláři povolíte burzu jídel. Časové omezení burzy se nastavuje u jednotlivých Typů denních jídel.

Spolecne nastaveni Burza


Active directory

Navigation: Systém > Nastavení > Nastavení aplikace > Společné nastavení >

Active directory

 Return to chapter overview

Formulář slouží k synchronizaci zaměstnanců, skupin a rolí s active directory.

Active directory_Nastaveni aplikace


Nastavení intrawebu

Navigation: Systém > Nastavení >

Nastavení intrawebu

 Return to chapter overview

Intrawebová aplikace Jídelna slouží k prohlížení údajů a objednávání stravy pomocí internetového prohlížeče. V tomto nastavení se definuje intrawebové prostředí pro všechny zaměstnance ze seznamu strávníků, kteří mají nastavená práva pro intraweb ve formuláři Strávník/Intraweb. Programové prostředí je dále možno nastavit tak, aby uživatelé měli přístup jen k určitým informacím.

Formulář Nastavení intrawebu obsahuje v levé části strom s výběrem, jehož částmi jsou:

Osobní údaje

Obecné

Jídelna

Tisk

Uživatelské položky

Jména a hesla

Typy práv uživatelů

Skupiny uživatelů

Práva uživatelů

Pravá část zobrazí po výběru požadované nastavení.

POZOR: Tato aplikace je dostupná pokud máte zakoupen modul Intrawebu.


Osobní údaje

Navigation: Systém > Nastavení > Nastavení intrawebu >

Osobní údaje

 Return to chapter overview

Slouží k nastavení zobrazených informací, které přihlášený uživatel uvidí v osobních údajích. V pravé části je seznam všech dostupných polí a v levém je seznam vámi vybraných polí, které chcete zobrazit. Seznam přenesete do druhé části jeho označením a stiskem tlačítka se šipkou, které je umístěno uprostřed mezi jmenovanými seznamy.

Nastaveni intrawebu osobni udaje

· Zobrazit osobní údaje - zatržením políčka dojde k zobrazení odkazu na intrawebu.

Nadpis řádku lze editovat (předtím je potřeba na něj dvakrát kliknout myší).

POZNÁMKA: Nastavení je společné pro všechny aplikace, a proto nejsou některá pole v některých aplikacích dostupná!


Obecné

Navigation: Systém > Nastavení > Nastavení intrawebu >

Obecné

 Return to chapter overview

V obecném nastavení máte možnost zvolit, kolik období se zobrazí v intrawebu uživatelům.

Nastaveni intrawebu obecne

· Výběr aplikace v horním menu - v horním menu se zobrazují názvy aplikací Docházka, Personalistika, Jídelna. Z nabídky si vyberte požadované:

o Nezobrazovat - v levém horním rohu v RON Portálu nebudou názvy aplikací zobrazeny.

o Zapínat a vypínat jednotlivé moduly samostatně - v levém horním rohu v RON Portálu se zobrazí názvy aplikací (Docházka / Personalistika / Jídelna). Po stisku některého názvu aplikace zobrazíte/skryjete menu v RON Portálu. Pokud je menu dané aplikace skryto, je název aplikace šedý. Pokud je menu aplikace zobrazeno, je název aplikace černý.

o Přepínat aktivní modul - v levém horním rohu v RON Portálu je zapnutá vždy jen jedna aplikace (například Docházka). Ostatní aplikace (například Personalistika) jsou zobrazeny šedě. Pokud chcete zobrazit menu jiné aplikace (Personalistika), musíte na ni kliknout. Poté se menu docházky skryje a zůstane zobrazeno jen menu Personalistiky.

· Výchozí obrazovka po přihlášení - ze seznamu vyberte výchozí stránku, která bude zobrazena po přihlášení do intrawebu. Pro automatickou volbu výchozí stránky (podle zapnutých funkcí a práv uživatele) zadejte prázdný text.

· Výběr osob - před jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

· Výběr osob - za jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

o Osoba.Uzivatelska1 - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 v kartě zaměstnance na záložce Ostatní údaje. Uživatelská pole je možné přejmenovat v nastavení aplikace na záložce Uživatelská pole osob.

o Osoba.Uzivatelska1 + ': ' - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 s dvojtečkou za zobrazenou hodnotou.

o Osoba.IntrawebLogin - před jménem/za jménem se zobrazí přihlašovací jméno osoby.

o PracovniPomer.OsobniCislo - před jménem/za jménem se zobrazí osobní číslo zaměstnance.

· Typ rozdělení pro výběr 1, 2 - vyberte typ rozdělení pro filtrování dat (například v monitorování).

· Nadpis - zadání nadpisu není povinné. Pokud nebude nadpis zadán, zobrazí se výchozí text "Rozdělení".

o Výchozí nastavení

o Jen vlastní rozdělení - vyberete-li tuto funkci, zobrazí se údaje zaměstnanců patřících do příslušného rozdělení.

o Podle práv

· Typ rozdělení pro zobrazení - vyberte typ rozdělení, který se zobrazí u osob v seznamech, například v seznamu hodnocení, služebních cest, schvalování docházky.

Pozor! Zaměstnanci, kteří nebudou mít toto rozdělení přiřazeno, nemusí být v některých seznamech zobrazeni!

· Nadpis - zadejte nadpis sloupce. Pokud nadpis nebude zvolen, nebude zobrazen název sloupce.

· Položka, která se má zobrazit - zvolte, které údaje se mají zobrazit ve sloupci u osob v seznamech.

o Popis rozdělení - ve sloupci se zobrazí popis rozdělení.

o Kód rozdělení - ve sloupci se zobrazí kód rozdělení.

o Kód i popis rozdělení - ve sloupci se zobrazí kód i popis rozdělení.

· Maximální počet zobrazených období - při výběru období se nabídne jen zadaný počet starších období. Pokud zadáte hodnotu 0, nebude počet omezen.

· Výchozí měna - v intrawebu se přednastaví vybraná měna. S přednastavenou výchozí měnou se můžete například setkat ve služebních cestách v řádku účtování.

· URL adresa pro zobrazení intrawebu - použije se v aplikaci, pokud bude potřeba zobrazit nějakou stránku intrawebu.

· Povolit synchronizaci kalendářů (ical) - povolí synchronizaci kalendářů.

· Zobrazit vzkazy - zatržením pole se vám v intrawebu zobrazí odkaz Vzkazy.


Jídelna

Navigation: Systém > Nastavení > Nastavení intrawebu >

Jídelna

 Return to chapter overview

Pomocí formuláře povolíte burzu jídel.

Nastaveni intrawebu jidelna

· Povolit jídelnu v intrawebu - zaškrtnutím políčka se zobrazí odkazy v intrawebu (např. Odběr jídel, Účet strávníka).

· Zobrazit jídelníček - zaškrtnutím pole se Vám v intrawebu zobrazí odkaz Jídelníček.

· Zobrazit stravenky - v intrawebu se zobrazí odkaz Stravenky.

· Povolit burzu - zaškrtnutím políčka povolíte burzu.

o Přímá burza - počet minut před výdejem - zadejte počet minut před výdejem, kdy je ještě možné vkládat a vybírat jídla z burzy bez komunikace s terminálem. Změna se do terminálu zapíše až při následujícím generování. Více o burze viz menu Stravování/Individuální objednávky osob.


Tisk

Navigation: Systém > Nastavení > Nastavení intrawebu >

Tisk

 Return to chapter overview

Ve formuláři máte možnost nastavit tisk sestav z Intrawebu. Aplikace je dostupná, pokud máte program rozšířen o modul Intraweb Plus.

Nastaveni intrawebu tisk

Sestavy vám můžeme vytvořit na zakázku.


Uživatelské položky

Navigation: Systém > Nastavení > Nastavení intrawebu >

Uživatelské položky

 Return to chapter overview

Ve formuláři máte možnost nastavit položky, které uživatelé uvidí v aplikaci Intrawebu.

Nastaveni intrawebu uzivatelske polozky

Uživatelské položky vám můžeme naprogramovat na zakázku.


Jména a hesla

Navigation: Systém > Nastavení > Nastavení intrawebu >

Jména a hesla

 Return to chapter overview

Formulář slouží jako pomocná utilita pro hromadné nastavení přihlašovacích jmen, hesel a skupin uživatelů. Nastavení můžete provést pro osoby ze skupiny, nebo můžete požadované změny provést pouze u osob, které nemají tyto údaje vyplněné.

Intraweb nastaveni intrawebu jmena a hesla

· Typ kódování hesla - z nabídky vyberte typ kódování hesla.

POZOR: Pokud změníte typ kódování hesla, budou existující hesla neplatná! Všechna hesla bude nutné nastavit znovu!

· Provést požadované změny pouze pro osoby ze skupiny - při zaškrtnutí políčka provedete nastavení pro osoby ze skupiny, kterou vyberete z nabídky.

· Provést požadované změny pouze u osob, které nemají údaje vyplněné - při zaškrtnutí políčka provedete nastavení pro osoby, které nemají tyto údaje vyplněné.

Pokud nezaškrtnete žádnou z předešlých nabídek, nastaví se práva u všech zaměstnanců.

· Přihlašovací jméno - z nabídky vyberte formát přihlašovacího jméno.

· Bez diakritiky - zatrhnutím políčka musí být přihlašovací jméno bez diakritiky.

· Heslo - z nabídky vyberte formát hesla. V poli můžete nastavit i jednotné heslo pro všechny vybrané uživatele a potom nastavit vynucení změny hesla.

· Vynutit změnu hesla - pokud se zvolí vynucení hesla (vyberete položku Ano), potom po prvním přihlášení do intrawebu se zaměstnanci zobrazí informace o tom, že platnost hesla vypršela a je nutné zadat heslo nové. Vynucení hesla se projeví i v kartě zaměstnance na záložce Intraweb, zaškrtnutou položkou Vynutit změnu hesla při přihlášení. Po prvním přihlášení zaměstnance a zadání nového hesla pole již zaškrtnuté nebude a navíc se vyplní pole Poslední změna hesla ve formátu DD.MM.RRRR HH:MM:SS.

· Skupina uživatelů - zaměstnancům můžete přiřadit jejich skupinu. Seznam skupin uživatelů můžete vytvořit v nastavení intrawebu/Skupiny uživatelů.

Provést - pokud máte údaje ve formuláři vyplněné, stačí stisknout tlačítko a požadované změny se u vybraných osob nebo skupin provedou.


Typy práv uživatelů

Navigation: Systém > Nastavení > Nastavení intrawebu >

Typy práv uživatelů

 Return to chapter overview

U jednotlivých práv určete, podle kterého typu rozdělení se budou kontrolovat. Nastavený typ rozdělení u práva platí pro volby Vlastní rozdělení, Vlastní rozdělení kromě sebe, Vlastní a podřízená rozdělení, Vlastní a podřízená rozdělení kromě sebe, Podřízená rozdělení. Tyto volby se nastavují ve formuláři Skupiny uživatelů.

Typ rozdělení můžete nastavit pro všechny Typy práv hromadně pomocí tlačítka [image]. Po jeho stisku se zobrazí formulář Hromadné nastavení typu rozdělení pro práva, kde v poli vyberete požadované středisko a výběr potvrdíte tlačítkem OK.

Nastaveni intrawebu typy prav uzivatelu


Skupiny uživatelů

Navigation: Systém > Nastavení > Nastavení intrawebu >

Skupiny uživatelů

 Return to chapter overview

Skupinám uživatelů nastavíte práva pro intraweb. Skupinu uživatelů můžete zaměstnancům přiřadit v jejich kartě zaměstnance nebo hromadně v nastavení intrawebu ve formuláři Jména a hesla.

Novou skupinu uživatelů vytvoříte stiskem tlačítka [image] Nový záznam. Po stisku se zobrazí na levé straně nový řádek s přednastaveným kódem a popisem. Klikněte do pole a přepište hodnoty na požadované. Po zadání nové skupiny uživatelů potvrďte tlačítkem [image] (vpravo od skupiny uživatelů). K označené skupině uživatelů máte možnost vložit poznámku v pravé části formuláře. Vymazání nepotřebné skupiny uživatelů provedete označením skupiny a stiskem kláves Ctrl+Delete nebo tlačítkem [image]. Před samotným smazáním skupiny budete dotázáni, zda si aktuální záznam přejete zrušit.

Novou skupinu uživatelů můžete vytvořit z kopie včetně nastavených práv stiskem tlačítka C_Vytvorit novou skupinu z kopie Vytvořit novou skupinu z kopie. Po stisku tlačítka se zobrazí dotaz zda opravdu chcete vytvořit kopii skupiny uživatelů "Personální ředitel" (název skupiny) včetně práv. Pokud ano, dotaz potvrďte. Následně budete vyzváni k zadání nového kódu skupiny a novému popisu skupiny. Po zadání požadovaných údajů bude vytvořena nová skupina včetně nastavených práv.

Práva vybrané skupině nastavíte tak, že si nejprve označíte skupinu uživatelů. Potom ve střední části označíte vybraný řádek s právem a ve spodní části "Nastavení práva" vyberete požadovanou hodnotu ze seznamu. Po nastavení jednotlivých práv ukládejte údaje tlačítkem [image] (v pravé dolní části formuláře).

Nastaveni intrawebu skupiny uzivatelu

· Pouze vlastní - uživatelé s tímto povolením mají zobrazeny pouze vlastní údaje např. osobní údaje.

· Vybrané osoby a skupiny - uživatelům s tímto povolením musíte v dolní části formuláře vybrat osobu nebo skupinu. Kliknutím na podtržený popisek Vybrané osoby se zobrazí formulář Výběr osob pro práva v intrawebu, ze kterého vyberete požadovanou osobu. Novou osobu můžete vytvořit v menu Seznamy/Zaměstnanci. Kliknutím na podtržený popisek Vybrané skupiny zobrazíte formulář Výběr skupin pro práva v intrawebu, ze kterého vyberete požadovanou skupinu osob. Novou skupinu můžete vytvořit v menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci. Osoba po nastavení práv uvidí údaje (například osobní údaje) vybrané osoby, vybrané skupiny (například Dělníků) v intrawebu.

· Vše - uživatelé s tímto povolením můžou v intrawebu prohlížet např. osobní údaje všech zaměstnanců.

· Zakázat - uživatelé s tímto povolením nemají právo prohlížet např. osobní údaje.

Pro volby Vlastní rozdělení, Vlastní rozdělení kromě sebe, Vlastní a podřízená rozdělení, Vlastní a podřízená rozdělení kromě sebe a Podřízená rozdělení je nutné mít nastaveno na záložce Typy práv uživatelů typ rozdělení u zvoleného práva. Pokud u zvoleného práva není nastaven typ rozdělení, potom se při přiřazení některé z uvedených voleb zobrazí hláška: "Pozor! Pro tento typ práva není nastaven typ rozdělení! (záložka Typy práv uživatelů)".

PŘÍKLAD: Na záložce Skupiny uživatelů nastavíte pro typ práva SCHVÁLENÍ ABSENCE hodnotu VLASTNÍ A PODŘÍZENÁ ROZDĚLENÍ KROMĚ SEBE. Na záložce Typy práv uživatelů pro typ práva SCHVÁLENÍ ABSENCE je nutné mít vybrán Typ rozdělení.

Pokud jste vybrali v horní části formuláře ze seznamu položku s typem práva Odblokování nebo Zablokování karty, potom se ve spodní části zobrazí popisek: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

Pokud jste v horní části formuláře vybrali ze seznamu položku s typem práva Prohlížení úkolů a nastavení splnění, potom se ve spodní části zobrazí popisek: Může ručně upravit datum splnění - při zaškrtnutí políčka může uživatel při splnění úkolu ručně editovat předvyplněné datum.

Práva a jejich hodnoty lze kombinovat.

Načíst nastavení práv skupiny ze souboru - stiskem tlačítka načtete soubor obsahující nastavení práv skupiny. Pokud v seznamu uživatelů je stejný kód nebo název souboru jako u načteného souboru, potom program zobrazí varování s popisem, že načtená skupina s kódem P/s názvem Prodejna již existuje a zda si přejete přepsat její nastavení. Po potvrzení se nastavení práv této skupiny přepíše načteným souborem.

Uložit nastavení práv skupiny do souboru - po stisku tlačítka se zobrazí okno, ve kterém zvolíte cestu pro uložení souboru, například Prodejna.iwgroup. Soubor obsahuje nastavení práv pro vybranou skupinu, kód a popis skupiny uživatelů.


Práva uživatelů

Navigation: Systém > Nastavení > Nastavení intrawebu >

Práva uživatelů

 Return to chapter overview

V tomto formuláři nastavíte práva pro prohlížení a editaci údajů vlastních, údajů vybrané skupiny nebo osoby, případně údajů všech dle vybraného rozsahu. Nastavují se zde tedy práva pro všechny uživatele intrawebu nebo pro vybrané skupiny uživatelů.

Intraweb nastaveni intrawebu prava uzivatelu

V horní části formuláře vyberte funkci, pro kterou chcete nastavit práva uživatelů (např. Prohlížení údajů). V dalším kroku vyberte, zda chcete vytvořit práva pro všechny uživatele nebo jen pro vybrané skupiny.

Nastavení práv pro všechny uživatele:

· Nastavení práv - z nabídky zvolte, jaká práva chcete, aby měli všichni zaměstnanci. Pro všechny zaměstnance budete nejčastěji volit Zakázat (osoby s tímto povolením nemají právo prohlížet např. osobní údaje) nebo Pouze vlastní (osoby s tímto povolením uvidí pouze vlastní údaje).

· Vybrané záznamy - z nabídky zvolte, co se má provést s právy zaměstnanců. Při prvním nastavení práv zaměstnanců použijete volbu Nastavit (všem zaměstnancům se nastaví zvolená práva do Formuláře zaměstnance).

Pokud jste vybrali v horní části formuláře Odblokování nebo Zablokování karty, potom se ve spodní části formuláře zobrazí Podrobnosti. V podrobnostech můžete provést následující nastavení. Ponechat beze změny - políčko je implicitně zaškrtnuto. Pokud potřebujete provést změnu, odškrtněte políčko u tohoto popisu. Následně budete moci zaškrtnout políčko: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

Nastavení práv pro vybrané skupiny:

Práva pro všechny zaměstnance máte již vytvořena, ale potřebujete ještě nastavit práva jen pro určitou skupinu uživatelů. Může se jednat o nastavení práv pro mistry, aby viděli potřebné údaje svých podřízených (dělníků).

· Provést požadované změny pouze pro osoby ze skupiny - zatrhnutím políčka a výběrem z nabídky zvolte, pro jakou skupinu uživatelů chcete nastavit práva (například skupina Mistři). Novou skupinu můžete vytvořit v menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci.

· Nastavení práv - z nabídky zvolte, jaká práva chcete přidělit osobám ze skupiny (například Mistrům pro prohlížení údajů jejich podřízených - Dělníků). Pro jednotlivé skupiny zaměstnanců budete nejspíše volit Vybrané skupiny a osoby - po zvolení tohoto práva nastavte potřebné osoby a skupiny v následujících dvou řádcích Vybrané osoby a Vybrané skupiny (například Dělníci). Mistři po nastavení práv uvidí například osobní údaje vybrané osoby, vybrané skupiny (například Dělníků). Všechny - vybraná skupina osob s tímto povolením uvidí údaje všech (například osobní údaje všech zaměstnanců).

· Vybrané záznamy - z nabídky zvolte, co se má provést s právy vybraných osob ze skupiny. Jelikož již jsou nastavena nějaká práva, použijete volbu Přidat k právům zaměstnanců - vybraným osobám ze skupiny budou přidána zvolená práva.

Pokud jste vybrali v horní části formuláře Odblokování nebo Zablokování karty, potom se ve spodní části formuláře zobrazí Podrobnosti. V podrobnostech můžete provést následující nastavení. Ponechat beze změny - políčko je implicitně zaškrtnuto. Pokud potřebujete provést změnu, odškrtněte políčko u tohoto popisu. Následně budete moci zaškrtnout políčko: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

Pokud máte údaje ve formuláři vyplněné, stačí stisknout tlačítko [image] a požadované změny se provedou. Všechna provedená nastavení pro osoby se uloží do Formuláře zaměstnance - Intraweb.


Import/Export

Navigation: Systém >

Import/Export

 Return to chapter overview

Standardně program komunikuje při importu se mzdovým systémem RONMZDY, ale rovněž i s jinými mzdovými systémy.


Import dat z mezd

Navigation: Systém > Import/Export >

Import dat z mezd

 Return to chapter overview

Import RON je prováděn z textových souborů. Pokud tedy máte mzdový systém, ze kterého byste chtěli importovat data do programu, můžete si formáty připravit podle implicitního formátu RONMZDY. Pro komunikaci se používá adresář nastavený v Nastavení aplikace/Společné nastavení - Import.

Ostatní import - data lze importovat i z jiných ekonomických a mzdových systémů. Komunikace může být na úrovni .txt souboru nebo SQL tabulky. Informujte se prosím na možnost komunikace s vaším systémem.


Export dat do mezd

Navigation: Systém > Import/Export >

Export dat do mezd

 Return to chapter overview

Export výsledků programu do mezd je jednou ze základních výstupních funkcí tohoto systému. Správně nastavený program by Vám měl poskytnout kompletní přehled dat a export údajů pro Váš mzdový systém, pokud Váš mzdový systém je schopen data přijímat.

Program umožňuje definovat vlastní formáty exportu v Nastavení aplikace/Společné nastavení - Export.


Změna hesla

Navigation: Systém >

Změna hesla

 Return to chapter overview

Formulář změny hesla umožní aktuálnímu uživateli změnit jeho heslo.


Přihlášení jiného uživatele

Navigation: Systém >

Přihlášení jiného uživatele

 Return to chapter overview

Umožní přihlásit se do programu na stejném počítači jako jiný uživatel.


Multilicence

Navigation: Systém >

Multilicence

 Return to chapter overview

Menu Multilicence je přístupné v případě zakoupení multilicence, která umožňuje zpracovávat data více firmám. Okno obsahuje seznam vytvořených firem (databází):

Jednotlivé firmy zadávejte stisknutím tlačítka [image], případně C_Nova databaze z kopie . Vyplňte název nové firmy a pokračujte stiskem tlačítka [image].

Multilicence nova databaze

Poté definujte parametry databáze pomocí tlačítka [image].

Zvolte typ připojení:

MS SQL server - vyberte v případě síťové verze programu. Vyplňte pole a poté vytvořte databázi.

Multilicence MS SQL server

· Název serveru - název nebo IP adresa SQL serveru.

· Uživatel - uživatelské jméno ("sa" - systém administrator).

· Heslo - heslo pro přihlášení k serveru.

· Databáze - můžete vybrat ze seznamu již vytvořených databází nebo kliknout na tlačítko [image]. Otevře se okno, do kterého uvedete název databáze. Poté potvrdíte dotaz o provedení restrukturalizace připojené databáze. Program provede restrukturalizaci dat a vygeneruje základní nastavení databáze. Základní seznamy budou vyplněny standardními hodnotami. Tyto hodnoty můžete samozřejmě nahradit.

Po nastavení databáze již pouze volíte mezi jednotlivými databázemi (jeden řádek = jedna databáze). Pro volbu databáze je nutno vybrat řádek a potvrdit tlačítkem [image] .

Přejmenovat aktuální registraci databáze - přejmenujete vytvořenou databázi.

Zrušit aktuální registraci databáze - zrušíte již vytvořenou databázi.

Zavřít formulář - zrušíte poslední neuložené změny a uzavřete formulář.


Správa databáze

Vše o správě databáze a o tom co budete potřebovat k práci v tomto programu, se dozvíte na následujících stránkách. Dozvíte se o zálohování databáze, aktivaci, a dalších tématech. Menu Správa databáze obsahuje následující položky:

Zálohování databáze...

Obnova databáze ze zálohy...

Aktivace

Údaje zpracovávané firmy

Komprimace databáze

Restrukturalizace databáze

Obnova systémových sestav a skriptů

Nastavení zabezpečení...

Skupiny osob pro zabezpečení v aplikaci

Synchronizace přístupových skupin podle rozdělení osob

Správce přesunu osob na rozděleních

Skupiny active directory

Role active directory

Export vzorku databáze Ctrl+Alt+E

Import vzorku databáze Ctrl+Alt+I


Zálohování databáze

Navigation: Systém > Správa databáze >

Zálohování databáze

 Return to chapter overview

Zálohování dat je jednou ze základních nutností při práci s počítačem. Je v zájmu vás, uživatelů, abyste si veškerá data (databázi) uložili pro případ ztráty dat z původní databáze.


Zálohování SQL databáze

Navigation: Systém > Správa databáze > Zálohování databáze >

Zálohování SQL databáze

 Return to chapter overview

Zálohovací médium:

Nejdříve je třeba nastavit cíl, kam se bude soubor zálohovat.

Pevný disk - automaticky je zvolena možnost zálohování na pevný disk. Zálohu provádějte v pravidelných intervalech, ale nezapomeňte občas udělat kopii zálohy na přenosné médium případně jiný počítač, abyste měli vaše data i v případě poruchy nebo odcizení počítače a databázi bylo možno z této zálohy obnovit.

Cílový soubor:

Vyberte cestu pro uložení souboru se zálohou dat a zadejte jméno tohoto souboru s příponou bak.

Soubor se automaticky uloží do podadresáře BACKUP v adresáři, kde je nainstalován MS SQL Server (např. C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\Backup).

Pokud je SQL server na jiném PC, než provádíte zálohu, pak se soubor zálohy vytvoří na počítači, kde je SQL server. Pokud si nejste jisti, kontaktujte svého správce sítě.

Pokud máte provedeno nastavení, stiskněte tlačítko [image] . Pokud chcete režim zálohování opustit, stiskněte tlačítko [image] nebo klávesu Esc.

POZNÁMKA: V MS SQL Server Management Studiu můžete případně naplánovat vytváření záloh jednotlivých databází nebo archivovat celé databáze (soubory typu MDF a LDF) např. z C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\Data.


Zálohování FDB databáze

Navigation: Systém > Správa databáze > Zálohování databáze >

Zálohování FDB databáze

 Return to chapter overview

Zalohovani FBD databáze

Zálohovací médium:

Nejdříve je třeba nastavit cíl, kam se bude databáze ve firebirdu zálohovat.

Pevný disk - automaticky je zvolena možnost zálohování na pevný disk. Zálohu provádějte v pravidelných intervalech, ale nezapomeňte občas udělat kopii zálohy na přenosné médium případně jiný počítač, abyste měli vaše data i v případě poruchy nebo odcizení počítače a databázi bylo možno z této zálohy obnovit.

Cílový soubor:

Vyberte cestu pro uložení souboru se zálohou dat a zadejte jméno tohoto souboru s příponou fbk.

Pokud máte provedeno nastavení, stiskněte tlačítko [image] . Pokud chcete režim zálohování opustit, stiskněte tlačítko [image] nebo klávesu Esc.


Zálohování MDB databáze

Navigation: Systém > Správa databáze > Zálohování databáze >

Zálohování MDB databáze

 Return to chapter overview

Zalohovani MDB databaze

Cíl zálohování:

Nejdříve je třeba nastavit cíl, kam se bude soubor zálohovat.

Pevný disk - automaticky je zvolena možnost zálohování na pevný disk. Zálohu provádějte v pravidelných intervalech, ale nezapomeňte občas udělat kopii zálohy na přenosné médium případně jiný počítač, abyste měli vaše data i v případě poruchy nebo odcizení počítače a databázi bylo možno z této zálohy obnovit.

Cesta k souboru:

Vyberte cestu pro uložení souboru se zálohou dat a zadejte jméno tohoto souboru. Cestu můžete vybrat pomocí tlačítka [image].

· Existující zálohy přepisovat automaticky bez dotazu - pokud zatrhnete, bude program automaticky přepisovat existující zálohu bez dotazu: "Opravdu si přejete zálohovat databázi?"

· Při ukončení aplikace zobrazit formulář zálohování - pokud zatrhnete, zobrazí program při každém ukončení aplikace formulář pro zálohování dat.

Pokud máte provedeno nastavení, stiskněte tlačítko [image] . Pokud chcete režim zálohování opustit, stiskněte tlačítko [image] nebo klávesu Esc.


Obnova databáze ze zálohy

Navigation: Systém > Správa databáze >

Obnova databáze ze zálohy

 Return to chapter overview

Funkci použijte v případě, že máte databázi zálohovanou a v databázi, se kterou v současnosti pracujete, došlo k chybě. Pak je potřeba obnovit zálohovanou databázi.


Obnova SQL databáze ze zálohy

Navigation: Systém > Správa databáze > Obnova databáze ze zálohy >

Obnova SQL databáze ze zálohy

 Return to chapter overview

Zalohovani obnova databaze ze zalohy

Zdrojové médium:

Pevný disk - v aplikaci je automaticky zvolena možnost obnovy databáze z pevného disku.

Zdrojový soubor:

Vyberte cestu k záložnímu souboru, ze kterého bude provedena obnova databáze.

Pokud máte provedeno nastavení, stiskněte tlačítko [image] . Pokud si přejete režim obnovy opustit, stiskněte tlačítko [image] nebo klávesu Esc.


Obnova FDB databáze ze zálohy

Navigation: Systém > Správa databáze > Obnova databáze ze zálohy >

Obnova FDB databáze ze zálohy

 Return to chapter overview

Zalohovani obnova FBD databaze ze zalohy

Zdrojové médium:

Pevný disk - v aplikaci je automaticky zvolena možnost obnovy databáze z pevného disku.

Zdrojový soubor:

Vyberte cestu k záložnímu souboru, ze kterého bude provedena obnova databáze ve firebirdu.

Pokud máte provedeno nastavení, stiskněte tlačítko [image] . Pokud si přejete režim obnovy opustit, stiskněte tlačítko [image] nebo klávesu Esc.


Obnova MDB databáze ze zálohy

Navigation: Systém > Správa databáze > Obnova databáze ze zálohy >

Obnova MDB databáze ze zálohy

 Return to chapter overview

Zalohovani obnova MDB databaze ze zalohy

Zdroj obnovy:

Pevný disk - v aplikaci je automaticky zvolena možnost obnovy databáze z pevného disku.

Vyberte cestu k záložnímu souboru, ze kterého bude provedena obnova databáze. Cestu můžete vybrat pomocí tlačítka [image].

Seznam nalezených zálohových souborů:

Po vybrání cesty k záložnímu souboru se zobrazí seznam nalezených zálohovaných souborů. V seznamu vyberte zatržením soubor, kterým chcete obnovit databázi. Pokud není seznam aktuální, stiskněte tlačítko [image].

Pokud máte provedeno nastavení, stiskněte tlačítko [image] . Pokud si přejete režim obnovy opustit, stiskněte tlačítko [image] nebo klávesu Esc.


Aktivace

Navigation: Systém > Správa databáze >

Aktivace

 Return to chapter overview

Programy firmy RON Software se po instalaci chovají vždy jako demoverze, dokud nejsou aktivovány aktivačním kódem.

Demoverze programu je omezena maximálním počtem tří zaměstnanců. Další omezení demoverze nemá. Znamená to, že si můžete naplnit veškeré databáze platnými daty (avšak max. 3 zaměstnance) a program si můžete vyzkoušet ještě před tím, než se rozhodnete jej zakoupit. Pokud si chcete program vyzkoušet bez omezení, vyžádejte si u naší firmy dočasný aktivační kód.

Aktivační kód je posloupnost čísel a písmen, která je vypočtena šifrovacím algoritmem z názvu vaší firmy, IČO a rozsahu licence.

Důvody používání aktivačních kódů:

1. jednoduchá a okamžitá možnost zakoupení nebo rozšíření licence programu. Díky aktivačnímu kódu můžete od naší firmy nebo vašeho prodejce programu okamžitě (telefonem, faxem, e-mailem) obdržet plnou verzi programu nebo jeho rozšíření. Na základě údajů vaší firmy a potvrzení o provedení platby.

2. ochrana proti neoprávněnému používání.

POZOR: Povinné údaje (tučné + Specifikace v případě uvedení na registrační kartě) v aktivačním formuláři nesmíte měnit. Při provedení změny se program ihned převede do režimu demoverze!!!

Aktivace aktivace programu

Princip aktivace systému je popsán na začátku příručky v části Licence.

C_Pridat testovaci aktivacni kod

Přidat testovací aktivační kód - v případě zadání platného licenčního čísla a aktivačního kódu se nabídne možnost přidání testovacího aktivačního kódu. Ten můžete využít pro otestování vybraných funkcí programu. Po vypršení platnosti testovacího kódu nemusíte přepisovat aktivační údaje.


Údaje zpracovávané firmy

Navigation: Systém > Správa databáze >

Údaje zpracovávané firmy

 Return to chapter overview

Ve formuláři můžete doplnit další údaje o vaší firmě. Část údajů je převzata z aktivace. Můžete také nastavit logo vaší firmy dvojklikem na rámečku v pravém horním rohu formuláře. Logo musí být v poměru 2:1. Nastavené údaje jsou používány při tisku výstupních sestav.

Volbou typu daňového subjektu "Plátcova pokladna" aktivujete pole DIČ plátcovy pokladny.

Aktivace udaje zpracovavane firmy

POZOR: Pokud nemáte aktivován modul Multilicence, nemůžete změnit údaje zpracovávané firmy v této sekci, ale přejděte do menu "Systém/Správa databáze/Aktivace".


Obnova indexů

Navigation: Systém > Správa databáze >

Obnova indexů

 Return to chapter overview

V menu Systém -> Správa databáze -> Obnova indexů provedete základní údržbu databáze. Tato funkce je podporována na databázových platformách MSSQL a Firebird. Funkci je vhodné provádět pravidelně například přes víkend. V závislosti na velikosti databáze může funkce trvat delší dobu. Funkce je doplněna i do plánovače úloh.


Nastavení parametrů databáze

Navigation: Systém > Správa databáze >

Nastavení parametrů databáze

 Return to chapter overview

Zvolte typ připojení:

MS SQL server - vyplňte pole a poté vytvořte databázi.

Multilicence MS SQL server

· Název serveru - název nebo IP adresa SQL serveru.

· Uživatel - uživatelské jméno ("sa" - systém administrator).

· Heslo - heslo pro přihlášení k serveru.

· Databáze - můžete vybrat ze seznamu již vytvořených databází nebo kliknout na tlačítko [image]. Otevře se okno, do kterého uvedete název databáze. Poté potvrdíte dotaz o provedení restrukturalizace připojené databáze. Program provede restrukturalizaci dat a vygeneruje základní nastavení databáze. Základní seznamy budou vyplněny standardními hodnotami. Tyto hodnoty můžete samozřejmě nahradit.

SQL server a Soubor MDB - postup nastavení parametrů můžete najít v kapitole Instalace/První spuštění.


Komprimace databáze

Navigation: Systém > Správa databáze >

Komprimace databáze

 Return to chapter overview

Při používání MS SQL serveru tato funkce uvolní nepoužívané části databázového souboru a soubor tak zkrátí. Pokud je databáze provozována na "mdb" databázi, opraví a zmenší tato funkce databázi stejně jako je tomu u SQL databáze. Na jiných platformách není tato volba dostupná.

POZOR: Při provádění komprimace nesmí být k databázi připojen jiný uživatel.


Restrukturalizace databáze

Navigation: Systém > Správa databáze >

Restrukturalizace databáze

 Return to chapter overview

Restrukturalizace provede přegenerování struktury databáze podle .sdf souboru s definicí struktury databáze. Pokud je databáze prázdná, pak vytvoří novou strukturu databáze. Restrukturalizace se většinou provádí při instalaci nebo přechodu na novější verzi programu. Při běžném používání programu se restrukturalizace neprovádí.

Pokud restrukturalizaci provedete, nepoškodíte data. Pokud si tedy nejste jisti správností funkce databáze, zkuste restrukturalizaci bez obav provést. Na velkých databázích musíte samozřejmě počítat s delší dobou na provedení této operace.

Při restrukturalizaci je možno volit tyto možnosti:

· Rychlá restrukturalizace - provede přegenerování struktury jen změněných tabulek v databázi. Používá se hlavně po instalaci novější verze programu, který rozšiřuje obsah databáze o nové položky.

· Úplná restrukturalizace - provede přegenerování struktury u všech tabulek v databázi. Tato volba je pomalejší a má opodstatnění pouze v případě, že jsou s databází nějaké problémy.

Volba vygenerovat implicitní data určuje, zda jsou po restrukturalizaci do tabulek v databázi vloženy předdefinované záznamy. Tato volba se používá jen při vygenerování nové struktury databáze do prázdného .mdb souboru. Pokud jste omylem vymazali standardní položky v databázi a chcete je dostat zpět, můžete tuto operaci použít, ale musíte počítat s tím, že standardní hodnoty budou dopsány do všech seznamů tak, jak byly naplněny při vytvoření nové databáze.

Pokud je připojená databáze prázdná (nemá vytvořenou žádnou strukturu), pak nejsou nabídnuty v menu žádné volby a je potřeba provést úplnou restrukturalizaci s vygenerováním implicitních dat.

Při provádění restrukturalizace nesmí být k této databázi připojen žádný uživatel. Restrukturalizace musí být provedena vždy bez chyby. Pokud došlo k chybě, zkontrolujte, zda se někdo z uživatelů v průběhu restrukturalizace nepřipojil. Pokud se restrukturalizace nedaří, je pravděpodobně databáze poškozena. V tom případě použijte podpůrné utility pro opravu databáze (můžete je najít na Centru podpory zákazníků).

POZOR: Jestliže restrukturalizace neproběhla v pořádku (skončila chybovým hlášením), nesmíte na databázi pracovat. Špatně restrukturalizovaná databáze nepracuje korektně a může dojít k poškození dat, které se nemusí projevit okamžitě.

Při restrukturalizaci se zobrazí okno Změny v databázi, které vás informuje o všech změněných tabulkách. Pokud využíváte způsob zabezpečení přihlášení do aplikace systémem uživatelů ("Systém/Správa databáze/Nastavení zabezpečení"), můžete zkontrolovat, zda aktualizace databázových práv uživatelů a skupin proběhla v pořádku. Aktualizace databázových práv doplňuje práva uživatelům a skupinám pro nově vytvořené tabulky a nová pole existujících tabulek.


Obnova systémových sestav a skriptů

Navigation: Systém > Správa databáze >

Obnova systémových sestav a skriptů

 Return to chapter overview

V případě, že omylem smažete nějaké sestavy či skripty, můžete je pomocí této funkce nechat opět vytvořit. Pozměněné sestavy a skripty však nově vytvořeny nebudou.


Nastavení zabezpečení

Navigation: Systém > Správa databáze >

Nastavení zabezpečení

 Return to chapter overview

Ve formuláři nastavení zabezpečení je možno nastavit tyto způsoby zabezpečení:

Zabezpeceni nastaveni zabezpeceni

· Bez zabezpečení - při spuštění programu není vyžadováno žádné přihlášení uživatele. Data programu nejsou v tomto případě žádným způsobem chráněna proti zneužití cizí osobou. Tuto variantu byste měli používat opravdu výjimečně, a to pouze v případě, že k počítači nemá přístup nikdo nepovolaný.

· Zabezpečení heslem - při spuštění programu je po uživateli vyžadováno heslo, které lze nastavit přes tlačítko [image]. Tato varianta ochrání data programu před nepovolanými osobami, kterým nedovolí bez správného hesla pracovat s programem. Nezapomínejte však na to, že heslo může někdo vidět, když jej zapisujete při přihlašování do programu. Z tohoto důvodu je vhodné heslo občas změnit a rozhodně v případě, že máte pocit (nebo dokonce víte), že vaše heslo někdo nepovolaný zná. Tato varianta zabezpečení bývá nejčastěji používaná u malých firem.

· Zabezpečení systémem uživatelů a práv - při spuštění programu je po uživateli vyžadováno přihlašovací jméno a heslo. Jednotliví uživatelé a jejich práva se nastavují v editoru uživatelů, který lze vyvolat přes tlačítko: . Uživatele lze přiřazovat do skupin. Skupiny a jejich práva lze vyvolat tlačítkem: . Tato poslední a nejrozsáhlejší varianta zabezpečení umožní práci s programem více uživatelům. Jednotlivým uživatelům můžete přitom přidělovat různá práva k činnostem a datům v programu. Pokud přidělíte každému uživateli jeho jméno a heslo pro přístup do programu, můžete následně rovněž zjistit, kdo prováděl úpravy v datech. Tato varianta bývá nejčastěji používaná u středních a velkých podniků, kde s programem pracuje více pracovníků.

Pokud využíváte zabezpečení systémem uživatelů a práv, máte rovněž možnost zapnout funkce Automaticky přihlásit aktuálního uživatele systému (pokud je stejný uživatel vytvořen také v aplikaci v Editoru uživatelů) a Politika hesel. Pokud kliknete na tlačítko [image], otevře se stejnojmenné okno:

Zabezpeceni nastaveni zabezpeceni Politika hesel

Zde můžete nastavit minimální délku hesla, úroveň zabezpečení a platnost hesla ve dnech. Po vypršení platnosti hesla je po přihlášení uživatele vynucena změna hesla.


Editor uživatelů

Navigation: Systém > Správa databáze > Nastavení zabezpečení >

Editor uživatelů

 Return to chapter overview

V této části programu se vytváří jednotliví uživatelé, které je možno členit do skupin. Způsob vytváření přístupových práv pro jednotlivé uživatele je totožný s nastavením práv pro skupiny, proto zde naleznete pouze odlišnosti.


Editor uživatelů - Základní údaje

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor uživatelů >

Editor uživatelů - Základní údaje

 Return to chapter overview

Zabezpeceni editor uzivatelu zakladni udaje

Aktivní - pokud nemá uživatel nastaven příznak aktivní, nepřihlásí se do aplikace. Ve filtru v levé části okna si můžete zobrazit požadované uživatele (všichni, aktivní, neaktivní).

Nastavení správce - standardně je v programu jeden uživatel s přihlašovacím jménem správce. Pokud zaškrtnete položku správce v nastavení uživatele, bude mít aktuální uživatel neomezená práva bez ohledu na jeho příslušnost ke skupině nebo nastavení individuálních přístupových práv.

Autentizace podle active directory - po zatrhnutí pole se bude provádět autentizace podle active directory. V opačném případě podle hesla zadaného přímo v Editoru uživatelů.

Nastavení Hesla - můžete nastavit pro jednotlivé uživatele, které si uživatel může sám měnit. Více v kapitole Změna hesla.

V seznamu můžete nastavit uživateli obecná práva, například vytváření, editování a rušení tiskových sestav v seznamech apod.

Pod seznamem zadáte uživateli jeho jméno a příjmení. Pokud potřebujete, můžete doplnit i poznámku.

Dále můžete přidat uživateli členství ve skupinách. Pro přidání použijte tlačítko C_Pridat clenstvi uzivatele ve skupine a pro vyřazení použijte tlačítko C_Zrusit clenstvi uzivatele ve skupine. Práva uživatelů přiřazených do více skupin se sčítají. Pokud si nejste jisti nastavenými právy, přejděte do editoru uživatelů a zde si zobrazte tlačítkem [image] formulář Efektivní práva uživatele.

Tlačítka pro práci v editoru uživatelů:

 | Nový - vytvoření nového uživatele.
C_Novy z kopie | Nový z kopie - vytvoření nového uživatele z kopie aktuálního uživatele.
 | Přejmenovat - přejmenování již vytvořeného uživatele.
 | Zrušit - smazání uživatele.
 | Načíst - načtení uživatele ze souboru.
 | Uložit - uložení uživatele do souboru.
 | Efekt. práva - zobrazí formulář s právy uživatele.
 | Vyhledat - vyhledá požadovaného uživatele.
 | Zavřít - uzavře okno pro práci s uživateli.


Editor uživatelů - Práva na menu

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor uživatelů >

Editor uživatelů - Práva na menu

 Return to chapter overview

Princip s právy na menu je shodný s právy na menu u editoru skupin. Proto je ovládání popsáno v kapitole Editor skupin - Práva na menu.


Editor uživatelů - Práva na databázi

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor uživatelů >

Editor uživatelů - Práva na databázi

 Return to chapter overview

Ve formuláři můžete na rozdíl od nastavení skupin použít omezení pro hodnoty pro jednotlivé sloupce tabulek. V praxi to znamená, že například můžete omezit přístup na editaci docházky na jednotlivé zaměstnance, nebo skupiny zaměstnanců (vedoucí skupiny vidí v programu jen pracovníky svého oddělení).

PŘÍKLAD: V programu jsou zaměstnanci rozděleni do skupin pod názvy AA, BB, CC. Vedoucí pracovník pan Karas je vedoucím oddělení AA a BB. Chceme zabezpečit, aby pan Karas mohl editovat docházku pouze pracovníkům svých oddělení. V editoru práv pro uživatele nastavte v záložce práva databáze, označte položku skupiny zaměstnanců a ve spodní části v poli - Omezení hodnoty sloupce vypište, pro které skupiny má mít práva AA;BB - záznamy je nutno oddělit středníkem.

Další ovládání a práce s právy na databázi je shodná s právy na databázi u editoru skupin. Proto je ovládání popsáno v kapitole Editor skupin - Práva na databázi.


Editor uživatelů - Práva na sestavy v manažeru sestav

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor uživatelů >

Editor uživatelů - Práva na sestavy v manažeru sestav

 Return to chapter overview

Princip s právy na sestavy je shodný s právy na sestavy u editoru skupin. Proto je ovládání popsáno v kapitole Editor skupin - Práva na sestavy v manažeru sestav.


Editor uživatelů - Přístupové skupiny

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor uživatelů >

Editor uživatelů - Přístupové skupiny

 Return to chapter overview

Přístupových skupin se využije nejčastěji v případech, kdy má firma více mzdových pracovnic. Jedna mzdová pracovnice zpracovává data firemním pracovníkům a druhá pracovnice zpracovává mzdy vedoucím pracovníkům. Každé pracovnici se přiřadí požadovaná skupina, ve které bude moci například editovat údaje a následně je zpracovávat.

V přístupových skupinách jsou dva sloupce se seznamy. Jeden sloupec obsahuje seznam všech dostupných přístupových skupin a ve druhém sloupci je seznam všech povolených přístupových skupin.

Zabezpeceni editor uzivatelu pristupove skupiny

Přiřazení proběhne tehdy, když přesunete přístupovou skupinu zleva doprava pomocí šipky C_Sipka seda vpravo ve středovém panelu. Pokud chcete provést přiřazení vybraných skupin osob pro zabezpečení, můžete využít funkci Drag & Drop ("uchopit" záznam myší a přetáhnout).


Editor skupin

Navigation: Systém > Správa databáze > Nastavení zabezpečení >

Editor skupin

 Return to chapter overview

Nastavení přístupových práv pro skupinu uživatelů využijete v případě, že máte skupiny uživatelů se stejnými nebo podobnými přístupovými právy. Při vytváření přístupových práv je vhodné nadefinovat skupiny pro vedoucí pracovníky, správce, běžné uživatele, apod. Těmto skupinám přiřadíte práva a uživatele budete přiřazovat do jednotlivých skupin. Přístupová práva je možno pro jednotlivé uživatele dále specifikovat.


Editor skupin - Základní údaje

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor skupin >

Editor skupin - Základní údaje

 Return to chapter overview

Zabezpeceni editor skupin zakladni udaje

V horní části formuláře se nachází seznam s obecnými právy. Skupině můžete například nastavit vytváření, editování a rušení tiskových sestav v seznamech apod.

Ve spodní části formuláře přiřadíte jednotlivé uživatele do skupiny. Pro přiřazení použijte tlačítko C_Pridat uzivatele do skupiny a pro vyřazení použijte tlačítko C_Zrusit uzivatele ze skupiny. Práva uživatelů přiřazených do více skupin se sčítají. Pokud si nejste jisti nastavenými právy, přejděte do editoru uživatelů a zde si zobrazte tlačítkem [image] formulář Efektivní práva uživatele.

Tlačítka pro práci v editoru skupin uživatelů:

 | Nový - vytvoření nové skupiny uživatelů.
C_Nova z kopie | Nový z kopie - - vytvoření nové skupiny z kopie aktuální skupiny.
 | Přejmenovat - přejmenování již vytvořené skupiny uživatelů.
 | Zrušit - smazání skupiny uživatelů.
 | Načíst - načtení skupiny ze souboru.
 | Uložit - uložení skupiny do souboru.
 | Vyhledat - vyhledá požadovanou skupinu.
 | Zavřít - uzavře okno pro práci se skupinami uživatelů.


Editor skupin - Práva na menu

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor skupin >

Editor skupin - Práva na menu

 Return to chapter overview

Jednou z možných variant omezení přístupů je omezení přístupů na jednotlivé položky v menu. V této části je zobrazeno kompletní menu programu a máte možnost pomocí tlačítek [image] , [image] umístěných v horní části okna sbalit nebo rozbalit větev nebo celý strom menu. Pomocí tlačítek [image] , [image] , [image] můžete nastavit viditelnost či neviditelnost jednotlivých větví nebo jednotlivých položek menu.

Zabezpeceni prava na menu

Tlačítko [image] je určeno k zapnutí práv na kompletní menu. Tlačítko [image] je určeno k vypnutí práv na kompletní menu.

Položky v menu, které nebudou mít nastaveno [image] nebudou v programu vidět a uživatel s takto nastavenými právy ani nezjistí, že program vypnutou funkci může obsahovat.


Editor skupin - Práva na databázi

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor skupin >

Editor skupin - Práva na databázi

 Return to chapter overview

Další možností je omezit přístupová práva na jednotlivé datové tabulky a následně na sloupce tabulek. Můžete tedy zabezpečit, že uživatel v žádné části programu neuvidí kódy identifikačních médií (čísla karet, čipů,...). Na tabulky a sloupce můžete nastavit atributy čtení [image], editace [image], vytvoření nového záznamu [image], smazání záznamů [image]. Tlačítko [image] je určeno k zapnutí všech databázových práv a tlačítkem [image] vypnete všechna databázová práva.

Zabezpeceni prava na databazi

Jednotlivé způsoby nastavení přístupových práv se dají kombinovat, lze nastavit práva v menu na seznam čteček a současně můžete zakázat uživatelům vytvoření nové čtečky.

Při definování přístupových práv na menu buďte pečliví, abyste přílišným omezením práv neznemožnili uživateli systém smysluplně využívat.


Editor skupin - Práva na sestavy v manažeru sestav

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor skupin >

Editor skupin - Práva na sestavy v manažeru sestav

 Return to chapter overview

Poslední z možností omezení práce s programem je omezení přístupu k jednotlivým tiskovým sestavám. Princip je stejný jako v kapitole Editor skupin - Práva na menu. Nastavujete viditelnost sestavy přiřazením [image] k jednotlivým sestavám. Pokud chcete zpřístupnit všechny sestavy, klikněte na tlačítko [image]. Pokud chcete u všech sestav zrušit viditelnost, klikněte tlačítko [image]. Tlačítka [image] , [image] sbalí nebo rozbalí větev nebo celý strom menu.

Zabezpeceni prava na sestavy v manazeru sestav


Editor skupin - Přístupové skupiny

Navigation: Systém > Správa databáze > Nastavení zabezpečení > Editor skupin >

Editor skupin - Přístupové skupiny

Return to chapter overview

Princip s přístupovými skupinami je shodný s přístupovými skupinami u editoru uživatelů. Proto je ovládání popsáno v kapitole Editor uživatelů - Přístupové skupiny.


Synchronizace skupin osob pro zabezpečení v aplikaci

Navigation: Systém > Správa databáze >

Synchronizace skupin osob pro zabezpečení v aplikaci

 Return to chapter overview

Pokud používáte skupiny zaměstnanců a přístupové skupiny shodné, stačí vám pouze spustit tuto funkci tlačítkem [image] a program zkopíruje nastavení skupin zaměstnanců do přístupových skupin (menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci).

Pokud systém zavádíte, je seznam přístupových skupin prázdný. Naplňte seznam skupin zaměstnanců v sekci Skupiny osob pro zabezpečení v aplikaci a potom spusťte tuto funkci.

Sprava databaze synchronizace pristupovych skupin podle rozdeleni osob

· Uplatnit hierarchii rozdělení - volba určuje, zda bude při synchronizaci skupin osob pro zabezpečení v aplikaci uplatněna hierarchie zdrojového rozdělení. To znamená, že členové skupin odpovídajících podřízeným rozdělením budou i členy skupin odpovídajících nadřazeným rozdělením.


Skupiny osob pro zabezpečení v aplikaci

Navigation: Systém > Správa databáze >

Skupiny osob pro zabezpečení v aplikaci

 Return to chapter overview

Přístupovou skupinu osob zadejte v případě, že využíváte zabezpečení systémem uživatelů a skupin v menu "Systém/Správa databáze/Nastavení zabezpečení" a potřebujete uživatelům zpřístupnit pouze data některých zaměstnanců. Členství ve skupinách osob pro zabezpečení se nepřiděluje osobám, ale pracovním poměrům osob. Takto lze nastavit práva uživatelům aplikace tak, aby viděli jen některé pracovní poměry konkrétní osoby.

Skupiny osob pro zabezpeceni v aplikaci

Pokud neprovedete synchronizaci přístupových skupin podle rozdělení v menu "Systém/Správa databáze/Synchronizace skupin osob pro zabezpečení v aplikaci", můžete skupiny vytvořit kliknutím na tlačítko [image] Nový záznam. Jednotlivé vytvořené položky lze měnit tlačítkem [image] Editace záznamu. Otevře se formulář Přístupová skupina, který má záložky Formulář záznamu a Členové skupiny.

POZNÁMKA: Pokud provedete synchronizaci skupin osob pro zabezpečení v aplikaci, přepíše se skupina z rozdělení zaměstnance do nastavení skupin pro zabezpečení. Ruční zadávání v takovém případě neprovádějte, jelikož synchronizace vaše ruční nastavení vždy přepíše.


Skupiny osob pro zabezpečení v aplikaci - Formulář záznamu

Navigation: Systém > Správa databáze > Skupiny osob pro zabezpečení v aplikaci >

Skupiny osob pro zabezpečení v aplikaci - Formulář záznamu

 Return to chapter overview

Přístupové skupiny vytvořené v tomto menu naplní sloupec Dostupné přístupové skupiny v menu "Systém/Správa databáze/Nastavení zabezpečení/Editor uživatelů", v záložce Přístupové skupiny.

Skupiny osob pro zabezpeceni v aplikaci formular pristupove skupiny formular zaznamu

· Kód - zadejte povinný kód pro přístupovou skupinu.

· Popis - textové označení skupiny.


Skupiny osob pro zabezpečení v aplikaci - Členové skupiny

Navigation: Systém > Správa databáze > Skupiny osob pro zabezpečení v aplikaci >

Skupiny osob pro zabezpečení v aplikaci - Členové skupiny

 Return to chapter overview

Každý uživatel má definován přístup k určitým přístupovým skupinám a tím má přístup také k jejím členům. Ve formuláři vyberete jednotlivé osoby ze sloupce Osoby pro výběr členů a pomocí šipek (na obrázku v červeném rámečku) je přesunete do sloupce Členové skupiny. Pokud chcete přenést všechny položky, stiskněte tlačítko se zdvojenou šipkou. Stejný postup platí pro zařazení položek zpět na levou stranu.

Skupiny osob pro zabezpeceni v aplikaci formular pristupove skupiny clenove skupiny

Filtry ve sloupci Osoby pro výběr členů:

§ Všichni - filtr zobrazí všechny zaměstnance.

§ Aktivní PP - zatržením funkce zjistíte všechny osoby s neukončeným pracovním poměrem.

§ Nečlenové - výběrem filtru vytvoříte seznam osob, které nejsou členy vybrané přístupové skupiny.

Filtry ve sloupci Členové skupiny:

§ Všichni - filtr zobrazí všechny zaměstnance.

§ Aktivní - výběrem funkce získáte seznam zaměstnanců s neukončeným pracovním poměrem.

§ Neaktivní - zatržením filtru vytvoříte seznam osob, které mají již ukončený pracovní poměr.


Správce přesunů osob na rozděleních

Navigation: Systém > Správa databáze >

Správce přesunů osob na rozděleních

 Return to chapter overview

Správce přesunů osob na rozděleních slouží k hromadnému přesouvání osob mezi rozděleními z vybraných existujících rozdělení do nově vytvořených. Lze využít při změně vnitřní struktury daného rozdělení nebo při vytvoření nového typu rozdělení.

Spravce presunu osob na rozdelenich


Skupiny active directory

Navigation: Systém > Správa databáze >

Skupiny active directory

 Return to chapter overview

V této sekci je potřeba nadefinovat skupiny active directory, které se budou přiřazovat zaměstnancům (uživatelům v active directory) .

Skupiny active directory_Seznam

Novou skupinu active directory vytvoříte kliknutím na tlačítko [image] Nový záznam. Jednotlivé vytvořené položky lze měnit tlačítkem [image] Editace záznamu. Otevře se formulář Skupina active directory, který má záložky:

Skupina

Členové


Skupiny active directory - Skupina

Navigation: Systém > Správa databáze > Skupiny active directory >

Skupiny active directory - Skupina

 Return to chapter overview

Ve formuláři zadáte název skupiny a můžete dopsat libovolnou poznámku k vytvářené skupině.

Skupiny active directory_Skupina


Skupiny active directory - Členové

Navigation: Systém > Správa databáze > Skupiny active directory >

Skupiny active directory - Členové

 Return to chapter overview

Ve formuláři se přiřazují skupině její členové.

Skupiny active directory_Clenove


Role active directory

Navigation: Systém > Správa databáze >

Role active directory

 Return to chapter overview

Role active directory představuje jeden typ rozdělení nastavitelný v menu Systém -> Nastavení -> Nastavení aplikace -> Společné nastavení -> Active directory -> Typ rozdělení pro role v active directory. Roli active directory je možno přiřazovat skupiny active directory. To znamená, že zaměstnanci přiřazeni do dané role budou po synchronizaci nejen členy přímo přiřazených skupin, ale také skupin přiřazených dané roli. Skupiny vytvoříte v menu Systém -> Správa databáze -> Skupiny active directory.

Role active directory

Role můžete vytvořit kliknutím na tlačítko [image] Nový záznam. Jednotlivé vytvořené položky lze měnit tlačítkem [image] Editace záznamu. Otevře se formulář Role active directory, který má následující záložky:

Formulář záznamu

Členové role

Skupiny active directory


Role active directory - Formulář záznamu

Navigation: Systém > Správa databáze > Role active directory >

Role active directory - Formulář záznamu

 Return to chapter overview

Formulář obsahuje identifikační údaje o roli active directory.

Role active directory_Formular zaznamu

· Kód - povinný údaj. Vyberte přijatelný kód, podle kterého se budete snadno orientovat.

· Kód nadřazeného umístění - kód rozdělení, které je nadřazené tomuto rozdělení.

· Popis - povinný údaj. Popište rozdělení.

· Vedoucí - vedoucí rozdělení.

· Datum vytvoření - povinná položka. Vložte datum vytvoření.

· Datum zrušení - vložte datum zrušení.

· Ulice - doplňte specifikující údaje, pokud se rozdělení nachází na určité adrese (např. pracoviště).

· Město / PSČ / Obec / Stát - výběrové položky. Můžete upravovat stávající nebo doplňovat nové záznamy, a to kliknutím na podtržený název.

· Telefon / Fax / e-mail - v případě potřeby uveďte kontaktní informace.


Role active directory - Členové role

Navigation: Systém > Správa databáze > Role active directory >

Role active directory - Členové role

 Return to chapter overview

Ve formuláři se přiřazují roli její členové.

Role active directory_Clenove role


Role active directory - Skupiny active directory

Navigation: Systém > Správa databáze > Role active directory >

Role active directory - Skupiny active directory

 Return to chapter overview

Na této záložce je možné přiřadit roli active directory skupiny active directory.

Role active directory_Skupiny active directory


Export vzorku databáze

Navigation: Systém > Správa databáze >

Export vzorku databáze

 Return to chapter overview

Tato funkce umožní vyexportovat nastavení vašeho systému. Pomocí zaškrtávacích políček (checkboxů) [image] můžete zvolit položky, které budou tvořit vzorek.

Pro výběr všech položek použijte tlačítko [image] a tlačítko [image] pro zrušení všech dosud nastavených položek.

Pokud chcete do vzorku přidat i data některého ze zaměstnanců, zvolte jednu z následujících možností:

· Data osoby - vyberte jméno požadovaného zaměstnance. V exportu vzorku budou obsaženy data jedné osoby.

· Data všech osob za období - ve vzorku databáze budou data všech osob za aktuálně vybrané období. Období můžete změnit v menu Systém -> výběr období.

· Data osob v rozdělení za období - ve vzorku databáze budou data osob zvoleného rozdělení za aktuálně vybrané období.

POZNÁMKA: V některých programech může být tato nabídka omezena.

Pro export struktury mzdových a časových položek (pracovního poměru) je třeba současně exportovat číselníky mzdových a časových položek.

Stiskem tlačítka [image] ve spodní části okna vyvoláte dotaz, kam chcete soubor uložit. Soubor bude uložen s příponou ".dbs".

Vzorek databaze export vzorku databaze

TIP: V případě, že se setkáte s problémem, který se vám nedaří vyřešit, můžete tento vzorek spolu s popisem problému umístit na web technické podpory, kde se jím budou zabývat naši odborníci. Web technické podpory: "helpdesk.ron.cz".


Import vzorku databáze

Navigation: Systém > Správa databáze >

Import vzorku databáze

 Return to chapter overview

Pokud chcete přijmout data upravená našimi odborníky do vaší databáze, uložte soubor s příponou ".dbs" do vašeho počítače a načtěte jej pomocí tlačítka [image] .

Vzorek databaze import vzorku databaze prazdny

Dále si zvolíte všechny, nebo jen vybrané okruhy dat podobně jako u exportu vzorku databáze. Pokračujte stiskem tlačítka [image], čímž se automaticky opraví zvolené okruhy dat ve vaší databázi.

Vzorek databaze import vzorku databaze

POZOR: Mezi exportem a importem neprovádějte žádné změny exportovaného vzorku. Při importu vzorku se provedené změny upraví podle dat ve vzorku, který jste exportovali.


Seznam počítačů připojených k databázi

Navigation: Systém >

Seznam počítačů připojených k databázi

 Return to chapter overview

Pokud chcete mít přehled, které počítače jsou aktuálně připojené k databázi (pracující s programem), pak stiskněte tuto volbu. Správce systému může tímto způsobem zjistit, jestli je někdo aktuálně připojen k databázi v případě, že potřebuje provádět operace vyžadující uvolněnou databázi od všech uživatelů. Například při zálohování nebo restrukturalizaci je nutné, aby nebyl k databázi nikdo další připojen.


Aktuálně připojené počítače

Navigation: Systém > Seznam počítačů připojených k databázi >

Aktuálně připojené počítače

 Return to chapter overview

Záložka zobrazuje seznam počítačů, které jsou aktuálně připojeny k databázi:

Seznam pocitacu aktualne pripojene pocitace

Tlačítkem [image] obnovíte seznam aktuálně připojených počítačů a tlačítkem [image] seznam uzavřete.


Mapování popisů počítačů

Navigation: Systém > Seznam počítačů připojených k databázi >

Mapování popisů počítačů

 Return to chapter overview

Celkový seznam počítačů můžete vytvořit v tomto okně.

Seznam pocitacu mapovani popisu pocitacu

Stisknutím tlačítka [image] otevřete dialogové okno Vytvoření nového mapování popisu, do kterého zadáte tyto údaje:

Seznam pocitacu mapovani popisu pocitacu novy

· Počítač - uveďte, o jaký počítač jde. Záleží na vás, jestli ho pojmenujete jménem osoby, která s ním pracuje, nebo číslem.

· Popis - doplňte popis počítače. Údaje volte tak, abyste mohli snadno rozpoznat aktuálně připojené počítače.


Stavový řádek

Navigation: Systém >

Stavový řádek

 Return to chapter overview

Stavový řádek má tu výhodu, že je viditelný při otevřených seznamech, které se zobrazují ve střední části monitoru. Stavový řádek najdete v dolní části aplikace. V našem případě má stavový řádek řádky dva.

V druhém oddíle prvního stavového řádku se zobrazuje počet záznamů v aktivním seznamu. Třetí oddíl prvního stavového řádku zobrazuje krátkou nápovědu položek, na kterých se nachází kurzor.

Druhý stavový řádek zobrazuje v prvním oddíle název firmy, ve které jsou zpracovávána data, a v druhém oddíle zobrazuje aktuálně nastavené období, resp. období, se kterým momentálně pracujete.

Nepotřebujete-li stavový řádek sledovat, je možno jej vypnout v menu volbou Systém/Stavový řádek.


Rychlé menu

Navigation: Systém >

Rychlé menu

 Return to chapter overview

Účelem menu je rychlejší manipulace s často používanými položkami a zapíná se volbou Systém/Rychlé menu. Při práci s aplikací se aktivování rychlého menu projeví jako lišta s ikonami v levé části monitoru.

Lista rychleho menu

Ikony rychlého menu si můžete libovolně měnit - ubírat či přidávat. Kliknutím pravým tlačítkem myši na lištu s ikonami se zobrazí menu.

Zobrazit | C_Sipka doprava seznamy
Umístění | C_Sipka doprava seznamy
Přidat položku menu |
Zrušit položku menu |
Obnovit implicitní nastavení |

Zobrazit - v této položce máte možnost nastavit velikost (malou, střední, velkou) zobrazení ikony položky rychlého menu.

Umístění - v tomto odkazu umístíte rychlé menu na požadovanou stranu (vlevo, vpravo, nahoru, dolu).

Přidat položku menu - tímto odkazem přidáte položku rychlého menu. Postup přidání je popsán níže.

Zrušit položku menu - po označení požadované položky se zobrazí okno s varováním: "Opravdu si přejete zrušit akt. položku: "Název rušené položky rychlého menu"?". Po potvrzení je položka smazána z rychlého menu.

Obnovit implicitní nastavení - po výběru položky se zobrazí okno s varováním: "Všechny uživatelsky přidané položky a další úpravy rychlého menu budou ztraceny! Opravdu si přejete obnovit implicitní nastavení rychlého menu?" Po potvrzení je obnoveno výchozí nastavení rychlého menu.

Pro přidání položky stiskněte Přidat položku menu a otevře se okno se stromovým zobrazením standardního menu.

Nastaveni prostredi rychle menu vyber polozky menu

Požadovanou položku najděte ve struktuře a potvrďte tlačítkem [image]. Pro rozvinutí a svinutí stromu používejte kurzor myši a dvojité kliknutí na danou položku. Po výběru položky můžete zvolit z nabízeného seznamu nebo ze souboru ikonu položky rychlého menu.

Vyber obrazku ikony rychleho menu

Po potvrzení výběru se vybraná položka přidá do seznamu rychlého menu.

TIP: Pokud chcete v rychlém menu spouštět skript nebo uživatelský seznam, musíte ho nejdříve přidat do menu Uživatelských funkcí. To provedete v menu Uživatelské funkce/Nastavení uživatelských skriptů (Nastavení uživatelských seznamů).


Plovoucí nápověda

Navigation: Systém >

Plovoucí nápověda

 Return to chapter overview

Plovoucí nápověda zobrazuje popisky ("bubliny") k ikonám v programu pokaždé tehdy, když necháte kurzor myši na ikoně. Pokud chcete znát funkci jednotlivých ikon, zatrhněte si plovoucí nápovědu.


Konec

Navigation: Systém >

Konec

 Return to chapter overview

Pomocí tohoto menu ukončíte práce v programu. Program lze také uzavřít stisknutím kláves Alt+F4. Třetí možností, jak rychle vypnout mzdový program, je kliknout na tlačítko [image] v pravém horním rohu. Ve všech těchto případech se objeví okno, ve kterém potvrdíte dotaz na ukončení aplikace kliknutím na tlačítko ANO.


Seznamy

Navigation: »No topics above this level«

Seznamy

 Return to chapter overview

Menu Seznamy obsahuje následující položky:

Strávníci

Strávníci - pracovní poměry

Jídelny

Cenové kategorie

Typy denních jídel

Celá jídla

Druhy celých jídel

Seznam fotografií a obrázků

Typy rozdělení

Rozdělení

Bankovní účty

Typy kategorií

Kategorie

Typy zboží

Zboží

Správně naplněné seznamy jsou základem funkčního systému. Nezapomeňte, že zobrazený seznam neslouží k zápisu dat, ale slouží pouze pro čtení. Pokud chcete jednotlivé položky seznamu editovat, musíte si vždy otevřít formulář pro editaci (kliknout na tlačítko [image] Editace záznamu) vybraného záznamu v seznamu. Pokud chcete přidávat nové položky do seznamu, klikněte na tlačítko [image] Nový záznam.

Menu se seznamy je důležité. Obsahuje např. seznam strávníků, typy denních jídel, rozdělení apod. Údaje z jednotlivých seznamů se v programu objevují jako možnosti pro výběr (výběrové položky), např. při zadávání nového strávníka (pro přidělení cenové kategorie, rozdělení, apod., kdy volíte z vytvořených seznamů).

Na následujících stránkách se budeme věnovat jednotlivým funkcím menu.


Strávníci

Navigation: Seznamy >

Strávníci

 Return to chapter overview

Seznam obsahuje všechny strávníky, se kterými jídelna přišla do kontaktu (bývalí i současní). Záznam strávníka obsahuje jeho základní údaje a další údaje potřebné k vedení stravovacího systému.

Nad seznamem můžete použít následující filtry:

Vyhledat podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a otevře Formulář strávníka načtené osoby. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

§ Zobrazit hierarchii - vyberete-li tuto funkci, zobrazí se vlevo vedle seznamu struktura rozdělení firmy. Seznam poskytne přehled strávníků patřících do příslušného rozdělení, které mají přiřazeno ve Formuláři strávníka. Ukáže hierarchii všech nadřízených a podřízených středisek. Se středisky můžete libovolně manipulovat a přesouvat je podle svých potřeb. Strávníkům zůstane přiřazeno středisko, které jim je přiděleno v jejich kartě.

§ Včetně podřízených rozdělení - funkce zobrazí hierarchii kategorií včetně dalších podkategorií (vytvoří se "strom", ve kterém je možno dobře se orientovat a sledovat osoby v rozdělení).

Tuto strukturu můžete upravovat:

ú pokud podřízené rozdělení má být nadřízeným, označte jej a pravým tlačítkem aktivujte nabídku, ze které vyberte Přesunout na kořen stromu;

ú pokud nadřízené rozdělení má být podřízeným, označte jej levým tlačítkem myši a přetáhněte do rozdělení, kterému má být podřízeno.

POZNÁMKA: Tlačítko [image] slouží k aktualizaci tabulky s hierarchií rozdělení.

§ Typ rozdělení - výběrová položka poskytne seznam strávníků podle jednotlivých středisek.

§ Jen rozdělení - vyberte rozdělení, pro které chcete zobrazit seznam strávníků.

§ Všichni - zobrazí seznam všech strávníků.

§ Aktivní - zobrazí strávníky, kteří aktivně využívají stravovacího systému.

§ Neaktivní - zobrazí strávníky, kteří v současné době nejsou uživateli stravovacího systému.

Podle toho k jakému dni je filtr nastaven, bude se zaměstnanec zobrazovat jako aktivní či neaktivní. Standardně je nastaveno k aktuálnímu dni. Pokud chcete zobrazit stav k jinému dni, zrušte zaškrtnutí Akt. den a nastavte datum u funkce Ke dni, ke kterému chcete zobrazit seznam.

§ Jen typ osoby - nabízí se varianta Zaměstnanec a Zaměstnanec jiné firmy.

 | Vyúčtování - provede vyúčtování všech osob, které jsou zobrazeny v seznamu.
J_Objednani dle planu | Objednání dle plánu - tlačítkem provedete objednání stravy osobám v seznamu s přiřazeným stravovacím plánem. Po stisku tlačítka se zobrazí okno, ve kterém zadejte rozsah dnů, pro které chcete jídlo objednat. Po výběru stiskněte tlačítko [image] . Poté se vás program zeptá, zda si opravdu přejete hromadně objednat pro všechny osoby v seznamu na období od DD.MM.RRRR do DD.MM.RRRR. Po potvrzení dotazu se provede objednání jídel. Následně se zobrazí informace o stavu objednávání jídel a dotaz zda si přejete provést vyúčtování. Po potvrzení se provede vyúčtování všem strávníkům v seznamu. Po dokončení vyúčtování se zobrazí informace o průběhu vyúčtování.

Pro vytvoření nového záznamu v seznamu, klikněte v panelu nástrojů na tlačítko [image] Nový záznam. Tím se zobrazí prázdný formulář Průvodce přidáním nového strávníka, kde vyplníte požadované údaje o strávníkovi. Tlačítkem [image] Editace záznamu stávajícího řádku se dostanete do Formuláře strávníka.


Průvodce přidáním nového strávníka

Navigation: Seznamy > Strávníci >

Průvodce přidáním nového strávníka

 Return to chapter overview

Pomocí Průvodce přidáním nového strávníka (dále jen průvodce) můžete vložit údaje nového strávníka. Samotné spuštění průvodce provedete pomocí klávesové zkratky Alt + Insert nebo kliknutím na tlačítko [image] pro vložení nového záznamu.

Průvodce se skládá z několika bodů (formulářů). Jednotlivé formuláře obsahují povinné a nepovinné údaje. Jestliže nezadáte některý z povinných údajů (tučným písmem), budete upozorněni a program při stisknutí tlačítka [image] nenabídne následující formulář. Průvodce také umožňuje návrat k předchozím bodům pomocí tlačítka [image]. Ostatní nepovinné údaje jsou doplňující. Data vyplňujete nebo vybíráte ze seznamů. Všechny nabízené seznamy můžete upravovat přímo v průvodci rozkliknutím seznamu (podtržené označení) a použitím tlačítka pro vložení nového záznamu nebo pro editaci.


Základní údaje

Navigation: Seznamy > Strávníci > Průvodce přidáním nového strávníka >

Základní údaje

 Return to chapter overview

Provedené nastavení se projeví ve Formuláři strávníka - Hlavní údaje. Je potřeba vyplnit tučně zvýrazněné údaje:

· Rodné číslo - povinný údaj. Vyplňte rodné číslo strávníka. V případě, že nechcete vést evidenci dle rodných čísel, zadejte číslo jiné, libovolné, které bude sloužit jako identifikační.

· Titul - vyplňte titul před jménem.

· Jméno - vepište jméno strávníka.

· Příjmení - povinný údaj. Vyplňte příjmení.

· Titul za - vyplňte titul za jménem.

· Typ osoby - zde vyberte z lišty, o jakého strávníka se jedná, zda o vlastního zaměstnance - strávníka, externí osobu nebo o zaměstnance jiné firmy.

· Osobní číslo -povinný údaj. Identifikační číslo pracovního poměru.

· Den nástupu - povinný údaj. Zadejte jej ve formátu D.M.RRRR. Od tohoto data lze se strávníkem v systému pracovat jako s aktivním.

· Poznámka - zde si můžete vepsat libovolné, pro vás důležité, informace.

· Foto - dvojklikem do prostoru určeného pro fotografii se dostanete do vlastních adresářů, z nichž můžete fotografii načíst do formuláře.


Identifikační médium

Navigation: Seznamy > Strávníci > Průvodce přidáním nového strávníka >

Identifikační médium

 Return to chapter overview

V následujícím formuláři strávníkovi přidělíte Identifikační médium. ID médium slouží pro objednání a výdej stravy na terminálech. Provedené nastavení se projeví ve Formuláři strávníka - ID média.

· Identifikační médium - položka umožňující výběr z definovaného seznamu, a to:

o kliknutím na podtržený nadpis Identifikační médium - otevře se seznam pro Výběr identifikačního média, ve kterém můžete editovat stávající údaje tlačítkem [image] Editace záznamu nebo vkládat nové tlačítkem [image] Nový záznam. Více o Identifikačních médiích naleznete v kapitole Identifikační média.

o kliknutím na [image] - otevře se výběrový seznam.

Načtení ID média (Ctrl+I) - slouží pro rychlé přiřazení karty nové osobě. Po přiložení karty ke čtecí hlavě program přiřadí načtenou kartu osobě. Pokud karta není v seznamu ID médií, zobrazí se formulář, ve kterém zadáte nové Identifikační médium. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

· PIN - pokud má identifikační médium PIN, můžete ho zde zapsat.


Jídelna a Cenová kategorie

Navigation: Seznamy > Strávníci > Průvodce přidáním nového strávníka >

Jídelna a Cenová kategorie

 Return to chapter overview

V následujícím formuláři strávníkovi přidělíte Jídelnu a Cenovou kategorii. Pro vybranou jídelnu si strávník objednává jídla a podle cenové kategorie je mu účtována objednaná strava. Provedené nastavení se projeví ve Formuláři strávníka - Rozdělení.

· Jídelna - položka umožňující výběr z definovaného seznamu, a to:

o kliknutím na podtržený nadpis Jídelna - otevře se seznam pro Výběr jídelny, ve kterém můžete editovat stávající údaje tlačítkem [image] Editace záznamu nebo vkládat nové tlačítkem [image] Nový záznam. Více o Jídelně naleznete v kapitole Jídelny.

o kliknutím na [image] - otevře se výběrový seznam.

· Cenová kategorie - položka umožňující výběr z definovaného seznamu, a to:

o kliknutím na podtržený nadpis Cenová kategorie - otevře se seznam pro Výběr cenové kategorie, ve kterém můžete editovat stávající údaje tlačítkem [image] Editace záznamu nebo vkládat nové tlačítkem [image] Nový záznam. Více o Cenové kategorii naleznete v kapitole Cenové kategorie.

o kliknutím na [image] - otevře se výběrový seznam.


Ukončení průvodce

Navigation: Seznamy > Strávníci > Průvodce přidáním nového strávníka >

Ukončení průvodce

 Return to chapter overview

Po výběru jídelny a cenové kategorie se tlačítkem [image] dostanete k poslednímu kroku v průvodci. V zobrazeném formuláři nového strávníka můžete zadané údaje zkontrolovat, upravit, případně doplnit o další požadované.

POZNÁMKA: Doplnění potřebných údajů je možné po otevření formuláře daného strávníka.


Formulář strávníka

Navigation: Seznamy > Strávníci >

Formulář strávníka

 Return to chapter overview

Formulář strávníka pracuje s velkým množstvím údajů - záložek. Jelikož potřebných údajů o strávnících je mnoho a není možné je zobrazit v jednom formuláři, je formulář rozdělen na dvě základní části. V levé části je seznam záložek a v pravé části je zobrazen obsah zvolené záložky. Kliknutím na zvolenou záložku se v pravé části zobrazí veškeré údaje odpovídající zvolené záložce.

Otevřením určitého záznamu se zobrazí formulář Strávníka, který se skládá z následujících záložek:

Hlavní údaje

Ostatní údaje

ID média

Způsob platby

Stravovací plán

Rozdělení

Objednávky jídel

Pohyby na účtu

Původní odběry

Měsíční salda

Intraweb


Formulář strávníka - Hlavní údaje

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Hlavní údaje

 Return to chapter overview

Ve formuláři jsou zobrazeny základní identifikační údaje o strávníkovi a jeho pracovním poměru.

Hlavní údaje:

· Rodné číslo - povinný údaj. Vyplňte rodné číslo strávníka. V případě, že nechcete vést evidenci dle rodných čísel, zadejte číslo jiné, libovolné, které bude sloužit jako identifikační.

· Titul - vyplňte titul před jménem.

· Jméno - povinný údaj. Vepište jméno strávníka.

· Příjmení - povinný údaj. Vyplňte příjmení.

· Titul za - vyplňte titul za jménem.

· Datum narození - datum zadejte ve formátu D.M.RRRR.

· Poznámka - zde si můžete vepsat libovolné, pro vás důležité, informace.

· Fotka - dvojklikem do prostoru určeného pro fotografii se dostanete do vlastních adresářů, z nichž můžete fotografii načíst do formuláře.

Pracovní poměry:

· Osobní číslo - povinný údaj. Identifikační číslo pracovního poměru.

· Datum nástupu - povinný údaj. Zadejte jej ve formátu D.M.RRRR. Od tohoto data lze se strávníkem v systému pracovat jako s aktivním.

· Datum ukončení - zadejte jej ve formátu D.M.RRRR. Pokud strávník ukončí pracovní poměr, zadejte mu jej, i dopředu, pokud víte, kdy zaměstnanec skončí. Po tomto datu bude znemožněno strávníkovi využívat stravovací terminály. Ukončení strávníka znamená, že vám v databázi zůstane jako neaktivní, nejde o výmaz!!

· Pořadové číslo PP - vepište pořadové číslo pracovního poměru.

· Typ osoby - zde vyberte z lišty, o jakého strávníka se jedná, zda o vlastního zaměstnance - strávníka nebo o zaměstnance jiné firmy.

J_Novy pracovni pomer | Nový pracovní poměr - pokud zaměstnanec nastoupí na další pracovní poměr, pak tímto tlačítkem vyvoláte Průvodce přidáním nového strávníka.
J_Zrusit pracovni pomer | Zrušit pracovní poměr - pokud nemá zaměstnanec navazující záznamy, tak tímto tlačítkem smažete pracovní poměr.


Formulář strávníka - Ostatní údaje

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Ostatní údaje

 Return to chapter overview

Formulář je určen těm z Vás, kterým chybí v programu některé kolonky s informacemi, které chcete u strávníků sledovat. Popisky polí můžete přejmenovat ve Společném nastavení - Uživatelská pole osob. V ostatních údajích můžete k přejmenovaným polím doplnit zvolené informace o strávníkovi, např. telefonní číslo.


Formulář strávníka - ID média

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - ID média

 Return to chapter overview

Formulář obsahuje dva sloupce Volná ID média a Přiřazená ID média.

Filtr ve sloupci Volná ID média:

Podle toho k jakému dni je filtr nastaven, budou se ID média zobrazovat jako volná nebo volná nebudou. Standardně je nastaveno k aktuálnímu dni. Pokud chcete zobrazit stav k jinému dni, zrušte zaškrtnutí Dnes a nastavte datum u funkce K datu, ke kterému chcete zobrazit seznam.

PŘÍKLAD: Pan Adámek končí k 31.11. U karty je nastaveno datum vrácení 31.11. Karta po zaškrtnutí pole DNES volná nebude, ale K DATU 1.12. již volná bude.

Filtr ve sloupci Přiřazená ID média:

§ Zobrazovat média pro všechny pracovní poměry - po zatrhnutí políčka se zobrazí ID média pro všechny pracovní poměry.

Zaměstnanci přiřadíte ID médium pomocí tlačítka J_Sipka seda vpravo ve středovém panelu. Pokud chcete změnit datum přiřazení, otevřete si formulář Přiřazené ID médium tlačítkem [image] Editace záznamu a přepište datum přidělení.

Pozor, výměnu karty (například při ztracení ID média) provádějte jako vrácení předchozí přidělené karty a nové přidělení jiné karty. Výměnu proveďte tlačítkem [image] Editace záznamu. Otevře se formulář Přiřazené ID médium, ve kterém vyplníte pole Datum vrácení a potvrdíte. Od následujícího dne může ID médium využívat jiný strávník. Totéž můžete provést pomocí tlačítka [image] v pravé půlce formuláře dole. Ta označí zvolené ID médium jako vrácené a vloží aktuální datum. To je tedy druhá možnost, jak provést vrácení ID média. Dále pak bude možné přiřadit toto ID médium dalšímu zaměstnanci. Pokud budete výměnu provádět pouze přes tlačítka J_Sipka seda vlevo , J_Sipka seda vpravo, nezachováte historii přiřazení.

Strávníkovi je možné přiřadit více ID médií. Pro přiřazení více ID médií je nutné povolit takové nastavení. Nastavení přiřazení více ID médií provedete ve Společném nastavení - ID média. Ve formuláři zatrhněte pole Povolit zaměstnancům přiřazení více ID médií. Pokud již má zaměstnanec jedno ID médium přiřazeno, aplikace odmítne přiřadit další ID médium s hláškou Nelze přiřadit identifikační médium, dokud je platné jiné přiřazení. Zde je pak nutné označit jedno ID médium jako primární, viz dále v kapitole.

Tlačítkem [image] Editace záznamu otevřete formulář Přiřazené ID médium, který obsahuje základní informace o médiu a můžete v něm mimo jiné definovat ID médium jako primární (jak je uvedeno výše).

· Datum přidělení - datum přiřazení ID média.

· Primární - zda je či není ID primární.

· Datum vrácení - datum vrácení ID média (pokud ho víte).

· PIN - PIN ID média.

· Poznámka - poznámka k ID médiu.

Nové ID médium vytvoříte v menu Terminály/Identifikační média.


Formulář strávníka - Rozdělení

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Rozdělení

 Return to chapter overview

Jednoduchá struktura, která vytváří hierarchii rozdělení ve firmě. Každý zaměstnanec je přiřazen k nějakému rozdělení. Ve formuláři jsou zobrazeny rozdělení, kterými je zaměstnanec členem. Povinné rozdělení, které musí mít zaměstnanec přiřazeny, jsou Jídelna a Cenová kategorie.

V horní části formuláře se nachází rychlý filtr:

§ Všechny pracovní poměry osoby - filtr, který slouží k vytvoření přehledu za všechny nebo pouze za vybraný pracovní poměr zaměstnance.

V podkategoriích rozdělení jsou zobrazeny jednotlivé typy rozdělení (například: Jídelna, Cenová kategorie apod.). Jednotlivé typy rozdělení můžete přidávat či ubírat, podle Vašeho uvážení. Zvolený typ rozdělení přidáte (uberete) ve formuláři Typu rozdělení. Ve formuláři stačí zaškrtnout (nezaškrtnout) pole Aktivní. Nejdůležitějším typem rozdělení pro program Jídelna je Jídelna a Cenová kategorie.

Pro přiřazení zaměstnance k rozdělení je nutné nastavit datum počátku platnosti. Existují dvě možnosti:

1. Ikona [image] Nový záznam vyvolá formulář Rozdělení osoby:

Sekce pro vložení potřebných údajů:

· Typ rozdělení - z nabízeného seznamu vyberte požadovaný typ. Číselník můžete doplňovat v menu Seznamy/Typy rozdělení.
· Rozdělení - specifikujte konkrétní rozdělení.

· Pokračovat v posledním záznamu - přiřazením nového záznamu se automaticky ukončí platnost všech dosud platných rozdělení v rámci daného typu rozdělení.

· První záznam podle datumu nástupu - pokud zaměstnanec nemá ještě přiřazen žádný typ rozdělení, pak datum platnosti od bude shodné s datem nástupu.

· Platnost od - zadejte nebo zvolte datum v kalendáři.

· Platnost do - datum označující ukončení platnosti přiřazení.

Historie přiřazení rozdělení:

Tabulka umožňuje sledovat historii přiřazení zaměstnance na rozdělení v rámci vybraného typu rozdělení.

2. Výběr požadovaného typu rozdělení:

Otevře se formulář, ve kterém z levého sloupce nepřiřazených rozdělení pomocí tlačítka J_Sipka seda vpravo přesunete vybrané rozdělení. Následně se objeví okno pro Nastavení datumů pro přiřazení rozdělení:

· Platnost od - zadejte nebo zvolte datum v kalendáři.

· Platnost do - datum označující ukončení platnosti přiřazení.

· Pokračovat v posledním záznamu - přiřazením nového záznamu se automaticky ukončí platnost všech dosud platných rozdělení v rámci daného typu rozdělení.

· První záznam podle datumu nástupu - pokud zaměstnanec nemá ještě přiřazen žádný typ rozdělení, pak datum platnosti od bude shodné s datem nástupu.

Pokud chcete změnit datum přiřazení, přepište v řádku datum přidělení. Pokud externí osoba přejde na jiné rozdělení, zadáte mu datum ukončení platnosti na daném rozdělení (nebude ho přesouvat zpět doleva), tím si zachováte historii členství.

POZOR: pokud dojde ke změně přiřazení CENOVÉ KATEGORIE, potom změnu provádějte vždy od počátku měsíce.


Formulář strávníka - Způsob platby

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Způsob platby

 Return to chapter overview

Evidence způsobů platby za stravné. Zadání způsobu platby nemá žádný vliv na objednávání, výdej a vyúčtování stravy. Zadaný způsob platby je možné použít například ve skriptech pro export dat.

· Platnost od - zadejte datum platnosti platby za stravné. V případě, že se bude způsob úhrady měnit, stiskněte tlačítko [image] Nový záznam a zadejte nové datum platnosti. Je potřeba zadat datum prvního dne měsíce. Platnost do se automaticky vyplní po zadání nového data platnosti.

Výplata:

· Způsob platby - výběrová položka nabízející možnosti: Hotově, Převodem, Složenkou, Dobírkou, Bankovní kartou, Jinou kartou, Srážkou ze mzdy nebo Inkasem.

· Bankovní účet - seznam pro provedení volby bude aktivní v případě způsobu platby Převodem nebo Inkasem. Nabídnou se účty, které mají v poli Typ účtu nastaven Účet zaměstnance a zadáno Jméno a Příjmení shodné s osobou, které chcete přiřadit účet pro zasílání plateb. Pokud bude seznam prázdný, klikněte na podtržený název pole. Otevře se formulář Výběr bankovního účtu pro platbu, ve kterém zadejte údaje o bankovním účtu.

Adresa pro poštovní poukázku:

V případě využití tohoto způsobu vyplácení mzdy vyplňte:

· Adresát / Ulice a Město / PSČ (seznamy pro výběr).

J_Naplnit dle bydliste

Naplnit dle bydliště - tlačítko se zobrazí, jen pokud používáte RON Mzdy nebo Personalistiku. Tlačítko načte údaje ze záložky Adresy/Trvalé bydliště.


Formulář strávníka - Stravovací plán

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Stravovací plán

 Return to chapter overview

Strávníkovi ve formuláři můžete přiřadit požadovaný stravovací plán. V tomto formuláři můžete vytvořit Nový individuální plán nebo již přiřazený individuální plán upravit.

Stravovací plány lze využít například pro stravování studentů. Stravovacím plánem určíte dny, ve kterých se strávníci budou stravovat. Stravovací plán může být vytvořen pro skupinu strávníků nebo individuálně pro konkrétního strávníka.

Strávníkům s přiřazeným stravovacím plánem můžete hromadně objednat jídlo. Po objednání stravy máte možnost ihned provést vyúčtování objednané stravy a stanovit tak zálohu na stravné. Hromadné objednání můžete provést tlačítkem J_Objednani dle planu v seznamech:

Ø Strávníci
Ø Strávníci - pracovní poměry
Ø Individuální objednávky osob
Ø Přehled podle osob
Ø Dotace - dle osob

Ve formuláři z levého sloupce dostupných plánů označte plán, který chcete přiřadit strávníkovi a pomocí tlačítka J_Sipka seda vpravo jej přesuňte na pravou stranu. Pokud chcete změnit datum přiřazení, přepište v dolní části formuláře datum přidělení. Pokud osoba přejde na jiný plán, zadejte mu datum ukončení platnosti u daného plánu (nebude ho přesouvat zpět doleva), tím si zachováte historii přiřazení. V poli Jídelna se zobrazí jídelna, do které je strávník přiřazen.

J_Novy individualni plan | Nový individuální plán - pro konkrétního strávníka můžete vytvořit individuální plán. Po stisku tlačítka se zobrazí Formulář stravovacího plánu - Formulář záznamu. V položce Popis bude již zadaná hodnota Individuální plán - Příjmení a Jméno konkrétní osoby (například Individuální plán - Vopršálek Ivo).
J_Upravit individualni plan | Upravit individuální plán - tlačítkem je možné upravit pouze individuální plán vytvořený pro konkrétního strávníka. Pokud byste chtěli upravit plán, který není individuální, zobrazí se hláška: "Plán není individuální! Upravte jej v seznamu stravovacích plánů (menu Seznamy - Stravovací plány).


Formulář strávníka - Objednávky jídel

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Objednávky jídel

 Return to chapter overview

Ve formuláři Objednávky jídel se zobrazí seznam jídel, která má osoba objednané z jídelníčku. Záložka zobrazuje nejen jídlo samotné, ale i datum a čas objednávky, vydání, případné zrušení apod. Nad seznamem můžete použít filtry.

§ Vše - zobrazí se všechny objednávky jídel.

§ Dnes - zobrazí se všechny objednávky jídel za aktuální den.

§ Období - zobrazí se všechny objednávky jídel za vybrané období.

§ Datum od do - zobrazí se všechny objednávky jídel v rozmezí zvolených dat.

§ Skrýt zrušené - skryje všechny zrušené objednávky.


Formulář strávníka - Pohyby na účtu

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Pohyby na účtu

 Return to chapter overview

Formulář zobrazuje veškeré pohyby na účtu (objednávky, dotace, odběry zboží) dále datum a čas pohybu, typ pohybu apod. Tento seznam je určen jen pro čtení. Nad seznamem můžete použít filtry.

Stravnici_Pohyby na uctu

§ Vše - zobrazí se všechny pohyby na účtu.

§ Dnes - zobrazí se všechny pohyby na účtu za aktuální den.

§ Období - zobrazí se všechny pohyby na účtu za vybrané období.

§ Datum od do - zobrazí se všechny pohyby na účtu v rozmezí zvolených dat.

Tlačítkem [image] Editace záznamu zobrazíte formulář Pohyb na účtu.


Formulář strávníka - Původní odběry

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Původní odběry

 Return to chapter overview

Formulář zobrazuje objednávky z jídelníčku, odběry bez objednávky a dále odběry mimo jídelníček (např. z volného prodeje). Více o odběrech bez objednávky ve speciální kapitole na konci publikace. Formulář zobrazuje další informace (např. z jakého terminálu bylo objednáno, číslo čipu nebo karty, cenu jídla, množství, zda je jídlo dotováno, typ jídla). Nad seznamem můžete použít filtry.

§ Vše - zobrazí se všechny původní odběry.

§ Dnes - zobrazí se všechny původní odběry za aktuální den.

§ Období - zobrazí se všechny původní odběry za vybrané období.

§ Datum od do - zobrazí se všechny původní odběry v rozmezí zvolených dat.

§ Terminál - zobrazí vybraná data pro zvolený terminál.

Tlačítkem [image] Editace záznamu zobrazíte formulář Odběr jídla.


Formulář strávníka - Měsíční salda

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář strávníka - Měsíční salda

 Return to chapter overview

Formulář Měsíční salda zobrazuje konečné údaje o saldu strávníka za jednotlivé měsíce. Lze zde vyčíst celkové měsíční částky dotací, k úhradě, zda došlo k převodu salda z minulého období a samozřejmě částka koncová. Současně se dozvíte měsíční počty dotovaných i nedotovaných jídel, odebraných jídel i počty nároku na dotace. Záložka slouží jen pro čtení, žádné úpravy zde nejsou možné. Jsou výsledkem zpracování objednávek a původních odběrů. Nad seznamem můžete použít filtry.

§ Kalendářní rok - zobrazí měsíční salda za vybraný kalendářní rok.


Formulář zaměstnance - Intraweb, Práva

Navigation: Seznamy > Strávníci > Formulář strávníka >

Formulář zaměstnance - Intraweb, Práva

 Return to chapter overview

V následujících formulářích můžete uživateli nastavit práva pro RON portál (záložka Intraweb), spojit zaměstnance s uživatelem aplikace (záložka Aplikace) a spojit zaměstnance s uživatelem active directory (záložka Active directory).


Intraweb

Navigation: Seznamy > Strávníci > Formulář strávníka > Formulář zaměstnance - Intraweb, Práva >

Intraweb

 Return to chapter overview

Intraweb slouží k:

- prohlížení mzdových údajů, srážek ze mzdy (program Mzdy),

- prohlížení a editaci docházky, služebních cest, plánování kapacit, přehledu a plánování absence (program Docházka),

- monitorování přítomnosti osob, vkládání do historie průchodů (program Docházka, Přístupy),

- prohlížení dokumentů, školení, příjímání a odesílání vzkazů, evidenci úkolů a hodnocení (program Personalistika),

- objednávání stravy, je zde přehled o odběrech stravy, přehled o pohybu na účtu (program Jídelna).

Intraweb spustíte pomocí internetového prohlížeče.

Záložka je přístupná, pokud máte zakoupen modul Intraweb. Ve formuláři přiřazujete zaměstnanci jednotlivá práva pro přístup k datům na intrawebu. V první řadě je to přihlašovací jméno a heslo, kterým se bude uživatel do systému přihlašovat. Dále to jsou jednotlivá práva přístupu.

Přihlašovací jméno, heslo a skupinu uživatelů lze přiřadit hromadně všem zaměstnancům v nastavení intrawebu a dále jen vedoucím pracovníkům nastavit rozšířená práva pro aplikaci.

· Přihlašovací jméno - jméno, pod kterým se uživatel přihlašuje do intrawebu.

Karta zam._Intraweb Tlac. Zmena hesla

Změna hesla - objeví se okno, ve kterém můžete změnit přístupové heslo zaměstnance.

· Vynutit změnu hesla při přihlášení - pokud chcete, aby si zaměstnanec změnil heslo na intrawebu, zaškrtněte pole. Po prvním přihlášení zaměstnance do intrawebu se zobrazí informace o tom, že platnost hesla vypršela a je nutné si zadat heslo nové. Jakmile bude heslo zaměstnancem změněné, pole "Vynutit změnu hesla při přihlášení" již zaškrtnuté nebude.

· Nesynchronizovat/neimportovat přihlašovací jméno - nastavení se zohledňuje při standartním importu zaměstnanců a při hromadném nastavení přístupových jmen uživatelů v menu Systém -> Nastavení -> Nastavení intrawebu -> Jména a hesla. Osobám s tímto nastavením se nebude aktualizovat přihlašovací jméno.

· Poslední změna hesla - poslední změna hesla provedená zaměstnancem v intrawebu ve formátu DD.MM.RRRR HH:MM:SS.

· Skupina uživatelů - vyberte zaměstnanci jeho skupinu uživatelů, podle které se mu v kartě nastaví práva pro intraweb. Skupiny uživatelů nastavíte v menu Systém/Nastavení/Nastavení Intrawebu/Skupiny uživatelů. Noví zaměstnanci budou mít po vybrání skupiny v kartě zaměstnance automaticky nastaveno Podle skupiny uživatelů.

Nejjednodušší je nastavení práv podle Skupiny uživatelů. Pokud potřebujete některé právo na intraweb změnit oproti Skupině uživatelů, tak vybranému zaměstnanci ve střední části označte vybraný řádek s právem a ve spodní části "Nastavení práva" vyberte požadovanou hodnotu ze seznamu. Po nastavení jednotlivých práv ukládejte údaje tlačítkem [image] (v pravé dolní části formuláře).

· Podle skupiny uživatelů - pokud vyberete skupinu uživatelů, potom bude vybrané právo nastaveno podle přiřazené skupiny uživatelů. Skupiny uživatelů nastavíte v menu Systém/Nastavení/Nastavení Intrawebu/Skupiny uživatelů. Noví zaměstnanci budou mít po vybrání skupiny v kartě zaměstnance automaticky nastaveno Podle skupiny uživatelů.

· Pouze vlastní - uživatelé s tímto povolením mají zobrazeny pouze vlastní údaje např. osobní údaje.

· Vybrané osoby a skupiny - uživatelům s tímto povolením musíte v dolní části formuláře vybrat osobu nebo skupinu. Kliknutím na podtržený popisek Vybrané osoby se zobrazí formulář Výběr osob pro práva v intrawebu, ze kterého vyberete požadovanou osobu. Novou osobu můžete vytvořit v menu Seznamy/Zaměstnanci. Kliknutím na podtržený popisek Vybrané skupiny zobrazíte formulář Výběr skupin pro práva v intrawebu, ze kterého vyberete požadovanou skupinu osob. Novou skupinu můžete vytvořit v menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci. Osoba po nastavení práv uvidí údaje (například osobní údaje) vybrané osoby, vybrané skupiny (například Dělníků) v intrawebu.

· Vše - uživatelé s tímto povolením můžou v intrawebu prohlížet např. Osobní údaje všech zaměstnanců.

· Zakázat - uživatelé s tímto povolením nemají právo prohlížet např. osobní údaje.

Pro volby Vlastní rozdělení, Vlastní rozdělení kromě sebe, Vlastní a podřízená rozdělení, Vlastní a podřízená rozdělení kromě sebe a Podřízená rozdělení je nutné mít nastaveno na záložce Typy práv uživatelů typ rozdělení u zvoleného práva. Pokud u zvoleného práva není nastaven Typ rozdělení, potom se při přiřazení některé z uvedených voleb zobrazí hláška: "Pozor! Pro tento typ práva není nastaven typ rozdělení! (záložka Typy práv uživatelů)". Zda je Typ rozdělení u vybraného práva nastaven můžete ověřit ve sloupci Typ rozdělení. Pokud ve sloupci není žádná hodnota, není typ rozdělení nastaven.

PŘÍKLAD: Na záložce Skupiny uživatelů nastavíte pro typ práva SCHVÁLENÍ ABSENCE hodnotu VLASTNÍ A PODŘÍZENÁ ROZDĚLENÍ KROMĚ SEBE. Na záložce Typy práv uživatelů pro typ práva SCHVÁLENÍ ABSENCE je nutné mít vybrán Typ rozdělení.

Pokud jste vybrali v horní části formuláře ze seznamu položku s typem práva Odblokování nebo Zablokování karty, potom se ve spodní části zobrazí popisek: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

Pokud jste v horní části formuláře vybrali ze seznamu položku s typem práva Prohlížení úkolů a nastavení splnění, potom se ve spodní části zobrazí popisek: Může ručně upravit datum splnění - při zaškrtnutí políčka může uživatel při splnění úkolu ručně editovat předvyplněné datum.

Práva a jejich hodnoty lze kombinovat.

POZOR: Tato aplikace je dostupná pouze pokud máte zakoupen modul Intraweb.


Aplikace

Navigation: Seznamy > Strávníci > Formulář strávníka > Formulář zaměstnance - Intraweb, Práva >

Aplikace

 Return to chapter overview

Ve formuláři je možné spojit zaměstnance s uživatelem aplikace a nastavovat mu práva k aplikaci.

· Název uživatele aplikace - z nabídky vyberte uživatele aplikace. Pokud chcete vytvořit nového uživatele, potom nejdříve zadejte "Název uživatele aplikace". Následně stiskněte tlačítko [image]. Po jeho stisku se zobrazí dotaz, zda si opravdu přejete vytvořit nového uživatele aplikace "SPRÁVCE" ("název uživatele aplikace"). Jestliže ano, dotaz potvrďte. Po potvrzení dotazu se dostanete do Editoru uživatelů v menu Systém -> Správa databáze -> Nastavení zabezpečení, ve kterém uživateli provedete požadovaná nastavení (heslo, práva apod.). Pokud je již uživatel aplikace vybrán, tlačítko [image] se změní na [image] . Po jeho stisku se dostanete do Editoru uživatelů v menu Systém -> Správa databáze -> Nastavení zabezpečení, ve kterém můžete uživateli upravit nastavení.


Active directory

Navigation: Seznamy > Strávníci > Formulář strávníka > Formulář zaměstnance - Intraweb, Práva >

Active directory

 Return to chapter overview

V tomto formuláři spojíte zaměstnance s uživatelem active directory a nastavíte mu přihlašovací jméno a členství ve skupinách active directory.

· Přihlašovací jméno - zadejte přihlašovací jméno zaměstnance.

· Aktivní - pokud je uživatel aktivní, zaškrtněte políčko.

Synchronizovat - tlačítkem provedete synchronizaci uživatele s active directory. Pro provedení synchronizace je nutné mít funkční server a platný název cesty adresáře. Nastavení spojení k active directory provedete v menu Systém -> Nastavení -> Nastavení aplikace -> Společné nastavení -> Active directory.

Formulář je rozdělen do dvou seznamů. V levé části tabulky je zobrazen seznam všech dostupných skupin. V pravé části je seznam přiřazených skupin, do kterých je zaměstnanec přiřazen. Pro přesun mezi seznamy použijte šipky umístěné mezi těmito seznamy. Seznam skupin v active directory nadefinujete v menu Systém -> Správa databáze -> Skupiny active directory.


Strávníci - pracovní poměry

Navigation: Seznamy >

Strávníci - pracovní poměry

 Return to chapter overview

Seznam strávníků - pracovní poměry obsahuje všechny strávníky, se kterými jídelna přišla do kontaktu (bývalí i současní strávníci). Seznam obsahuje oproti předcházejícímu seznamu strávníků více údajů o strávnících, například místo narození, elektronický podpis, středisko, datum nástupu, osobní číslo apod.

Nad seznamem můžete použít následující filtry:

Seznam stravniku_Pracovni pomery

Vyhledat podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a otevře Formulář strávníka načtené osoby. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

§ Zobrazit hierarchii - odsouhlasíte-li tuto funkci, zobrazí se vedle seznamu vlevo personální větvení firmy s vybranými strávníky, kteří patří do příslušné kategorie. Ukáže hierarchii všech nadřízených a podřízených středisek. Se středisky můžete libovolně manipulovat a přesouvat je podle svých potřeb. Strávníkům zůstane přiřazeno středisko, které jim je přiděleno v jejich kartě.

§ Včetně podřízených rozdělení - funkce zobrazí hierarchii kategorií včetně dalších podkategorií (vytvoří se "strom", ve kterém je možno dobře se orientovat a sledovat osoby v rozdělení). Tuto strukturu můžete upravovat:

ú pokud podřízené rozdělení má být nadřízeným, označte jej a pravým tlačítkem aktivujte nabídku, ze které vyberte Přesunout na kořen stromu;

ú pokud nadřízené rozdělení má být podřízeným, označte jej levým tlačítkem myši a přetáhněte do rozdělení, kterému má být podřízeno.

§ Typ rozdělení - výběrová položka poskytne seznam strávníků podle jednotlivých středisek.

§ Jen rozdělení - vyberte rozdělení, pro které chcete zobrazit seznam strávníků.

§ Všichni - zobrazí seznam všech strávníků.

§ Aktivní - zobrazí strávníky, kteří aktivně využívají stravovacího systému.

§ Neaktivní - zobrazí strávníky, kteří v současné době nejsou uživateli stravovacího systému.

Podle toho k jakému dni je filtr nastaven, bude se zaměstnanec zobrazovat jako aktivní či neaktivní. Standardně je nastaveno k aktuálnímu dni. Pokud chcete zobrazit stav k jinému dni, zrušte zaškrtnutí Akt. den a nastavte datum u funkce Ke dni, ke kterému chcete zobrazit seznam.

§ Jen typ osoby - nabízí se varianta Zaměstnanec a Zaměstnanec jiné firmy.

Vyúčtování - provede vyúčtování všech osob, které jsou zobrazeny v seznamu.

J_Objednani dle planu

Objednání dle plánu - tlačítkem provedete objednání stravy osobám v seznamu s přiřazeným stravovacím plánem. Po stisku tlačítka se zobrazí okno, ve kterém zadejte rozsah dnů, pro které chcete jídlo objednat. Po výběru stiskněte tlačítko [image]. Poté se vás program zeptá, zda si opravdu přejete hromadně objednat pro všechny osoby v seznamu na období od DD.MM.RRRR do DD.MM.RRRR. Po potvrzení dotazu se provede objednání jídel. Následně se zobrazí informace o stavu objednávání jídel a dotaz zda si přejete provést vyúčtování. Po potvrzení se provede vyúčtování všem strávníkům v seznamu. Po dokončení vyúčtování se zobrazí informace o průběhu vyúčtování.

Kliknutím na tlačítko [image] Nový záznam se otevře formulář Průvodce přidáním nového strávníka, kterým přidáte nového strávníka. Tlačítkem [image] Editace záznamu stávajícího řádku se dostanete do Formuláře strávníka - Hlavní údaje.


Jídelny

Navigation: Seznamy >

Jídelny

 Return to chapter overview

Seznam jídelen je uživatelský seznam, to znamená, že si jej budete sami vytvářet podle toho, kolik máte jídelen.

Novou jídelnu vytvoříte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Jídelna vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu. Formulář jídelny se skládá z následujících záložek:

Jídelna

Členové jídelny

Terminál

Objednací pravidla


Jídelna

Navigation: Seznamy > Jídelny >

Formulář jídelny - Jídelna

 Return to chapter overview

Ve formuláři vyplňte základní identifikační údaje jídelny.

Jidelny formular jidelny jidelna

· Kód - povinný údaj. Označte jídelnu kódem tak, abyste ji pak snadno identifikovali i podle kódu.

· Popis - povinný údaj. Vepište název jídelny, např. Hlavní jídelna.

· Vedoucí - vepište jméno vedoucího jídelny.

· Datum vytvoření - povinný údaj. Vložte libovolné datum podle vašich potřeb, tj. i zpětně.

· Datum zrušení - vložte libovolné datum podle vašich potřeb, tj. i dopředu, pokud budete znát toto datum.

· Ulice - vepište jméno ulice, na které se jídelna nachází.

· Město - vepište město, ve kterém se jídelna nachází.

· PSČ - vepište směrovací číslo města.

· Obec - vepište název obce, ve které se jídelna nachází.

· Stát - vepište stát.

· Telefon - vepište kontaktní telefon.

· Fax - vepište fax.

· E-mail - vepište email na jídelnu.

Jakmile vyplníte alespoň tučně vytištěné kolonky, uložte data kliknutím na tlačítko [image] v dolní části formuláře.


Formulář jídelny - Členové jídelny

Navigation: Seznamy > Jídelny >

Formulář jídelny - Členové jídelny

 Return to chapter overview

Formulář obsahuje dvě pole. Pole vpravo zobrazuje ty strávníky, kteří jsou přiřazení k této jídelně. Pole vlevo uvádí seznam strávníků, kteří nenáleží do této jídelny. Pokud je osoba přiřazena k jídelně, může objednávat stravu v této jídelně, a naopak.

Jidelny formular jidelny clenove jidelny

Jednotlivé členy jídelny přiřazujete pomocí šipek na středovém panelu. Před samotným přesunem se vás program zeptá, zda chcete opravdu přidat označené osoby mezi členy. Dotaz se zobrazí, jen pokud jej máte nastaven v menu Systém/Nastavení aplikace/Uživatelské nastavení - Vlastnosti formulářů.

Než proběhne přiřazení, zeptá se vás program na nastavení dat pro přiřazení rozdělení:

Formular nastaveni datumu pro prirazeni rozdeleni

· Platnost od - vyplňte v případě, že již dopředu víte datum přidělení.

· Platnost do - stejně tak, pokud víte, kdy platnost přidělení do jídelny skončí, vyplňte.

· Pokračovat v posledním záznamu - přiřazením nového záznamu se automaticky ukončí platnost všech dosud platných rozdělení v rámci daného typu rozdělení.

· První záznam podle data nástupu - pokud zaměstnanec nemá ještě přiřazen žádný typ rozdělení, pak datum platnosti od bude shodné s datem nástupu.


Formulář jídelny - Terminály

Navigation: Seznamy > Jídelny >

Formulář jídelny - Terminály

 Return to chapter overview

Formulář obsahuje seznam terminálů, na kterých lze pro danou jídelnu objednat a vydat jídlo. Jde jen o informativní seznam. Jakoukoli změnu údajů je nutné provádět přes menu Terminály/Terminály.

Jidelny formular jidelny terminaly

Tlačítkem [image] Editace záznamu zobrazíte formulář Terminál. Formulář má pouze informativní charakter.


Formulář jídelny - Objednávací pravidla

Navigation: Seznamy > Jídelny >

Formulář jídelny - Objednávací pravidla

 Return to chapter overview

Formulář zobrazuje pravidla objednávání stravy. Nastavená pravidla určují, v jakém časovém rozmezí lze jídla v dané jídelně objednávat předem. Pravidla se nastavují zvlášť pro jídelnu, zvlášť pro každý typ jídla a pro den v týdnu, ve kterém se jídlo vydává. Pravidla nemusíte definovat. Pokud je tedy nebudete chtít zavádět, lze ve vytvořené jídelně objednávat ihned po potvrzení jídelníčku.

Jidelny formular jidelny objednavaci pravidla

· Zobrazit pravidla pro typ denního jídla - zvolte typ denního jídla, pro které nastavíte pravidla objednávání.

· Den výdeje - den, ve kterém vydáváte jídlo (Pondělí, atd.).

· Dnů nejdříve před výdejem - kolik dnů před výdejem je možné objednat stravu.

· Čas od - čas od kdy je možné před výdejem objednat stravu.

· Dnů nejpozději před výdejem - kolik dnů před výdejem nejpozději je možné objednat stravu.

· Čas do - čas do kdy je možné před výdejem objednat stravu.

· Nepočítat víkendy - zaškrtávací položky. Při zaškrtnutí políček program neumožní objednání jídla o víkendu.

PŘÍKLAD: Poslední možnost objednat si jídlo je nastaveno jeden den před výdejem do 8:00 hodin. Při zaškrtnutých položkách je možné objednat jídlo na pondělí nejpozději v pátek před 8:00 hodinou.

· Počítat jen dny s jídelníčkem - zaškrtávací položky. Program přeskočí dny (den) bez jídelníčku a umožní objednat jídlo jen ve dnech kdy je jídelníček vytvořen.

PŘÍKLAD: Jídelníček není vytvořen ve dnech pátek, sobota, neděle. Poslední možnost objednat si jídlo máte nastaveno jeden den před výdejem. Na pondělí si můžete objednat naposledy ve čtvrtek.

Po vyplnění údajů potvrďte tlačítkem [image].

Při úpravě objednávacích pravidel se změny neprojeví v jídelníčku, který je v té době již vytvořen. Proto je nutné po provedených změnách opravit časy objednávání v Jídelníčku. Časy opravíte tlačítkem J_Opravit casy objednavani .


Cenové kategorie

Navigation: Seznamy >

Cenové kategorie

 Return to chapter overview

Cenové kategorie jsou důležitým typem rozdělení. V cenových kategoriích se definují pravidla účtování jídel strávníkům (členům cenové kategorie). Členové jsou určeni v záložce Členové kategorie. Každý člen má určeno datum, od kdy je členem dané skupiny. Pro každou cenovou kategorii jsou zadána pravidla účtování stravy. Pravidla účtování stravy se zadávají na určité období platnosti. Seznam cenových kategorií si musíte nadefinovat.

Vkládání nebo opravu údajů neprovádějte v seznamu, ale otevřete si [image] Nový záznam nebo tlačítkem [image] Editace záznamu formulář Cenová kategorie. Formulář má následující záložky:

Formulář záznamu

Členové kategorie

Vlastnosti cenové kategorie


Formulář cenové kategorie - Formulář záznamu

Navigation: Seznamy > Cenové kategorie >

Formulář cenové kategorie - Formulář záznamu

 Return to chapter overview

Ve formuláři zadejte základní identifikační údaje o cenové kategorii.

Cenove kategorie formular cenove kategorie formular zaznamu

· Kód - povinný údaj. Vyberte přijatelný kód, podle kterého se budete snadno orientovat.

· Popis - povinný údaj. Popište cenovou kategorii.

· Datum vytvoření - povinný údaj. Vložte datum vytvoření.

· Datum zrušení - vložte datum zrušení.


Formulář cenové kategorie - Členové kategorie

Navigation: Seznamy > Cenové kategorie >

Formulář cenové kategorie - Členové kategorie

 Return to chapter overview

Ve formuláři jsou zobrazeny dva seznamy strávníků. V jednom seznamu jsou zobrazeny osoby pro výběr do dané cenové kategorie a ve druhé jsou osoby, které jsou členy dané cenové kategorie. Každá osoba má určeno datum, od kdy je členem dané cenové skupiny. Při vložení mezi seznam členů je automaticky nastaveno datum platnosti na aktuální den.

Cenove kategorie formular cenove kategorie clenove kategorie

Jednotlivé členy cenové kategorie přiřazujete pomocí šipek J_Sipka seda dvojita vpravo , J_Sipka seda dvojita vlevo, J_Sipka seda vlevo, J_Sipka seda vpravo , které jsou umístěny ve formuláři mezi dvěma seznamy. Před samotným přesunem se vás program zeptá, zda chcete opravdu přidat označené osoby mezi členy. Dotaz se zobrazí, jen pokud jej máte nastaven v menu Systém/Uživatelské nastavení - Vlastnosti formulářů.

Formular nastaveni datumu pro prirazeni rozdeleni

· Platnost od - vyplňte datum přidělení cenové kategorie zaměstnanci.

· Platnost do - stejně tak, pokud víte, kdy platnost přidělení do cenové kategorie skončí, vyplňte.

· Pokračovat v posledním záznamu - přiřazením nového záznamu se automaticky ukončí platnost všech dosud platných rozdělení v rámci daného typu rozdělení.

· První záznam podle data nástupu - pokud zaměstnanec nemá ještě přiřazen žádný typ rozdělení, pak datum platnosti od bude shodné s datem nástupu.

POZOR: Dávejte pozor na datum přiřazení!

POZOR: Neměňte členství strávníků v cenové kategorii v průběhu období!


Formulář cenové kategorie - Vlastnosti cenové kategorie

Navigation: Seznamy > Cenové kategorie >

Formulář cenové kategorie - Vlastnosti cenové kategorie

 Return to chapter overview

Podle nastavených vlastností cenové kategorie se účtuje za stravu. Formulář poskytuje informace o nastavených údajích cenové kategorie. Jednotlivé části nastavených údajů jsou rozděleny do záložek Základní nastavení, Pravidla pro typy denních jídel, Platba kartou a Dotační skupiny. V levé části formuláře je zobrazena historie platností jednotlivých nastavení. Každým novým záznamem přibude v historii další řádek. Tak je umožněno sledovat vlastnosti cenové kategorie i zpětně.

Jakékoli změny provádějte přes tlačítko [image] . Nové nastavení s novým datem platnosti pak provádějte přes tlačítko [image]. Jednotlivé kroky nastavení jsou uvedeny v kapitole Průvodce nastavením cenové kategorie .


Vlastnosti cenové kategorie - Základní nastavení

Navigation: Seznamy > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Vlastnosti cenové kategorie - Základní nastavení

 Return to chapter overview

Formulář zobrazuje informace o základním nastavení pravidel. Zobrazí se zde data nastavená v průvodci cenové kategorie. Konkrétně se ve formuláři zobrazí data vytvořená v Nastavení způsobu účtování a základní pravidlo poskytování dotace, Nastavení dotací a denních objednávek, Nastavení terminálů.

Cenove kategorie formular cenove kategorie vlastnosti cenove kategorie zakladni nastaveni


Vlastnosti cenové kategorie - Pravidla pro typy denních jídel

Navigation: Seznamy > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Vlastnosti cenové kategorie - Pravidla pro typy denních jídel

 Return to chapter overview

Formulář zobrazuje informace o nastavených pravidlech pro vybraný typ denního jídla. Pokud potřebujete zobrazit informaci pro jiný typ denního jídla, klikněte na [image] u položky Pravidla pro typ jídla. Nastavení pro typy denních jídel provedete v Průvodci nastavením cenové kategorie - Nastavení pravidel výpočtu dotace pro typy denních jídel.

PRAVIDLA PRO TYPY DENNÍCH JÍDEL

se záložkou Dotace

Cenove kategorie formular cenove kategorie vlastnosti cenove kategorie pravidla pro typy dennich jidel dotace

se záložkou Objednávky

Cenove kategorie formular cenove kategorie vlastnosti cenove kategorie pravidla pro typy dennich jidel objednavani


Vlastnosti cenové kategorie - Platba kartou

Navigation: Seznamy > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Vlastnosti cenové kategorie - Platba kartou

 Return to chapter overview

Platba kartou - formulář slouží pro nastavení pravidel při platbě kartou v pokladně. Pravidla pro platbu kartou v pokladně se nastavují, pouze pokud je nainstalovaný program Sklad. Nastavení pro platbu kartou provedete v Průvodci nastavením cenové kategorie - Nastavení dotací a denních objednávek u položky Limity pro platbu kartou v pokladně.

Cenove kategorie formular cenove kategorie vlastnosti cenove kategorie platba kartou


Vlastnosti cenové kategorie - Dotační skupiny

Navigation: Seznamy > Cenové kategorie > Formulář cenové kategorie - Vlastnosti cenové kategorie >

Vlastnosti cenové kategorie - Dotační skupiny

 Return to chapter overview

Dotační skupiny slouží k seskupení typů denních jídel do skupin (např.: vaříte studené večeře a večeře. Nově vytvořená skupina bude Večeře). Poté lze nastavit pravidla omezení i podle dotačních skupin. Vytvořenou dotační skupinu použijete v průvodci nastavením cenové kategorie - Nastavení výpočtu dotace pro typy denních jídel.

Cenove kategorie formular cenove kategorie vlastnosti cenove kategorie dotacni skupiny

Novou dotační skupinu vytvoříte přes tlačítko [image] Nový záznam. Poté vyplňte následující údaje:

· Kód - povinný údaj. Vepište název dotační skupiny (například: večeře).

· Omezit počet jídel ve skupině - omezíte počet jídel ve skupině (například: vepíšete 1, strávník si může odebrat buď jen studenou večeři, nebo jen večeři).

· Omezit počet dotací ve dni - omezíte počet dotovaných jídel ve skupině. Pokud chcete nastavit počet dotovaných jídel na den bez ohledu na skupinu, vraťte se na druhý formulář v průvodci cenové kategorie.


Průvodce nastavením cenové kategorie

Navigation: Seznamy > Cenové kategorie >

Průvodce nastavením cenové kategorie

 Return to chapter overview

Pomocí Průvodce nastavením cenové kategorie (dále jen průvodce) nastavíte pravidla pro účtování stravy. V průvodci definujete způsob účtování, pravidlo poskytování dotace, maximální možný počet objednávek na den apod. Samotné spuštění průvodce provedete ve Formuláři cenové kategorie - Vlastnosti cenové kategorie pomocí klávesové zkratky Alt + Insert nebo kliknutím na tlačítko [image] pro vytvoření nového záznamu.

Průvodce se skládá z několika bodů (formulářů). Jednotlivé formuláře obsahují údaje, podle kterých bude účtována objednaná strava. Jestliže nezadáte některý z povinných údajů, budete upozorněni a program při stisknutí tlačítka [image] nenabídne následující formulář. Průvodce také umožňuje návrat k předchozím bodům pomocí tlačítka [image]. Ostatní nepovinné údaje jsou doplňující. Data vyplňujete nebo vybíráte ze seznamů.


Nastavení způsobu účtování

Navigation: Seznamy > Cenové kategorie > Průvodce nastavením cenové kategorie >

Nastavení způsobu účtování

 Return to chapter overview

Ve formuláři se nastavuje způsob účtování za objednanou stravu. Provedené nastavení ve formuláři se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

Cenove kategorie pruvodce nastavenim cenove kategorie formular zpusobu uctovani

· Platnost od – povinný údaj. Vepište do kolonky měsíc a rok začátku platnosti vytvářené cenové kategorie ve formátu MM.RRRR.

· Způsob účtování – povinný údaj. Vyberte, jak se bude v cenové kategorii účtovat:

o Srážkově - srážkový způsob se používá nejčastěji jako podklad pro srážky z mezd. Vyúčtování probíhá za období zpětně.

o Zálohově - zálohový způsob znamená, že strávník musí mít na účtu dostatečnou hotovost, aby mohl objednat stravu. Můžete zde nadefinovat možnost jít do debetu. Pokud zvolíte tento způsob, pak vyplňte také kolonku Minimální zůstatek. Při vyčerpání kreditu nelze objednat stravu.

· Účtovat jen odebraná jídla - zatrhnutím pole se zapne účtování pouze odebraných jídel. Objednaná jídla, která si strávník neodebere, se účtovat nebudou.

· Zaokrouhlení - nastavte, jak se zaokrouhlí výsledek vyúčtování (menu Stravování/Salda strávníků - sloupec Částka uhradit).

o Vždy dolů - zaokrouhlí částku vždy dolů.

o Normálně - částku standardně zaokrouhlí.

o Vždy nahoru - zaokrouhlí částku vždy nahoru.

o Nezaokrouhlovat - nezaokrouhlí částku.

Tyto částky budou zaokrouhleny na mince, které vyberete v políčku vedle.


Nastavení základního pravidla poskytování dotace

Navigation: Seznamy > Cenové kategorie > Průvodce nastavením cenové kategorie >

Nastavení základního pravidla poskytování dotace

 Return to chapter overview

Ve formuláři se nastavuje základní pravidlo pro poskytování dotace. Provedené nastavení ve formuláři se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

Cenove kategorie pruvodce nastavenim cenove kategorie formular zakladni pravidlo poskytovani dotace

· Základní pravidlo poskytování dotace – povinný údaj. Vyberte z nabídky základní pravidlo pro účtování jídel:

o Dotovat dle počtu měsíčních dotací – počet dotovaných jídel dosahuje maximálně počtu měsíčních dotací.

o Dotovat dle počtu denních dotací – maximální počet dotovaných jídel je dán součtem denních dotací za účtované období.

o Dotovat denní částkou dotace – pro každý den nároku je generována nastavená částka. Pozor! Tento způsob dotace je možné použít pouze pro srážkový způsob účtování!

o Dotovat vše – jsou dotována všechna jídla.

o Nedotovat nic – není dotované žádné jídlo.

· Dotovat stravu pouze ve dnech nároku na dotaci – políčko je aktivní při volbě Dotovat dle počtu denních dotací – pokud zvolíte tuto možnost, pak je počet dotovaných jídel kontrolován pro každý den. Počet dotací dosahuje maximálně počtu dotací pro daný den - obvykle 1.


Nastavení dotací a denních objednávek

Navigation: Seznamy > Cenové kategorie > Průvodce nastavením cenové kategorie >

Nastavení dotací a denních objednávek

 Return to chapter overview

Ve formuláři nastavujete podmínky Dotací a Denních objednávek bez ohledu na typ denního jídla.

Cenove kategorie pruvodce nastavenim cenove kategorie formular omezeni dotaci objednavek

Maximální počet dotovaných jídel na jeden den

· Omezit maximální počet dotací na jeden den - zaškrtnutím políčka se aktivuje pole, do nějž zapíšete počet dotací. Jedná se o maximální počet dotovaných jídel strávníka za jeden den, bez ohledu na typ denního jídla. Pokud je nastavení aktivováno, bude strávníkovi pro každý den přiznán maximálně daný počet dotací, nad tento limit dotována nebudou. Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

POZNÁMKA: Pokud chcete určit maximální počet dotací u jednoho typu jídla, lze to provést v průvodci nastavení.

Maximální hodnota celkové denní dotace

· Maximální částka celkové denní dotace - zadanou částkou omezíte maximální hodnotu celkové denní dotace.

· Maximální procento denní dotace z celkové částky - zadanou procentuální hodnotou omezíte maximální hodnoty celkové denní dotace vzhledem k součtu odběrů jídel a plateb. Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

Limity pro platbu kartou v pokladně

· Denní limit pro platbu kartou strávníka - zadejte částku denního limitu pro platbu kartou strávníka.

· Měsíční limit pro platbu kartou strávníka - zadejte částku měsíčního limitu pro platbu kartou strávníka.

· Do limitu započítat - určete, co se má do denního/měsíčního limitu započítat:

o Jen odběry zboží – do limitu budou započítány jen odběry zboží.

o Všechny pohyby na účtu – do limitu budou započítány všechny pohyby na účtu (všechny odběry, dotace apod.). Toto nastavení vyžaduje provádět vyúčtování.

o Všechny odběry (položky jídelníčku i zboží) – do limitu budou započítány veškeré provedené odběry. Toto nastavení rovněž vyžaduje provádět vyúčtování.

· Odběratel pro určení cenové hladiny - nepovinná položka. Odběratel, podle kterého se v modulu Pokladna určí cenová hladina a případně se přepočítají ceny.

Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Platba kartou.

Poznámka: Pravidla pro platbu kartou v pokladně se nastavují, pouze pokud je nainstalovaný program Sklad.

Maximální počet objednávek na jeden den

· Omezit maximální počet denních objednávek - zaškrtnutím políčka se aktivuje pole, do nějž zapíšete nejvyšší možný počet denních objednávek bez ohledu na typ denního jídla. Nad tento počet nebude moci strávník objednávat. Pokud není políčko zaškrtnuté, může si strávník objednat neomezený počet jídel. Toto omezení se týká pouze objednávání přes dotykový displej a intraweb. Omezení objednávání na terminálech lze nastavit ve formuláři terminálu. Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.


Nastavení terminálů

Navigation: Seznamy > Cenové kategorie > Průvodce nastavením cenové kategorie >

Nastavení terminálů

 Return to chapter overview

Formulář je věnován nastavení terminálů objednávacích a výdejních. Nastavení terminálů je důležité pro správnou komunikaci se softwarem Jídelna! Provedené nastavení se zobrazí ve Vlastnostech cenové kategorie - Základní nastavení.

Cenove kategorie pruvodce nastavenim cenove kategorie formular terminal objednavky

· Číslo cenové kategorie v terminálu – číslo, pod kterým se daná cenová kategorie posílá do terminálu. Každá cenová kategorie musí mít jednoznačné číslo! Na terminálu ACS-Line je hodnota v poli Číslo cenové kategorie v terminálu omezena. Do terminálu lze poslat pouze čísla cenové kategorie v terminálu 1 až 9. Na terminálu DMR-System není hodnota v poli Číslo cenové kategorie v terminálu omezena. Pouze pro hodnoty 0 a vyšší jak 5 se nezobrazuje písmeno na velkém výdejním displeji.

· Maximální počet porcí objednávky/výdeje - maximální počet porcí, které lze objednat na objednávacím terminálu (ACS-Line)/vydat na výdejovém terminálu (DMR-System, ACS-Line).

· Maximální počet porcí výdeje v terminálu - maximální počet porcí, které lze strávníkovi vydat v bezobjednávkovém terminálu. Omezení tohoto počtu v terminálu provedete zatržením pole Omezovat denní počet vydaných jídel podle nastavení cenové kategorie v menu Terminály -> Terminály -> Formulář Terminálu -> Záložka terminál -> Tlačítko Editace parametrů -> Formulář Editor parametrů terminálu DMR. Toto nastavení je implementováno do DMR výdejového terminálu VT a VBT.

POZOR: Nemusí být kontrolováno ve všech typech terminálů!

· Povolit výdej bez objednávky – na výdejovém terminálu můžete provést výdej stravy bez předchozí objednávky. Na terminálu DMR-System lze vydat jídlo bez objednávky, i když není v cenové kategorii její vydání povoleno. Na terminálu ACS-Line toto funguje v pořádku.

· Povolit zrušení objednávky – povolí se zrušení předchozích objednávek na terminálu. Na terminálu DMR-System lze zrušit objednávku, i když není v cenové kategorii její zrušení povoleno. Na terminálu ACS-Line toto funguje v pořádku.

· Povolit změnu počtu objednávek – po zatrhnutí políčka, můžete na terminálu zvolit počet porcí objednávek/výdeje bez objednávky, ale jen maximálně do výše nastavené hodnoty v poli Maximální počet porcí objednávky/výdeje. Na terminálu DMR-System nelze změnit počet objednávek. U terminálu ACS-Line je změna počtu objednávek možná.


Nastavení pravidel výpočtu dotace pro typy denních jídel

Navigation: Seznamy > Cenové kategorie > Průvodce nastavením cenové kategorie >

Nastavení pravidel výpočtu dotace pro typy denních jídel

 Return to chapter overview

V následujících formulářích průvodce nastavujete podmínky Dotace a Objednávání jednotlivých typů denních jídel. Zobrazují se postupně po jednotlivých stránkách v pořadí, ve kterém je máte nastaveny v seznamu Typy denních jídel.

Cenove kategorie pruvodce nastavenim cenove kategorie formular typy dennich jidel dotace

· Pravidlo výpočtu dotace - pravidla na této stránce se týkají pouze jednoho typu jídla. Pravidla pro další typy jídel lze nastavit na dalších stránkách. Z nabídky vyberte pravidlo pro dotování daného typu jídla:

o Bez dotace – výše uvedené jídlo nebude dotováno.

o Pevná cena - výše uvedené jídlo bude účtováno vždy stejnou částkou bez ohledu na aktuální cenu.

o Dotace částkou – zvolte dotaci v korunách. Výše uvedené jídlo bude účtováno jako výslednice rozdílu ceny jídla a peněžní dotace.

o Dotace procentní – zvolte dotaci v procentech. Výše uvedené jídlo bude účtováno jako výslednice rozdílu ceny jídla a procentní dotace.

· Minimální účtovaná částka - v kolonce můžete nastavit minimální platbu strávníka.

· Dotovat hromadně - při zapnuté volbě se všechny odběry tohoto typu jídla sečtou a dotují se hromadně jako jeden odběr. Na tento odběr se pak může uplatnit i více nároků na dotaci.

Záložka dotace:

· Dotační skupina - slouží pro složitější nastavení dotačních pravidel. Pro nastavení zvolte dotační skupinu. Dotační skupinu jste vytvořili ve Vlastnostech cenové kategorie - Dotační skupiny.

· Maximální počet dotovaných jídel na jeden den (pro daný typ jídla):

o Omezit maximální počet dotovaných jídel na den – maximální počet výše uvedeného jídla, která jsou strávníkovi pro daný typ jídla za jeden den dotována.

o Omezit maximální počet dotací na den v rámci skupiny - maximální počet jídel, která jsou dotována v rámci dotační skupiny.

· Podmínka přiznání dotace - zde můžete určit podmínku přiznání dotace denního jídla u zvolené cenové kategorie. Máte možnost zvolit z následujících možností:

o Dotovat jídlo pouze v případě současně odebraného typu jídla - strávníkovi bude jídlo dotováno pouze v případě, že je současně odebráno také jídlo nastaveného typu.

o Dotovat jídlo pouze v případě neodebraného typu jídla - strávníkovi bude dotováno jídlo pouze v případě, že není odebráno také jídlo nastaveného typu.

o Dotovat jídlo v případě současně odebraného jídla ze skupiny - strávníkovi bude dotováno jídlo pouze v případě, že je současně odebráno také jídlo patřící do dotační skupiny. Dotační skupinu vytvoříte ve vlastnostech cenové kategorie.

o Dotovat jídlo pouze v případě neodebraného jídla patřícího do skupiny - strávníkovi bude jídlo dotováno pouze v případě, že není odebráno také jídlo patřící do dotační skupiny. Dotační skupinu vytvoříte ve vlastnostech cenové kategorie.

Záložka objednávání:

Cenove kategorie pruvodce nastavenim cenove kategorie formular typy dennich jidel objednavani

· Omezit maximální počet objednávek na den - zaškrtnutím políčka se aktivuje pole, do nějž zapíšete nejvyšší možný počet denních objednávek. Tímto omezením lze nastavit maximální počet objednávek strávníka za jeden den pro daný typ denního jídla. Toto omezení se týká pouze objednávání přes dotykový displej a intraweb. Omezení objednávání lze nastavit ve formuláři terminálu. Pokud chcete nastavit maximální počet dotovaných jídel na den bez ohledu na typ jídla, vraťte se na předchozí formuláře průvodce.

· Zobrazené ceny během objednávek - zde si nastavíte cenu denního jídla, která se bude zobrazovat strávníkovi při objednávání. Zobrazit můžete následující:

o Nezobrazovat žádnou cenu - nezobrazí žádnou cenu.

o Plná cena z jídelníčku - zobrazí plnou cenu z jídelníčku.

o Dotovaná cena - zobrazí dotovanou cenu.

o Plná i dotovaná cena - zobrazí dotovanou i plnou cenu.

Zobrazení ceny během objednávek se týká jen objednávání přes internet nebo dotykový panel!!

Výše uvedeným způsobem nastavíte pravidla pro další Typy denních jídel.


Nastavení bylo ukončeno

Navigation: Seznamy > Cenové kategorie > Průvodce nastavením cenové kategorie >

Nastavení bylo ukončeno

 Return to chapter overview

Formulář vám oznamuje, že nastavení cenové kategorie bylo ukončeno. Pokud chcete nastavení uložit, klikněte na tlačítko [image].

Dokončením práce s průvodcem se uložená data zobrazí ve vlastnostech cenové kategorie v záložkách Základní nastavení, Pravidla pro typy denních jídel a Platba kartou.


Typy denních jídel

Navigation: Seznamy >

Typy denních jídel

 Return to chapter overview

Typy denních jídel je seznam, který lze libovolně doplňovat, měnit. Všechny položky seznamu se budou objevovat jako možnost k výběru v jiných částech softwaru, například v cenových kategoriích nebo jako filtr.

Typy dennich jidel

Vkládání nebo opravu údajů neprovádějte v seznamu, ale otevřete si tlačítkem [image] Nový záznam nebo tlačítkem [image] Editace záznamu formulář Typ denního jídla.

Typy dennich jidel formular typu denniho jidla

· Kód – povinný údaj. Označte typ denního jídla kódem tak, abyste jej pak snadno identifikovali i podle kódu.

· Aktivní - pokud je typ denního jídla platný, zaškrtněte pole.

· Popis – povinný údaj. Název denního jídla (například Oběd).

· Pořadí – povinný údaj. Pořadí, podle kterého se typy jídel zobrazují.

· Obrázek – můžete zvolit obrázek typu denního jídla, a to dvojklikem na plochu pole pro obrázek.

· Počáteční číslo nabídky – obvyklé číslo nabídky pro daný typ jídla.

· Počet nabídek v jídelníčku – obvyklý počet nabídek v jídelníčku (na oběd máte na výběr ze dvou druhů obědů, vepíšete číslo 2).

· Cena jídla – obvyklá cena jídla.

· Pořadí pro dotaci – pokud dotujete jedno jídlo denně z více možných, pak si zde nastavíte prioritu pro dotaci. Jídlo s menší hodnotou bude dotováno.

· Neobjednávat - při zaškrtnutí políčka se typ denního jídla nebude zobrazovat k objednání, například společná polévka.

· Implicitně nabízet pro objednání – pokud zatrhnete tuto položku, pak bude daný typ jídla automaticky zobrazen v objednávacím formuláři. Má vliv na objednávky pomocí dotykové obrazovky.

· Barva fontu – vyberte barvu u typu denního jídla, která se bude zobrazovat strávníkům při objednávání jídla a při tvorbě jídelníčku.

· Ukázka – ukázka textu v barvě vybraného fontu.

· Konec přímé burzy - zadejte počet minut před výdejem, kdy je ještě možné vkládat a vybírat jídla z burzy bez komunikace s terminálem.

· Konec burzy - zadejte počet minut před ukončením výdeje, kdy už není možné použít burzu jídel.

TIP: Pokud máte burzu aktivovanou, ale zatím ji nepoužíváte a nechcete, aby se zobrazovala například na touchscreenu, můžete provést její "vypnutí". To provedete v menu Systém -> Nastavení -> Nastavení aplikace -> Společné nastavení -> Burza.

POZOR: Burza je přístupná, jen pokud máte zakoupen modul burza.


Stravovací plány

Navigation: Seznamy >

Stravovací plány

 Return to chapter overview

Stravovací plány lze využít například pro stravování studentů. Stravovacím plánem určíte dny, ve kterých se strávníci budou stravovat. Stravovací plán může být vytvořen pro skupinu strávníků nebo individuálně pro konkrétního strávníka.

Stravovací plán můžete strávníkovi přiřadit v menu Seznamy/Strávníci/Formulář strávníka - Stravovací plán. V tomto formuláři je možné vytvořit Nový individuální plán nebo již přiřazený individuální plán upravit.

Strávníkům s přiřazeným stravovacím plánem můžete hromadně objednat jídlo. Po objednání stravy máte možnost ihned provést vyúčtování objednané stravy a stanovit tak zálohu na stravné. Hromadné objednání můžete provést tlačítkem "Objednání podle plánu" v seznamech:

Ø Strávníci
Ø Strávníci - pracovní poměry
Ø Individuální objednávky osob
Ø Přehled podle osob
Ø Dotace - dle osob

Vkládání nebo opravu údajů neprovádějte v seznamu, ale otevřete si [image] Nový záznam nebo tlačítkem [image] Editace záznamu formulář Stravovací plán. Formulář má následující záložky: Formulář záznamu, Strávníci.


Formulář stravovacího plánu - Formulář záznamu

Navigation: Seznamy > Stravovací plány >

Formulář stravovacího plánu - Formulář záznamu

 Return to chapter overview

Ve formuláři zadejte základní identifikační údaje o stravovacím plánu.

· Popis - povinná položka. Stručný textový popis stravovacího plánu vystihující jeho použití (například "Týdenní plán").

· Typ - zvolte typ stravovacího plánu. Můžete zvolit Lichý a sudý týden, Týdenní nebo Denní.

· Perioda - zadejte číslo po kolika týdnech (dnech) se bude plán opakovat. Možnost je dostupná pokud vyberete typ Týdenní nebo Denní.

· Individuální - pokud je plán individuální, zaškrtněte políčko. Individuální plán je možné vytvořit a editovat ve formuláři strávníka.

Dále - tlačítkem zobrazíte tabulku, ve které budete moci zadat plán stravování. Dvojklikem do pole bude zobrazena 1. Tzn., že na tento den bude strávníkovi objednáno jídlo. Opětovným dvojklikem jedničku v tabulce zrušíte.

o Lichý a sudý týden:

Ukázka lichého a sudého týdenního režimu stravovacího plánu. Perioda pro tento typ stravovacího plánu nelze zadat. Plán se bude opakovat po dvou týdnech. Strávník s tímto přiřazeným stravovacím plánem se bude stravovat pouze v pondělí, středu a pátek v lichý týden a v úterý a ve středu v sudý týden. Na tyto dny se budou provádět hromadné objednávky (tlačítko J_Objednani dle planu).

o Týdenní:

Ukázka týdenního režimu stravovacího plánu. Perioda pro týdenní stravovací plán je 1. Strávník s tímto přiřazeným stravovacím plánem se bude stravovat pouze v pondělí, středu a pátek. Na tyto dny se budou provádět hromadné objednávky (tlačítko J_Objednani dle planu). U tohoto typu záleží na datu přiřazení stravovacího plánu.

o Denní:

Ukázka denního režimu stravovacího plánu. Perioda pro týdenní stravovací plán je 7. Strávník s tímto přiřazeným stravovacím plánem se bude stravovat pouze první, třetí a pátý den. První den je den, kdy byl stravovací plán přiřazen strávníkovi. Na tyto dny se budou provádět hromadné objednávky (tlačítko J_Objednani dle planu). U tohoto typu záleží na datu přiřazení stravovacího plánu.


Formulář stravovacího plánu - Strávníci

Navigation: Seznamy > Stravovací plány >

Formulář stravovacího plánu - Strávníci

 Return to chapter overview

Formulář zobrazuje seznam osob, které mají přiřazen vybraný stravovací plán. Na zprovoznění funkce se pracuje.


Celá jídla

Navigation: Seznamy >

Celá jídla

 Return to chapter overview

Seznam celých jídel lze libovolně nadefinovat, doplňovat či měnit, pokud jej chcete používat. Nad seznamem celých jídel je pro rychlou práci připraven rychlý filtr, podle kterého si můžete filtrovat celá jídla.

§ Druh jídla - vyberte druh jídla, pro která chcete zobrazit seznam celých jídel.

§ Typ denního jídla - vyberte typ denního jídla, pro která chcete zobrazit seznam celých jídel.

Vkládání nebo opravu údajů neprovádějte v seznamu, ale otevřete si tlačítkem [image] Nový záznam nebo tlačítkem [image] Editace záznamu formulář Jídlo, který má následující záložky: Jídlo, Fotografie.


Formulář celých jídel - Jídlo

Navigation: Seznamy > Celá jídla >

Formulář celých jídel - Jídlo

 Return to chapter overview

Formulář obsahuje základní údaje o jídle.

Cela jidla formular celych jidel jidlo

· Popis - povinný údaj. Vepište název jídla, např. vepřo knedlo zelo.

· Popis (jazyk 2) - do pole můžete zapsat jídlo v jiném jazyce.

· Popis v terminálu - popis, který se zobrazí na terminálu.

· Rozšiřující popis - máte možnost zadat více informací k jídlu.

· Druh jídla - z nabídky zvolte požadovaný druh jídla.

· Typ denního jídla - povinný údaj. Z číselníku vyberte typ denního jídla, ke kterému bude celé jídlo náležet.

· Cena jídla - zadejte cenu jídla.


Formulář celých jídel - Fotografie

Navigation: Seznamy > Celá jídla >

Formulář celých jídel - Fotografie

 Return to chapter overview

Formulář nabízí možnost přiřadit k celému jídlu fotografii.

Cela jidla formular celych jidel fotografie

J_Vybrat ze seznamu | Vybrat ze seznamu - ze Seznamu dostupných fotografií vyberte obrázek jídla.
 | Přidat novou - přidáte novou fotografii do seznamu dostupných fotografií.
 | Zrušit fotografii - zrušíte fotografii. V seznamu dostupných fotografií zrušená obrázek zůstává.


Druhy celých jídel

Navigation: Seznamy >

Druhy celých jídel

 Return to chapter overview

Seznam druhů jídel lze libovolně nadefinovat, doplňovat či měnit, pokud jej chcete používat.

Druhy celych jidel

Vkládání nebo opravu údajů neprovádějte v seznamu, ale otevřete si tlačítkem [image] Nový záznam nebo tlačítkem [image] Editace záznamu formulář Druh jídla.

Druhy celych jidel Formular

· Kód - povinný údaj. Vepište kód druhu jídla.

· Popis - povinný údaj. Vepište název druhu jídla, např. studená jídla.


Seznam fotografií a obrázků

Navigation: Seznamy >

Seznam fotografií a obrázků

 Return to chapter overview

Seznam fotografií a obrázků je seznamem, který je napojen na formulář zaměstnance. To znamená, že při vložení obrázku do formuláře zaměstnance program automaticky vyplní řádek a přiřadí fotografii v seznamu fotografií a obrázků. Nad seznamem je filtr, dle kterého si můžete zobrazit fotografii dotyčného zaměstnance.

Seznam fotografii a obrazku

Novou fotografii/obrázek vložíte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Fotografie (obrázek) vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu.

Seznam fotografii a obrazku_Formular

· Popis - povinný údaj. Vepište název fotografie/osoby.

· ID - po potvrzení zadaných údajů program ID obrázku doplní.

· Červený rámeček - dvojklikem v červeném rámečku zobrazíte okno, ve kterém vyberete požadovaný obrázek.

· Typ - po vybrání fotografie/obrázku se zobrazí její typ (png, jpg).


Typy rozdělení

Navigation: Seznamy >

Typy rozdělení

 Return to chapter overview

Číselník typů rozdělení slouží k vytvoření různých organizačních schémat v organizaci. Je výhodný také při tvorbě sestav, kdy můžete využít dělení dle dalších kritérií. Jednotlivým typům rozdělení můžete přiřadit uživatelsky definovaná rozdělení v menu "Seznamy/Rozdělení".

POZOR: Nezaměňujte se seznamem v menu "Seznamy/Skupiny osob", který slouží k vložení členů do povolených terminálů a dále pro zpřehlednění práce v programu. Samozřejmě můžete stejné skupiny jako ve Skupinách osob definovat i pro Typy rozdělení.

Nový typ rozdělení vložíte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Typ rozdělení vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu.

Typy rozdeleni formular typ rozdeleni

· Kód - doplňte číselný kód rozdělení.

· Popis - specifikujte typ rozdělení.

· Aktivní - pokud je typ rozdělení aktivně využíván (je tedy platný), zatrhněte.

Další volby se týkají ochrany před vznikem chyb:

· Zakázat duplicitní záznamy - zaškrtnutím této položky zakážete překrývání platností rozdělení s tímto typem rozdělení. To znamená, že v jeden den budete moci zaměstnanci přiřadit pouze jedno rozdělení.

· Zakázat mezery - aktivováním kolonky zamezíte vzniku časových mezer mezi záznamy platností rozdělení s tímto typem rozdělení. Pokud bude mít zaměstnanec příslušnost k jednomu rozdělení ukončenou např. k 1. 3. 2009 a počátek přiřazení k dalšímu např. od 1. 6. 2009, mohla by vzniknout časová mezera, čemuž můžete zaškrtnutím položky zabránit.

· Zakázat změny v uzavřeném období - výběrem položky program neumožní provádět změny příslušnosti zaměstnance k jinému rozdělení v uzavřených obdobích.

POZOR: Pokud již máte v databázi zavedeny záznamy, u kterých vznikla časová mezera nebo duplicita, a zároveň chcete aktivovat uvedené kontroly, budete na chybné záznamy upozorněni. Jestliže zobrazené chyby neodstraníte, program neumožní požadované kontroly zapnout.

Podobná opatření jsou zavedena také při přidělování rozdělení v kartě zaměstnance, v záložce Rozdělení.


Rozdělení

Navigation: Seznamy >

Rozdělení

 Return to chapter overview

Seznam slouží k vytváření rozdělení ve firmě. Například pro typ rozdělení Pracoviště zadáte seznam pracovišť. Každý zaměstnanec musí být přiřazen k nějakému rozdělení. Větší firmy mohou vytvořit složitější organizační schéma.

Základními předdefinovanými typy rozdělení jsou např. mzdové středisko, personální středisko, skladové středisko, výplatní místo atd. Přiřaďte rozdělení k jednotlivým typům.

Seznam zobrazí záznamy odpovídající vybranému typu.

Rychlý filtr:

§ Typ rozdělení - pokud potřebujete vyfiltrovat zaměstnance podle určitého druhu rozdělení, vyberete jej z nabízeného seznamu. V záložce Členové rozdělení se nachází seznam přiřazených zaměstnanců. Číselník typů rozdělení můžete doplňovat v menu "Seznamy/Číselníky/Typy rozdělení".

Můžete samozřejmě vytvořit vlastní rozdělení. Vkládání nebo opravu údajů neprovádějte v tomto seznamu, ale tlačítkem [image] Nový záznam nebo tlačítkem [image] Editace záznamu otevřete formulář Rozdělení, který má záložky: Formulář záznamu a Členové rozdělení. Jednotlivé záznamy vyplňujte podle následujícího popisu.


Formulář rozdělení - Formulář záznamu

Navigation: Seznamy > Rozdělení >

Formulář rozdělení - Formulář záznamu

 Return to chapter overview

Formulář obsahuje identifikační údaje o rozdělení.

Rozdeleni formular zaznamu

· Kód - povinný údaj. Vyberte přijatelný kód, podle kterého se budete snadno orientovat.

· Kód nadřazeného umístění - kód rozdělení, které je nadřazené tomuto rozdělení.

· Popis - povinný údaj. Popište rozdělení.

· Vedoucí - vedoucí rozdělení.

· Datum vytvoření - povinná položka. Vložte datum vytvoření.

· Datum zrušení - vložte datum zrušení.

· Ulice - doplňte specifikující údaje, pokud se rozdělení nachází na určité adrese (např. pracoviště).

· Město / PSČ / Obec / Stát - výběrové položky. Můžete upravovat stávající nebo doplňovat nové záznamy, a to kliknutím na podtržený název.

· Telefon / Fax / e-mail - v případě potřeby uveďte kontaktní informace.

Další funkce jsou v současnosti dostupné v rámci docházkového systému ADS.

Po vyplnění kolonek, uložte data tlačítkem [image] v dolní části formuláře.


Formulář rozdělení - Členové rozdělení

Navigation: Seznamy > Rozdělení >

Formulář rozdělení - Členové rozdělení

 Return to chapter overview

Členství v rozdělení slouží k rozdělení osob podle různých dělení firmy (např. mzdové středisko, dílna, zakázka, apod.). Záložka je rozdělena na dva seznamy. V levém seznamu jsou všichni pracovníci, v pravém seznamu jsou zaměstnanci zařazení do tohoto rozdělení. Položky mezi seznamy můžete přesouvat. Každý člen má určeno datum, od kdy je členem dané skupiny. Při vložení do seznamu členů je automaticky nastaveno datum platnosti na aktuální den. Proto pokud chcete počátek používání rozdělení posunout na jiné datum, nezapomeňte toto datum přepsat.

Rozdeleni clenove rozdeleni

Osoby pro výběr členů:

Seznam osob je tvořen nepřiřazenými zaměstnanci. Filtry lze kombinovat:

§ Všichni - zobrazí všechny zaměstnance, kteří nejsou členy žádného rozdělení.

§ Aktivní PP - pouze zaměstnanci v aktivním pracovním poměru.

§ Nepřiřazení - seznam zaměstnanců, kteří nejsou členy vybraného rozdělení.

Členové:

Členy rozdělení přiřadíte pomocí tlačítek C_Sipka seda vpravo, C_Sipka seda dvojita vpravo ve středovém panelu. Před samotným přesunem (máte-li takto nastaven program v Nastavení aplikace, viz Nastavení aplikace/Vlastnosti formulářů) se vás program zeptá, zda chcete opravdu přidat označené osoby mezi členy. Dávejte pozor na datum přiřazení!

Rozdeleni nastaveni datumu pro prirazeni rozdeleni

· Pokračovat v posledním záznamu - existuje-li neukončený záznam pro daný typ rozdělení, přiřazením nového rozdělení se naplní pole Platnost do u platného rozdělení k předchozímu dni (zohledňuje se datum zadané v poli Platnost od, které můžete podle potřeby měnit).

POZOR: Program automaticky ukončí všechna předchozí rozdělení v rámci stejného typu rozdělení.

· První záznam podle datumu nástupu - nemá-li zaměstnanec žádný vytvořený záznam pro daný typ rozdělení, vyplní se pole Platnost od podle data nástupu.

· Platnost do - zatržením se aktivuje položka pro ruční vložení data ukončení platnosti.

Záznamy můžete filtrovat:

§ Všichni - zobrazí se všichni zaměstnanci vybraného rozdělení (i v ukončeném pracovním poměru).

§ Aktivní - pouze zaměstnanci, kteří mají nebo měli přiřazeno dané rozdělení, v aktivním pracovním poměru.

§ Neaktivní - seznam zaměstnanců, kteří nejsou v aktivním pracovním poměru.

Rozdělení můžete zaměstnanci přiřadit také v jeho kartě, v záložce Rozdělení.


Formulář rozdělení - Kategorie

Navigation: Seznamy > Rozdělení >

Formulář rozdělení - Kategorie

 Return to chapter overview

Ve formuláři k rozdělení přiřadíte kategorii nebo můžete ve Formuláři kategorie - Rozdělení zařadit rozdělení do požadované kategorie.

POZNÁMKA: Pokud je použita MDB databáze nejsou Kategorie dostupné.

Záložka je rozdělena na dva seznamy. V levém seznamu jsou Nepřiřazené kategorie, v pravém seznamu jsou kategorie zařazené do vybraného rozdělení. Položky mezi seznamy můžete přesouvat.


Bankovní účty

Navigation: Seznamy >

Bankovní účty

 Return to chapter overview

Základní seznam bankovních účtů, který můžete využít pro zasílání plateb na účty jednotlivých institucí (zdravotních pojišťoven, správy sociálního zabezpečení, penzijních fondů) nebo výplat na účty zaměstnanců apod.

Rychlé filtry (na obrázku červeně ohraničené):

§ Všechny účty - seznam všech typů bankovních účtů.

§ Účty organizací - filtr omezí záznamy na účty, které mají nastaven Typ účtu: účet organizace.

§ Účty zaměstnanců - zobrazí se jen bankovní účty zaměstnanců.

Nový bankovní účet vložíte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Bankovní účet vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu.

Bankovni ucet formular

· Jméno účtu - doplňte označení účtu, např. u účtu zaměstnance příjmení a jméno + druh platby (např. výplata).

· Typ účtu - ze seznamu vyberte jednu z těchto možností:

o Účet organizace - v případech týkajících se zdravotních pojišťoven, OSSZ, penzijního fondu atd.

o Účet zaměstnance - v případech srážek ze mzdy, výplat.

· Číslo účtu - zadejte ve tvaru: předčíslí-číslo účtu.

· Banka - položka pro volbu z číselníku finančních institucí. Kliknutím na podtržený nadpis Banka se otevře seznam Bank, kde můžete stávající údaje editovat tlačítkem [image] Editace záznamu nebo vkládat nové tlačítkem [image] Nový záznam.

· Zahraniční účet - zatržení položky umožní vyplnit následující položky potřebné pro zasílání plateb do zahraničí.

· IBAN - doplňte v případě zahraničního účtu.

· Platby v měně - při vytváření exportu pro banku je v případě, že je bankovní účet nastaven pro zahraniční platbu, provedeno načtení kurzů pro aktuální den (vždy je dostupný v pracovní den po 14:30h) a přepočet na měnu, ve které je účet veden. V této měně je poté vygenerován příkaz k úhradě. V případě, že chcete odesílat platbu v Kč, je potřeba nastavit u bankovního účtu měnu Kč.

· Konstantní symbol - na základě kódu nebo textového popisu zvolte konstantní symbol.

· Variabilní symbol / Specifický symbol - vyplňte v případě potřeby.

V případě nastavení pole Typ účtu: účet zaměstnance se aktivují následující položky:

· RČ / Jméno / Příjmení - kliknutím na podtržený název některého z polí se otevře formulář Volba zaměstnance k číslu účtu. Výběrem se doplní všechny zbývající údaje (i Titul).

Bankovni ucty_Tlac. Zrusit prirazeni

Zrušit přiřazení - tlačítko smaže záznamy v položkách RČ, Titul, Jméno, Příjmení.


Typy kategorií

Navigation: Seznamy >

Typy kategorií

 Return to chapter overview

Číselník typů kategorií slouží k vytvoření různých organizačních schémat v organizaci. Jednotlivým typům kategorií můžete přiřadit uživatelsky definované kategorie v menu Seznamy -> Kategorie.

POZNÁMKA: Pokud je použita MDB databáze, nejsou Kategorie dostupné.

Nový Typ kategorie vytvoříte kliknutím na tlačítko [image] Nový záznam. Jednotlivé vytvořené položky lze měnit tlačítkem [image] Editace záznamu. Otevře se formulář Typ kategorie, ve kterém zadáte následující položky:

· Kód - doplňte kód typu kategorie.

· Popis - specifikujte typ kategorie.

· Poznámka - libovolná doplňující informace k typu kategorie.


Kategorie

Navigation: Seznamy >

Kategorie

 Return to chapter overview

Seznam slouží k vytváření kategorií ve firmě. Kategorie může například spojovat více rozdělení napříč různými typy rozdělení.

POZNÁMKA: Pokud je použita MDB databáze, nejsou Kategorie dostupné.

Rychlý filtr:

§ Jen typ kategorie - v seznamu se zobrazí kategorie přiřazené vybranému typu. Číselník typů kategorií můžete doplňovat v menu Seznamy -> (Číselníky) -> Typy kategorií.

Vkládání nebo opravu údajů neprovádějte v tomto seznamu, ale tlačítkem [image] Nový záznam nebo tlačítkem [image] Editace záznamu otevřete formulář Kategorie, který má záložky:

Základní údaje

Rozdělení


Formulář kategorie - Základní údaje

Navigation: Seznamy > Kategorie >

Formulář kategorie - Základní údaje

 Return to chapter overview

Formulář obsahuje identifikační údaje o kategorii.

Kategorie_Formular Zakladni udaje

· Kód - povinný údaj. Vyberte přijatelný kód, podle kterého se budete snadno orientovat.

· Popis - povinný údaj. Popište vytvářený záznam.

· Typ kategorie - z nabídky vyberte typ kategorie. Typy kategorií vytvoříte v menu Seznamy -> (Číselníky) -> Typy kategorií.

· Poznámka - libovolná doplňující informace o vytvářeném záznamu.


Formulář kategorie - Rozdělení

Navigation: Seznamy > Kategorie >

Formulář kategorie - Rozdělení

 Return to chapter overview

Ve formuláři zařadíte rozdělení do požadované kategorie nebo ve Formuláři rozdělení - Kategorie k rozdělení přiřadíte kategorii.

Záložka je rozdělena na dva seznamy. V levém seznamu jsou Nepřiřazená rozdělení, v pravém seznamu jsou rozdělení zařazená do vybrané kategorie. Položky mezi seznamy můžete přesouvat.

V okně máte možnost záznamy filtrovat podle typu rozdělení a stanovit, jestli rozdělení mají být platná k aktuálnímu nebo jinému dni.


Typy zboží

Navigation: Seznamy >

Typy zboží

 Return to chapter overview

Seznam použijete v případě, že potřebujete zboží členit podle dalších kritérií. Typem zboží může být v případě obchodu s potravinami např. ovoce, zelenina, salámy, sýry, čaje atd. Na typy zboží pak navazují jednotlivé položky zboží.

Nový typ zboží vložíte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Typ zboží vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu. Otevřením určitého záznamu se zobrazí formulář Typ zboží, ve kterém zadáte identifikační údaje o typu zboží.

· Kód - povinný údaj. Zadejte kód (např. OV).

· Popis - povinný údaj. Vyplňte název (např. Ovoce).

· Poznámka - libovolná informace k typu zboží.


Zboží

Navigation: Seznamy >

Zboží

 Return to chapter overview

Seznam Zboží vytvoříte dle Vašeho sortimentu ve firmě. Vytvořené položky zboží se zobrazí v tomto seznamu.

Nové zboží vložíte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Zboží vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu. Otevřením určitého záznamu se zobrazí formulář Zboží, ve kterém zadáte identifikační údaje o zboží.

· Kód - povinný údaj. Zadejte kód zboží.

· Aktivní - pokud je zboží aktivně využíváno (je tedy platné), zatrhněte pole.

· Popis - povinný údaj. Vyplňte název zboží.

· Typ - vyberte typ zboží. Seznam typů zboží můžete editovat v menu Seznamy/Typy zboží.

· Jednotka - zadejte jednotku zboží například Kg, Ks.

· Cena za jednotku - uveďte cenu za jednotku.

· Dotovat v jídelně - pokud chcete zboží dotovat v jídelně, zatrhněte políčko.

· Poznámka - zde si můžete vepsat libovolné, pro vás důležité, informace.


Stravování

Navigation: »No topics above this level«

Stravování

 Return to chapter overview

Menu Stravování slouží již pro samotnou práci s jídelníčkem, objednávkami a účtováním. Menu Stravování obsahuje následující položky:

Manuální vložení odběru jídla... F11

Manuální změna objednávky jídla...

Manuální vklad/výběr hotovosti...

Manuální výdej objednaného jídla

Manuální vložení odběru zboží...

Jídelníček F12

Šablony jídelníčku

Individuální objednávky osob

Hromadná objednávka

Přehled objednávek

Denní přehled objednávek

Přehled podle osob

Odběry jídel

Zrušené odběry jídel

Denní dotace - seznam

Měsíční dotace - seznam

Dotace - dle osob

Uzavření objednávek...

Vyúčtování

Pohyby na účtu

Salda strávníků


Manuální vložení odběru jídla

Navigation: Stravování >

Manuální vložení odběru jídla

 Return to chapter overview

Během výdejů jídel mohou nastat různé situace, kdy je nezbytné dodat informace o uskutečněných výdejích manuálně do programu Jídelna. Údaje se zapíší následně do karty strávníka do původních odběrů. Pracovník výdeje si musí jména zaznamenat a následně je tady vložit.

Manuální vložení odběru jídla je možné provést také v menu Stravování/Přehled podle osob přes tlačítko [image].

Kliknutím na položku v menu se otevře formulář Manuální vložení odběru jídla.

Manualni vlozeni odberu jidla

· Osoba - povinný údaj. Ze seznamu vyberte jméno osoby. Vyplní se i jeho osobní číslo. Položku je možné vyplnit i tak, že kliknete na podtržený název pole - otevře se seznam pro Výběr..., ze kterého můžete vybrat požadovanou osobu.

Načíst kartu a doplnit osobu podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a načte osobu do formuláře. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

· Datum - povinný údaj. Vyberte datum uskutečnění odběru stravy.

· Jídelna - povinný údaj. Vyberte jídelnu, ke které je strávník přiřazen.

· Typ denního jídla - povinný údaj. Vyberte, o jaký typ denního jídla se jednalo.

· Položka jídelníčku - povinný údaj. Vyberte nabídku jídelníčku.

· Počet - zadejte počet jídel, které chcete zaměstnanci manuálně vložit.

· Poznámka - zde máte prostor pro zaznamenání potřebných informací.

Jakmile budete mít formulář vyplněn, klikněte na tlačítko [image]. Pokud budete vkládat více záznamů najednou, použijte tlačítko J_Vlozit bez uzavreni.

POZOR: Pokud si strávník původně objednal např. oběd 2, a nyní je mu ručně vložen opět oběd 2, pak se samozřejmě bude účtovat cena jen jednou.

Pokud ovšem byla původní objednávka oběd 2, ale ručně mu bude vložen oběd 3 (který mu byl skutečně vydán), pak se zaúčtují oba obědy.


Manuální změna objednávky jídla

Navigation: Stravování >

Manuální změna objednávky jídla

 Return to chapter overview

Manuální změna objednávky jídla se může uplatnit ve dvou případech:

- když chcete zrušit objednávku

- když chcete přepsat objednávku na jinou osobu, strávníka.

Manuální změnu objednávky jídla je možné provést také v menu Stravování/Přehled podle osob přes tlačítko [image].

Kliknutím na položku menu se otevře formulář Manuální změna objednávky jídla.

Manualni zmena objednavky jidla

1. Vyberte datum a strávníka:

· Osoba - povinný údaj. Ze seznamu vyberte jméno strávníka, jehož objednávky se objeví pro vybraný den pod bodem 2 ve formuláři. Vyplní se i jeho osobní číslo. Položku je možné vyplnit i tak, že kliknete na podtržený název pole - otevře se seznam pro Výběr..., ze kterého můžete vybrat požadovanou osobu.

Načíst kartu a doplnit osobu podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a načte osobu do formuláře. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

· Datum - povinný údaj. Vyberte datum objednávky, kterou chcete zrušit nebo převést. Pokud chcete zobrazit veškeré objednávky aktuálního období, zaškrtněte pole Zobrazit všechny objednávky v aktuálním zpracovávaném období.

2. Vyberte objednávku strávníka

3. Proveďte požadovanou změnu:

 | Zrušit objednávku - označená objednávka se smaže.
J_Prevest objednavku na jinou osobu | Převést objednávku na jinou osobu - pod tímto tlačítkem vyberte osobu, na kterou chcete jídlo převést. Poté klikněte na toto tlačítko. Program se zeptá, zda opravdu chcete objednávku převést na jinou osobu, potvrďte. V případě, že nemáte (v menu Systém/Nastavení aplikace/Společné nastavení - Jídelna) zatrhnuté políčko Povolit porušení nastavených pravidel při manuální změně objednávky Vám nebude objednávka převedena na jinou osobu.

POZOR: Již vydané jídlo změnit nelze!!


Manuální vklad/výběr hotovosti

Navigation: Stravování >

Manuální vklad/výběr hotovosti

 Return to chapter overview

Manuální vklad/výběr hotovosti se může uplatnit ve dvou případech:

- když chcete vložit hotovost

- když chcete vybrat hotovost.

Kliknutím na položku menu se otevře formulář Manuální vklad/výběr hotovosti.

Manualni vklad vyber hotovosti

· Osoba - povinný údaj. Ze seznamu vyberte jméno osoby, u které chcete provést vklad/výběr hotovosti. Vyplní se i osobní číslo.

Načíst kartu a doplnit osobu podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a načte osobu do formuláře. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

· Datum - povinný údaj. Vyberte datum vkladu/výběru hotovosti.

· Aktuální období - je zde zobrazena informace o období, které máte vybrané v menu Systém/Výběr období.

· Typ pohybu - povinný údaj. Máte možnost zvolit ze dvou možností:

o Vklad hotově - osoba vloží peníze hotově.

o Vyplacení hotově - osobě vyplatíte peníze hotově.

· Částka - povinný údaj. Zadáte částku, která byla vložena/vybrána v hotovosti.

· Popis - popis provedené transakce.

 | Zapsat - vyplněný formulář potvrdíte a zobrazí se Vám formulář Tisk. Tlačítkem [image] zrušíte tisk - provedenou platbu nikoliv. Tlačítkem [image] vytisknete doklad o zaplacení. Nastavení tisku pro potvrzení platby provedete ve Společném nastavení - Tisk.
J_Zapsat bez uzavreni | Zapsat bez uzavření - vyplněný formulář potvrdíte a zobrazí se Vám formulář Tisk. Tlačítkem [image] zrušíte tisk - provedenou platbu nikoliv. Tlačítkem [image] vytiskne doklad o zaplacení. Po uzavření formuláře můžete provést nový vklad/výběr hotovosti. Nastavení tisku potvrzení provedete ve Společném nastavení - Tisk.
 | Storno - formulář uzavřete bez uložení dat.


Manuální výdej objednaného jídla

Navigation: Stravování >

Manuální výdej objednaného jídla

 Return to chapter overview

Mohou nastat situace, kdy musíte vložit výdej objednaného jídla manuálně.

Kliknutím na položku menu se otevře formulář Manuální výdej objednaného jídla.

Manualni vydej objednaneho jidla

Nad seznamem vyberete Datum a Jídelnu, pro které chcete provést manuální výdej objednaného jídla. V seznamu se zobrazí strávníci, kteří mají objednáno na daný den, ale jídlo jim vydáno nebylo. V případě, že jen několik lidí ze seznamu odebralo objednané jídlo, pak dotyčné osoby jednotlivě označíte a dáte [image]. Tento postup opakujete pro všechny osoby, u kterých bylo jídlo vydáno. Ve druhém případě, kdy objednané jídlo odebrali všichni strávníci v seznamu, dáte [image]. Po skončení vkládání manuálního výdeje objednaného jídla dáte [image].


Manuální vložení odběru zboží

Navigation: Stravování >

Manuální vložení odběru zboží

 Return to chapter overview

POZOR: Funkci lze použít, pouze pokud je nainstalovaný program Sklad!!!

Mohou nastat různé situace, kdy je nezbytné dodat informace o uskutečněných odběrech zboží manuálně do programu Jídelna. Údaje se zapíší následně do karty strávníka do původních odběrů. Pracovník výdeje si musí jména zaznamenat a následně je tady vložit.

Kliknutím na položku v menu se otevře formulář Manuální vložení odběru zboží.

Manualni vlozeni odberu zbozi

· Osoba - povinný údaj. Ze seznamu vyberte jméno strávníka. Vyplní se i jeho osobní číslo.

Načíst kartu a doplnit osobu podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a načte osobu do formuláře. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

· Datum - povinný údaj. Vyberte datum uskutečnění odběru zboží.

· Zboží - povinný údaj. Vyberte zboží, které chcete strávníkovi vložit.

· Množství - povinný údaj. Zadejte množství odebraného zboží.

· Cena - povinný údaj. Zadejte cenu zboží.

· Poznámka - zde máte prostor pro zaznamenání potřebných informací.

Jakmile budete mít formulář vyplněn, klikněte na tlačítko [image]. Pokud budete vkládat více záznamů najednou, použijte tlačítko J_Vlozit bez uzavreni.

POZOR: Přes tuto funkci je možné vkládat pouze odběr ZBOŽÍ!!!


Jídelníček

Navigation: Stravování >

Jídelníček

 Return to chapter overview

V kapitole se dozvíte, jak vytvořit jídelníček. Pokud otevřete v menu volbu Jídelníček, ihned se dozvíte, zda je pro danou jídelnu a den vytvořen jídelníček. Pokud není, okno vám zobrazí, že jídelníček ještě nebyl vytvořen.

V horní části formuláře vyberte jídelnu, pro kterou chcete jídelníček vytvářet.

POZOR: Pokud nemáte seznam jídelen naplněn, musíte si jídelny definovat.

Dále je nutné vybrat datum, pro které se bude jídelníček vytvářet. Výběr data proveďte následujícími šipkami [image] , [image] , [image], [image], J_Sipka seda vlevo měsíc J_Sipka seda vpravo nebo tlačítkem myší označte datum v kalendáři.

V pravé části formuláře se Vám zobrazuje hláška o stavu jídelníčku. Jedná se o následující tři hlášky:

.

Potvrdit jídelníček - nepotvrzený jídelníček potvrdíte přes toto tlačítko. Tím vyvoláte formulář Potvrzení jídelníčku, kde pro danou jídelnu potvrdíte datum jídelníčku a kliknete na tlačítko [image]. Díky ochraně programu budete ještě jednou dotázáni, zda chcete potvrdit jídelníček pro vybrané datum, potvrďte [image]. Program vám oznámí, že je jídelníček potvrzen, což se projeví i změnou tlačítka v pravé horní části formuláře. Lze potvrdit více dní najednou! Od této chvíle mohou zaměstnanci jídlo objednávat.

Zrušit potvrzení - pokud chcete naopak zrušit potvrzení jídelníčku, postupujte analogicky. Nejdříve klikněte na toto tlačítko. Tím vyvoláte formulář Zrušení potvrzení jídelníčku, kde pro danou jídelnu potvrdíte datum jídelníčku a kliknete na tlačítko [image]. Díky ochraně programu budete ještě jednou dotázáni, zda chcete zrušit potvrzení jídelníčku pro vybrané datum, potvrďte [image]. Program vám oznámí, že potvrzení jídelníčku je zrušeno, což se projeví i změnou tlačítka v pravé horní části okna. Lze zrušit potvrzení více dní najednou!

Smazat jídelníček - jídelníček lze rovněž smazat, a to kliknutím na toto tlačítko, kterým vyvoláte formulář Smazání jídelníčku, kde pro danou jídelnu potvrdíte datum jídelníčku a kliknete na tlačítko [image]. Díky ochraně programu budete ještě dvakrát dotázáni, zda chcete smazat jídelníček pro vybrané datum, potvrďte [image]. Program smaže jídelníček pro vybrané datum. Lze smazat jídelníček pro více dní najednou!

POZOR: Jídelníček je smazán jen v případě, že ještě nemá nikdo nic objednáno!!

 | Vytvořit jídelníček - abyste mohli vytvářet jídelníček, je nutné kliknout na toto tlačítko. Než se tak stane, zeptá se Vás program, zda opravdu chcete vytvořit jídelníček pro danou jídelnu a daný den. Po potvrzení se dostanete do okna, kde lze již s jídelníčkem pracovat.
 | Předplnit - po stisknutí tlačítka předplníte jídelníček (viz níže 3. Vytvoření jídelníčku předplněním).
 | Nová - po stisknutí tlačítka vyplníte položky jídelníčku (viz níže 1. Ruční způsob vytvoření jídelníčku).
 | Smazat - tlačítkem smažete označenou položku jídelníčku.
 | Obnovit - načte aktuální hodnoty z databáze.
J_Opravit casy objednavani | Opravit časy objednávání - po stisknutí tohoto tlačítka opravíte časy objednávání, které jste upravili v objednávacích pravidlech (viz menu Jídelny/Formulář jídelny - Objednávací pravidla).
 | Uložit - tlačítkem uložíte provedené změny.
 | Storno - tlačítkem stornujete provedené změny.

POZNÁMKA: Než začnete vytvářet jídelníček, ujistěte se, že máte definovány jídelny, typy denních jídel, případně objednací pravidla ve formuláři Jídelna, pokud je chcete používat.

Jídelníček lze vytvořit několika způsoby:

1. Ruční způsob vytvoření jídelníčku

Ruční vkládání provedete přes tlačítko [image].

Jidelnicek rucni zpusob vytvoreni jidelnicku

· Číslo - povinný údaj. Zadejte číslo, pod nímž se bude zobrazovat jídlo. Např. budou k výběru tři snídaně, díky tomu je od sebe číselně odlišíte.

· Typ - povinný údaj. Z nabídky vyberte, o jaký typ jídla se jedná, např. oběd.

· Neobjednávat - povinný údaj. Jde o informativní položku. Pokud zatrhnete, nelze jídlo objednat. Používá se např., pokud máte pro několik typů obědů jeden typ polévky a strávník ji tedy dostane, ať už si objedná jakýkoli oběd.

· Popis - povinný údaj. Zadejte popis jídla.

· Jazyk 2 - zadejte popis jídla v cizím jazyku.

· V terminálu - to, co vepíšete, se bude zobrazovat v objednávacím terminálu.

· Skladová položka - položku je možné použít v případě, že je program Jídelna propojen s programem Sklad. Potom se v seznamu po stisku výběrového tlačítka [image] zobrazí seznam skladových položek, ze kterých můžete vybrat požadované.

· Množství - množství skladové položky.

· Objednávky od do - pomocí šipky lze nastavit aktuální datum a čas, do kdy lze objednávat jídlo před a po daném datu.

· Maximální počet - uveďte maximální počet objednávek. Využívá se pouze při objednávání přes touchscreen.

· Cena - povinný údaj. Uveďte cenu jídla.

· Maximální počet objednávek na osobu - uveďte číselně počet možných objednávek na osobu.

Jakmile máte alespoň povinné položky zadány, klikněte na tlačítko [image]. Uvedeným způsobem pokračujte dál, dokud nenaplníte všechny požadované položky.

2. Celá jídla

Při způsobu vytváření jídelníčku pomocí celých jídel je nutné mít naplněn seznam celých jídel. V levé části formuláře přejděte na záložku Celá jídla. Pokud není levá část se záložkami zobrazena, klikněte na tlačítko [image]. Jídelníček vytvoříte tak, že ze záložky Celá jídla vlevo přetáhnete pomocí šipky J_Sipka seda vpravo položky doprava, do jídelníčku.

Jidelnicek vytvoreni jidelnicku pomoci celych jidel

V okně jídelníčku můžete položku celého jídla přesunout (DragDrop) na položku jídelníčku. Jak se má přesunutá položka chovat (přepsat existující položku, přidat novou položku, zeptat se), nastavíte v menu Systém -> Nastavení -> Nastavení aplikace -> Uživatelské nastavení -> Vlastnosti formulářů. Pokud máte v nastavení aplikace vybranou položku Zeptat se, zobrazí se vám při přesunu následující formulář:

· Vložit novou položku jídelníčku - do jídelníčku bude vybraná položka celého jídla vložena jako nová položka jídelníčku.

· Přepsat položku jídelníčku - zatrhnutím pole přepíšete existující položku jídelníčku.

· Příště se již neptat - pokud zaškrtnete tuto volbu, dotaz se již nebude zobrazovat a bude automaticky vybrána volba, kterou nyní zvolíte. Nastavení můžete kdykoliv upravit v Nastavení aplikace.

3. Vytvoření jídelníčku předplněním

Způsob vytvoření jídelníčku předplněním je praktický. Musíte mít naplněn seznam typů denních jídel. V levé části formuláře přejděte na záložku Předplnění.

Jidelnicek vytvoreni jidelnicku pomoci predplneni

Položku jídelníčku vytvoříte tak, že kliknete na jídlo vlevo a šipkou J_Sipka seda vpravo přesunete jídlo doprava. Než se opravdu jídlo přesune do jídelníčku, zeptá se vás program, ať vyberete počet nově vložených položek do jídelníčku. Zde máte možnost ovlivnit obvyklý počet ve vytvářeném jídelníčku oproti obvyklému počtu definovanému v seznamu Typy denních jídel (např. před přesunem položky denního jídla do jídelníčku je obvyklý počet 3 obědy. Vy však při vytváření aktuálního jídelníčku chcete tentokrát jen 2 obědy, tak při přesunu přepíšete počet na 2. Tím se vytvoří v jídelníčku dva řádky pro oběd). Po zvolení počtu nově vložených položek do jídelníčku potvrďte tlačítkem [image].

Lze rovněž předplnit jídelníček hromadně. Program předplní všechny typy denních jídel do dnů, které jste si určili. To provedete přes tlačítko [image]. Tím otevřete formulář Parametry předplnění jídelníčku, kde vyplníte data od kdy, do kdy se má jídelníček naplnit, zda chcete (ne)plnit svátky a konečně si můžete zvolit pouze typ jídla, jaký chcete přenést do dalších jídelníčků. Kliknete na tlačítko [image]. Dále se vás program zeptá, zda chcete předplnit jídelníček hromadně. Klikněte na tlačítko [image] a následně zavřete informaci o přeplnění jídelníčku tlačítkem [image]. Pokud na některé dny ještě vůbec není jídelníček vytvořený, tak i přesto se tímto automaticky vytvoří.

POZNÁMKA: Při předplnění lze rovněž měnit položky jídelníčku, a to po přesunu denního jídla do jídelníčku. Označíte příslušnou položku jídelníčku a v dolní části můžete změnit potřebné údaje. Např. můžete změnit kolonku Popis. Místo popisu "oběd 2" vepíšete "vepřo knedlo zelo" a potvrdíte tlačítkem [image] .

4. Vytvoření jídelníčku podle šablony

Při tomto způsobu vytváření jídelníčku je nutné mít vyplněnou šablonu, podle které vytvoříte jídelníček. Jídelníček vytvoříte tak, že ze záložky Šablony vlevo přesunete vybranou šablonu pomocí šipky J_Sipka seda vpravo doprava, do jídelníčku.

Jidelnicek vytvoreni jidelnicku pomoci sablony

5. Vytvoření jídelníčku kopií jiného dne

V záložce Kopie jiného dne lze zkopírovat buď celý jídelníček, nebo jednotlivé položky jídelníčku. Klikněte na položku jídelníčku a šipkou J_Sipka seda vpravo ji přesuňte doprava. V horní části můžete využít rychlého filtru pro typ jídla nebo můžete rovněž vybrat datum jídelníčku, ze kterého budete tvořit kopii.

Jidelnicek vytvoreni jidelnicku pomoci kopie jineho dne

Pokud jste již vytvořili jídelníček, můžete všechny záložky vlevo skrýt, a to tlačítkem [image] . V okně zůstane jen jídelníček.

POZOR: Z jídelníčku není možné objednávat, pokud není potvrzen. Nezapomeňte proto po vytvoření jídelníčku jej potvrdit!!

POZOR: Jídelníček lze smazat celý (nejen jednotlivé položky jídelníčku) za předpokladu, že není provedena žádná objednávka některé z jeho položek.


Šablony jídelníčku

Navigation: Stravování >

Šablony jídelníčku

 Return to chapter overview

Šablony jídelníčku slouží pro vytvoření jídelníčku. Šablony použijete v případě, když v týdnu vydáváte jiný počet jídel a tento počet se pravidelně po týdnech opakuje (například: v pracovní dny vydáváte 6 obědů a o víkendech jen 3). Tento způsob plnění jídelníčku nelze provést předplněním.

Novou šablonu jídelníčku vytvoříte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Šablona jídelníčku vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu. Formulář šablony jídelníčku se skládá z následujících záložek: Formulář záznamu a Položky šablony.


Formulář šablony jídelníčku - Formulář záznamu

Navigation: Stravování > Šablony jídelníčku >

Formulář šablony jídelníčku - Formulář záznamu

 Return to chapter overview

Formulář obsahuje základní identifikační údaje o šabloně.

Sablony jidelnicku formular sablony jidelnicku formular zaznamu

· Popis - povinná položka. Popište šablonu.

· Podrobný popis - máte možnost zadat více informací k šabloně.

· Jídelna - vyberte jídelnu, pro kterou nastavujete šablonu.

Po vyplnění kolonek uložte data tlačítkem [image], které je umístěno v dolní části formuláře, a přejděte do záložky Položky šablony.


Formulář šablony jídelníčku - Položky šablony

Navigation: Stravování > Šablony jídelníčku >

Formulář šablony jídelníčku - Položky šablony

 Return to chapter overview

Formulář obsahuje položky v šabloně a je rozdělen na dvě části. V první části zadáváte základní informace o jídle. Ve druhé části je seznam vytvořených jídel v šabloně.

Sablony jidelnicku formular sablony jidelnicku polozky

· Číslo - povinná položka. Zadejte číslo, pod nímž se bude zobrazovat jídlo. Např. budou k výběru tři snídaně, díky tomu je od sebe číselně odlišíte.

· Typ - povinná položka. Z nabídky vyberte, o jaký typ jídla se jedná, např. oběd.

· Neobjednávat - povinná položka. Jde o informativní položku. Pokud zatrhnete, nelze jídlo objednat. Používá se např., pokud máte pro několik typů obědů jeden typ polévky a strávník ji tedy dostane, ať už si objedná jakýkoli oběd.

· Popis - povinná položka. Zadejte popis jídla.

· Jazyk 2 - zadejte popis jídla v cizím jazyku.

· V terminálu - to, co vepíšete, se bude zobrazovat v objednávacím terminálu.

· Maximální počet objednávek na osobu - zadejte maximální počet objednávek, které si může objednat jedna osoba.

· Cena -A- - povinná položka. Uveďte cenu jídla.

· Max. počet -A- - maximální počet jídel A.

· Vyberte dny, kdy se tato nabídka použije - povinná položka. Označte dny, ve kterých se tato nabídka jídla použije.

Po vyplnění kolonek, uložte data kliknutím na tlačítko [image] v dolní části formuláře. Pro další položku v šabloně klikněte na tlačítko [image] Nový záznam. Po naplnění seznamu stiskněte tlačítko [image].


Individuální objednávky osob

Navigation: Stravování >

Individuální objednávky osob

 Return to chapter overview

Individuální objednávky osob je seznam, kde lze rychle dohledat strávníka, např. pomocí přiložení ID strávníka k terminálu, popř. klasickým vyhledáním, např. podle příjmení.

Individualni objednavky osob

Vyhledat podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a otevře formulář individuální objednávky načtené osoby. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

§ Zobrazit hierarchii - pokud necháte zobrazit hierarchii, pak se vám zobrazí vlevo další okno se stromem rozdělení. Slouží pro větší přehled.

§ Včetně podřízených rozdělení - váže se k rozdělení. Zobrazíte i podřízená rozdělení.

§ Typ rozdělení- vyberte typ rozdělení a rozdělení, jehož strávníky chcete zobrazit.

§ Jen rozdělení - v rámci typu rozdělení si můžete ještě vyfiltrovat konkrétní rozdělení k zobrazení.

§ Jen typ osoby - vyberte, koho chcete zobrazit, zda zaměstnance či zaměstnance jiné firmy.

§ Všichni - zobrazí se všichni strávníci aktivní i neaktivní.

§ Aktivní - zobrazí se jen aktivní strávníci.

§ Neaktivní - zobrazí se jen neaktivní strávníci.

§ Ke dni/ Aktuální den - vztahuje se k filtrům Všichni, Aktivní a Neaktivní. Tyto strávníky můžete nechat zobrazit k určitému datu nebo aktuálnímu dni.

Vyúčtování - provede vyúčtování všech osob, které jsou zobrazeny v seznamu.

J_Objednani dle planu

Objednání dle plánu - tlačítkem provedete objednání stravy osobám v seznamu s přiřazeným stravovacím plánem. Po stisku tlačítka se zobrazí okno, ve kterém zadejte rozsah dnů, pro které chcete jídlo objednat. Po výběru stiskněte tlačítko [image]. Poté se vás program zeptá, zda si opravdu přejete hromadně objednat pro všechny osoby v seznamu na období od DD.MM.RRRR do DD.MM.RRRR. Po potvrzení dotazu se provede objednání jídel. Následně se zobrazí informace o stavu objednávání jídel a dotaz zda si přejete provést vyúčtování. Po potvrzení se provede vyúčtování všem strávníkům v seznamu. Po dokončení vyúčtování se zobrazí informace o průběhu vyúčtování.

Tlačítkem [image] Editace záznamu řádku se dostanete do okna objednání jídel, kde objednáte strávníkovi jídlo. Stejný formulář se zobrazí strávníkům v případě, že objednávají stravu přes touchscreen.

Individualni objednavky osob formular objednavky

Více informací o provedení objednávky a dalších možnostech tohoto okna naleznete v kapitole Objednávání - touchscreen.


Hromadná objednávka

Navigation: Stravování >

Hromadná objednávka

 Return to chapter overview

Hromadné objednávky slouží pro objednávání na více dnů a pro více lidí najednou. Formulář je rozdělen na dvě části. V první volíte, pro jakou skupinu osob provedete hromadnou objednávku. Ve druhé části volíte od kdy, do kdy chcete stravu objednat, typ jídla apod.

Kliknutím na položku menu se otevře formulář Jídelna - hromadná objednávka jídla.

· Pro jednu osobu - zatrhnutím políčka máte možnost objednat jednomu vybranému strávníkovi.

o Osoba - z nabídky vyberte strávníka, kterému chcete objednat.

· Pro skupinu osob - zatrhnutím políčka máte možnost objednat vybrané skupině strávníků.

o Typ rozdělení - z nabídky vyberte typ rozdělení.

o Rozdělení - vyberte požadované rozdělení.

· Datum od - do - vyberte data od kdy, do kdy chcete vybraným strávníkům vložit objednávku.

· Pokud už má osoba na některý den objednáno - pokud má osoba na některý den objednáno vyberte, co s touto objednávkou chcete provést:

o Neobjednávat na tento den - na den, na který je objednáno se strava neobjedná.

o Nahradit existující objednávky - existující objednávky se nahradí.

· Jídelna - vyberte jídelnu, pro kterou chcete vložit objednávky.

· Typ denního jídla - vyberte typ denního jídla, který chcete strávníkům objednat.

· Číslo nabídky - zvolte číslo nabídky denního jídla, které chcete objednat.

Po vyplnění údajů potvrďte. Po provedení vkládání objednávek se zobrazí informace s počtem vložených jídel a pro kolik strávníků bylo objednáno. Vložené objednávky se Vám zobrazí v Přehledu objednávek.


Přehled objednávek

Navigation: Stravování >

Přehled objednávek

 Return to chapter overview

Přehled objednávek slouží pro rychlou orientaci, tj. v tomto seznamu nelze přidávat položky, editovat je, ani mazat. V seznamu najdete informace o strávníkovi, ke které jídelně náleží, kdy si objednal, typ objednaného jídla, jeho popis (zda si objednal oběd či snídani...), kdy bylo jídlo vydáno či případné zrušení objednávky a další.

§ Období jídelníčku - vyberte měsíc, který chcete zobrazit. V nabídce budete mít jen ty měsíce (období), které jste si vytvořili.

§ Datum jídelníčku od do - zadejte konkrétní data od kdy, do kdy chcete nechat zobrazit jídelníčky.

§ Jen rozdělení - vyberte typ rozdělení a rozdělení, jehož objednávky chcete zobrazit.

§ Včetně podřízených - váže se k rozdělení. Zobrazíte i podřízená rozdělení.

§ Objednané v období od do - zadejte datum a čas k zobrazení objednaného jídla.

§ Nezrušené - v seznamu se zobrazí pouze objednávky, které jsou zrušené.

§ Zrušené - v seznamu se zobrazí pouze zrušené objednávky.

§ Vše - zobrazí se nezrušené i zrušené objednávky.

§ Vydané v období od do - vyberte datum a čas vydaného jídla.

§ Nevydané - zobrazí se jen nevydané jídlo.

§ Vše - zobrazí se vše, vydané i nevydané jídlo.

Tlačítkem [image] Editace záznamu se dostanete do formuláře Strávníka.


Denní přehled objednávek

Navigation: Stravování >

Denní přehled objednávek

 Return to chapter overview

V seznamu můžete sledovat denní objednávky jídel. Objednávky, které nebyly načteny z terminálu, se zde nezobrazí. Zobrazí se jen ty objednávky, které jsou v databázi. Seznam je určen pro čtení. Ze seznamu se dozvíte informace například o počtu objednávek jednotlivých jídel, o jaký typ denního jídla se jedná apod.

Denni prehled objednavek

§ Jídelna - vyberte jídelnu, pro kterou chcete přehled objednávek zobrazit.

Dále si zvolte datum, pro které chcete zobrazit seznam objednávek a to buď výběrem z lišty, kde kliknutím na šipku se otevře kalendář, nebo přímo kliknutím na datum v kalendáři. Pod datem se nachází šipky, pomocí nichž se můžete rychle posunovat po dnech, týdnech a měsících.


Přehled podle osob

Navigation: Stravování >

Přehled podle osob

 Return to chapter overview

Seznam Přehled podle osob slouží pro práci a orientaci s dotacemi strávníků. Každý strávník zde má jeden řádek, záznam. V pravé části okna pak vidíte k vybranému strávníkovi objednaná a vydaná jídla, jejich cenu, dotaci a celkovou částku. V dolní části je zobrazena cena celkem za odběry, dotace, hotovost a saldo strávníka. Seznam zobrazuje údaje, jako jsou osobní údaje strávníka, označení média, datum nástupu a další potřebné údaje. Výhodou tohoto seznamu je rychlé vyhledávání osob přes čtečku ID.

Prehled podle osob

Vyhledat podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a otevře Formulář strávníka načtené osoby. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

§ Zobrazit hierarchii - odsouhlasíte-li tuto funkci, zobrazí se vedle seznamu vlevo personální větvení firmy s vybranými strávníky, kteří patří do příslušné kategorie. Ukáže hierarchii všech nadřízených a podřízených středisek. Se středisky můžete libovolně manipulovat a přesouvat je podle svých potřeb. Strávníkům zůstane přiřazeno středisko, které jim je přiděleno v jejich kartě.

§ Včetně podřízených rozdělení - funkce zobrazí hierarchii kategorií včetně dalších podkategorií (vytvoří se "strom", ve kterém je možno dobře se orientovat a sledovat osoby v rozdělení).

§ Typ rozdělení- výběrová položka poskytne seznam strávníků podle jednotlivých středisek.

§ Jen rozdělení - vyberte rozdělení, pro které chcete zobrazit seznam strávníků.

§ Všichni - zobrazí seznam všech strávníků.

§ Aktivní - zobrazí strávníky, kteří aktivně využívají stravovacího systému.

§ Neaktivní - zobrazí strávníky, kteří v současné době nejsou uživateli stravovacího systému.

Podle toho k jakému dni je filtr nastaven, bude se zaměstnanec zobrazovat jako aktivní či neaktivní. Standardně je nastaveno k aktuálnímu dni. Pokud chcete zobrazit stav k jinému dni, zrušte zaškrtnutí Akt. den a nastavte datum u funkce Ke dni, ke kterému chcete zobrazit seznam.

§ Jen typ osoby - nabízí se varianta Zaměstnanec a Zaměstnanec jiné firmy.

Vyúčtování - provede vyúčtování všech osob, které jsou zobrazeny v seznamu.

J_Objednani dle planu

Objednání dle plánu - tlačítkem provedete objednání stravy osobám v seznamu s přiřazeným stravovacím plánem. Po stisku tlačítka se zobrazí okno, ve kterém zadejte rozsah dnů, pro které chcete jídlo objednat. Po výběru stiskněte tlačítko [image]. Poté se vás program zeptá zda, si opravdu přejete hromadně objednat pro všechny osoby v seznamu na období od DD.MM.RRRR do DD.MM.RRRR. Po potvrzení dotazu se provede objednání jídel. Následně se zobrazí informace o stavu objednávání jídel a dotaz zda si přejete provést vyúčtování. Po potvrzení se provede vyúčtování všem strávníkům v seznamu. Po dokončení vyúčtování se zobrazí informace o průběhu vyúčtování.

V pravé části, vedle seznamu osob, můžete nastavit období, pro které požadujete u vybrané osoby zobrazit přehled dat. Tlačítky v levé části můžete provést následující operace:

 | Změna objednávky - tlačítkem se dostanete do formuláře Manuální změna objednávky, kde provedete zrušení objednávky nebo převedení objednávky na jinou osobu.
J_Objednat dle planu | Objednat dle plánu - přes tlačítko objednáte vybranému strávníkovi jídlo podle jeho stravovacího plánu. Po stisku tlačítka se zobrazí okno, ve kterém zadejte rozsah dnů, pro které chcete jídlo objednat. Po výběru stiskněte tlačítko [image] . Objednání bude provedeno pro vybraného strávníka podle přiřazeného stravovacího plánu.
 | Vložit odběr - tlačítkem se dostanete do formuláře Manuální vložení odběru jídla, kde provedete vložení odběru jídla.
 | Zrušit objednávky - tlačítkem vybranému strávníkovy zrušíte objednávky. Po stisku tlačítka se zobrazí okno, ve kterém zvolíte rozsah dnů, pro které chcete jídlo zrušit. Po výběru stiskněte tlačítko [image] . Objednávky se pro vybrané dny smažou.
 | Vklad hotovosti - přes tlačítko vložíte na účet vybraného strávníka potřebnou hotovost. Po stisku tlačítka se zobrazí formulář Manuální vklad/výběr hotovosti.
 | Vyúčtování - tlačítkem provedete vyúčtování vybrané osobě.
 | Objednávání - přes tlačítko můžete vybranému strávníkovi objednat jídlo. Po stisku tlačítka se zobrazí plocha, přes kterou můžete objednat jídlo.

V pravé části okna je sloupec s počtem nároků na dotace (Nárok). Sloupec se zobrazí, pokud má strávník dotace podle denních nároků. Sloupec je možné editovat dvojklikem na vybraném řádku. Poté se zobrazí formulář Denní dotace.

POZOR: Po změnách je třeba provést Vyúčtování.

Tlačítkem [image] Editace záznamu stávajícího řádku se dostanete do Formuláře strávníka.


Odběry jídel

Navigation: Stravování >

Odběry jídel

 Return to chapter overview

V seznamu můžete sledovat odběry jídel jednotlivých strávníků. Data odběrů se načítají z výdajových terminálů. Seznam je určen pro čtení a zobrazuje objednávky z jídelníčku, odběry bez objednávky, cenu jídla, z jakého terminálu bylo objednáno atd. Jak provést odběr bez objednávky se dozvíte v kapitole Práce s terminály ACS -Line.

§ Jen období - vyberte měsíc, pro který chcete zobrazit seznam.

§ Datum čas od do - zadejte konkrétní data, od kdy do kdy chcete nechat zobrazit odběry jídel.

§ Jen jídelna - pokud chcete používat jídelnu, zaškrtněte políčko a vyberte, kterou jídelnu chcete zobrazit.

§ Terminál - pokud chcete používat terminál, zaškrtněte políčko a vyberte, která data terminálu chcete zobrazit.

§ Jen rozdělení - vyberte typ rozdělení a rozdělení, jehož odběry jídel chcete zobrazit.

§ Včetně podřízených - váže se k rozdělení. Zobrazíte i podřízená rozdělení.

§ Typ jídla - pokud chcete používat typ jídla, zaškrtněte políčko a vyberte, který typ jídla chcete zobrazit.

Tlačítkem [image] Editace záznamu řádku v seznamu odběrů se otevře formulář Odběr jídla.

Z formuláře se dozvíte informace o strávníkovi (jméno, příjmení, titul, rodné číslo, osobní číslo a datum nástupu), dále se dozvíte ID strávníka, zda byl záznam vložen ručně nebo zda šlo o odběr bez objednávky atd. K odběru je možné dopsat poznámku.

Odbery jidel formular odber jidla


Zrušené odběry jídel

Navigation: Stravování >

Zrušené odběry jídel

 Return to chapter overview

V některých výjimečných případech se může stát, že budete potřebovat strávníkovi zrušit odběr jídla (například pokud se při manuálním vkládání spletete a vyberete jinou osobu, datum, jídelnu, typ denního jídla či jinou položku jídelníčku). Odběr chybně zadaného jídla zrušíte v menu Stravování/Odběry jídel. Po zrušení se položka zobrazí ve zrušených odběrech jídel. Seznam zobrazuje informaci, kdo zrušil odběr jídla, jakému strávníkovi jídlo bylo zrušeno apod.

Zrusene odbery jidel

§ Jen období - vyberte měsíc, pro který chcete zobrazit seznam.

§ Datum čas od do - zadejte konkrétní data, od kdy do kdy chcete nechat zobrazit odběry jídel.

§ Jen jídelna - pokud chcete používat jídelnu, zaškrtněte políčko a vyberte, kterou jídelnu chcete zobrazit.

§ Terminál - pokud chcete používat terminál, zaškrtněte políčko a vyberte, která data terminálu chcete zobrazit.

§ Jen rozdělení - vyberte typ rozdělení a rozdělení, jehož odběry jídel chcete zobrazit.

§ Včetně podřízených - váže se k rozdělení. Zobrazíte i podřízená rozdělení.

§ Typ jídla - pokud chcete používat typ jídla, zaškrtněte políčko a vyberte, který typ jídla chcete zobrazit.

Tlačítkem [image] Editace záznamu řádku v seznamu zrušených odběrů jídel se otevře formulář Odběr jídla.


Denní dotace - seznam

Navigation: Stravování >

Denní dotace - seznam

 Return to chapter overview

Seznam Denní dotace je přehledem počtu dotací jednotlivých strávníků. V seznamu je možné položky přidávat, měnit i rušit. Výhodou seznamu je možnost nastavení změny o počtu dotací pro jednotlivé dny a strávníky. Každý strávník má pro jeden záznam o dotaci v daný den vyhrazen jeden řádek, to znamená, že v seznamu uvidíte jednoho strávníka na mnoha řádcích.

Denni dotace - seznam

§ Jen rozdělení - vyberte typ rozdělení a rozdělení, jehož odběry jídel chcete zobrazit.

§ Včetně podřízených - váže se k rozdělení. Zobrazíte i podřízená rozdělení.

§ Osoba - zaškrtnutím políčka vyberte z nabídky strávníka, jehož údaje chcete zobrazit.

§ Jen období - vyberte měsíc, pro který chcete zobrazit seznam.

§ Aktuální den - zobrazí data k aktuálnímu dni.

Tlačítkem [image] Editace záznamu řádku v seznamu se dostanete do formuláře Denní dotace, kde můžete provádět potřebné úpravy k vybrané osobě.

Denni dotace - seznam formular denni dotace

· Nárok na počet dotací původní - počet dotací importovaný například z docházkového systému RON. Pokud máte docházku jiných firem, řeší se import individuálně pomocí skriptu.

· Nárok na počet dotací použitý - pokud se rozhodnete strávníkovi změnit počet dotací pro daný den, pak vyplňte.

· Neměnit - zatržením nebude daná hodnota použitého počtu dotací importem měněna.

· Poznámka - zde si můžete vepsat libovolné, pro vás důležité, informace.


Měsíční dotace - seznam

Navigation: Stravování >

Měsíční dotace - seznam

 Return to chapter overview

Seznam Měsíční dotace slouží pro práci a orientaci s dotacemi strávníků. Každý strávník zde má jeden řádek, záznam. Seznam zobrazuje údaje o strávníkovi a jeho nároky na dotaci.

Mesicni dotace - seznam

§ Jen období - vyberte měsíc, který chcete zobrazit. V nabídce budete mít jen ty měsíce (období), které máte vytvořeny.

§ Jen rozdělení - vyberte typ rozdělení a rozdělení, jehož odběry jídel chcete zobrazit.

§ Včetně podřízených - váže se k rozdělení. Zobrazíte i podřízená rozdělení.

§ Osoba - zaškrtnutím políčka vyberte z nabídky strávníka, jehož údaje chcete zobrazit.


Dotace - dle osob

Navigation: Stravování >

Dotace - dle osob

 Return to chapter overview

Seznam Denní dotace dle osob slouží pro práci a orientaci s dotacemi strávníků. Každý strávník zde má jeden řádek, záznam. Seznam zobrazuje údaje jako je příslušnost strávníka k jídelně, cenové kategorii, údaje o strávníkovi. Výhodou tohoto seznamu je rychlé vyhledávání osob přes čtečku ID.

V pravé části okna pak vidíte k vybranému strávníkovi počty dotací ve vybraném období (měsíci), které je možné i zde (stejně jako v okně Denní dotace-seznam) měnit. Pravá část se zobrazí podle nastavení Cenové kategorie. Pokud je v cenové kategorii vybráno Dotovat dle počtu měsíčních dotací, zobrazí se celkový počet nároků na dotaci ve vybraném měsíci (viz. 1.). Pokud je nastaveno v cenové kategorii Dotovat denní částkou dotace nebo Dotovat dle počtu denních dotací, zobrazí se počet nároků v jednotlivých dnech pro zvolený měsíc (viz. 2.).

1.

Dotace - dle osob

2.

Dotace dle osob

Vyhledat podle načtené karty - slouží pro rychlé vyhledávání osob. Po přiložení karty ke čtecí hlavě program vyhledá osobu, která má tuto kartu přiřazenou a otevře Formulář strávníka načtené osoby. Pokud tlačítko nefunguje, pak je nutné v menu Systém/Nastavení/Nastavení aplikace/Lokální nastavení/Načítání ID média vybrat název terminálu, který má tuto funkci využívat. Zkontrolujte, rovněž, zda máte nadefinovány parametry k tomuto terminálu v menu Terminály/Terminály.

§ Zobrazit hierarchii - odsouhlasíte-li tuto funkci, zobrazí se vedle seznamu vlevo personální větvení firmy s vybranými strávníky, kteří patří do příslušné kategorie. Ukáže hierarchii všech nadřízených a podřízených středisek. Se středisky můžete libovolně manipulovat a přesouvat je podle svých potřeb. Strávníkům zůstane přiřazeno středisko, které jim je přiděleno v jejich kartě.

§ Včetně podřízených rozdělení - funkce zobrazí hierarchii kategorií včetně dalších podkategorií (vytvoří se "strom", ve kterém je možno dobře se orientovat a sledovat osoby v rozdělení).

§ Typ rozdělení - výběrová položka poskytne seznam strávníků podle jednotlivých středisek.

§ Jen rozdělení - odsouhlasíte-li tuto funkci, můžete vybrat z roletky nastavená rozdělení.

§ Všichni - zobrazí seznam všech strávníků.

§ Aktivní - zobrazí strávníky, kteří aktivně využívají stravovacího systému.

§ Neaktivní - zobrazí strávníky, kteří v současné době nejsou uživateli stravovacího systému.

Podle toho k jakému dni je filtr nastaven, bude se zaměstnanec zobrazovat jako aktivní či neaktivní. Standardně je nastaveno k aktuálnímu dni. Pokud chcete zobrazit stav k jinému dni, zrušte zaškrtnutí Akt. den a nastavte datum u funkce Ke dni, ke kterému chcete zobrazit seznam.

§ Jen typ osoby - nabízí se varianta Zaměstnanec a Zaměstnanec jiné firmy.

Vyúčtování - provede vyúčtování všech osob, které jsou zobrazeny v seznamu.

J_Objednani dle planu

Objednání dle plánu - tlačítkem provedete objednání stravy osobám v seznamu s přiřazeným stravovacím plánem. Po stisku tlačítka se zobrazí okno, ve kterém zadejte rozsah dnů, pro které chcete jídlo objednat. Po výběru stiskněte tlačítko [image]. Poté se vás program zeptá, zda si opravdu přejete hromadně objednat pro všechny osoby v seznamu na období od DD.MM.RRRR do DD.MM.RRRR. Po potvrzení dotazu se provede objednání jídel. Následně se zobrazí informace o stavu objednávání jídel a dotaz zda si přejete provést vyúčtování. Po potvrzení se provede vyúčtování všem strávníkům v seznamu. Po dokončení vyúčtování se zobrazí informace o průběhu vyúčtování.

Tlačítkem [image] Editace záznamu vybraného řádku se dostanete do Formuláře strávníka.

Pravá část okna, jak bylo výše uvedeno, zaznamenává jednotlivé počty dotací za vybraný měsíc. Rovněž pro úplnost zobrazuje celkový počet dotací v měsíci. Tato část obsahuje údaje o původním nároku na dotaci, použitý nárok a informaci, zda chcete použitý nárok dál neměnit. Tyto údaje lze ručně přepsat. Jakmile údaje přepíšete, uložte je tlačítkem [image] a proveďte vyúčtování tlačítkem [image] (provede vyúčtování vybrané osoby). Data se zobrazí i v Denních dotací - seznam.


Uzavření objednávek

Navigation: Stravování >

Uzavření objednávek

 Return to chapter overview

Formulář slouží k okamžitému uzavření objednávek vybraných jídel.

· Jídelna - vyberte jídelnu, pro kterou chcete uzavřít objednávky.

· Den - vyberte den, pro který chcete uzavřít objednávky.

· Přegenerovat objednávací terminály - vyberte. V případě, že tuto volbu neoznačíte, uzavření objednávek se neprojeví v objednávacích terminálech. Projeví se pouze u objednávání přes touchscreen a intraweb. Na terminálu budou moci strávnici i nadále objednávat.

· Provést vyúčtování - v případě označení volby program provede vyúčtování neuzavřených období.

Následně zaškrtnete políčka jídel, u kterých chcete uzavřít objednávky. Poté potvrďte a program provede vybrané operace.


Vyúčtování

Navigation: Stravování >

Vyúčtování

 Return to chapter overview

V případě, že chcete provést vyúčtování všech strávníků a všech otevřených období označíte v menu Stravování volbu Vyúčtování. Program se Vás zeptá, zda si opravdu přejete provést vyúčtování všech otevřených období. Po potvrzení dotazu se spustí vyúčtování. Po vyúčtování program zobrazí informaci o proběhlém vyúčtování.


Pohyby na účtu

Navigation: Stravování >

Pohyby na účtu

 Return to chapter overview

V seznamu můžete sledovat pohyby na účtu jednotlivých strávníků. Seznam zobrazuje veškeré pohyby na účtu (objednávky, dotace, odběry zboží...), dále datum a čas pohybu, typ pohybu apod. Seznam je určen pro čtení.

Pohyby na uctu

§ Jen rozdělení - vyberte typ rozdělení a rozdělení, jehož odběry jídel chcete zobrazit.

§ Včetně podřízených - váže se k rozdělení. Zobrazíte zaměstnance i v podřízeném rozdělení.

§ Osoba - vyberte strávníka, jehož data o pohybu na účtu chcete sledovat.

§ Jen období - vyberte měsíc, pro který chcete zobrazit seznam.

§ Aktuální den - po zaškrtnutí pole se zobrazí data k aktuálnímu dni.

§ Typ pohybu - vyberte typ pohybu, pro který chcete zobrazit data - např. Objednávka jídla.

§ Typ osoby - vyberte, zda chcete nechat zobrazit data vlastních zaměstnanců nebo zaměstnanců jiných firem.

Tlačítkem [image] Editace záznamu řádku v seznamu se dostanete do formuláře Pohyb na účtu.

V záhlaví formuláře se zobrazí informace o strávníkovi: jméno, příjmení, titul, rodné číslo, osobní číslo a datum nástupu. Dále se dozvíte datum a čas pohybu na účtu, typ pohybu, částka, množství a ID objednávky.

Pohyby na uctu formular pohybu na uctu


Salda strávníků

Navigation: Stravování >

Salda strávníků

 Return to chapter overview

V seznamu můžete sledovat měsíční pohyby na účtu strávníků. Seznam zobrazuje veškeré měsíční pohyby na účtu (částka celkem, celkem dotace, částka uhradit...). Seznam je určen pro čtení. Saldo strávníka si také můžete zobrazit v menu Seznamy/Strávníci/Formulář strávníka - Měsíční salda.

§ Kalendářní rok - zadejte rok, ve kterém chcete nechat zobrazit pohyby na účtech.

§ Období - zadejte měsíc, ve kterém chcete nechat zobrazit pohyby na účtech.

§ Osoba - vyberte zaměstnance, jehož data na účtu chcete sledovat.

§ Jen rozdělení - vyberte rozdělení, pro které chcete zobrazit seznam zaměstnanců.

§ Včetně podřízených - váže se k rozdělení. Zobrazíte zaměstnance i v podřízeném rozdělení.

Tlačítkem [image] Editace záznamu řádku v seznamu salda strávníků se otevře Formulář strávníka.


Terminály

Navigation: »No topics above this level«

Terminály

 Return to chapter overview

Menu Terminály slouží již pro samotnou práci s terminály, generování a načítání dat. Menu Terminály obsahuje následující položky:

Terminály

Identifikační média

Generování jídelníčku do terminálů

Načítání objednávek z terminálu

Generování (příprava) výdeje do terminálů

Načítání vydaných jídel z terminálu

Nastavení data a času terminálů

Výdejní místa

Objednávání - touchscreen

Výdej - touchscreen

Import LOG souboru terminálu


Terminály

Navigation: Terminály >

Terminály

 Return to chapter overview

Seznam obsahuje terminály, které používáte při objednávání a vydávání stravy zaměstnancům. Terminály je nejprve třeba nastavit a nadefinovat. O tom všem se dozvíte v následujících kapitolách.

Nad seznamem můžete použít filtr:

§ Jen jídelní terminály - zobrazí seznam jídelních terminálů.

Nový terminál přidáte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Terminál vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu. Formulář terminálu se skládá z následujících záložek:

Terminály

Mapování jídel

Časy výdeje

Zboží

Osoby


Formulář terminálu - Terminál

Formulář slouží k základní definici terminálu a nastavení parametrů pro komunikaci s terminálem. Zda terminál komunikuje správně s programem, zjistíte přes tlačítko [image].

Terminaly formular terminalu terminal

· Kód - povinný údaj. Označení pro interní použití. Vepište název kódu, např.: VT1 (výdajový terminál 1).

· Popis - povinný údaj. Popište, o jaký terminál se jedná. Popis slouží pro vaši potřebu rychlé orientace mezi terminály.

· Text na terminálu - vepsaný text se zobrazí uživatelům na display terminálu, např. pokud se nevaří, můžete vepsat: Nevydává se.

· Určení terminálu - zde musíte určit, o jaký typ se jedná, zda o výdejní nebo objednací či výdejní automat. Podle toho se pak terminály zobrazí při různých operacích. Pokud se jedná o objednací, pak se zobrazí při generování jídelníčku do terminálu a načítání objednávek z terminálu. Jestliže půjde o výdejní terminál, pak se zobrazí při generování výdeje do terminálu a načítání vydaných jídel z terminálu. Pokud v poli vyberete výdejní automat, potom se zobrazí jen záložky Zboží a Osoby.

· Umístění - informativní charakter, kde máte terminál umístěn.

· Typ ID média - z nabídky vyberte typ ID média. Nový typ identifikačního média vytvoříte v menu Terminály -> Typy identifikačních médií.

· Používat kód média č. 2 - pokud jste si v nastavení aplikace zatrhli, že chcete používat 2 kódy ID médií, tak máte tuto kolonku aktivní. Zde si můžete zvolit, který ze dvou kódů chcete používat na daném terminálu. Nastavení více ID médií provedete v menu Systém/Společné nastavení - ID média.

· Používat jen primární ID média - při používání více ID médií (např. bezkontaktní karty pro docházku a pro jídelnu kontaktní čipy) jednou osobou tuto volbu zaškrtněte. ID médium používané v jídelně označte jako primární.

· Negenerovat datum a čas - zde si určíte, zda chcete při každém přenosu dat přenášet také datum a čas. Pokud nezatrhnete, na terminálu se sladí čas s časem na počítači.

· Negenerovat biometrické šablony - pokud používáte biometrické údaje, pak si tímto můžete určit, zda chcete při každém přenosu dat do terminálu přenášet i tyto údaje.

· Použít jen ID média daného typu - po zatrhnutí pole, bude terminál přijímat jen ID média vybraného typu.

· Jídelna - povinný údaj. Musíte si vybrat, pro kterou jídelnu bude tento terminál aktivní.

· Generovat max. dnů dopředu - povinný údaj. Vepište číslicí, na kolik dní dopředu chcete generovat data. U terminálů DMR-System je tato délka omezena na maximálně 24 dnů.

· Generovat jen nejbližší výdej - volba se zobrazuje jen u výdejních terminálů. Pokud je tato volba aktivní, pak se bude do výdejového terminálu generovat jídelníček a objednávky jen pro nejbližší výdej. Tato volba slouží k tomu, aby na terminálech bylo možno pod jedno tlačítko přiřadit pro daný den více jídel pro různé časy výdeje. Například: pro první tlačítko: Snídaně 1, Oběd 1, Večeře 1.

POZOR: Terminál je nutné před každým výdejem GENEROVAT!!!

Parametry terminálu:

Druhá část záložky se týká samotných parametrů terminálu, tedy jak bude aplikace komunikovat s terminálem. Samotné nastavení terminálu ponechte odborníkům.

· Název počítače - pole vyplňte pouze v případě, že chcete omezit možnost práce s tímto terminálem pouze na jediný počítač v rámci sítě LAN. Terminál bude pro uživatele viditelný pouze na počítači, jehož síťové jméno je shodné s názvem v tomto poli. Ve většině aplikací ponechte toto pole prázdné.

· Driver - nastavte ACSLine_J (terminál ACS-Line_Jídelní) nebo DMR_J (DMR-System_Jídelní)

TIP: Způsob nastavení čtečky ID médií naleznete v kapitole Postupy.

Po stisku tlačítka [image] se zobrazí formulář Editor parametrů terminálu, podle typu terminálu (ACS-Line, DMR-System), ve kterém můžete provést nastavení některých údajů.


Terminál ACS-Line

Navigation: Terminály > Terminály > Formulář terminálu - Terminál >

Terminál ACS-Line

 Return to chapter overview

Terminál ACS - line - nastavení parametrů terminálu - on line IP adresa apod. - doplnit pokud najdu informace

Terminaly formular terminalu terminal ACS-Line

Toto nastavení provádí technici, kteří instalují software ve vaší firmě.

· Typ terminálu - z nabídky zvolte správný typ terminálu RT310.

· Adresa terminálu - ID adresa terminálu. Správné nastavení adresy modulu je klíčové pro bezkolizní funkci více modulů na jedné komunikační lince. Toto nastavení musí být shodné s nastavením v terminálu a zpravidla má pro objednávací terminál hodnotu 1 a pro výdejní terminály má hodnotu 2.

· Typ připojení terminálu - podle způsobu připojení terminálu k PC, zvolte typ komunikace. Přímé propojení na COM port = RS232. Připojení přes převodník DL232 nebo DU485 nastavte RS485. Pokud se jedná o terminál RT300TCP nebo je připojení přes převodník DH485 nastavte komunikaci TCP/IP. Příslušné parametry komunikace musí korespondovat s nastavením terminálu.

· IP Adresa - vyplňte hodnoty, pokud bude terminál komunikovat přes ethernet rozhraní. Správné nastavení definuje správce sítě, do které bude terminál připojen.

· TCP Port - komunikační port TCP přes který probíhá komunikace na dané IP adrese. Musí být shodné s nastavením v hardware.

· Prodleva mezi odesíláním záznamů do terminálu - implicitně nastavená hodnota je 100 ms.

· Bez prodlev při odesílání příkazů - zaškrtnutím políčka lze v některých případech vyřešit problém s odesíláním objednávek/jídelníčků do terminálů.

POZOR: Skutečné nastavení výše uvedených parametrů může být jiné!

objednávací terminál

· Vícenásobný výdej/objednávání - strávník má možnost si na terminálu zadat více objednávek na den tzn., nedá se hlídat počet objednaných jídel na terminálu. Pokud je pole zaškrtnuté nemáte možnost zaškrtnout pole Platná jen poslední objednávka za den. Vícenásobný výdej/objednávání je potřeba nastavit v programu Jídelna v menu Seznamy/Cenové kategorie/formulář Cenové kategorie/záložka Vlastnosti cenové kategorie/podzáložka Základní nastavení - pole Povolit změnu počtu objednávek je potřeba mít zaškrtnuté a v poli Maximální počet porcí objednávky/výdeje je nutné nastavit hodnotu >1.

· Platná jen poslední objednávka za den - v případě, že strávník na objednávacím terminálu zadá více objednávek na stejný den, bude platná pouze poslední zadaná objednávka bez ohledu na typ denního jídla.

PŘÍKLAD: V programu jste nastavili 2 typy denních jídel a to Oběd a Večeři. Strávník si objedná na Středu 9.6.2010 nejprve Oběd 1, potom si objedná na stejný den Večeři 2. Objednávka Obědu 1 na Středu 9.6.2010 je strávníkovi přepsána novou objednávkou a to Večeří 2.

· Pokud nezaškrtnete ani jednu z uvedených položek je platná poslední zadaná objednávka s ohledem na typ denního jídla.

PŘÍKLAD: V programu jste nastavili 2 typy denních jídel a to Oběd a Večeři. Strávník si objedná na Středu 9.6.2010 nejprve Oběd 1, potom si objedná na stejný den Večeři 2. Strávník má na Středu 9.6.2010 objednán Oběd 1 a Večeři 2. Pokud by strávník ještě poté objednal na stejný den Oběd 2, potom jeho objednávka na Středu 9.6.2010 bude Oběd 2 a Večeře 2.

výdejní terminál

· Vícenásobný výdej/objednávání - pokud je políčko zaškrtnuté, terminál provede vydání vícenásobné objednávky postupně. K vydání vícenásobné objednávky tímto způsobem, budete muset vícekrát přiložit kartu ke čtecímu zařízení, jelikož terminál vydá jen jednu objednávku z celé vícenásobné objednávky.

PŘÍKLAD: Pokud chcete vydat například Obědu 1 - 6 porcí, musíte 6x přiložit kartu ke čtecímu zařízení a 6x stisknout tlačítko výdeje. Na velkém výdejním displeji v poli Počet se bude zobrazovat 01.

· Pokud položku Vícenásobný výdej/objednávání nezaškrtnete, terminál provede vydání vícenásobné objednávky najednou. Po přiložení karty, která má vícenásobnou objednávku (například Oběd 1 - počet 6), se na velkém výdejním displeji v poli Počet, zobrazí kolik jídel daného typu má strávník objednané (například 06). Pro vydání vícenásobné objednávky stačí jedno přiložení karty ke čtecímu zařízení.


Terminál DMR-System

Navigation: Terminály > Terminály > Formulář terminálu - Terminál >

Terminál DMR-System

 Return to chapter overview

Terminaly formular terminalu terminal DMR-System

Toto nastavení provádí technici, kteří instalují software ve vaší firmě.

· Typ terminálu - z nabídky zvolte správný typ terminálu pro objednávky a výdej jídel: VT (výdejový terminál) nebo OT (objednávkový terminál).

· IP Adresa - zadejte IP adresu terminálu.

· UDP Port - nastavte hodnotu portu, na kterém komunikuje terminál s počítačem.

· Komunikační timeout - komunikační timeout je implicitně nastaven na 5000 ms

· Počet pokusů - zadejte maximální počet neúspěšných pokusů o komunikaci.

· On line provoz - terminál může pracovat v režimu on-line.

Záložka - základní parametry

· Používat ACS-Line formát identifikačních médií - pokud používáte v programu 16 místný kód identifikačních médií, zaškrtněte pole.

Objednávací terminál

· Vícenásobné objednávání/výdej - strávník má možnost si na terminálu zadat více objednávek na den tzn., nedá se hlídat počet objednaných jídel na terminálu. Pokud je pole zaškrtnuté nemáte možnost zaškrtnout pole Platná jen poslední objednávka za den.

· Platná jen poslední objednávka za den - v případě, že strávník na objednávacím terminálu zadá více objednávek na stejný den, bude platná pouze poslední zadaná objednávka bez ohledu na typ denního jídla.

PŘÍKLAD: V programu jste nastavili 2 typy denních jídel a to Oběd a Večeři. Strávník si objedná na Středu 9.6.2010 nejprve Oběd 1, potom si objedná na stejný den Večeři 2. Objednávka Obědu 1 na Středu 9.6.2010 je strávníkovi přepsána novou objednávkou a to Večeří 2.

· Pokud nezaškrtnete ani jednu z uvedených položek je platná poslední zadaná objednávka s ohledem na typ denního jídla.

PŘÍKLAD: V programu jste nastavili 2 typy denních jídel a to Oběd a Večeři. Strávník si objedná na Středu 9.6.2010 nejprve Oběd 1, potom si objedná na stejný den Večeři 2. Strávník má na Středu 9.6.2010 objednán Oběd 1 a Večeři 2. Pokud by strávník ještě poté objednal na stejný den Oběd 2, potom jeho objednávka na Středu 9.6.2010 bude Oběd 2 a Večeře 2.

· Automatický návrat na první den objednávání - pokud je pole zatržené, potom po objednání nebo zrušení objednávky terminál zobrazí vždy první den objednávání. Pokud není pole zatrhnuté, potom terminál zobrazí den, ve kterém byla právě provedena nebo zrušena objednávka.

výdejní terminál

· Vícenásobný výdej/objednávání - pokud je políčko zaškrtnuté a strávník má více objednávek na jeden den, může si na výdejním terminálu vybrat (přiložením ID média ke čtečce vícekrát za sebou), jaká objednávka mu má být vydána. Pokud strávník má více objednávek, poznáte to podle toho, že na velkém výdejním displeji bude svítit číslice a tečka zároveň. Pokud není toto pole zaškrtnuté, vydá terminál vícenásobnou objednávku najednou. Na velkém výdejním displeji se v poli "Počet" zobrazí množství jídla pro vydání.

POZOR: Toto platí jen pro některé typy terminálů!!!

· Zobrazovat kategorii na displeji - po zaškrtnutí pole se na velkém výdejním displeji zobrazí písmeno cenové kategorie. Více se dozvíte v kapitole Velký display pro zobrazení výdeje.

· Datum a čas posunu času - nastavte datum a čas automatického posunu času z letního na zimní nebo ze zimního na letní ve formátu DD.MM.YYYY HH:00.

POZOR: Rok datumu je nutné po přesunu času změnit na další rok!!!

· Směr posunu času - směr posunu je možné provést jak směrem dolů tak směrem nahoru, podle hodnot, které si nastavíte.

· Jazyk terminálu - zvolte jazyk komunikace v terminálu. Terminál má nastavitelný jazyk, ve kterém zobrazuje texty na svém displeji. Texty může terminál zatím zobrazovat ve dvou jazycích a to českém a ve slovenském. Pokud má objednávkový terminál nastavený jazyk slovenštinu, tak zobrazený kredit je v euro. Pokud má objednávkový terminál nastavený jazyk češtinu, potom zobrazený kredit je v korunách.

· Ozvučená klávesnice - po zatrhnutí pole, bude každé uvolnění stlačené klávesy doprovázet zvuk. Pokud pole zatrhnuté nebude, uvolnění stlačené klávesy nebude doprovázet zvuk.

· Čas zobrazení informací na terminálu - informace o provedené objednávce/výdeji jsou na displeji zobrazeny po nastavitelnou dobu v rozsahu 0,1 až 13 sekund. Možné hodnoty, které lze do pole zadat jsou 1 až 130. Pokud je využito externí tlačítko pro potvrzení výdeje, potom zobrazení informace na externím displeji a výdejním terminálu je ukončeno po stisku externího tlačítka.

· Omezovat denní počet vydaných jídel podle nastavení cenové kategorie - pokud chcete omezit denní počet vydaných jídel podle nastavení cenové kategorie v terminálu, zatrhněte pole. Nastavení maximálního počtu porcí výdeje v terminálu provedete v menu Seznamy -> Cenové kategorie -> Formulář cenové kategorie -> Záložka Vlastnosti cenové kategorie -> Průvodce cenové kategorie -> Nastavení terminálu v poli Maximální počet porcí výdeje v terminálu (cca 4. okno průvodce nastavením cenové kategorie). Toto nastavení je implementováno do DMR výdejového terminálu VT a VBT.

Záložka - Údržba

Terminaly formular terminalu terminal DMR-System udrzba

· Reset terminálu - stiskem podtrženého nadpisu provedete restart terminálu. Po stisku se zobrazí dotaz, zda si opravdu přejete reset terminálu. Po potvrzení dotazu se provede restart terminálu, na jehož konci se zobrazí informace o tom, zda reset terminálu proběhl v pořádku.

Terminál lze resetovat i stiskem kláves Ctrl+Alt+Shift+Reset terminálu.

Přímo na terminálu je možné provést reset postupným stiskem kláves J+7+8. Po stisku se na displeji terminálu zobrazí hláška "Terminál provádí softwarový reset".

POZOR: Před resetem terminálu je nutné mít vyčtená data z terminálu. Pokud se jedná o výdejní terminál, nesmí na něm probíhat výdej. Po provedeném resetu terminálu je nutné generovat jídelníčky do terminálů, případně provést Generování (přípravu) výdeje do terminálů. Záleží na tom, který z terminálů byl resetován.

· Opakovaný test spojení s prodlevou - test komunikace s terminálem. Do pole zadejte hodnotu v ms.

· Nahrát firmware do terminálu - stiskem podtrženého nadpisu se otevře okno, kde vyberete požadovaný soubor a otevřete jej. Po potvrzení dotazu, zda si přejete nahrát do terminálu firmware ze souboru: C:\jidelni_terminal.HEX (cesta k souboru), se firmware v terminálu přehraje.

POZOR: Objednávací terminál - před nahráním firmware do terminálu, je nutné načíst všechny objednávky do programu Jídelna (menu Terminály/Načítání objednávek z terminálu). V době, kdy se bude upgradovat verze firmware v terminálu, nesmí s objednávacím terminálem nikdo pracovat. Po přehrání verze je potřeba provést Generování jídelníčku do terminálu.

Výdejní terminál - před nahráním firmware do terminálu nesmí probíhat výdej a je nutné mít všechny výdeje jídel načtené v programu Jídelna (menu Terminály/Načítání vydaných jídel z terminálu). V době, kdy se bude upgradovat verze firmware v terminálu, nesmí s výdejním terminálem nikdo pracovat. Po přehrání verze je potřeba provést Generování (příprava) výdeje do terminálu.


Formulář terminálu - Mapování jídel

Navigation: Terminály > Terminály >

Formulář terminálu - Mapování jídel

 Return to chapter overview

Nastavení je nutné provést pro všechny jídla v jídelníčku. Mapování jídel je třeba zadat v objednávacím i výdejním terminálu. Ve formuláři mapování jídel definujete jaké jídla je terminál schopen objednávat/vydávat.

Terminaly formular terminalu mapovani jidel

Kliknutím na tlačítko [image] Nový záznam se otevře formulář Mapování jídla v terminálu.

Terminaly mapovani jidel formular mapovani jidla v terminalu

· Typ denního jídla - z nabídky si vyberte typ denního jídla.

· Číslo nabídky jídelníčku - vepište číslo nabídky jídla v jídelníčku. Číslo nabídky naleznete ve vytvořeném jídelníčku v menu Stravování/Jídelníček.

· Kód typu v terminálu - jedná se o číslo, které se nezobrazuje na terminálu. Ve Formuláři terminálu - Časy výdeje se tento kód zapíše do pole Typ jídla v terminálu.

PŘÍKLAD: Všechny Obědy označte číslem 1, Večeře označte číslem 2.

· Kód v terminálu - vepište číslo tlačítka v terminálu, pod kterým se bude zobrazovat zadávaný typ jídla.

· Číslo tlačítka - vepište číslo tlačítka ve výdejním terminálu, pod kterým se bude zobrazovat zadávaný typ jídla. Číslo zadejte jen u výdejního terminálu DMR. V ostatních případech je nutné, aby Kód v terminálu a Číslo tlačítka byly shodné.


Terminál ACS-Line

Navigation: Terminály > Terminály > Formulář terminálu - Mapování jídel >

Terminál ACS-Line

 Return to chapter overview

Objednávací terminál

- čísla v poli "Kód v terminálu" se nesmí opakovat,

- čísla v poli "Kód v terminálu" na sebe nemusí navazovat,

- pole "Číslo tlačítka" ACS-Line terminál ignoruje, proto pole "Číslo tlačítka" nastavte stejně jako pole "Kód v terminálu".

Mapovani jidel objednavaciho terminalu ACS-Line

Výdejní terminál

- kód v terminálu se zobrazí na velkém výdejním displeji,

- kódu v terminálu se může pro různý typ denního jídla opakovat,

- pro každý typ denního jídla doporučujeme provést číslování v poli Kód v terminálu vždy od 1,

- pole "Číslo tlačítka" ACS-Line terminál ignoruje, proto pole "Číslo tlačítka" nastavte stejně jako pole "Kód v terminálu".

Mapovani jidel vydejniho terminalu ACS-Line


Terminál DMR-System

Navigation: Terminály > Terminály > Formulář terminálu - Mapování jídel >

Terminál DMR-System

 Return to chapter overview

Objednávací terminál

- kódu v terminálu doporučujeme namapovat stejně jako pole "Číslo tlačítka",

- čísla tlačítek v poli "Číslo tlačítka" se nesmí opakovat,

- čísla tlačítek v poli "Číslo tlačítka" na sebe nemusí navazovat,

- v poli "Číslo tlačítka" se nemusí začínat číslovat od 0,

- pro namapování 15 jídel je nutné v poli "Číslo tlačítka" začít číslovat od 0.

Mapovani jidel objednavaciho terminalu DMR-System

Výdejní terminál

- kód v terminálu se zobrazí na velkém výdejním displeji,

- kód v terminálu se může pro různý typ denního jídla opakovat,

- čísla tlačítek v poli "Číslo tlačítka" se nesmí opakovat,

- čísla tlačítek v poli "Číslo tlačítka" na sebe nemusí navazovat,

- v poli "Číslo tlačítka" se nemusí začínat číslovat od 0,

- pro namapování 15 jídel je nutné v poli "Číslo tlačítka" začít číslovat od 0.

Mapovani jidel vydejniho terminalu DMR-System


Formulář terminálu - Časy výdeje

Navigation: Terminály > Terminály >

Formulář terminálu - Časy výdeje

 Return to chapter overview

Nastavení se provádí pouze pro výdejní terminál. Určí se zde, v jakém časovém rozmezí se budou vydávat typy jídel ve vybraném terminálu.

Terminaly formular terminalu casy vydeje

Kliknutím na tlačítkem [image] Nový záznam se otevře formulář Časová předvolba výdeje.

Terminaly casy vydeje formular casova predvolba vydeje

· Čas od - povinná položka. Zadejte čas, od kdy se bude určitý typ jídla vydávat.

· Čas do - povinná položka. Zadejte čas, do kdy se bude tento typ jídla vydávat.

· Typ jídla v terminálu - povinná položka. Zadejte shodné číslo, které je uvedeno ve Formuláři terminálu - Mapování jídel v kolonce Kód typu v terminálu. Na základě zadaného čísla se ve zvoleném čase bude vydávat nastavený typ jídla.

· 1. příloha, 2. příloha - k hlavnímu jídlu je možné nastavit vydávání i dvou příloh. Může se jednat například o salát, polévku apod. Pokud si zaměstnanec přílohu objedná, potom při výdeji Obědu bude příloha zobrazena na velkém displeji v poli Příloha.

Terminaly casy vydeje seznam casu

Od 10:00 - 13:00 se vydávají obědy a salát. Od 17:00 - 21: 00 se vydávají večeře.

· Jídelníček z předchozího dne - tuto funkcionalitu využijete, pokud vydáváte noční jídlo po půlnoci (například od 0:30). Generování (příprava) výdeje noční stravy do terminálů, vydávané po půlnoci (například od 0:30), musí proběhnout před půlnocí (tj. například ve 23:45).


Formulář terminálu - Zboží

Navigation: Terminály > Terminály >

Formulář terminálu - Zboží

 Return to chapter overview

Položka se zobrazí, pokud je ve Formuláři terminálu v kolonce Určení terminálu vybrán Výdejní automat. Ve formuláři je možné přiřazovat zboží, které bude výdejním automatem vydáváno a nastavovat u něj požadované ceny. Požadované hodnoty nastavíte označením řádku na pravé straně a kliknutím do sloupce Kód v terminálu nebo Cena.

Terminaly formular terminalu zbozi

· Kód v terminálu - vepište číslo tlačítka v terminálu, pod kterým se bude zobrazovat zadávaný typ jídla.


Formulář terminálu - Osoby

Navigation: Terminály > Terminály >

Formulář terminálu - Osoby

 Return to chapter overview

Ve formuláři je zobrazen přehled osob, které mohou objednávat přes vybraný terminál.

Terminaly formular terminalu osoby

POZOR: Aby se osoby zobrazili ve formuláři, je třeba, aby byly tyto osoby přiřazeny k jídelně a zároveň, aby byly členy cenové kategorie!!


Typy identifikačních médií

Navigation: Terminály >

Typy identifikačních médií

 Return to chapter overview

Rozdělením identifikačních médií na různé typy lze předcházet problémům při kombinování různých technologií terminálů a formátů kódů identifikačních médií a biometrických šablon. Po naplnění seznamu můžete každému ID médiu nastavit jeho typ a u terminálu (menu Terminály -> Terminály -> Formulář terminálu - Terminál) nastavit se kterým typem ID médií bude pracovat.

Typy identifikacnich medii

Tlačítkem [image] Nový záznam nebo [image] Editace záznamu otevřete formulář Typ ID média, ve kterém vyplníte následující položky:

Typy identifikacnich medii_Formular

· Kód - zadejte kód typu ID média.

· Popis - popis typu identifikačního média, například Čip dallas, MIFARE.

· Poznámka - libovolná doplňující informace k typu identifikačního média, například kontaktní ID médium.


Identifikační média

Navigation: Terminály >

Identifikační média

 Return to chapter overview

Číselník identifikačních médií slouží k evidenci médií, která máte k dispozici pro přiřazení zaměstnancům (v kartě zaměstnance v záložce ID média). Jedná se o součást systému, kdy jedno ID médium může být použito pro více činností, a to: docházka, otevírání dveří, objednávka stravy, apod. Platnost přiřazení identifikačního média zaměstnanci je řízeno daty počátku a konce přiřazení. V zadaném časovém období systém identifikuje pod tímto médiem zvoleného pracovníka. Při navrácení média můžete provést přiřazení dalšímu pracovníkovi.

Filtry pro rychlou práci se záznamy:

§ Všechny - pokud zvolíte tento filtr, zobrazí se všechna ID média, přiřazená i nepřiřazená.

§ Přiřazené - tímto filtrem zobrazíte jen přiřazená ID média.

§ Nepřiřazené - volbou tohoto filtru omezíte záznamy jen na nepřiřazená ID média.

§ Ke dni - výše uvedené filtry můžete současně nechat nastavit k určitému datu, které vyberete z kalendáře (aktivní jen v případě nezatržení následující kolonky).

§ Aktuální den - výše uvedené filtry můžete současně nastavit k aktuálnímu datu.

Seznam ID médií:

Nová ID média vložíte tlačítkem [image] Nový záznam a v otevřeném formuláři Identifikační médium vyplníte následující záložky: Formulář záznamu a Historie přiřazení osobám. Parametry můžete upravovat tlačítkem [image] Editace záznamu.

POZNÁMKA: Podle typu použitých terminálů je možno používat tato identifikační média:

- kontaktní čipy DALLAS,

- bezkontaktní karty,

- bezkontaktní přívěsky (různé tvary a barvy),

- karty s magnetickým proužkem,

- karty s čárovým kódem,

- otisky prstů.


Formulář identifikační média - Formulář záznamu

Navigation: Terminály > Identifikační média >

Formulář identifikační média - Formulář záznamu

 Return to chapter overview

Ve formuláři vyplňujete základní parametry identifikačního média.

Identifikacni media formular identifikacniho media

· ID - číselné označení ID média, doplněné programem.

· Kód - číslo identifikačního média, jde o jednoznačný identifikátor přiřazený médiu při jeho výrobě. Kód můžete načíst pomocí tlačítka [image] Načtení kódu média z terminálu.

· Kód 2 - druhé číslo identifikačního média. U jednotlivých terminálů lze určit, který kód má být používán. Tento kód lze využít např. u bezkontaktní karty, která je navíc potištěná čárovým kódem. Pak je tento čárový kód možno uvést v tomto poli a u terminálů, které čtou čárový kód, nastavit používání kódu 2.

· Označení média - textové označení nebo pořadové číslo ID média (nemusí být shodné s kódem média).

· Typ - z nabídky vyberte o jaký typ ID média se jedná (čipy dallas, mifare, biometrická šablona apod.) Nový Typ vytvoříte v menu Terminály -> Typy identifikačních médií.

· Biometrická šablona - pokud máte modul zakoupen, je tato položka aktivní. Načtení (otisků prstů) provedete tlačítkem [image] Načtení biometrické šablony z terminálu.

· Index šablony - označení šablony.

· Datum pořízení - zadejte ve formátu DD.MM.RRRR nebo vyberte z kalendáře datum zavedení média do evidence.

· Datum vyřazení - zadejte nebo vyberte z kalendáře datum vyřazení média z evidence (v případech jeho ztráty, vady, poškození nebo ostatních důvodů).

· Způsob vyřazení - vyberte z nabízených možností způsob vyřazení ID média (poškozená, ztracená, vadná, ostatní).

· Blokována - zatržením určíte, že chcete pozastavit funkčnost média v systému. Např. pokud existuje podezření, že médium je používáno neoprávněnou osobou.

POZOR: Pokud je tato volba zaškrtnutá, není ID médium zasíláno do terminálů! Blokace bude aktivní až po ručním zadání na terminálu!

· Záloha na médium - zadejte cenu média, nepovinný údaj.

· Poznámka - prostor pro doplňující informace.


Formular identifikační média - Historie přiřazení osobám

Navigation: Terminály > Identifikační média >

Formular identifikační média - Historie přiřazení osobám

 Return to chapter overview

Každé ID médium musí být přiřazeno vždy pouze jedné osobě! Přiřazení ID média zaměstnanci lze také sledovat v kartě zaměstnance, v záložce ID média. Pohled je však opačný. V tomto okně vybíráte ze seznamu zaměstnanců, kteří nemají ID médium přidělené, a přiřazujete konkrétní ID médium. Naopak ve formuláři zaměstnance se přidělí volné ID médium konkrétnímu zaměstnanci.

Identifikacni media formular historie prirazeni osobam

Záložka obsahuje dva sloupce. Seznam aktivních zaměstnanců bez přiřazeného média k dnešnímu dni je zobrazen ve sloupci Osoby bez ID média. Ve sloupci Osoby s přiřazeným ID médiem je uvedena osoba, které je přiděleno dané ID médium.

Pomocí šipek uprostřed formuláře přiřazujete nebo rušíte přiřazení:

C_Sipka seda vpravo , C_Sipka seda vlevo | Šipky - pomocí těchto tlačítek se přesunou vybrané záznamy požadovaným směrem.
C_Sipka seda dvojita vpravo , C_Sipka seda dvojita vlevo | Šipky - pomocí těchto tlačítek se přesunou všechny záznamy požadovaným směrem.

POZOR: Výměnu osoby je vhodnější provést jako vrácení předchozího přidělení ID média osobě a nové přidělení jiné osobě. Pokud budete výměnu provádět pouze šipkami uprostřed formuláře, neuchová se historie a v pravém okně se bude vždy zobrazovat jen jméno zaměstnance s aktuálně přiřazeným ID médiem.

Výměnu provedete rozkliknutím řádku se jménem zaměstnance, kterému chcete ukončit platnost ID média (v pravém okně), a do otevřeného formuláře Přiřazené ID médium uvedete Datum vrácení (média):

Identifikacni media formular prirazeneho ID media

Totéž lze provést také pomocí ikony [image] Označit kartu jako vrácenou. Program vloží aktuální datum a označí ID médium jako vrácené. Poté můžete přiřadit toto ID médium dalšímu zaměstnanci. Pokud zadáte datum vrácení např. aktuální den, ID médium můžete ve stejný den přiřadit dalšímu zaměstnanci.

Filtry ve sloupci Osoby bez ID média:

§ Aktivní - zobrazí se seznam zaměstnanců v pracovním poměru, kteří nemají přiděleno ID médium.

§ Neaktivní - výběrem filtru bude seznam omezen na zaměstnance s ukončeným pracovním poměrem bez přiřazeného ID média.

Filtry ve sloupci Osoby bez ID média:

§ Všechny - zobrazí se i ti zaměstnanci, kteří měli ID médium přiřazené v minulosti.

§ Jen přiřazené - zobrazí se zaměstnanec, kterému je ID médium aktuálně přiřazeno.


Generování jídelníčku do terminálů

Navigation: Terminály >

Generování jídelníčku do terminálů

 Return to chapter overview

Jakmile máte vytvořen jídelníček, je potřeba jej vygenerovat do požadovaných terminálů, aby si strávníci mohli objednávat jídlo.

Generování jídelníčku do terminálů můžete přidat do seznamu plánovaných úloh v plánovači úloh. Spuštění této funkce má smysl pouze na počítači, ke kterému je připojen terminál nebo pokud terminál komunikuje přes TCP/IP. Na ostatních počítačích vyvolání této funkce nahlásí chyby při komunikaci.

Kliknutím na položku menu se otevře formulář Generování jídelníčku do terminálů.

Generovani jidelnicku do terminalu

Zde se zobrazí seznam terminálů, do kterých budou data vygenerována. Samotné vygenerování provedete velmi jednoduše tak, že kliknete na tlačítko [image]. Program začne zjišťovat počty objednaných jídel.

POZNÁMKA: Generování do terminálu lze automaticky spustit v nastavitelný čas přes modul služba.


Načítání objednávek z terminálu

Navigation: Terminály >

Načítání objednávek z terminálu

 Return to chapter overview

V kapitole se dozvíte jak načíst data z objednávacích terminálů do aplikace Jídelna.

Načítání objednávek z terminálu můžete přidat do seznamu plánovaných úloh v plánovači úloh. Spuštění této funkce má smysl pouze na počítači, ke kterému je připojen terminál nebo pokud terminál komunikuje přes TCP/IP. Na ostatních počítačích vyvolání této funkce nahlásí chyby při komunikaci.

Kliknutím na položku menu se otevře formulář Načítání objednávek z terminálu.

Nacitani objednavek z terminalu

Zde se zobrazí seznam terminálů, z nichž se objednávky budou načítat. Stačí potvrdit tlačítkem [image]. Program začne zjišťovat počty objednávek. Načtené objednávky se zobrazí v Přehledu objednávek.

POZNÁMKA: Načítání z terminálu lze automaticky spustit v nastavitelný čas přes modul služba.


Generování (příprava) výdeje do terminálů

Navigation: Terminály >

Generování (příprava) výdeje do terminálů

 Return to chapter overview

Pokud máte načteny objednávky z objednávacích terminálů, pak je nezbytné generovat tato data do výdajových terminálů, aby kuchařky věděly, jaké jídlo mají vydat a strávníci své jídlo dostali.

Generování (příprava) výdeje do terminálů můžete přidat do seznamu plánovaných úloh v plánovači úloh. Spuštění této funkce má smysl pouze na počítači, ke kterému je připojen terminál nebo pokud terminál komunikuje přes TCP/IP. Na ostatních počítačích vyvolání této funkce nahlásí chyby při komunikaci.

Kliknutím na položku menu se otevře formulář Generování (příprava) výdeje do terminálů.

Generovani (priprava) vydeje do terminalu

Zobrazí se seznam výdejních terminálů, do kterých budou data vygenerována. Samotné vygenerování provedete velmi jednoduše tak, že kliknete na tlačítko [image]. Program začne generovat objednaná jídla do terminálu.

POZNÁMKA: Generování do terminálu lze automaticky spustit v nastavitelný čas přes modul služba.

POZOR: Nastavení terminálu provádějte v době PŘED Generováním (přípravou) výdeje do terminálů!!! Během VÝDEJE JÍDEL se nesmí provádět Generování (příprava) výdeje do terminálů!!!


Načítání vydaných jídel z terminálu

Navigation: Terminály >

Načítání vydaných jídel z terminálu

 Return to chapter overview

Počet vydaných jídel se nemusí shodovat s počty objednaných jídel. Po výdeji jídel zjistíte v Odběrech jídel, kolik jich bylo opravdu vydáno.

Načítání vydaných jídel z terminálů můžete přidat do seznamu plánovaných úloh v plánovači úloh. Spuštění této funkce má smysl pouze na počítači, ke kterému je připojen terminál nebo pokud terminál komunikuje přes TCP/IP. Na ostatních počítačích vyvolání této funkce nahlásí chyby při komunikaci.

Kliknutím na položku menu se otevře formulář Načítání výdejů jídla z terminálu.

Nacitani vydanych jidel z terminalu

Formulář zobrazí seznam terminálů, z nichž se výdeje budou načítat. Stačí potvrdit tlačítkem [image]. Program začne zjišťovat počty vydaných jídel. Načtené počty vydaných jídel se zobrazí v seznamu Odběry jídel.

POZNÁMKA: Načítání z terminálu lze automaticky spustit v nastavitelný čas přes modul služba.

POZOR: Během VÝDEJE JÍDEL se nesmí provádět Načítání vydaných jídel z terminálu!!!


Nastavení data a času terminálu

Navigation: Terminály >

Nastavení data a času terminálu

 Return to chapter overview

Program nastaví datum a čas na terminálech podle počítače, na kterém spouštíte tuto akci. Pro nastavení data a času stiskněte tlačítko [image].

Nastaveni data a casu terminalu


Výdejní místa

Navigation: Terminály >

Výdejní místa

 Return to chapter overview

Seznam naplníte výdejními místy, která při softwarovém výdeji používáte. Po naplnění seznamu je nutné příslušné místo vybrat v Lokálním nastavení - Načítání ID média.

Nové výdejní místo vytvoříte kliknutím na tlačítko [image] Nový záznam a v otevřeném formuláři Výdejní místo vyplníte potřebné údaje. Záznamy můžete upravovat tlačítkem [image] Editace záznamu.

Vydejni mista formular vydejniho mista

· Kód - povinný údaj. Označte výdejní místo kódem tak, abyste ho pak snadno identifikovali i podle kódu.

· Popis - povinný údaj. Vepište název výdejního místa.

· Zobrazit jméno - pokud je pole zaškrtnuté, pak se po přiložení karty ke čtečce ID médií zobrazí na touchscreenu jméno strávníka.

· Zobrazit popis jídla - k číslu objednaného jídla je možné zobrazit i jeho popis. V případě, že chcete zobrazit popis, zatrhněte pole.

TIP: Pokud budete mít zaškrtnuty obě položky, zobrazí se na jednom řádku jméno osoby a na druhém popis objednaného jídla.

· Počet řádků - zadejte, kolik řádků bude na obrazovce zobrazeno.

· Šířka sloupce s popisem - šířku sloupce zadejte v násobcích šířky sloupce s číslem jídla (například 3).

· Minimální prodleva - minimální prodleva před načtením další karty v sekundách.

· Minimální doba zobrazení - minimální doba, po kterou bude zobrazeno číslo na displeji. Pokud ještě od zobrazení prvního čísla neuběhl zadaný počet sekund, nepovolí se načtení další karty.


Objednávání - touchscreen

Navigation: Terminály >

Objednávání - touchscreen

 Return to chapter overview

Stiskem položky v menu spustíte aplikaci, ve které si jednoduchým způsobem objednáte stravu. V aplikaci jsou dostupné informace o objednané a vydané stravě, výšce kreditu, apod.

Objednavani - touchscreen

Na základní obrazovce touchscreenu je zobrazen text pro přihlášení "Přiložte identifikační médium ke čtecí hlavě...". Po přiložení karty ke čtečce ID médií se zobrazí informace "Probíhá přihlášení uživatele...". Následně se na obrazovce zobrazí plocha, přes kterou si může přihlášený uživatel objednat, případně zjistit nějaké informace o objednávkách apod.

Individualni objednavky osob formular objednavky

V horní části se nachází identifikační údaje a tlačítka:


Jídelna

Navigation: Terminály > Objednávání - touchscreen >

Jídelna

 Return to chapter overview

Jídelna - po stisku tlačítka se zaměstnanec ihned dozví, ke které jídelně je přiřazen.

Objednavani - touchscreen vyber jidelny


Touchscreen - Objednávání

Navigation: Terminály > Objednávání - touchscreen >

Touchscreen - Objednávání

 Return to chapter overview

Objednání - zobrazí se plocha, přes kterou je možné objednávat jídlo.

Typy jídel - pole Typy jídel naleznete v levé horní části okna. Pokud máte v typech denních jídel nastaveno Implicitně nabízet pro objednání, pak tyto tlačítka budou vždy již aktivní, tj. typy jídel budou zobrazeny v objednávacím formuláři. Pokud jednotlivá tlačítka stisknete, přestanou se zobrazovat tyto typy jídel a naopak.

Výběr dne - tlačítky [image] , [image] se může strávník pohybovat po týdnech. Označením některého dne mezi těmito tlačítky se zobrazí jídelníček k vybranému dni.

Pokud je jídelníček dlouhý, je třeba použít tlačítka v dolní části okna [image] , J_Sipka jednicka dolu.

Samotná objednávka proběhne kliknutím na tlačítko [image] a následným potvrzením kartou. Tlačítkem [image] a následným potvrzením kartou dojde ke zrušení objednávky. Nastavení pro potvrzení a zrušení objednávek kartou provedete v menu Systém/Nastavení aplikace/Společné nastavení/Touchscreen.

Jestliže strávník má již objednáno a není možné již tuto objednávku zrušit má možnost ji předat do burzy.

POZOR: Burza je přístupná, jen pokud máte zakoupen modul burza.

Burza

Burzu použijete v případě, kdy objednané jídlo již nelze zrušit. Nastavení burzy provedete v Typech denních jídel. Nastavení burzy pro intraweb provedete v Nastavení intrawebu - Jídelna.

Přímá burza

V přímé burze máte možnost vkládat a vybírat jídla z burzy bez komunikace s terminálem (nebylo ještě provedeno generování (příprava) výdeje do terminálů). Při vkládání jídel do burzy Vám ihned bude jídlo vloženo do burzy a naopak při výběru jídel z burzy bude jídlo ihned přiřazeno osobě, která si ho z burzy odebrala (nebudete muset čekat na komunikaci s terminálem).

Nepřímá burza

V nepřímé burze již nemáte možnost vkládat a vybírat jídla z burzy bez komunikace s terminálem (již bylo provedeno generování (příprava) výdeje do terminálů). Aby byla zajištěna komunikace s terminálem v době výdeje stravy, je třeba si do manažeru služby přidat úlohu Aktualizace objednávek burzy v terminálech. Více o nastavení služby v menu Modul služba/Plánovač úloh/Nastavení plánovače úloh.

Individualni objednavky osob formular objednavky1

Ukázka objednávek

Sloupec: Burza (mých)

V tomto sloupci jsou uvedeny počty jídel v burze. Níže je popsáno, co která číslice z obrázku znamená.

Oběd 1 - tento oběd byl přidán do burzy. 1 - počet jídel, která je možné si z burzy vyzvednout. V případě přímé burzy se počet navýší ihned. U nepřímé burzy až po komunikaci s terminálem. (1) - počet jídel, která má aktuální osoba v burze.

Oběd 2 - tento oběd čeká na přidání do burzy. 0 - počet jídel, která jsou v burze. V tomto případě ještě nedošlo ke komunikaci s terminálem, a proto jídlo ještě nebylo přidáno do burzy. (1) - počet jídel, která má aktuální osoba v burze.

Oběd 3 - tento oběd byl přidán do burzy druhou osobou. 1 - počet jídel, která je možné z burzy vyzvednout. (0) - počet jídel, která má aktuální osoba v burze.

Oběd 4 - tento oběd může dát aktuální osoba do burzy stiskem tlačítka do burzy.


Přehled

Navigation: Terminály > Objednávání - touchscreen >

Přehled

 Return to chapter overview

Přehled - po stisku tlačítka se strávníkovi zobrazí přehled objednaných a vydaných jídel. Pokud není toto tlačítko zobrazeno uživatelům, můžete jeho nastavení provést v menu Systém/Správa databáze/Nastavení zabezpečení/Editor uživatelů - Základní údaje. V levé části formuláře se přepněte na uživatele Touchscreen. Následně přejděte do seznamu ve střední části formuláře a zatrhněte políčko Objednávání - přehled.

Tlačítky [image], [image] v pravé horní části okna se může strávník pohybovat po jednotlivých měsících.

Tlačítky [image], [image] v pravé části okna se strávník může pohybovat po jednotlivých řádcích v seznamu.

Individualni objednavky osob prehled

V přehledu jsou zobrazeny objednaná a vydaná jídla. Ve sloupcích je uvedeno datum dne, na který je jídlo objednáno, kód typu denního jídla, číslo jídla v jídelníčku, název objednaného jídla, datum objednání stravy a informace zda jídlo bylo již vydáno či ne.


Tochuscreen - Účet

Navigation: Terminály > Objednávání - touchscreen >

Tochuscreen - Účet

 Return to chapter overview

Účet - po stisku tlačítka se strávníkovi zobrazí přehled pohybů na účtu. Pokud není toto tlačítko zobrazeno uživatelům, můžete jeho nastavení provést v menu Systém/Správa databáze/Nastavení zabezpečení/Editor uživatelů - Základní údaje. V levé části formuláře se přepněte na uživatele Touchscreen. Následně přejděte do seznamu ve střední části formuláře a zatrhněte políčko Objednávání - účet.

Tlačítky [image], [image] v pravé horní části okna se může strávník pohybovat po jednotlivých měsících.

Tlačítky [image], [image] v pravé části okna se strávník může pohybovat po jednotlivých řádcích v seznamu.

Individualni objednavky osob ucet

V přehledu jsou zobrazeny pohyby na účtu pro vybrané období a dny, ve kterých jste měli pohyb na účtu. Ve sloupcích je uvedeno datum a čas dne, na který je jídlo objednáno, částka pohybu na účtu, typ pohybu jakým může být objednávka jídla, odběr bez objednávky, dotace stravy, vklad hotově či vyplacení hotově. V dalším sloupci je uveden popis pohybu, kterým může být Večeře 1, Dotace stravy, Oběd 3 apod. V dolní části pod seznamem je zobrazena celková částka, kterou má strávník uhradit (= celková částka za odběry a objednávky - celková částka dotace).


Touchscreen - Docházka

Navigation: Terminály > Objednávání - touchscreen >

Touchscreen - Docházka

 Return to chapter overview

POZOR: Tato funkce je přístupná, jen když je nainstalována i aplikace Docházka!

Docházka - po stisku tlačítka se strávníkovi zobrazí přehled docházky. Nejprve je třeba docházku povolit v touchscreenu. Nastavení provedete v menu Systém/Nastavení/Nastavení aplikace/Společné nastavení - Docházka. Pokud chcete, aby strávníci viděli své údaje o docházce na touchscreenu je třeba provést nastavení v menu Systém/Správa databáze/Nastavení zabezpečení/Editor uživatelů - Základní údaje. V levé části formuláře se přepněte na uživatele Touchscreen. Následně přejděte do seznamu ve střední části formuláře a zatrhněte políčko Objednávání - docházka.

Tlačítky [image] , [image] se může strávník pohybovat po jednotlivých měsících.

Původní - v původní docházce zaměstnance je zobrazen přehled všech operací (událostí), které byly zaznamenány docházkovým terminálem, vloženy uživatelem do původní docházky nebo aplikací intrawebu (např. Služební cesta, Odchod, Práce, Dovolená apod.).

Individualni objednavky osob dochazka puvodni

Seznam zobrazuje jednotlivé dny v měsíci a k nim provedené operace. Na jednom řádku je možné mít několik operací (např. Práce, Přestávka, Lékař, Práce a Odchod). V případě, že řádek je prázdný, tak daný den neproběhla žádná operace.

Zpracovaná - po stisku tlačítka je zobrazen celkový přehled záznamu zpracované docházky.

Individualni objednavky osob dochazka zpracovana

V seznamu jsou zobrazeny jednotlivé dny v měsíci a k nim provedené operace s hodnotami odpracované doby v závorce. Pokud není provedeno zpracování původní docházky, neuvidíte zde žádné výsledky. Zpracované intervaly mají definovaný počátek, konec, skutečnou i započtenou délku, přiřazenou směnu, podle které se může lišit zaokrouhlení tohoto intervalu. Všechny tyto vlastnosti systém nastaví podle definovaných podmínek.

Denní výsledky - v denních výsledcích jsou uvedeny odpracované hodiny jednotlivých dnů v měsíci. Pokud chcete odkaz využívat, je potřeba nastavit sloupce, ve kterých se budou zobrazovat odpracované hodiny. Nastavení provedete v menu Systém/Nastavení aplikace/Společné nastavení - Docházka. Máte zde možnost nastavit sloupce, které chcete sledovat v denních výsledcích a zobrazovat prázdné kolonky. Při zaškrtnutí pole se v prázdných kolonkách zobrazí nulové hodnoty.

Individualni objednavky osob dochazka denni vysledky

Seznam zobrazuje jednotlivé dny v měsíci a k nim celkový přehled záznamů zpracované docházky.

Měsíční výsledky - po stisku tlačítka se zobrazí celkový přehled záznamu zpracované docházky.

Individualni objednavky dochazka mesicni vysledky

Kód časové složky - označení časové složky.

Časová složka - textový popis časové složky vystihující její použití (např. "Odpracovaná doba", "Odpracováno v noci"). V časové složce se shromažďují požadované výsledky.

Další údaje ve sloupcích se vztahují k příslušné časové složce a hodnoty se vypočítají dle vlastnosti této složky.

Zavřít - tímto tlačítkem uzavřete okno a zároveň se odhlásíte z touchscreenu.

Základní obrazovku touchscreenu uzavřete klávesami ALT + F4. Před ukončením touchscreenu je zobrazena hláška "Čekejte na ukončení komunikace se čtečkou...". Po ukončení touchscreenu se zobrazí program Jídelna.


Výdej - touchscreen

Navigation: Terminály >

Výdej - touchscreen

 Return to chapter overview

Stiskem položky v menu spustíte aplikaci, ve které jednoduchým způsobem vydáte strávníkovi objednanou stravu. Podle nastavení se může na obrazovce zobrazit číslo objednaného jídla, jméno strávníka a popis objednaného jídla. Chování aplikace nastavíte v menu Terminály/Výdejní místa.

Vydej - touchscreen

Obrazovka po načtení dvou karet

Základní obrazovka touchscreenu má černou barvu. Po přiložení karty ke čtecímu zařízení mohou nastat tyto situace:

1. Strávník má jídlo objednané. Po přiložení karty se na touchscreenu zobrazí modře podbarvený řádek s bílým textem. V řádku je uvedeno číslo jídla v jídelníčku, jméno a příjmení strávníka a na druhém řádku popis vydávaného jídla:

2. Strávník nemá jídlo objednané. Pokud strávník nemá jídlo objednané, zobrazí se po přiložení karty ke čtecímu zařízení na touchscreenu červeně podbarvený řádek s bílým textem. V řádku je pod jménem strávníka zobrazena informace: NENÍ OBJEDNÁNO:

3. Barevné označení bude mít ten řádek, u kterého byla naposledy načtena karta strávníka. Řádky, které byly načteny dříve (před poslední načtenou kartou), budou černé s bílým textem.

Pokud má strávník objednáno více obědů, je potřeba kartu přiložit ke čtecímu zařízení vícekrát.


Import LOG souboru terminálu

Navigation: Terminály >

Import LOG souboru terminálu

 Return to chapter overview

Tato funkce slouží k importu LOG souboru generovaného při načítání dat z terminálů.


Stravenky

Navigation: »No topics above this level«

Stravenky

 Return to chapter overview

Menu slouží k evidenci stravenek. Menu Stravenky obsahuje následující položky:

Výdej stravenek

Příjem stravenek

Pohyby stravenek

Typy stravenek

Pro správnou funkci je potřeba nejprve naplnit číselník Typy stravenek.


Výdej stravenek

Navigation: Stravenky >

Výdej stravenek

 Return to chapter overview

Formulář použijete při výdeji stravenek zaměstnancům.

· Osoba - ze seznamu vyberte osobu, které chcete vydat stravenky.

· Poslední odběr osoby - po vybrání osoby se zobrazí datum a čas posledního vydání stravenek této osobě.

· Typ stravenky - z nabídky vyberte, jaký typ stravenek vydáváte.

· Počet - zadejte počet vydaných stravenek.

· Celková hodnota - po zadání typu stravenek a počtu se zobrazí celková vydaná hodnota stravenek.

· Zavřít po vložení záznamu - pokud je pole zaškrtnuté, formulář se po potvrzení údajů uzavře.

· Po úspěšném vložení záznamu zobrazit potvrzení - pokud je pole zaškrtnuté, zobrazí se po potvrzení údajů informace o úspěšném vložení záznamu.


Příjem stravenek

Navigation: Stravenky >

Příjem stravenek

 Return to chapter overview

Formulář použijete při příjmu stravenek. Ve formuláři vyberte Typ stravenky a zadáte jejich Počet. Po vybrání se zobrazí Celková hodnota přijatých stravenek.


Pohyby stravenek

Navigation: Stravenky >

Pohyby stravenek

 Return to chapter overview

Seznam zobrazuje pohyb stravenek od příjmu po jejich vydání zaměstnancům.

§ Jen rozdělení - vyberte rozdělení, pro které chcete zobrazit seznam strávníků.

§ Včetně podřízených - funkce zobrazí hierarchii kategorií včetně dalších podkategorií (vytvoří se "strom", ve kterém je možno dobře se orientovat a sledovat osoby v rozdělení).

§ Osoba - zaškrtnutím políčka vyberte z nabídky strávníka, jehož údaje chcete zobrazit.

§ Jen období - vyberte měsíc, pro který chcete zobrazit seznam.

§ Akt. den - po zaškrtnutí políčka zobrazí pohyb stravenek v aktuálním dni.

§ Jen typ - vyberte typ stravenky, pro který chcete zobrazit seznam.

Vkládání nebo opravu údajů neprovádějte v seznamu, ale otevřete si tlačítkem [image] Nový záznam nebo tlačítkem [image] Editace záznamu formulář Pohyb stravenek.

Pohyby stravenek formular pohyb stravenek

· Období - období, ve kterém jste stravenky vydali/přijali.

· Osoba - osoba, které jste stravenky vydali.

· Typ stravenky - typ stravenek, který jste vydali/přijali.

· Počet - počet vydaných/přijatých stravenek. Stravenky se zápornou hodnotou jsou vydané (-12). Stravenky s kladnou hodnotou jsou přijaté (1000).

· Celková hodnota - celková hodnota přijatých/vydaných stravenek.


Typy stravenek

Navigation: Stravenky >

Typy stravenek

 Return to chapter overview

Než začnete používat systém pro evidenci stravenek, je třeba vytvořit seznam používaných stravenek.

Vkládání nebo opravu údajů neprovádějte v seznamu, ale otevřete si tlačítkem [image] Nový záznam nebo tlačítkem [image] Editace záznamu formulář Typ stravenek.

Typy stravenek formular typ stravenk

· Kód - povinný údaj. Označte typ stravenky kódem tak, abyste ji pak snadno identifikovali i podle kódu.

· Hodnota - povinný údaj. Zadejte nominální hodnotu stravenky.

· Popis - povinný údaj. Vepište název stravenky, např. Chéque Déjeuner.


Výstupy

Navigation: »No topics above this level«

Výstupy

 Return to chapter overview

Aplikace nabízí širokou možnost nejrůznějších výstupů - sestav týkajících se jídelníčků, objednávek, odběrů či přehledů pohybů na účtech. Menu Výstupy obsahuje následující položky:

Manažer výstupních sestav


Manažer výstupních sestav

Navigation: Výstupy >

Manažer výstupních sestav

 Return to chapter overview

V manažeru naleznete tiskové sestavy, které jsou rozděleny do kategorií (například jídelníček, objednávky apod.) a ty se dále člení na jednotlivé sestavy. Výsledky systému lze tisknout formou předdefinovaných výstupních sestav nebo definováním vlastních výstupních sestav v editoru sestav (tlačítko [image] Editace sestavy). Vytvoření vlastních sestav předpokládá znalosti jazyka SQL. Výsledky lze také exportovat do textového souboru (využitím stávajícího exportu nebo definicí vlastního).

Předdefinované tiskové sestavy jsou vytvořeny tak, aby vyhovovaly co největšímu počtu firem. V případě, že máte zájem o vytvoření nové sestavy dle Vašich požadavků, kontaktujte firmu RON Software.

Manazer vystupnich sestav

POZNÁMKA: Nezapomeňte, že pokud chcete vytisknout či zobrazit všechny údaje (všechny strávníky, rozdělení), musíte mít všechny filtry vypnuté!!!

POZOR: Při restrukturalizaci jsou aktualizovány pouze systémové sestavy (černým písmem), ne sestavy uživatelské (červeným písmem).

levá část formuláře:

Ne vždy je potřeba zahrnout do výstupní sestavy všechny záznamy, proto si můžete zadat rozsahy pro vytváření jednotlivých tiskových sestav. K tomu slouží na levé straně okna Manažera výstupních sestav tzv. Panely. Všechny panely nemusí být u každé sestavy/kategorie zobrazeny.

J_Dvojita sipka doprava | Panel skrývá možnosti nastavení filtru.
J_Dvojita sipka dolu | Panel zobrazuje možnosti nastavení zvoleného filtru.

Řazení

§ Řazení - údaje zobrazované na vybrané sestavě můžete seřadit např. podle jména, příjmení, osobního čísla apod. Kliknutím na tlačítko [image] Nastavení řazení aktuální kategorie nebo klávesami Ctrl + R otevřete formulář pro provedení úprav. Více o aktuálním řazení v kapitole Ovládání programu - Editor řazení.

Filtr

§ Filtr - zvolenou sestavu můžete libovolně filtrovat. Nabídku tohoto seznamu můžete upravit. Filtry definujete, popřípadě editujete kliknutím na tlačítko [image] Nastavení filtru aktuální kategorie nebo klávesami Ctrl + F. Více o filtrech v kapitole Ovládání seznamu - Seznam filtrů.

Období

§ Měsíc - ve vybrané sestavě se zobrazí údaje aktuální pro zvolený měsíc. Standardně je nastaven aktuální měsíc, pokud požadujete tisknout sestavu za jiné období, proveďte změnu.

§ Čtvrtletí - ve vybrané sestavě se zobrazí údaje aktuální pro zvolené čtvrtletí.

§ Rok - ve vybrané sestavě se zobrazí údaje aktuální pro zvolený rok.

§ Období - ve vybrané sestavě se zobrazí údaje aktuální pro zvolené období, tj. vyplníte data Od Do.

Osoba

§ Osoba - ze seznamu vyberte osobu, u které chcete zobrazit požadovaná data v sestavě.

§ Jen typ osoby - filtr pomáhá zobrazit buď jen zaměstnance vlastní, nebo zaměstnance jiné firmy.

1. Rozdělení

§ Typ rozdělení - vyberte typ rozdělení (například mzdové středisko).

§ Rozdělení - vyberte rozdělení, které chcete v sestavě zobrazit.

§ Do - nastavte rozmezí údajů, které chcete v rámci rozdělení zobrazit.

§ Včetně podřízených rozdělení - filtr nechá zobrazit také podřízená rozdělení vybraného rozdělení.

2. Rozdělení

Zde máte možnost nastavit filtr pro druhé rozdělení.

1. Rozdělení - výčet

§ Typ rozdělení - vyberte typ rozdělení.

§ Rozdělení - vyberte rozdělení, které chcete v sestavě zobrazit.

2. Rozdělení - výčet

Možnost nastavení druhého filtru rozdělení - výčet.


Seznam všech sestav

Navigation: Výstupy > Manažer výstupních sestav >

Seznam všech sestav

 Return to chapter overview

V seznamu jsou uvedeny sestavy, které jsou zařazeny do kategorií. Okno je rozděleno do dvou částí. Pravá část formuláře obsahuje seznam všech sestav, ve druhé části je možné nastavit filtr nebo řazení pro vybranou sestavu.

pravá část formuláře:

část I

C_MVS_Tlac. Zobrazit_skryt rozsirujici informace

Zobrazit/Skrýt rozšiřující informace - u jednotlivých kategorií a sestav se zobrazí/skryje rozšiřující informace. V zobrazené informaci může být uvedeno jméno přihlášeného uživatele, datum a čas poslední změny sestavy/kategorie a atributy sestavy (S - systémová sestava/kategorie, M - sestava/kategorie vytvořená uživatelem, P - pokud má sestava/kategorie příznak "veřejná", Q, F. U jednotlivých sestav můžou být zobrazeny jejich kombinace, například SQ, MFP apod.). Sestavě/kategorii můžete Zapnout/Vypnout příznak "veřejná" pomocí kontextového menu (stiskem pravého tlačítka na označené sestavě). Ze zobrazené nabídky zvolte Zapnout/Vypnout příznak "veřejná".

· Typ zobrazení - stiskem tlačítka, zobrazeného vedle popisu, se zobrazí seznam, ze kterého si můžete vybrat požadované zobrazení:

C_MVS Typ zobrazeni

Podle zvoleného výběru (Kategorie, Seznam nebo Oblíbené) se vám zobrazí tlačítko a seznam sestav/kategorií.

C_MVS_Tlac. Typ zobrazeni Kategorie | Kategorie - v seznamu se zobrazí seznam kategorií, do kterých jsou zařazeny sestavy. Sestavy uložené v kategorii můžete zobrazit dvojklikem na kategorii. Další možností je kliknout vedle kategorie na tlačítko +, které se stiskem změní na - a zobrazí seznam sestav přiřazených kategorii.
C_MVS_Tlac. Typ zobrazeni Seznam | Seznam - v okně se zobrazí seznam sestav. Pokud chcete vidět, ke které kategorii sestava náleží, stiskněte tlačítko C_MVS_Tlac. Zobrazit_skryt rozsirujici informace . Stiskem se zobrazí další sloupce s informacemi o sestavách včetně sloupce Kategorie.
C_MVS_Tlac. Typ zobrazeni Oblibene | Oblíbené - v seznamu se zobrazí oblíbené sestavy, které máte přidány do seznamu. Více o oblíbených v seznamu oblíbených sestav.

· Oblíbené - pokud každý měsíc po uzávěrce tisknete stále stejné sestavy, můžete si do tohoto seznamu přidat vaše oblíbené sestavy. Sestavu přidáte do oblíbených pomocí kontextového menu (stiskem pravého tlačítka na označené sestavě). Ze zobrazené nabídky zvolte Přidat do seznamu oblíbených sestav. Více o oblíbených sestavách v následující kapitole Seznam oblíbených sestav. Stiskem tlačítka, zobrazeného vedle popisu, se zobrazí seznam, ze kterého si můžete vybrat požadované zobrazení:

Podle zvoleného výběru se vám zobrazí tlačítko a seznam sestav/kategorií.

C_MVS_Tlac. Oblibene Vsechny sestavy | <Všechny sestavy> - v seznamu budou zobrazeny všechny sestavy vybraného typu zobrazení.
C_MVS_Tlac. Oblibene Faktury | Faktury - název jste vytvořili při vkládání nové sestavy mezi oblíbené v poli Seznam oblíbených sestav. V seznamu se zobrazí oblíbené sestavy, které jste si přidali do seznamu.

část II

Tato část formuláře obsahuje seznam tematických kategorií [image] , [image] . Každá složka (kategorie) obsahuje jednotlivé sestavy ( [image] - sestava vytvořená v editoru sestav (FastReport), [image] - sloupcová sestava, [image] - exportní sestava, [image] - OLAP Tabulky). Rozkliknutím se označená sestava zobrazí. Pokud použijete filtry, nezapomeňte, že sestava bude obsahovat údaje, které splňují podmínky filtru. Jestliže tedy sestava nezobrazí požadovaná data, zkontrolujte nastavení filtrů.

Pokud v seznamu nemáte zobrazeny oblíbené sestavy, můžete pomocí stisku pravého tlačítka na sestavě/kategorii zobrazit následující menu:

- označená kategorie:

C_MVS Kontextove menu Kategorie1

Zapnout/Vypnout příznak "veřejný" - po výběru se zapne/vypne příznak "veřejná". Veřejné kategorie může vidět i uživatel, který nemá právo na sestavy v manažeru sestav. Veřejná kategorie bude mít u ikony zobrazen příznak [image] (zelený čtvereček s černým panáčkem).

- označená sestava:

C_MVS Kontextove menu Sestavy1

Přidat do seznamu oblíbených sestav - sestavu můžete přemístit do seznamu oblíbených sestav. Po výběru se zobrazí formulář Přidat do seznamu oblíbených sestav, ve kterém můžete zvolit požadovaný seznam, do kterého sestavu přemístíte. Sestava zůstane i v seznamu, ze kterého jste ji přemístili.

Zapnout/Vypnout příznak "veřejná" - po výběru se zapne/vypne příznak "veřejná". Veřejné sestavy může vidět i uživatel, který nemá právo na sestavy v manažeru sestav. Veřejná sestava bude mít u ikony zobrazen příznak [image] (zelený čtvereček s černým panáčkem). Aby oblíbenou sestavu viděli i ostatní uživatelé, je potřeba, aby byla veřejná i její kategorie.

V horní části se nacházejí funkční ikony pro práci se sestavami:

C_MVS_Tlac. Vytvorit novou sestavu_kategorii

Vytvořit novou sestavu/kategorii (Alt+Ins) - otevře se formulář Vytvoření nové sestavy/kategorie, ve kterém vyplněním potřebných údajů vytvoříte novou kategorii nebo sestavu. Zvolte, jestli bude vytvořena kategorie nebo sestava.

1. Vytvořit novou kategorii:

· Název - zadejte název (kategorie).

C_MVS Seznam vsech sestav podle kategorii formular vytvoreni nove kategorie

Tlačítkem [image] otevřete následující okno Kategorie sestav, v němž zadáte SQL dotaz. Přes tlačítko [image] otevřete seznam parametrů, ze kterého můžete použít nabízené parametry. Po vytvoření potřebných změn potvrďte tlačítkem [image].

C_MVS Seznam vsech sestav podle kategorii formular kategorie sestav novy

2. Vložit do kategorie (v případě, že vytváříte sestavu):

Program automaticky vyplní kategorii podle toho, kde v Seznamu všech sestav podle kategorií zrovna máte umístěn kurzor.

C_MVS Seznam vsech sestav podle kategorii formular vytvoreni nove sestavy

Vyberte typ sestavy:

· Sestava v editoru sestav - je nejsložitější a vytvořit ji může jen odborník. Zadejte Název (sestavy) a potvrďte tlačítkem [image]. Otevře se FastReport, ve kterém můžete sestavu vytvořit.

· Sloupcová sestava - tento typ sestavy můžete vytvořit také sami. Nejprve zadejte Název (sestavy) a potvrďte tlačítkem [image]. Otevře se formulář Editace sestavy, kde vyberete údaje, které chcete v sestavě zobrazit. Ze sloupce Dostupná pole přesuňte požadovaná pole pomocí šipek [image] , C_Sipka dvojita vpravo, [image], C_Sipka dvojita vlevo do sloupce Vybraná pole. Můžete si sami navrhnout vzhled titulků, sloupců, stránky (formát, okraje, číslování a datování stránek), titulku sestavy atd. Více o sloupcových sestavách se dozvíte v kapitole Ovládání - Tiskové sestavy.

· Exportní sestava - zadejte Název (sestavy) a potvrďte tlačítkem [image]. Otevře se formulář Editace sestavy, kde vyberete údaje, které chcete v sestavě zobrazit. Ze sloupce Dostupná pole přesuňte požadovaná pole pomocí šipek [image] , C_Sipka dvojita vpravo, [image], C_Sipka dvojita vlevo do sloupce Vybraná pole. Vyberte formát, do kterého se má sestava exportovat: Microsoft Word, Microsoft Excel nebo Textový soubor. Definovanou sestavu můžete ihned exportovat do požadovaného formátu tlačítkem [image] nebo můžete sestavu [image] a podle potřeby exportovat z formuláře Manažer výstupních sestav. Více o exportních sestavách v Ovládání programu - Seznam sestav pro export.

· OLAP Tabulka - vytvoření této sestavy je jednoduší než v případě vytvoření sestavy v editoru sestav. Přesto Vám s jejím vytvořením může pomoci odborník. Zadejte Název (sestavy) a potvrďte tlačítkem [image]. Otevře se OLAP Tabulka, ve které můžete, po vytvoření SQL dotazu, sestavu vytvořit. SQL dotaz vytvoříte, po uzavření OLAP Tabulky, pomocí ikony C_MVS_Tlac. Vlastnosti sestavy_kategorie Vlastnosti sestavy/kategorie. K úpravě OLAP Tabulky se po vytvoření SQL dotazu dostanete pomocí ikony C_MVS_Tlac. Editace sestavy_kategorie Editace sestavy/kategorie.

C_MVS_Tlac. Vytvorit novou sestavu_kategorii z kopie aktualni sestavy_kategorie

Vytvořit novou sestavu/kategorii z kopie aktuální sestavy/kategorie - ikonu použijete při vytváření podobné sestavy té, která již existuje. Označte sestavu, z níž chcete duplikát vytvořit, a pak klikněte na tuto ikonu. V otevřeném okně Vytvoření nové sestavy z kopie sestavy vyplníte Název sestavy a potvrdíte tlačítkem [image] , čímž se dostanete do FastReportu, kde provedete úpravy sestavy.

Tlačítko použijete i v případech, kdy chcete vytvořit obdobnou kategorii té, kterou již máte. Označte kategorii, z níž chcete duplikát vytvořit, a pak klikněte na tuto ikonu. Tím se otevře formulář Vytvoření nové kategorie z kopie kategorie, kde vyplníte pole Název sestavy a potvrdíte [image]. Následně se otevře formulář Kategorie sestav, v němž zadáte SQL dotaz. Tlačítkem [image] otevřete seznam parametrů, ze kterého můžete použít nabízené parametry. Po vytvoření potřebných změn potvrďte tlačítkem [image] .

C_MVS Seznam vsech sestav podle kategorii formular kategorie sestav

C_MVS_Tlac. Editace sestavy_kategorie

Editace sestavy/kategorie - v případě, že chcete změnit sestavu (jen nesystémovou), označte ji a kliknutím na editační ikonu se otevře jeden z formulářů: FastReport nebo Editace sestavy, kde provedete potřebné změny.

Tlačítko použijete i v případech, kdy chcete změnit kategorii. Označte danou kategorii (lze pouze vámi vytvořenou), poté klikněte na tuto ikonu, čímž se otevře formulář Kategorie sestav, v němž změníte SQL dotaz. Tlačítkem [image] otevřete seznam parametrů, ze kterého můžete použít nabízené parametry. Po vytvoření potřebných změn potvrďte tlačítkem [image].

C_MVS_Tlac. Prejmenovat sestavu_kategorii

Přejmenovat sestavu/kategorii - pokud chcete změnit název sestavy (popř. kategorie - lze pouze u vámi vytvořené kategorie/sestavy), označte danou sestavu/kategorii a klikněte na toto tlačítko. V okně Změna názvu sestavy (kategorie) uveďte nový Název sestavy (kategorie) a potvrďte.

C_MVS_Tlac. Vlastnosti sestavy_kategorie

Vlastnosti sestavy/kategorie - klikněte na sestavu (popř. kategorii - lze pouze na vámi vytvořenou kategorii), o které zjišťujete podrobnosti, a pak na tuto ikonu. Ve formuláři Vlastnosti sestavy/kategorie se dozvíte, kdo je vlastníkem, kdy byla sestava/kategorie vytvořena, kdy proběhly poslední změny, můžete si přečíst poznámky k sestavě/kategorii (popř. je tam doplnit).

C_MVS Seznam vsech sestav podle kategorii formular vlastnosti sestavy

C_MVS_Tlac. Viditelnost panelu | Viditelnost panelů - stiskem tlačítka můžete nastavit viditelnost některých panelů, které se zobrazují v okně manažera výstupních sestav na levé straně. Pokud se má použít viditelnost panelů z kategorie, nechte políčko zaškrtnuté. V případě vlastního nastavení nesmí být pole zaškrtnuté.
 | Překlad - stiskem tlačítka se otevře formulář Překlad sestavy, který se využívá pro jazykové mutace do slovenštiny, angličtiny apod. Funkci můžete využít jen u sestav, které jsou vytvořeny v editoru sestav.

C_MVS Seznam vsech sestav podle kategorii formular preklad sestavy

Nový - přidáte sloupec pro nový překlad. Do formuláře je třeba vyplnit kód jazyka pro překlad.

Přejmenovat - přejmenujete aktuální sloupec. Do formuláře zadejte nový kód jazyka pro překlad.

Zrušit - zrušíte aktuální sloupec s překladem.

Načíst - načtete řetězce ze souboru.

Uložit - uložíte přeložené řetězce do souboru.

 | Heslo - pokud budete chtít sestavu, která je zabezpečená heslem, Editovat nebo vytvářet kopii z této sestavy, zobrazí se formulář pro zadání hesla.
C_MVS_Tlac. Editovat SQL dotaz | Editovat SQL dotaz - po stisku tlačítka můžete zadat nebo editovat SQL dotaz sestavy. Tlačítkem [image] otevřete seznam parametrů, ze kterého můžete použít nabízené parametry. Po vytvoření potřebných změn potvrďte tlačítkem [image] .

C_MVS_Tlac. Zrusit sestavu_kategorii | Zrušit sestavu/kategorii - zruší se vybraná sestava (kategorie - pouze nesystémová).
C_MVS_Tlac. Nacist sestavu_kategorii ze souboru | Načíst sestavu/kategorii ze souboru - do manažeru sestav je možno importovat vytvořené sestavy v editoru sestav (sestavu například vytvoří naši programátoři a zašlou vám ji emailem). Import sestav lze provést také stiskem kláves CTRL+L a výběrem souboru *.RMR.
C_MVS_Tlac. Ulozit sestavu_kategorii do souboru | Uložit sestavu/kategorii do souboru - libovolnou sestavu (kategorii vámi vytvořenou) můžete uložit do adresáře v počítači a dále ji např. přenést do jiného počítače.

část III

Po označení některé sestavy/kategorie v seznamu se zobrazí ve třetí části podrobnější informace o vybrané sestavě/kategorii.

Sestava - pokud je kurzor v pravé části okna na konkrétní sestavě (ve složce), objeví se název označené sestavy.

Kategorie - pokud je kurzor v pravé části okna na konkrétní složce nebo sestavě, objeví se v této kolonce název kategorie.

Atributy - atributy sestavy/kategorie (S - systémová sestava/kategorie, SP - pokud má systémová sestava/kategorie příznak "veřejná", M - sestava/kategorie vytvořená uživatelem, MP - pokud má sestava/kategorie vytvořená uživatelem příznak "veřejná"). Sestavě/kategorii můžete Zapnout/Vypnout příznak "veřejná" pomocí kontextového menu (stiskem pravého tlačítka na označené sestavě). Ze zobrazené nabídky zvolte Zapnout/Vypnout příznak "veřejná". Atributy se zobrazí v seznamu u všech sestav/kategorií stisknutím tlačítka C_MVS_Tlac. Zobrazit_skryt rozsirujici informace.

Poslední změna - poslední provedená změna v sestavě/kategorii (5.2.2008 11:55:44). Datum a čas poslední změny se zobrazí v seznamu u všech sestav/kategorií po stisku tlačítka C_MVS_Tlac. Zobrazit_skryt rozsirujici informace.

Uživatel - u sestav/kategorií vytvořených uživatelem se v poli zobrazí jeho jméno, podle přihlašovacích údajů. Uživatelské jméno bude zobrazeno i v seznamu sestav/kategorií u jeho vytvořené sestavy/kategorie po stisku tlačítka C_MVS_Tlac. Zobrazit_skryt rozsirujici informace.

Uzamčeno heslem - pokud je uživatelem vytvořená sestava uzamčena, zobrazí se zde popis ANO. V opačném případě zde bude zobrazen popis NE. Vkládat hesla je možné jen u sestav vytvořených uživatelem.

Popis - pod podrobnějšími informacemi o sestavě/kategorii se zobrazí popis označené kategorie/sestavy.

část IV

Náhled - slouží k zobrazení vybrané tiskové sestavy. V horní části okna tiskové sestavy se nachází tlačítka pro další práci se sestavou, mimo jiné:

Tisknout - ikona pro otevření okna Tisk, ve kterém lze definovat nastavení tiskárny a rozvržení sestavy určené pro tisk.

Export - použitím tohoto tlačítka se objeví nabídka pro výběr formátu exportované tiskové sestavy.

Odeslat E-mailem - slouží pro přenos sestavy emailem. Musíte vyplnit všechny požadovaná pole, a to komu odesíláte, kdo odesílá, hostitel (případně i jméno a heslo uživatele s oprávněním).

Tisk - spustíte samotný tisk vybrané sestavy. U většiny sestav se program v závislosti na typu sestavy zeptá, co přesně chcete vytisknout. V případě, že máte označenou exportní sestavu (při vytváření nové sestavy jste zvolili možnost Exportní sestava), pak se místo tohoto tlačítka zobrazí tlačítko pro export.

Export - v případě, že budete mít označenou exportní sestavu, tak se tlačítko zobrazí místo tlačítka pro tisk. Můžete exportovat sestavu, kterou máte uloženou v Seznamu všech sestav.

Pokud máte zvolenou výstupní sestavu, případně nastaveny potřebné filtry, můžete tiskopis zpracovat tlačítkem [image] nebo přímo tlačítkem [image].

Vytvoření vlastních sestav předpokládá znalosti jazyka SQL. Výsledky lze také exportovat do textového souboru (využitím stávajícího exportu nebo definicí vlastního).


Seznam oblíbených sestav

Navigation: Výstupy > Manažer výstupních sestav >

Seznam oblíbených sestav

 Return to chapter overview

Pokud každý měsíc po uzávěrce tisknete stále stejné sestavy, můžete si do seznamu Oblíbené přidat vaše oblíbené sestavy. Sestavu přidáte do seznamu oblíbených pomocí kontextového menu (stiskem pravého tlačítka na označené sestavě). Ze zobrazené nabídky zvolte Přidat do seznamu oblíbených sestav. Po vybrání se zobrazí formulář Přidat do seznamu oblíbených sestav:

C_MVS Pridat do seznamu oblibenych sestav

· Seznam oblíbených sestav - pro vytvoření nového seznamu oblíbených sestav zadejte název. Pro vložení oblíbené sestavy do existujícího seznamu oblíbených sestav vyberte název ze seznamu.

· Název oblíbené sestavy - v poli je předvyplněný převzatý název sestavy ze seznamu. Pokud chcete název změnit, přepište jej.

Po potvrzení zadaných údajů stiskem tlačítka [image] se nově vytvořený seznam oblíbených sestav přidá do seznamu Oblíbené.

Pokud máte v Typu zobrazení vybráno tlačítko C_MVS_Tlac. Typ zobrazeni Oblibene, můžete pomocí stisku pravého tlačítka na sestavě/kategorii zobrazit následující menu:

- označená kategorie:

C_MVS Kontextove menu Kategorie

Zrušit seznam oblíbených sestav - po výběru se zobrazí dotaz, zda si přejete zrušit seznam oblíbených sestav. Po potvrzení dotazu bude seznam oblíbených sestav zrušen včetně všech oblíbených sestav.

Přejmenovat seznam oblíbených sestav - po výběru se zobrazí formulář Změna názvu seznamu oblíbených sestav, ve kterém změníte název kategorie.

Zapnout/Vypnout příznak "veřejný" - po výběru se zapne/vypne příznak "veřejná". Veřejné kategorie může vidět i uživatel, který nemá právo na sestavy v manažeru sestav. Veřejná kategorie bude mít u ikony zobrazen příznak [image] (zelený čtvereček s černým panáčkem).

- označená sestava:

C_MVS Kontextove menu Sestavy

Přidat do seznamu oblíbených sestav - sestavu můžete přemístit do jiného oblíbeného seznamu. Po výběru se zobrazí formulář Přidat do seznamu oblíbených sestav, ve kterém můžete zvolit požadovaný seznam, do kterého sestavu přemístíte. Sestava zůstane i v seznamu, ze kterého jste ji přemístili.

Zrušit sestavu ze seznamu oblíbených sestav - po výběru se zobrazí dotaz, zda si přejete zrušit oblíbenou sestavu ze seznamu oblíbených. Po potvrzení dotazu bude sestava ze seznamu oblíbených odstraněna.

Přejmenovat oblíbenou sestavu - po výběru se zobrazí formulář Změna názvu oblíbené sestavy, ve kterém změníte název oblíbené sestavy.

Zapnout/Vypnout příznak "veřejná" - po výběru se zapne/vypne příznak "veřejná". Veřejné sestavy může vidět i uživatel, který nemá právo na sestavy v manažeru sestav. Veřejná sestava bude mít u ikony zobrazen příznak [image] (zelený čtvereček s černým panáčkem). Aby oblíbenou sestavu viděli i ostatní uživatelé je potřeba, aby byla veřejná i její kategorie.

POZNÁMKA: Každý uživatel může mít svůj vlastní seznam oblíbených sestav. Přiřazení do seznamu oblíbených sestav neznamená, že by se sestava "ztratila" ze seznamu všech sestav. Uživatelské nastavení sestavy se ukládá jen v aktuálně používané databázi, tudíž nelze sestavu vyexportovat do jiné databáze a přenést vytvořené nastavení.


Uživatelské funkce

Navigation: »No topics above this level«

Uživatelské funkce

 Return to chapter overview

Volba Uživatelské seznamy, nabízí možnost vytvoření vlastních seznamů s údaji dle vašich požadavků. Z něj si pak můžete vytvořit sestavy k tisku. Pro vznik seznamu je nutné znát SQL příkazy. S vytvořením je tedy nutné oslovit správce ve vaší firmě.

V případě vytvoření nějakého seznamu se tento stane součásti nabídky menu Uživatelské funkce.


Nastavení uživatelských seznamů

Navigation: Uživatelské funkce >

Nastavení uživatelských seznamů

 Return to chapter overview

V tomto formuláři budou změny pravděpodobně provádět správci vašeho systému. Nový seznam vytvoříte přes tlačítko [image].

Uzivatelske funkce nastaveni uzivatelskych seznamu

· Kód - zadejte kód.

· Jen k prohlížení (data nelze editovat) - zaškrtávací položka. V případě její volby je nemožné ve vytvořeném seznamu provádět změnu a naopak. Existují však výjimky u některých tabulek, u kterých nelze provádět změnu ani při nezaškrtnutí kolonky.

· Kontrolovat databázová práva podle uživatele - po zaškrtnutí pole kontroluje databázová práva podle uživatele.

· Nadpis - doplňte název seznamu.

· SQL - zadejte SQL příkaz.

· Parametry - kliknutím na tlačítko [image] Nový budete zadávat kód nového parametru. Po potvrzení zadaného kódu se objeví formulář Nastavení parametru seznamu, kde zadáte typ parametru (Datum, Text, Celé číslo, Zaškrtávátko, Nový řádek, Oddělovač), nadpis parametru, šířku a SQL pro výběr a potvrďte. Tím jste zadali nový parametr. Pro laiky v oblasti SQL dotazů: parametr je jakási podmínka, která je v kolonce SQL napsána za dvojtečkou. Zde se tyto parametry zobrazují.

· Parametry aplikace - do této kolonky nelze zapisovat.

 | Nový - v seznamu vytvoříte nový záznam.
C_Novy z kopie | Nový z kopie - nový záznam vytvoříte také tak, že zkopírujete stávající záznam a jen přepíšete požadované údaje. Zjednodušíte si tak práci, protože nemusíte vypisovat všechna nastavení formuláře.
 | Zrušit - tlačítkem zrušíte dané nastavení vybraného záznamu.
 | Načíst - načtete soubor obsahující nějaký seznam.
 | Uložit - po načtení kliknete na tlačítko uložit.
 | OK - tlačítkem potvrdíte nastavení.
 | Storno - tlačítkem uzavřete formulář.

Pokud chcete uživatelský seznam poslaný našimi odborníky přidat do menu Uživatelské funkce, proveďte následující kroky:

- soubor uložte do PC,

- otevřete si program,

- jděte do menu Uživatelské funkce/Nastavení uživatelských seznamů,

- ve formuláři stiskněte tlačítko [image] Načíst,

- načtěte uložený soubor, který vám byl zaslán,

- formulář potvrďte tlačítkem [image],

- poté se v menu Uživatelské funkce zobrazí vámi přidaný uživatelský seznam,

- po stisku položky se uživatelský seznam spustí.


Nastavení uživatelských skriptů

Navigation: Uživatelské funkce >

Nastavení uživatelských skriptů

 Return to chapter overview

V tomto formuláři budou provádět změny pravděpodobně správci systému.

Uzivatelske funkce nastaveni uzivatelskych skriptu

· Kategorie - kategorii skriptů.

· Skript - popis skriptu.

· Titulek - titulek skriptu. Tento titulek můžete přepsat.

Nový - přes toto tlačítko vytvoříte nový záznam.

Oddělovač

Zrušit - tlačítkem smažete dané nastavení, vytvořený seznam.

OK - tlačítkem potvrdíte nastavení.

Storno - tlačítkem uzavřete formulář bez provedených změn.

Přes tlačítko [image] otevřete formulář Výběr skriptu, kde vyberete požadovaný skript. Po potvrzení tlačítkem [image] se vybraný skript vyplní do výše jmenovaných políček.

POZOR: Při restrukturalizaci jsou aktualizovány pouze systémové skripty (černým písmem), ne skripty uživatelské (červeným písmem). Toto barevné rozlišení zjistíte v menu "Výstupy/Manažer skriptů".

Pokud chcete skript poslaný našimi odborníky přidat do menu Uživatelské funkce, uložte soubor do vašeho počítače. Načtení do programu provedete v Manažeru skriptů po stisku tlačítek Ctrl+Alt+S. V tomto okně proveďte načtení skriptu ze souboru (Ctrl+L) a nastavte zde požadované parametry skriptu. Přidání uživatelského skriptu do menu Uživatelských funkcí provedete následovně:

- v programu v menu Uživatelské funkce zvolte volbu Nastavení uživatelských skriptů,

- v zobrazeném formuláři stiskněte tlačítko [image] Nový uživatelský skript,

- v okně Výběr skriptu vyberte ve složce načtený skript a potvrďte dvakrát tlačítkem [image],

- poté se v menu Uživatelské funkce zobrazí vámi přidaný skript,

- po stisku položky se skript spustí.


Okno

Navigation: »No topics above this level«

Okno

 Return to chapter overview

Položky tohoto menu jsou určeny pro práci s okny. Jednotlivými volbami z menu docílíte přehlednějšího zobrazení, což vám může usnadnit práci v oknech. Když nejsou v programu žádná okna otevřená, je seznam položek neaktivní.

Jakmile však otevřete jakékoli okno v programu, tak se toto menu aktivuje a vytvoří pod poslední standardní položkou menu Uzavřít vše další seznam právě otevřených oken. Okno, se kterým právě pracujete, je označeno [image].

Na následujících stránkách se budeme věnovat jednotlivým funkcím menu.


Kaskáda

Navigation: Okno >

Kaskáda

 Return to chapter overview

Máte-li otevřeno více oken, s nimiž chcete pracovat, pak existuje několik možností, jak okna zobrazit. Formuláře můžete uspořádat kaskádně. U jednotlivých oken lze vidět nadpisy tabulek. Kliknutím na kterékoli z nich přesune okno do popředí a formulář je tedy vidět celý. Pro takovou úpravu oken stačí kliknout na položku Kaskáda.


Dlaždice vodorovně

Navigation: Okno >

Dlaždice vodorovně

 Return to chapter overview

Máte-li otevřeno více oken, s nimiž chcete pracovat, můžete je uspořádat do vodorovných dlaždic. Kliknutím na kterékoli z nich se okno aktivuje a můžete s ním pracovat, aniž by ostatní okna zmizela. Pro toto zobrazení stačí kliknout na položku Dlaždice vodorovně.


Dlaždice svisle

Navigation: Okno >

Dlaždice svisle

 Return to chapter overview

Další možností je uspořádat okna ve svislých dlaždicích. Kliknutím na kterékoli z nich se okno aktivuje a můžete s ním pracovat, aniž by ostatní okna zmizela. Pro toto zobrazení stačí kliknout na položku Dlaždice svisle.


Maximalizovat vše

Navigation: Okno >

Maximalizovat vše

 Return to chapter overview

Tato funkce souvisí s prací s okny. Pokud jste již použili volbu Minimalizovat vše, a chcete s okny opět pracovat, použijte volbu Maximalizovat vše. Tím se všechna původně otevřená okna opět objeví na obrazovce.


Minimalizovat vše

Navigation: Okno >

Minimalizovat vše

 Return to chapter overview

Tato funkce souvisí s prací s okny. Pokud chcete všechna okna, se kterými aktuálně pracujete, minimalizovat (ať už z jakéhokoli důvodu), klikněte na tuto volbu. Všechna okna se "srolují" na spodní okraj základní plochy programu.


Uzavřít vše

Navigation: Okno >

Uzavřít vše

 Return to chapter overview

Poslední možnost v tomto menu je Uzavřít vše. Tato funkce má stejný důsledek, jako když zavřete všechna okna postupně. Výhodou je, že všechna okna, s nimiž pracujete, zavřete jedním příkazem. Po uzavření oken zůstane program spuštěn.


Nápověda

Navigation: »No topics above this level«

Nápověda

 Return to chapter overview

Cílem nápovědy v aplikaci je usnadnění práce s programem. Položku Nápověda naleznete na horní liště úplně vpravo.


Obsah nápovědy

Navigation: Nápověda >

Obsah nápovědy

 Return to chapter overview

Tato volba otevře soubor nápovědy na stránce obsahu. V něm si můžete vybrat požadovanou kapitolu a přepnout se na odpovídající stránku.


Kontextová nápověda

Navigation: Nápověda >

Kontextová nápověda

 Return to chapter overview

Zobrazuje nápovědu vzhledem k místu, kde se nachází program. To znamená, že stisknete-li klávesu F1 (nebo tlačítko nápověda), zobrazí se na aktuálním formuláři odpovídající stránka v nápovědě. Na zprovoznění funkce se stále pracuje.


Helpdesk

Navigation: Nápověda >

Helpdesk

 Return to chapter overview

Formulář můžete využít v případech, kdy budete potřebovat vložit nový dotaz nebo odeslat vzorek databáze na Helpdesk.

· Adresa - zadejte internetovou adresu serveru - http://helpdesk.ron.cz.

· Přihlašovací jméno - zadejte přihlašovací jméno, které používáte pro přihlášení na helpdesk. Přihlašovací jméno najdete na aktivační kartě programu.

· Heslo - zadejte heslo, které používáte pro přihlášení na helpdesk. Heslo najdete na aktivační kartě programu.

Test - po stisku tlačítka proběhne ověřování přihlašovacích údajů. Po ověření přihlašovacích údajů program zobrazí informaci, například: "Přihlášení na Helpdesk bylo úspěšné".

Nastavit výchozí - nastaví výchozí adresu a heslo. Přihlašovací jméno musíte nastavit sami. Správné přihlašovací údaje najdete na aktivační kartě programu.

· Moje dotazy - po stisku odkazu budete přihlášeni na helpdesk, kde se zobrazí seznam s vašimi dotazy.

· Vložit nový dotaz - stiskem odkazu se přihlásíte na helpdesk a načte se formulář pro vložení nového dotazu.

· Odeslat vzorek databáze - po stisku odkazu se otevře formulář pro odeslání dotazu. Vyplňte Předmět a Text dotazu a stiskněte tlačítko C_Vytvorit a odeslat vzorek. Následně se zobrazí formulář pro Export vzorku databáze. Zde vyberte, která data chcete odeslat ve vzorku a potvrďte tlačítkem [image]. Potvrzením odešlete dotaz se vzorkem na Helpdesk.

Helpdesk odeslat vzorek databaze

· Dotazník spokojenosti - odkaz provede přihlášení na helpdesk, kde můžete vyplnit zobrazený dotazník.

· Nastavení osobních údajů - stiskem odkazu se přihlásíte na helpdesk a načte se formulář pro nastavení osobních údajů.

Zavřít - uzavřete formulář.


Co je v programu nového?

Navigation: Nápověda >

Co je v programu nového?

 Return to chapter overview

Volba je přístupná v případě, že existuje soubor obsahující informace o nových vlastnostech a funkcích programu. Zvolením této volby zobrazíte text souboru pomocí programu Poznámkový blok nebo WordPad.


Zprávy z RSS kanálu

Navigation: Nápověda >

Zprávy z RSS kanálu

 Return to chapter overview

Volba je přístupná v případě, že uživatel má právo na odebírání zpráv z RSS kanálu. Tuto volbu lze uživateli/skupině vypnout/zapnout nastavením práva "Neodebírat zprávy z RSS kanálu" v menu Systém -> Správa databáze -> Nastavení zabezpečení -> Zabezpečení systémem uživatelů a práv -> Uživatelé/Skupiny -> záložka Základní údaje -> sekce Práva uživatele/Práva skupiny.

Touto volbou otevřete seznam zpráv:

Zpravy z RSS kanalu >

Tlac._Oznacit jako prectene

Označit vše jako přečtené - označí všechny zprávy jako přečtené. To znamená, že u zpráv nebude zobrazen červený popis NOVÁ!

Pokud dojde nová zpráva z RSS kanálu, potom po spuštění aplikace se zobrazí v pravém dolním rohu informační okno:

Nova zprava z RSS kanalu


O aplikaci

Navigation: Nápověda >

O aplikaci

 Return to chapter overview

Zobrazí formulář Informace o aplikaci s informacemi o verzi programu, jeho konfiguraci, vlastníkovi licence a adresy výrobce programu a vašeho prodejce.


Postupy

Navigation: »No topics above this level«

Postupy

 Return to chapter overview

V postupech se Vám budeme snažit co nejjednodušším způsobem přiblížit nastavení základních funkcí jídelního systému.

Postupy:

Způsob nastavení čtečky ID médií RD3 a RD3B

Načítání ID médií z terminálu do software

Načítání ID médií ze souboru do software

Import zaměstnanců

Instalace nové verze programu

Zadávání aktivací

Přenos Jídelny na jiný počítač

Instalace nové verze Intrawebu

Nastavení exportu

Automatické odesílání objednávek emailem


Způsob nastavení čtečky ID médií RD3 a RD3B

Navigation: Postupy >

Způsob nastavení čtečky ID médií RD3 a RD3B

 Return to chapter overview

Čtečku karet nastavíte v menu Terminály/Terminály. V seznamu terminálů stiskněte tlačítko [image] Nový záznam. Otevře se Formulář terminálu. V záložce Terminál vyplníte následující položky:

· Kód - povinný údaj. Vepište název kódu, např.: CK1 (čtečka karet 1).

· Popis - povinný údaj. Popište, o jaký terminál se jedná. Popis slouží pro vaši potřebu rychlé orientace mezi terminály, např.: Čtečka karet 1.

· Určení terminálu - z nabídky zvolte jednu z nabízených možností, např.: Objednávací.

· Název počítače - pokud používáte systém v síti, nastavte název počítače, ke kterému je terminál fyzicky připojen. Pokud necháte tuto položku volnou, budou se všechny stanice připojené k databázi pokoušet o komunikaci s terminálem.

· Driver - dle zakoupeného typu hardware je potřeba přiřadit k terminálu driver pro jeho komunikaci se software. Pro čtečku karet zvolte z nabídky ACSLine.

Po provedeném nastavení uložte údaje tlačítkem [image]. Pro další nastavení potřebných parametrů stiskněte tlačítko [image]. Ve formuláři Editoru parametrů terminálu ACS-line vyplníte následující údaje:

Editor parametru terminalu ACS-line

· Typ terminálu - z nabídky zvolte RD2/RD2B.

· Typ připojení terminálu - z nabídky vyberte RS232.

· Komunikační port - sériový port, na kterém probíhá komunikace. Sériový port, který máte vybrat, zjistíte následovně:

- na ploše počítače klikněte na ikonu Tento počítač pravým tlačítkem myší,

- v zobrazené nabídce vyberte Vlastnosti,

- v otevřeném formuláři Vlastnosti systému zvolte záložku Hardware a stiskněte tlačítko Správce zařízení,

- v zobrazeném okně Správce zařízení rozbalte tlačítkem [image] položku Porty (COM a LPT),

- u položky CP210x USB to UART Bridge Controller (COM4) je v závorce uveden sériový port, který vyberete v položce Com Port.

Po provedeném nastavení stiskněte tlačítko [image]. Pro uložení provedených změn stiskněte tlačítko [image] ve Formuláři terminálu.

Přes tlačítko [image] Test spojení zjistíte, zda je čtečka karet správně nastavena. Pokud se po stisku tlačítka a následném přiložení karty ke čtečce zobrazí okno Testu komunikace s číslem karty, potom je zařízení nastaveno správně.

TIP: Po nastavení čtecího zařízení máte možnost načítat nová ID média do programu, vyhledávat podle ID médií čísla ID médií, osoby apod. Nejprve je potřeba vybrat terminál pro čtení ID médií v programu. Terminál vyberete v menu Systém/Nastavení aplikace/Lokální nastavení/Načítání ID média. Poté můžete v seznamech, kde je zobrazeno tlačítko [image] Vyhledat podle načtené karty, vyhledávat potřebné údaje pomocí ID médií.


Nacitani ID medii z terminalu

Navigation: Postupy >

Načítání ID médií z terminálu do software

 Return to chapter overview

Postup při načítání ID médií z terminálů je popsáno v následujících kapitolách pro terminály RT310, RT300B a DT1000 a pro čtečku ID médií RD3 a RD3B.


Import ID médií z terminálu

Navigation: Postupy > Načítání ID médií z terminálu do software >

Import ID médií z terminálu

 Return to chapter overview

Formulář slouží k načtení nových ID médií z terminálu. Pro otevření formuláře je nutné nejprve otevřít seznam Identifikačních médií. Následně v menu Aktuální okno vyberte Import ID médií z terminálu. Jak provést načtení nových ID médií z terminálu se dozvíte v následující kapitole.

Import ID medii z terminalu

· Terminál - povinný údaj. Nastavte terminál, ze kterého budete načítat ID média.

· Označení média číslovat od - povinný údaj. Vepište počáteční (pořadové) číslo, od které chcete číslovat ID média. Pokud máte poslední číslo např. 10, začněte číslovat od 11.

· Datum pořízení - povinný údaj. Zadejte datum pořízení ID média.

Načíst - stiskem tlačítka načtete všechny ID média z terminálu. ID média se načtou do seznamu Identifikačních médií, kde můžete provést potřebné úpravy.

Načítat postupně - karta je po nasnímání do terminálu ihned načtena do programu. ID média se načtou do seznamu Identifikačních médií, kde můžete provést potřebné úpravy. Po načtení karet do programu stiskněte tlačítko [image].

Storno - stiskem tlačítka uzavřete formulář načítání ID médií z terminálu.


Terminaly RT310, RT300B

Navigation: Postupy > Načítání ID médií z terminálu do software >

Terminály RT310, RT300B

 Return to chapter overview

Pro usnadnění zápisu ID médií do programu je možno použít následující postup:

A) Zobrazení čísla ID média na displeji terminálu a zápis do programu:

1. na terminálu stiskněte modré tlačítko i

2. na displeji se zobrazí číslo, které si opište

3. v programu v seznamu Identifikačních médií – stiskněte F4 pro vytvoření nového záznamu

4. do položky Kód ID média zapište opsané číslo

5. do položky Označení média libovolné číslo, podle kterého budete moci vyhledat konkrétní ID médium

6. do položky Datum pořízení zapište datum, kdy jste ID médium pořídili

7. potvrďte tlačítkem

8. nyní máte ID médium zapsáno v programu

B) Přímé načítání ID médií z terminálu do software (rychlejší pro více kusů)

1. v programu si zobrazte seznam ID médií - Identifikační média

2. v menu Aktuální okno/Import ID médií z terminálu otevřete formulář pro načítání ID médií

3. ve formuláři zvolte Terminál, ze kterého budete načítat ID média

4. do pole Označení média číslovat od, nastavte počáteční (pořadové) číslo pro označení média

5. do pole Datum pořízení vyplňte datum pořízení

6. ve formuláři stiskněte tlačítko [image] pro načítání ID médií postupně do programu

7. označte si pořadovým číslem ID média, která chcete do programu načíst

8. na terminálu stiskněte modré tlačítko i - terminál přejde do režimu načtení nového ID média

9. přiložte ID médium k terminálu v označeném pořadí - na displeji je po načtení zobrazeno číslo ID média

10. na terminálu stiskněte 2x po sobě modré tlačítko i - terminál se vrátí do základního režimu a následně přejde do režimu načtení nového ID média

11. body 9 a 10 opakujte do doby, než načtete všechna požadovaná ID média do programu

12. po načtení ID médií do programu stiskněte tlačítko [image] pro ukončení načítání ID médií

13. stiskem tlačítka [image] opustíte formulář pro načítání ID médií

14. pokud vše proběhne v pořádku, tak ID média budou načtena v seznamu Identifikačních médií

Doporučujeme vyzkoušet postup na několika kusech ID médií a následně pro zbytek.


Terminál DT1000

Navigation: Postupy > Načítání ID médií z terminálu do software >

Terminál DT1000

 Return to chapter overview

Pro usnadnění zápisu ID médií do programu je možno použít následující postup:

Přímé načítání ID médií z terminálu do software (rychlejší pro více kusů)

1. označte si pořadovým číslem ID média, která chcete do programu načíst

2. na terminálu stiskněte tlačítka J 2 4 6 - terminál přejde do režimu čtení nových ID médií

3. přikládejte jednotlivá ID média k terminálu v označeném pořadí - na displeji je po načtení zobrazeno číslo ID média

4. v programu si zobrazte seznam ID médií - Identifikační média

5. v menu Aktuální okno/Import ID médií z terminálu otevřete formulář pro načítání ID médií

6. ve formuláři zvolte Terminál, ze kterého budete načítat ID média

7. do pole Označení média číslovat od, nastavte počáteční (pořadové) číslo pro označení média

8. do pole Datum pořízení vyplňte datum pořízení

9. načtěte ID média tlačítkem

10. pokud vše proběhne v pořádku, tak ID média budou načteny v seznamu Identifikačních médií

11. režim čtení ID médií na terminálu přerušíte stiskem libovolného tlačítka a terminál se vrátí do základního režimu

Doporučujeme vyzkoušet postup na několika kusech ID médií a následně pro zbytek.


Čtečka ID médií RD3 a RD3B

Navigation: Postupy > Načítání ID médií z terminálu do software >

Čtečka ID médií RD3 a RD3B

 Return to chapter overview

Pro usnadnění zápisu ID médií do programu je možno použít následující postup:

Přímé načítání ID médií ze čtečky ID médií do software

1. označte si pořadovým číslem ID média, která chcete do programu načíst

2. v programu si zobrazte seznam ID médií - Identifikační média

3. v menu Aktuální okno/Import ID médií z terminálu otevřete formulář pro načítání ID médií

4. ve formuláři zvolte Terminál, ze kterého budete načítat ID média

5. do pole Označení média číslovat od, nastavte počáteční (pořadové) číslo pro označení média

6. do pole Datum pořízení vyplňte datum pořízení

7. ve formuláři stiskněte tlačítko [image] pro načítání ID médií postupně do programu

8. přikládejte postupně ID média ke čtečce ID médií v označeném pořadí

9. po načtení ID médií do programu stiskněte tlačítko [image] pro ukončení načítání ID médií

10. stiskem tlačítka [image] opustíte formulář pro načítání ID médií

11. pokud vše proběhne v pořádku, tak ID média budou načteny v seznamu Identifikačních médií

Doporučujeme vyzkoušet postup na několika kusech ID médií a následně pro zbytek.


Načítání ID médií ze souboru do software

Navigation: Postupy >

Načítání ID médií ze souboru do software

 Return to chapter overview

Pro usnadnění zápisu ID médií do programu je možno použít načtení dat z textového souboru.

Postup načtení:

1. Otevřete seznam ID médií - Identifikační média.

2. V menu vyberte položku „Aktuální okno/Import ID médií ze souboru".

3. Vyberte textový soubor obsahující seznam karet.

POZOR: Seznam karet obsahuje položku označení. Pokud již v seznamu karet existuje karta se stejným označením, nebude nová karta do systému importována. Pokud chcete karty importovat s jiným označením, upravte obsah textového souboru dříve, než budete import provádět.

Struktura textového souboru:

Kod1;Kod2;Oznaceni_media;Datum_porizeni;Datum_vyrazeni;Blokovana;Zpusob_vyrazeni;Zaloha_na_medium

PŘÍKLAD:

0AF8017700000000;0AF8017700000000;259;20090817;20100930;1;0;100

Pokud některou položku v textovém souboru nemáte (například Kod2, Datum_vyrazeni, Blokovana, Zpusob_vyrazeni, Zaloha_na_medium), potom struktura textového souboru bude vypadat následovně:

Kod1;;Oznaceni_media;Datum_porizeni;;;;

PŘÍKLAD:

0AF8017700000000;;259;20100921;;;;


Import zaměstnanců

Navigation: Postupy >

Import zaměstnanců

 Return to chapter overview

Umožňuje načtení seznamu osob z textového souboru. Tento import je také možno využít pro aktualizaci (např. pravidelné přebírání dat z jiných systémů, …).

Postup importu:

1. Vytvořte textový soubor podle uvedené struktury.

Pro import zaměstnanců do programu jídelna je nutné vytvořit textový soubor v následujícím tvaru:

Rodne_cislo;Prijmeni;Jmeno;Titul_pred;Titul_za;Rodne_jmeno;Datum_narozeni;Zamestnanec_1;Osobni_cislo;Datum_nastupu;Datum_vystupu;Typ_pracovniho_pomeru;Kalendar;Stredisko;Popis_strediska;Personalni;Popis_personalni;Platnost_kalendare_od;Typ_mzdy;Kód_karty;Oznaceni_karty;Datum_prideleni_karty

Položky označeny tučně jsou v textovém souboru povinné, všechny ostatní položky jsou volné.

PŘÍKLAD:

8760085624;Benčíková;Marie;Bc.;;Horká;08.10.1987;;357;06.06.2006;;;;;;;;;;;;;

2. V menu "Systém/Nastavení aplikace/Společné nastavení/Import pracovních poměrů", nastavte potřebné údaje importu.

3. V menu "Systém/Import-Export/Import dat z mezd" spusťte import dat.


Instalace nové verze programu

Navigation: Postupy >

Instalace nové verze programu

 Return to chapter overview

Informaci o zveřejnění nové verze byste měli dostávat do e-mailu a zároveň se dozvíte, jestli je pro vás aktualizace zajímavá, nebo případně nutná. Aktualizace aplikací jsou vždy k dispozici na našem centru podpory zákazníků „helpdesk.ron.cz“.

Při instalaci nové verze programu postupujte následovně:

1. Je zapotřebí, aby si všichni uživatelé vypnuli program (případně všechny programy, pracující na společné databázi). Seznam připojených uživatelů naleznete v menu Systém -> Seznam aktuálně přihlášených uživatelů.

2. V adresáři s nainstalovaným programem vytvořte nový textový soubor maintenance.txt (pravé tlačítko myši -> v zobrazeném menu Nový -> vybrat Textový dokument -> přejmenovat na maintenance.txt). Do textového souboru maintenance.txt uveďte název počítače (serveru), ze kterého budete poprvé spouštět novou verzi programu, a uložte. Vytvořením toho souboru zabráníte spuštění programu z jiného počítače, než který je v tomto textovém souboru zapsán. Textový soubor je potřeba nakopírovat do adresářů ke všem nainstalovaným programům RON.

3. Vypněte na serveru služby související s aplikacemi RON -> ADS_Service, APS_Service, JIDELNA_Service, apod.

4. Zálohujte stávající databázi. Zálohu databáze provedete v menu Systém -> Správa databáze -> Zálohování databáze. Pokud máte více programů RON a programy jsou napojeny na jednu databázi, stačí provést zálohu jen v jedné aplikaci. Zálohu lze provést pouze na lokální disk počítače, na kterém se databáze nachází.

5. Z centra podpory zákazníků helpdesk.ron.cz -> sekce Ke stažení -> stáhněte a uložte do počítače nové verze programů.

6. Postupně spusťte stažené instalační programy a proveďte instalace nových verzí. Instalujte přímo do složky, ve které máte stávající verzi programu. Nová verze ji přepíše. Nezáleží na pořadí, v jakém budou aplikace instalovány.

7. Spusťte nainstalovaný program.

8. Po instalaci budete vyzváni k potvrzení restrukturalizace databáze, klikněte na tlačítko ANO.

9. V případě, že provádíte instalaci více nových verzí, po restrukturalizaci program vypněte a spusťte další nainstalovaný program. Opakujte proces s restrukturalizací.

10. Po úspěšném ukončení restrukturalizace databáze spusťte na serveru zastavené služby související s aplikacemi RON - ADS_Service, APS_Service, JIDELNA_Service, apod.

11. Odstraňte textový soubor maintenance.txt nakopírovaný do adresářů u nainstalovaných programů RON.

Body 2 a 11 - jsou nutné pouze v případě, že program používá více uživatelů v síti a nejste schopni zajistit, aby se před dokončením instalace a restrukturalizace databáze k této databázi někdo nepřipojil.

Body 3 a 10 - jsou nutné v případě, pokud jsou služby nainstalovány na serveru (nebo PC).


Zadávání aktivací

Navigation: Postupy >

Zadávání aktivací

 Return to chapter overview

Registrační karta

Registrační karta je dokument, který jste obdrželi ve formátu PDF přílohou v e-mailu, či jinou formou. Tento dokument obsahuje několik důležitých údajů. V první řadě údaje pro správnou aktivaci programu. Dále pak uživatelské jméno a heslo pro přihlášení na helpdesk společnosti RON. Registrační karta může mít omezenou platnost (Datum dočasnosti na registrační kartě), v případě, že dochází k zápůjčce programu nebo aktivaci programu pro období mezi objednávkou a zaplacením všech faktur.

Aktivace

Aktivace je uvedení programu do funkčního stavu dle vámi zakoupené licence. Pomocí aktivace se nejen program aktivuje na plnou verzi, ale zároveň budou zpřístupněny případné moduly, které lze k programu libovolně dokoupit.

Aktivaci je potřeba provést v následujících případech:

1. Při prvním spuštění aplikace - první Aktivační kód vám poskytne (technik/konzultant) při instalaci programu. Tento kód je pouze dočasný. Další aktivační kód dostanete po zaplacení faktury.

2. Změna názvu vaší firmy – změní-li vaše firma název, který se má zobrazovat v tiskových sestavách apod., je potřeba požádat o změnu spol. RON Software s.r.o., která vám zašle novou registrační kartu.

3. Po zakoupení nových modulů – pokud zakoupíte nové moduly pro některý z programů spol. RON Software s.r.o.

4. Dokoupení licencí – jestli-že zakoupíte licenci na větší počet zaměstnanců.

5. Nová, nebo prodloužená servisní smlouva – pokud jste uzavřeli novou servisní smlouvu, popřípadě jste zakoupili prodloužení, obdržíte novou registrační kartu.

6. Při přechodu z generačně staršího typu programu na novější – pokud zakoupíte generačně novější typ programu, je zapotřebí změnit kód v nově nainstalované verzi programu (nejedná se o běžnou aktualizaci verze).

Postup zadání aktivačního kódu: V menu Systém -> Správa databáze -> Aktivace -> zde vyplňte všechny údaje z registrační karty. Povinné jsou údaje, které jsou tištěny tučně. Při zadávání aktivačního kódu je nutné mít práva pro zápis do složky, kde je program nainstalován. Pokud je program nainstalován na serveru, bude pravděpodobně muset provést aktivaci jeho správce.

Helpdesk

Helpdesk je nástroj, pomocí kterého je možné zadávat dotazy přímo na konzultanty jednotlivých programů. Pokud máte platnou servisní smlouvu, je možné se přihlásit pomocí webové stránky zadané ve vašem oblíbeném prohlížeči: „helpdesk.ron.cz“. Tato forma podpory je přístupná výhradně těm zákazníkům, kteří mají platnou servisní smlouvu.


Přenos Jídelny na jiný počítač

Navigation: Postupy >

Přenos Jídelny na jiný počítač

 Return to chapter overview

Postup pro přenos aplikace je následující:

1) proveďte zálohu databáze na starém PC,

2) nainstalujte SQL server na novém PC - poté vytvořte prázdnou databázi,

3) nainstalujte aplikaci Jídelna na novém PC - poté zadejte aktivační údaje,

4) připojte Jídelnu k SQL serveru (k již zmíněné prázdné databázi),

5) poté proveďte v Jídelně obnovu databáze ze zálohy (obnova zálohy ze starého PC),

6) na starém PC smazat/odinstalovat Jídelnu a pro jistotu přejmenovat starou databázi.

Jestliže je součástí instalace i Služba pro komunikaci s terminály, je přenos následující:

1) zálohujte nastavení služby na starém PC (tlačítko J_Ulozit nastaveni planovace do souboru Uložit nastavení plánovače do souboru),

2) nainstalujte službu na novém PC (je nutné spustit soubor Jidelna_service s parametrem /install - poté se zobrazí potvrzovací okno),

3) spusťte službu Jidelna service v ovládacích panelech,

4) služba je nyní aktivní.

Intraweb:

Pokud na novém PC máte již nainstalovaný webový server, PHP balík a máte nastavené propojení intrawebu s SQL serverem, tak poté stačí jen zkopírovat složku s intrawebem.


Instalace nové verze Intrawebu

Navigation: Postupy >

Instalace nové verze Intrawebu

 Return to chapter overview
1. Pro správnou činnost je nutné nainstalovat také aktuální verze programu verze programu (Docházka nebo/a Jídelna).

2. Z helpdesku (http://helpdesk.ron.cz) si stáhněte aktuální verzi Intrawebu. Stáhnutá složka je komprimována pomocí zip.

3. Na www serveru, na kterém vám běží intraweb, rozbalte zip soubor a překopírujte všechny soubory do příslušné složky www serveru. Nejčastěji je cesta do složky "C:\Inetpub\wwwroot\ads" (bez uvozovek). Původní soubory přepište.

Přitom je, ale potřeba zachovat váš soubor _appdbset.php, který obsahuje nastavení připojení k databázi. V instalačním zip balíku je tento soubor schován v podadresáři install, takže při správném postupu nehrozí jeho přepsání.


Nastavení exportu

Navigation: Postupy >

Nastavení exportu

 Return to chapter overview

Data z jídelního systému je možné použít jako podklad pro zpracování mezd. Pokud je Váš mzdový systém schopen přijímat data z jídelního systému v textovém souboru, můžete si export do textového souboru pro mzdový systém nastavit. Program jídelna umožňuje nastavit libovolný počet exportovaných textových souborů s vlastním nadefinovaným formátem.

Pokud si na nastavení vlastního exportu netroufáte, kontaktujte linku podpory RON Software.

V jednoduché variantě stačí jedno nastavení exportu. Pokud je však export komplikovanější může být zapotřebí nastavení více různých exportů (pro každou skupinu zaměstnanců jiný export). Z tohoto důvodu je možné nastavení exportů ukládat pod různými názvy - mít více různých exportů a k těmto exportům přiřazovat skupiny osob, které se budou exportovat.

Postup exportu:

1. V menu "Systém/Nastavení aplikace/Společné nastavení/Export" nastavte potřebná data pro export.

2. V menu "Systém/Import-Export/Export" spusťte export dat.

Nastavení exportu obsahuje následující podkapitoly:

· Export
· Formát exportu
· Proměnné základního seznamu strávníků
· Proměnné účtu strávníka za období
· Formátování datumových proměnných
· Formátování číselných proměnných


Export

Navigation: Postupy > Nastavení exportu >

Export

 Return to chapter overview

Postup vytvoření nastavení exportu:

- stiskněte tlačítko [image] a zadejte název exportu (např. ABC_MZDY).

- vyplňte část Nastavení aktuálního exportu se všemi níže popsanými vlastnostmi (položkami)

Pokud chcete vytvořit více druhů exportů, opakujte předchozí kroky.

Jestliže nastavení exportu neprovádíte sami a bylo Vám doručeno, jako soubor použijte možnost načtení exportu ze souboru.

Horní část nastavení představuje prvky, pomocí kterých lze ovládat seznam nadefinovaných exportů.

· Název - toto pole zobrazuje název aktuálního nastavení exportu. Pomocí tlačítka [image] lze volit ze seznamu již uložených exportů.

Vytvořit - toto tlačítko umožní vytvořit nové nastavení exportu pod zvoleným názvem.

Odstranit - toto tlačítko umožňuje odstranit aktuálně nastavený exportu. Odstranění je nevratný krok.

Uložit nastavení aktuálního exportu do souboru - tlačítko umožňuje uložit akt. nastavení exportu do souboru. Vytvoří se soubor s názvem exportu a příponou "nex".

Načíst nastavení ze souboru - tlačítko umožňuje načíst nastavení exportu ze souboru.

Dolní část formuláře obsahuje nastavení aktuálně vybraného exportu.

· Cílový soubor - toto pole slouží pro zadání názvu cílového souboru zobrazeného exportu. Do tohoto souboru se budou exportovaná data ukládat. Název souboru může obsahovat proměnné s definicí formátu datumu, které budou při provádění samotného exportu nahrazeny hodnotou podle aktuálního období. Proměnné s formátem datumu se do názvu vkládají tak, že se daný formát datumu ohraničí mezi znaky: %%. Jako formátovací znaky lze použít tyto řetězce: mm yy yyyy. Proměnných s formátem datumu je možno do názvu souboru vkládat libovolné množství.

PŘÍKLAD: Pro zadaný název cílového souboru: "c:\temp\export%mmyyyy%.txt" a aktuální období červen 2008, bude výsledný název souboru tento:

"c:\temp\export062008.txt".

· Přidávat záznamy do již existujícího souboru - pokud je tato volba aktivována, pak při provádění daného exportu bude provedena kontrola, zda daný soubor již existuje a pokud soubor existuje, pak původní obsah bude zachován a záznamy budou přidány na konec souboru. V opačném případě bude původní obsah souboru před exportem vymazán a bude naplněn novými daty.

· Povolit export v neuzavřeném období - po zatrhnutí je možné provést export v otevřeném období.

· Definice formátu - toto pole slouží pro definování jednotlivých řádků (záznamů) formátu exportu. Pro definici formátu stiskněte tlačítko [image].

· Platnost pracovních poměrů - zvolte, které pracovní poměry chcete exportovat (Aktivní, Ukončené, Všechny).

· Exportovat i zaměstnance jiné firmy - pokud je tato volba aktivována, pak při provádění exportu budou exportovány i údaje zaměstnanců jiné firmy.

· Exportovat jen zaměstnance podle zvoleného rozdělení - pokud je tato volba aktivována, pak při provádění akt. exportu budou exportovány jen údaje zaměstnanců, kteří jsou přiřazeni do rozdělení nastavených v následujících dvou polích. Tuto volbu použijete, pokud potřebujete pro jednotlivé skupiny zaměstnanců definovat různé exporty. Například pro dělníky převádíte přesčasy a pro techniky přesčasy do exportu nedáváte.

o Typ rozdělení - toto pole určuje typ rozdělení, pro které bude omezen výběr zaměstnanců pro akt. export.

o Volba rozdělení před exportem - pomocí této volby aktivujete výběr konkrétních rozdělení podle přednastaveného typu, prostřednictvím formuláře ze seznamem rozdělení před provedením exportu. Pokud není volba aktivována, máte možnost zadat Seznam kódů rozdělení.

o Seznam kódů rozdělení - toto pole obsahuje kódy rozdělení zaměstnanců (oddělené středníkem). V předchozí položce jste vybrali nějaké rozdělení např. "Skupina". V této položce vypište seznam skupin, pro které se bude provádět tento export. Všichni zaměstnanci, kteří se během zpracovávaného období (měsíce) stali členy této "skupiny" budou obsaženi v exportu.


Formát exportu

Navigation: Postupy > Nastavení exportu >

Formát exportu

 Return to chapter overview

Formát exportu popisuje, jak budou vypadat jednotlivé řádky (záznamy) exportního souboru. Pro každý řádek formátu se do cílového souboru vygeneruje jeden výstupní řádek. Pokud má formát více platných řádků, bude i v cílovém souboru pro každého zaměstnance více řádků. Tzn., že pro každého zaměstnance je proveden překlad a dosazení hodnot každého řádku formátu daného exportu.

Formátovací značky v popisu formátu uzavřené do hranatých závorek nejsou povinné. Uvozovky v příkladech nejsou součástí formátu a složí jen pro ohraničení textu, který bude součásti definice formátu.

<formát řádku> - určuje výslednou podobu řádku (záznamu) exportu. V řádku formátu se nejdříve nahradí každá proměnná skutečnou hodnotou a poté se výsledek uloží do cílového souboru. Proměnné uzavřené do znaků: %% ve tvaru: %<definice proměnné>%, budou nahrazeny podle příslušného zdroje dat.

<definice proměnné> - každá proměnná může mít uveden formát, ve kterém se bude exportovat. Formát je možné zadat za jménem proměnné za znakem &. Dále může být uvedena šířka, na kterou se daná proměnná zarovná (počet znaků). Šířka se zadává za znakem @. V případě, že je kladná (větší než nula), doplní se znaky na konec exportované hodnoty, pokud je záporná, doplní se na začátek.

Formát definice proměnné: %<název proměnné>[&<formát>][@[-]<výsledná šířka>]%

definice proměnné je složená ze tří částí:

1. Název proměnné. Názvy proměnných lze dosazovat podle datových zdrojů. Viz proměnné základního seznamu strávníků a proměnné účtu strávníka za období.

2. Formát proměnné. Formát proměnné lze definovat v závislosti podle typu proměnné. Definovat formátování má význam jen pro datumové nebo číselné proměnné. U textové proměnné je možné nastavit pouze vyplňovací znak při zarovnání.

3. Výsledná šířka proměnné (a zarovnání). Normálně je hodnota proměnné zarovnána doleva, pokud je před šířkou znaménko: - pak je hodnota zarovnána doprava.

Komentář:

Jelikož popis exportu vypadá mnohdy velmi nepřehledně, můžete v popisu exportu nalézt (nebo si vytvořit) řádky začínající lomítkem ("/").

Řádek, který začíná lomítkem je celý považován za komentář (poznámku) a není při exportu vůbec používán.

Příklady:

· Příklad pro vypsání jména, příjmení a data narození oddělených středníkem:

"%jmeno%;%prijmeni%;%datumNarozeni&dd.mm.yyyy%".

· Příklad pro vypsání jména, příjmení a data narození s pevnou délkou 20 znaků každé proměnné zarovnané doprava:

"%jmeno@-20%%prijmeni@-20%%datumNarozeni&dd.mm.yyyy@-20%".

· Příklad pro vypsání jména, příjmení a data narození s pevnou délkou 20 znaků každé proměnné zarovnané doleva:

"%jmeno@20%%prijmeni@20%%datumNarozeni&dd.mm.yyyy@20%".

· Příklad osobního čísla, které se zleva doplní znakem 0 na délku alespoň 5 znaků:

"%OsobniCislo&0@-5%".

· Příklad částky, kterou má zaměstnanec uhradit (srážka ze mzdy). Částka se vyexportuje zaokrouhlená na dvě platná desetinná místa: "%Castka_Uhradit&#0.00%".

· Příklad nastavení exportu:

"%OsobniCislo%|12345|%castka_Uhradit&#0.00%".


Proměnné základního seznamu strávníků

Navigation: Postupy > Nastavení exportu >

Proměnné základního seznamu strávníků

 Return to chapter overview

Ve formátovacím řetězci řádku se zdrojem dat: Osoba a Pracovní poměr, mohou být tyto proměnné:

Název proměnné | Typ | Popis
CisloRadku | N | Číslo akt. řádku ve výstupním souboru
AktObdobi | D | Datum prvního dne aktuálního období
KonecAktObdobi | D | Datum posledního dne aktuálního období
AktDatumCas | D | Aktuální datum a čas
RC | C | Rodné číslo zaměstnance
Titul | C | Titul
Jmeno | C | Jméno
Prijmeni | C | Příjmení
TitulZa | C | Titul za
DatumNarozeni | D | Datum narození
OsobniCislo | C | Osobní číslo
DatumNastupu | D | Datum nástupu do pracovního poměru
DatumUkonceni | D | Datum ukončení pracovního poměru
TypPracovnihoPomeru | C | Kód typu pracovního poměru
PoradoveCisloPP | N | Pořadové číslo pracovního poměru

Značení typů:

· C - Textová hodnota
· D - Datum
· N - číselná hodnota


Proměnné účtu strávníka za období

Navigation: Postupy > Nastavení exportu >

Proměnné účtu strávníka za období

 Return to chapter overview

Ve formátovacím řetězci řádku se zdrojem dat: Účet strávníka za období, mohou být tyto proměnné:

Název proměnné | Typ | Popis
Obdobi | D | První den aktuálního období
Castka_Celkem | N | Celková částka za stravné (plné ceny)
Castka_Dotace | N | Celkový součet dotací
Castka_Uhradit | N | Částka, kterou má strávník uhradit (srážka ze mzdy)
Castka_VkladyHotove | N | Celkové hotovostní vklady na účet strávníka v daném období
Castka_VyberyHotove | N | Celkové hotovostní výběry z účtu strávníka v daném období
Castka_SumaOperaciHotove | N | Součet hotovostních operací (vklady a výběry) v daném období
Castka_AktualniStav | N | Stav účtu na konci období
Pocet_NarokDotace | N | Počet nároků na dotace
Pocet_Odebrano | N | Počet odebraných jídel
Pocet_Dotovano | N | Počet dotovaných jídel
Pocet_Nedotovano | N | Počet nedotovaných jídel
ZpusobUctovani | N | Způsob účtování stravného v daném období - 0 = srážkově, 1 = zálohově

Značení typů:

· C - Textová hodnota
· D - Datum
· N - číselná hodnota


Formátování datumových proměnných

Navigation: Postupy > Nastavení exportu >

Formátování datumových proměnných

 Return to chapter overview

Formátovací řetězec datumových proměnných řídí výsledné zobrazování hodnot proměnných.

Formátovací řetězec je složen ze specifikátorů, které reprezentují hodnoty jednotlivých částí data zobrazené ve výsledném tvaru proměnné. Dále je složen z ostatních formátovacích znaků, které budou zobrazeny nezměněny.

Tabulka specifikátorů:

Specifikátor | Popis
d | Dosadí číslo dne bez úvodní nuly (1 - 31)
dd | Dosadí číslo dne s úvodní nulou (01 - 31)
ddd | Dosadí zkratku dne v týdnu akt dne (Po - Ne)
dddd | Dosadí celý název dne v týdnu (Pondělí - Neděle)
m | Dosadí číslo měsíce bez úvodní nuly (1 - 12)
mm | Dosadí číslo měsíce s úvodní nulou (01 - 12)
mmm | Dosadí římskou číslici (I - XII)
mmmm | Dosadí celý název měsíce (Leden - Prosinec)
yy | Dosadí dvou místně rok
yyyy | Dosadí čtyř místně rok
/ | Oddělovač - na danou pozici dosadí oddělovač data nastavený v systému
'xx'/"xx" | Znaky uzavřené v uvozovkách nebo apostrofech jsou dosazeny nezměněny, tak jak jsou

PŘÍKLADY formátování datumové proměnné:

d.m.yyyy -> 6.3.2003

d/m/yy -> 6.3.03 (pokud je jako oddělovač nastavena tečka)

dd.mm.yyyy -> 06.03.2003

yyyy-mm-dd -> 2003-03-06


Formátování číselných proměnných

Navigation: Postupy > Nastavení exportu >

Formátování číselných proměnných

 Return to chapter overview

Formátovací řetězec číselných proměnných řídí výsledné zobrazování hodnot proměnných.

Formátovací řetězec je složen ze specifikátorů, které reprezentují jednotlivé části číslo zobrazené ve výsledném tvaru proměnné.

Tabulka specifikátorů:

Specifikátor | Popis
0 | Představuje místo pro číslici ve výsledném řetězci. Pokud je na dané pozici čísla číslice, pak je kopírována i na danou pozici do výsledného tvaru, pokud ne pak je ve výsledném tvaru dosazená 0.
# | Představuje místo pro číslici ve výsledném řetězci. Pokud je na dané pozici čísla číslice, pak je kopírována i na danou pozici do výsledného tvaru, pokud ne pak je ve výsledném tvaru tato pozice prázdná.
. | (tečka) Přestavuje oddělovač desetinné části čísla. Na danou pozici je vložen oddělovač desetinné části nastavený v systému. Pokud chcete striktně použít vámi definovaný oddělovač, zadejte oddělovač v uvozovkách.
[xx] | Náhradní oddělovač desetinné části. Pokud je do formátovacího řetězce vložen řetězec uzavřený v hranatých závorkách místo oddělovače desetinné části, pak je daný řetězec (bez závorek) vložen místo desetinného oddělovače nastaveného v systému. Pokud je použit náhradní oddělovač desetinné části pak nesmí být ve formátovacím řetězci použit normální znak oddělovače desetin (tečka).
, | (čárka) Představuje oddělovač tisíců. Na danou pozici je vložen oddělovač tisíců nastavený v systému.
E+ | Vědecká notace. Číslo je dosazeno ve vědecké notaci. E+ můžou následovat až čtyři 0 určující minimální počet číslic v exponentu. E- určuje že bude zobrazeno jen negativní znaménko u exponentu.
'xx'/"xx" | Znaky uzavřené v uvozovkách nebo apostrofech jsou dosazeny nezměněny, tak jak jsou.
; | (středník) Odděluje sekce pro kladnou, zápornou, a nulovou hodnotu čísla ve formátovacím řetězci.

PŘÍKLADY formátování číselné proměnné:

Formátovací řetězec 1234 -1234 0.5 0

1234 -1234 0.5 0

0 1234 -1234 1 0

0.00 1234.00 -1234.00 0.50 0.00

#.## 1234 -1234 .5

#,##0.00 1,234.00 -1,234.00 0.50 0.00

#,##0.00;(#,##0.00) 1,234.00 (1,234.00) 0.50 0.00

#,##0.00;;Zero 1,234.00 -1,234.00 0.50 Zero

0.000E+00 1.234E+03 -1.234E+03 5.000E-01 0.000E+00

#.###E-0 1.234E3 -1.234E3 5E-1 0E0


Automatické odesílání objednávek emailem

Navigation: Postupy >

Automatické odesílání objednávek emailem

 Return to chapter overview

Automatické odesílání objednávek je složeno ze dvou kroků. V prvním kroku je potřeba do programu Jídelna vložit skript. Tento skript po nastavení potřebných parametrů zajistí odesílání objednávek na zadanou emailovou adresu. Ve druhém kroku se v plánovači úloh nastaví jeho automatické odesílání.


Nastavení skriptu

Navigation: Postupy > Automatické odesílání objednávek emailem >

Nastavení skriptu

 Return to chapter overview

Otevřete si program Jídelna. V programu stiskněte Ctrl+Alt+S. Zobrazí se okno manažera skriptů.

V horní části stiskněte tlačítko [image] Načíst skript ze souboru. Vyberte soubor, který vám byl poslán (Export - Objednávky mailem) a načtěte ho do programu. Do levé části formuláře se Vám načte složka Export s podsouborem. Otevřete složku Export (+ se změní na -). Označte řádek Export - Objednavky mailem. V pravé části je nutné nastavit hodnoty. Hodnoty do polí nastavíte dvojklikem na vybraném řádku (v pravé části). Poté se zobrazí formulář, do kterého se zadá požadovaný údaj.

Manazer skriptu hodnota uzivatelske promenne

Po zadání potřebného potvrďte tlačítkem [image].

Nastavte hodnoty pro následující pole:

· Kód jídelny - kód jídelny naleznete v menu Seznamy/Jídelny.

· Jméno firmy - název vaší firmy.

· Kód typů denních jídel - kódy typů denních jídel naleznete v menu Seznamy/Typy denních jídel. Je potřeba vypsat kódy všech typů denních jídel, které používáte. Kódy je potřeba oddělit středníkem (ob;ve).

· Posun dne - do pole vložte, kolik dnů před výdejem stravy se má odeslat email s počty jídel. Obvykle to bývá po uzavření objednávek. Kdy se vám uzavírají objednávky, zjistíte v menu Seznamy/Jídelny -> Formulář jídelny - Objednávací pravidla.

· Seznam příjemců - zadejte emailové adresy, kterým má přijít informace o počtu objednaných jídel oddělených středníkem (bez mezer). Může to být emailová adresa dodavatele stravy. Je možné zadat i vaši emailovou adresu pro kontrolu správného odesílání emailu.

· Odesílatel - zadejte emailovou adresu odesílatele emailu.

v dalších 4 řádcích zadejte údaje pro SMTP server. Tyto údaje záleží na nastavení vašeho STMP serveru. S jejich nastavením vám pomůže váš správce sítě.

Po nastavení údajů můžete manažer skriptů uzavřít.

Více skriptů, pro odesílání objednávek emailem, je třeba nastavit v následujících případech:

- různé časy odesílání typů denních jídel (obědy a večeře),

- odesílání typů denních jídel z více jídelen,

- pokud objednáváte stravu u více dodavatelů, apod.

Aby bylo možné načíst další skript pro nastavení, je potřeba skript přejmenovat. Přejmenování můžete provést v programu Jídelna (označte název skriptu - pravé tlačítko myší - vyberte Přejmenovat skript) nebo přejmenujte soubor, který budete teprve načítat do programu. Po přejmenování proveďte načtení skriptu do programu.


Nastavení automatického odesílání emailu

Navigation: Postupy > Automatické odesílání objednávek emailem >

Nastavení automatického odesílání emailu

 Return to chapter overview

Úlohu automatického odesílání objednávek emailem nastavíte v plánovači úloh. Službu nastavíte na serveru, na kterém běží.

Otevřete service manager (Jídelna_ServiceManager.exe). V pravé části lišty Windows se zobrazí Ikona jidelny [image] - stiskněte pravé tlačítko myší na ikoně - zvolte Editor plánovače. Zobrazí se okno Plánovače úloh.

V okně stiskněte tlačítko [image] Naplánovat novou úlohu. Poté se zobrazí formulář Plánování úlohy. Ve formuláři je potřeba zadat:

· Kód - zadejte kód. Je nutné zadat kód, který ještě není nastaven u jiné úlohy v seznamu již naplánovaných úloh.

· Úloha - vyberte úlohu PROVEDENÍ SKRIPTU.

· Parametry provedení skriptu - zadejte: -script:"EXPORT/Export - Objednavky mailem".

· Naplánovat úlohu - vyberte DENNĚ.

· Čas spuštění - zadejte čas, kdy chcete email odesílat. Zpravidla po uzavření objednávek - menu Seznamy/Jídelny - Formulář jídelny/Objednávací pravidla).

Potvrďte tlačítkem [image].

Více o nastavení služby se dozvíte v kapitole Modul služba.

POZOR: Pro každý vytvořený skript, je nutné vytvořit novou úlohu.


Modul SLUŽBA

Navigation: »No topics above this level«

Modul SLUŽBA

 Return to chapter overview

Modul SLUŽBA umožňuje automaticky provádět naplánované úlohy na pozadí Windows. Je určena pro Windows NT, 2000 a XP. Modul SLUŽBA má vlastní plánovač úloh, který umožňuje naplánovat spouštěné úlohy. Pro spouštění úloh nemusí být na počítači (serveru) přihlášen žádný uživatel.


Instalace a konfigurace

Navigation: Modul SLUŽBA >

Instalace a konfigurace

 Return to chapter overview

Soubor JIDELNA_Service nainstalujte do adresáře se softwarem JÍDELNA. JIDELNA_Service spusťte s parametrem /install. Po úspěšném provedení instalace služby se zobrazí informační okno.

Následně je potřeba službu spustit. Službu spustíte v administraci počítače, kde ve službách naleznete - JIDELNA Service a tlačítkem spustit službu spustíte. Po spuštění služby Jidelna_ServiceManager.exe se v Tray zobrazí tlačítko [image], přes které se dostanete do plánovače úloh.


Plánovač úloh

Navigation: Modul SLUŽBA >

Plánovač úloh

 Return to chapter overview

V plánovači úloh je možno si nastavit automatické provádění zvolených činností ve zvoleném čase. Program poté sám provádí podle nastavení plánovače úloh operace, které by musel uživatel provádět ručně, aby připravil data pro ostatní uživatele stravovacího systému. Plánovač umožňuje vkládání nových úloh, editaci (úpravu) již existujících úloh a jejich mazání.

§ Jen úloha - po zatržení pole vyberte z nabídky, jakou úlohu chcete v seznamu zobrazit.

Po stisknutí tlačítka [image] Naplánovat novou úlohu se zobrazí dialog pro nastavení nové úlohy.

Nastaveni planovace uloh

· Kód - vepište kód. Volba kódu je na vás. Každý kód musí být jiný.

· Blokovat plánování - v případě, že zatrhnete, nebude se tato úloha spouštět.

· Úloha - vyberte úlohu, kterou chcete automaticky spouštět:

o Zálohování databáze - automaticky spustí zálohování databáze. Doporučujeme zálohování provádět jednou denně v nočních hodinách. Zálohu databáze uložte na jiný disk, než na kterém je umístěna databáze. Cestu nastavíte v zobrazeném okně. V případě použití SQL serveru se databáze ukládá na tento server. Popis parametrů:

ž -destination:<soubor/adresář> - určuje cílový soubor zálohy databáze (pro SQL databázi), nebo cílový adresář pro MDB databázi. Do názvu souboru/adresáře je možno vkládat proměnné formátující aktuální datum a čas mezi znaky: <"a">.

PŘÍKLAD:

"c:\backup\date<yyyymmdd>.bak",

"c:\bak\day<dd>_time<hhnnss>.bak",

"c:\bak\dayOfWeek<ddd>.bak".

o Načítání objednávek z terminálů - provádí vyčítání dat z objednávacích terminálů. Vyčítání dat z objednávacích terminálů se provádí zpravidla v čase od 00:04:00 do23:00:00 v intervalu spouštění 15 minut. V této úloze lze specifikovat, které terminály mají být vyčítány. Do zobrazeného okna zapište kódy terminálů oddělené čárkou nebo středníkem, pouze tyto terminály budou poté vyčítány. Popis parametrů:

ž -terminals:<seznam terminálů> - seznam kódů terminálů oddělených středníkem, pro které bude provedena úloha.

ž -lines:<seznam linek> - seznam linek terminálů oddělených středníkem, pro které bude provedena úloha.

o Generování jídelníčku do terminálů - odesílá jídelníček do objednávacích terminálů. Je možné nastavit, do kterých terminálů má být jídelníček načten. U některých typů terminálů je nutné generovat jídelníček po uzavření objednávek. Zpravidla se jídelníček do terminálů generuje 1 minutu po ukončení objednávek. Popis parametrů:

ž -terminals:<seznam terminálů> - seznam kódů terminálů oddělených středníkem, pro které bude provedena úloha.

ž -lines:<seznam linek> - seznam linek terminálů oddělených středníkem, pro které bude provedena úloha.

o Načítání vydaných jídel z terminálů - provádí vyčítání dat z výdejních terminálů. Načítání vydaných jídel z terminálů se zpravidla provádí 5 minut po ukončení výdeje stravy. Je možné nastavit, ze kterých terminálů má být vydané jídlo načteno. Popis parametrů:

ž -terminals:<seznam terminálů> - seznam kódů terminálů oddělených středníkem, pro které bude provedena úloha.

ž -lines:<seznam linek> - seznam linek terminálů oddělených středníkem, pro které bude provedena úloha.

POZOR: Během VÝDEJE JÍDEL se nesmí provádět Načítání vydaných jídel z terminálu!!!

o Generování (příprava) výdeje do terminálů - odesílá do terminálů objednaná jídla. Generování objednaných jídel do výdejních terminálů se zpravidla provádí 15 minut před začátkem výdeje stravy. Je možné nastavit, do kterých terminálů má být generování objednaných jídel odesláno. Popis parametrů:

ž -terminals:<seznam terminálů> - seznam kódů terminálů oddělených středníkem, pro které bude provedena úloha.

ž -lines:<seznam linek> - seznam linek terminálů oddělených středníkem, pro které bude provedena úloha.

POZOR: Nastavení terminálu provádějte v době PŘED Generováním (přípravou) výdeje do terminálů!!! Během VÝDEJE JÍDEL se nesmí provádět Generování (příprava) výdeje do terminálů!!!

o Aktualizace objednávek burzy v terminálech - tato úloha komunikuje s terminálem v nastaveném časovém intervalu např. jedné minuty v čase během výdeje stravy (např. stravu vydáváte od 10 do 14, potom čas kdy bude probíhat komunikace s terminálem je např. od 10 do 13:45). Zjišťuje vložená a vybraná jídla z burzy. Při vkládání jídel do burzy zjišťuje, zda toto jídlo nebylo již vydáno. Při výběru jídel z burzy přiřadí jídlo osobě, která si ho z burzy odebrala. Popis parametrů:

ž -terminals:<seznam terminálů> - seznam kódů terminálů oddělených středníkem, pro které bude provedena úloha.

ž -lines:<seznam linek> - seznam linek terminálů oddělených středníkem, pro které bude provedena úloha.

POZOR: Aktualizace objednávek burzy v terminálech se může provádět, jen pokud je zakoupen modul burza.

o Vyúčtování stravy - automaticky spustí vyúčtování stravy. Zpravidla se vyúčtovává jednou denně v nočních hodinách.

o Synchronizace přístupových skupin podle rozdělení osob - umožňuje synchronizaci přístupových skupin podle rozdělení osob pro nastavení zabezpečení jídelny. Popis parametrů:

ž -subDivType:<typ rozdělení> - určuje kód typu rozdělení, pro které bude úloha provedena.

o Synchronizace skupin osob podle rozdělení osob - synchronizuje skupiny osob podle aktuálního rozdělení osob. Popis parametrů:

ž -subDivType:<typ rozdělení> - určuje kód typu rozdělení, pro které bude úloha provedena.

o Synchronizace rozdělení osob podle jiného typu rozdělení - synchronizuje skupiny osob podle jiného typu rozdělení. Popis parametrů:

ž -subDivType:<typ rozdělení> - určuje kód zdrojového typu rozdělení, pro které bude úloha provedena.

ž -srcSubDivList:<seznam rozdělení> - určuje zdrojový seznam kódů rozdělení, oddělený středníkem, pro které bude úloha provedena.

Pokud není zadán zdrojový seznam rozdělení, pak jsou všechny rozdělení zdrojového typu synchronizována do cílového typu.

ž -dstSubDivType:<typ rozdělení> - určuje kód cílového typu rozdělení, pro které bude úloha provedena.

ž -dstSubDiv:<rozdělení> - určuje kód cílového rozdělení, pro které bude úloha provedena.

Pokud je dáno cílové rozdělení, budou všichni členové zdrojových rozdělení přiřazeni na toto cílové rozdělení.

o Provedení SQL skriptu - slouží k automatickému provedení nastaveného SQL skriptu. Popis parametrů:

ž -script:<SQL soubor> - určuje soubor s SQL skriptem, který bude proveden. Jednotlivé SQL příkazy v souboru jsou oddělené středníkem.

o Provedení skriptu - slouží k automatickému provedení vlastního definovaného skriptu, který jinak v jídelně není obsažen. Popis parametrů:

ž -script:<Název kategorie>/<Název skriptu> - určuje název kategorie a název skriptu, který bude proveden.

o Provedení agenta - slouží k automatickému provedení vlastního definovaného agenta, který jinak v jídelně není obsažen. Popis parametrů:

ž -Příkazový řádek pro spuštění agenta.

o Obnova indexů v databázi - funkce slouží k základní údržbě databáze. Tato funkce je podporována na databázových platformách MSSQL a Firebird. Funkci je vhodné provádět pravidelně například přes víkend. V závislosti na velikosti databáze může funkce trvat delší dobu. Funkce je doplněna i do menu Systém -> Správa databáze -> Obnova indexů.

o DMR On-line server - úloha se nastavuje pro fungování on-line terminálů. Úloha u těchto terminálů běží nepřetržitě (On line). Popis parametrů:

ž -UDPPort:<UDP port> - určuje UDP port, na kterém bude naslouchat on-line server.

ž -LOGLevel:<Log level> - určuje úroveň logování událostí. 0 - nic se neloguje, 1 - logují se důležité události (implicitní), 2 - loguje se vše.

ž -ThreadCount:<Počet vláken> - určuje počet vláken serveru, které obsluhují požadavky terminálů (implicitně 3).

ž -DataLog:<Datový LOG Soubor> - určuje cestu k Datovému log souboru.

ž -NSHost:<Hostitel notification serveru> - určuje hostitele (IP adresu) notification serveru.

ž -NSPort:<TCP port notification serveru> - určuje TCP port, na kterém naslouchá notification server (implicitně 15700).

o Vytvoření nového období - automaticky vytváří nové období. Pomocí parametru -dateTimeTo:@25, jsou nová období vytvářena do měsíce, ve kterém je den zadaný posunem od aktuálního systémového data. Popis parametrů:

ž -dateTimeTo:[@[-]<posun dnů>] - pokud je den zadán posunem (uvozeným znakem "@"), pak jsou nová období vytvořena do měsíce, ve kterém je den zadaný posunem od aktuálního systémového data.

· Souběžné provádění - při zaškrtnutí se povolí souběžné provádění úlohy.

· Nesouběžné úlohy - seznam úloh, které nesmí být prováděny souběžně. Vepíšete seznam plánovaných úloh oddělených středníkem.

· Naplánovat úlohu - vyberte z následujících potřebnou možnost:

o Jednou - zadejte datum a čas provedení úlohy.

o V intervalu - zadejte interval pravidelného spouštění ve formátu HH:MM:SS, zvolit můžete ještě omezení v rámci dne od-do.

o Denně - zadejte čas pro spuštění v každém dni.

o Týdně - zadejte čas spuštění a den v týdnu.

o Měsíčně - zadejte čas pro spuštění a číslo dne v měsíci.

o Ročně - zadejte čas pro spuštění, číslo dne v měsíci a měsíc.

o On line - v některých specifických případech úloha běží nepřetržitě.

· Opakovat v případě chyby - při zaškrtnutí této položky bude naplánovaná úloha spuštěna znovu. U dalších položek nastavíte parametry opakování.

· Prodleva před opakováním úlohy - zadejte číslo. V případě chyby bude naplánovaná úloha spouštěna až po zadaném intervalu (např.: 30s).

· Max. počet opakování úlohy - vepište číslo. V případě chyby bude naplánovaná úloha spuštěna znovu (např.: vepíšete 3, v případě opakovaných chyb bude naplánovaná úloha spuštěna maximálně 3x po sobě).

· Zapisovat do LOGu i úspěšně provedenou úlohu - zapíše do LOGu (záznam událostí) všechny provedené úlohy. Záznam událostí zapsaných do LOGu zobrazíte v programu pomocí stisku kláves CTR+ALT+L. Záznamy událostí DB Log souboru zobrazíte v programu pomocí stisku kláves CTR+ALT+R.

· Zpráva e-mailem - zvolte, zda si chcete nechat posílat e-mailové zprávy o provedené úloze. Na výběr máte z následujících možností:

o Neposílat - zpráva o provedené úloze vám nebude poslána.

o V případě chyby - zpráva bude poslána jen v případě, když se vyskytne chyba při provádění nastavené úlohy.

o Vždy po provedení úlohy - zpráva o provedené úloze vám dojde vždy bez ohledu na to, zda se vyskytne chyba nebo ne.

· Příjemce - v případě, že jste nastavili posílání zpráv, zadejte e-mailovou adresu, na kterou se bude odesílat informační email o provedené úloze.

POZOR: V případě zasílání zpráv e-mailem je nutné nastavit v seznamu naplánovaných úloh pomocí ikony [image] SMTP server. Tyto údaje záleží na nastavení vašeho SMTP serveru. S jejich nastavením vám pomůže váš správce sítě.


Manuál Intrawebu

Navigation: Modul INTRAWEB >

Manuál Intrawebu

 Return to chapter overview

Na následujících stránkách se dozvíte potřebné informace o ovládání Intrawebu. Manuál je určen pro všechny uživatele, kteří si zakoupili modul Intraweb k programu Jídelna.

Před prvním použitím Intrawebu zkontrolujte nastavení v programu Jídelna. V menu Systém/Nastavení/Nastavení Intrawebu/záložka Jídelna je třeba mít zaškrtnutou položku Povolit jídelnu v intrawebu.


Nastavení práv uživatelů

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Nastavení práv uživatelů

 Return to chapter overview

V programu máte možnost nastavit práva pro uživatele intrawebu. Potřebné nastavení lze provést:

Ø ve formuláři zaměstnance na záložce Intraweb (nastavení práv pro jednu konkrétní osobu),

Ø v nastavení intrawebu -> Práva uživatelů (nastavení pro všechny uživatele nebo vybrané skupiny),

Ø v nastavení intrawebu -> Skupiny uživatelů (hromadné nastavení práv podle skupiny uživatelů),

Ø v nastavení intrawebu -> Jména a hesla (nastavení přihlašovacích jmen, hesel a skupin uživatelů pro všechny uživatele nebo vybrané skupiny).

Ø nastavení práv pro jednu konkrétní osobu

V této části přiřazujete zaměstnanci jednotlivá práva pro přístup k datům na intrawebu. V první řadě je to přihlašovací jméno a heslo, kterým se bude zaměstnanec do systému přihlašovat. Dále to jsou jednotlivá práva přístupu.

Nastavení práv provedete následovně:

V seznamu vyberete a označíte položku s typem práva, kterou chcete nastavit, a v dolní části karty vyberete požadované nastavení práv. Pro názornost bude vysvětlena položka s typem práva Prohlížení údajů. Máte možnost vybrat z následujících:

· Podle skupiny uživatelů - právo na prohlížení údajů se nastaví podle vybrané skupiny uživatelů. Skupinu uživatelů musí mít osoba nastavenou v kartě zaměstnance na záložce Intraweb v poli Skupina uživatelů. Skupiny uživatelů nastavíte v menu Systém/Nastavení/Nastavení Intrawebu/Skupiny uživatelů. Noví zaměstnanci budou mít po vybrání skupiny v kartě zaměstnance automaticky nastaveno Podle skupiny uživatelů.

· Pouze vlastní - osoba s tímto povolením má zobrazeny pouze vlastní údaje např. osobní údaje.

· Vybrané osoby a skupiny - osobě s tímto povolením musíte v dolní části formuláře vybrat osobu nebo skupinu. Kliknutím na podtržený popisek Vybrané osoby se zobrazí seznam zaměstnanců, ze kterého vyberete požadovanou osobu. Novou osobu můžete vytvořit v menu Seznamy/Zaměstnanci. Kliknutím na podtržený popisek Vybrané skupiny zobrazíte seznam vytvořených skupin, ze kterého vyberete požadovanou skupinu osob. Novou skupinu můžete vytvořit v menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci. Osoba po nastavení práv uvidí údaje (například osobní údaje) vybrané osoby, vybrané skupiny (například Dělníků) v intrawebu.

· Vše - uživatelé s tímto povolením můžou v intrawebu prohlížet např. osobní údaje všech zaměstnanců.

· Zakázat - osoba s tímto povolením nemá právo prohlížet např. osobní údaje.

Pro volby Vlastní rozdělení, Vlastní rozdělení kromě sebe, Vlastní a podřízená rozdělení, Vlastní a podřízená rozdělení kromě sebe, Podřízená rozdělení, je nutné mít nastaveno v menu Systém/Nastavení/Nastavení Intrawebu/Typy práv uživatelů typ rozdělení u zvoleného práva. Pokud u zvoleného práva není nastaven Typ rozdělení, potom se při přiřazení některé z uvedených voleb zobrazí hláška: "Pozor! Pro tento typ práva není nastaven typ rozdělení!". Zda je Typ rozdělení u vybraného práva nastaven, můžete ověřit ve sloupci Typ rozdělení. Pokud ve sloupci není žádná hodnota, není typ rozdělení nastaven.

PŘÍKLAD: Na záložce Skupiny uživatelů nastavíte pro typ práva SCHVÁLENÍ ABSENCE hodnotu VLASTNÍ A PODŘÍZENÁ ROZDĚLENÍ KROMĚ SEBE. Na záložce Typ práv uživatelů pro typ práva SCHVÁLENÍ ABSENCE je nutné mít vybrán Typ rozdělení.

Pokud jste vybrali v horní části formuláře ze seznamu položku s typem práva Odblokování nebo Zablokování karty, potom se ve spodní části zobrazí popisek: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

Ø Nastavení práv pro všechny uživatele nebo vybrané skupiny

Zde máte možnost nastavit práva pro prohlížení a editaci údajů vlastních, údajů vybrané skupiny nebo osoby, případně údajů všech dle vybraného rozsahu.

V horní části formuláře vyberte funkci, pro kterou chcete nastavit práva uživatelů (např. Prohlížení údajů). V dalším kroku vyberte, zda chcete vytvořit práva pro všechny uživatele nebo jen pro vybrané skupiny.

1) Nastavení práv pro všechny uživatele:

· Nastavení práv - z nabídky zvolte, jaká práva chcete, aby měli všichni zaměstnanci. Pro všechny zaměstnance budete nejčastěji volit Zakázat - osoby s tímto povolením, nemají právo prohlížet údaje např. osobní údaje nebo Pouze vlastní - osoby s tímto povolením uvidí pouze vlastní údaje např. osobní údaje.

· Vybrané záznamy - z nabídky zvolte, co se má provést s právy zaměstnanců. Při prvním nastavení práv zaměstnanců použijete volbu Nastavit - všem zaměstnancům se nastaví zvolená práva do Formuláře zaměstnance.

Pokud jste vybrali v horní části formuláře Odblokování nebo Zablokování karty, potom se ve spodní části formuláře zobrazí Podrobnosti. V podrobnostech můžete provést následující nastavení. Ponechat beze změny - políčko je implicitně zaškrtnuto. Pokud potřebujete provést změnu, odškrtněte políčko u tohoto popisu. Následně budete moci zaškrtnout políčko: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

2) Nastavení práv pro vybrané skupiny:

Práva pro všechny zaměstnance máte již vytvořena, ale potřebujete ještě nastavit práva jen pro určitou skupinu uživatelů. Může se jednat o nastavení práv pro mistry, aby viděli potřebné údaje svých podřízených (dělníků).

· Provést požadované změny pouze pro osoby ze skupiny - zatrhnutím políčka a výběrem z nabídky zvolte, pro jakou skupinu uživatelů chcete nastavit práva (například skupina Mistři). Novou skupinu můžete vytvořit v menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci.

· Nastavení práv - z nabídky zvolte, jaká práva chcete přidělit osobám ze skupiny (například Mistrům pro prohlížení údajů jejich podřízených - Dělníků). Pro jednotlivé skupiny zaměstnanců budete nejspíše volit Vybrané skupiny a osoby - po zvolení tohoto práva nastavte potřebné osoby a skupiny v následujících dvou řádcích Vybrané osoby a Vybrané skupiny (například Dělníci). Mistři po nastavení práv uvidí například osobní údaje vybrané osoby, vybrané skupiny (například Dělníků). Všechny - vybraná skupina osob s tímto povolením uvidí údaje všech (například osobní údaje všech zaměstnanců).

· Vybrané záznamy - z nabídky zvolte, co se má provést s právy vybraných osob ze skupiny. Jelikož již jsou nastavena nějaká práva, použijete volbu Přidat k právům zaměstnanců - vybraným osobám ze skupiny budou přidána zvolená práva.

Pokud jste vybrali v horní části formuláře Odblokování nebo Zablokování karty, potom se ve spodní části formuláře zobrazí Podrobnosti. V podrobnostech můžete provést následující nastavení. Ponechat beze změny - políčko je implicitně zaškrtnuto. Pokud potřebujete provést změnu, odškrtněte políčko u tohoto popisu. Následně budete moci zaškrtnout políčko: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

Pokud máte údaje ve formuláři vyplněné, stačí stisknout tlačítko Provést a požadované změny se provedou. Všechna provedená nastavení pro osoby se uloží do Formuláře zaměstnance - Intraweb.

POZOR: Prohlížení údajů je nutné nastavit pro všechny, kteří mohou vidět data v intrawebu.

Ø hromadné nastavení práv podle skupiny uživatelů

Zde máte možnost nastavit práva podle uživatelských skupin. Uživatelskou skupinou může být například Prodejna, Vedoucí prodejny či Oblastní manažer. Každá z těchto skupin bude mít jiná práva v intrawebu. Skupinu uživatelů můžete zaměstnancům přiřadit v jejich kartě zaměstnance nebo hromadně v nastavení intrawebu ve formuláři Jména a hesla.

· Skupiny uživatelů - vytvořte skupinu uživatelů stiskem tlačítka Nový záznam. Klikněte do vytvořeného řádku a zadejte název a kód skupiny. V případě potřeby je možné zadat i poznámku ke skupině.

Práva vybrané skupině nastavíte tak, že si nejprve označíte skupinu uživatelů. Potom ve střední části označíte vybraný řádek s právem a ve spodní části "Nastavení práva" vyberete požadovanou hodnotu ze seznamu.

· Pouze vlastní - uživatelé s tímto povolením mají zobrazeny pouze vlastní údaje např. osobní údaje.

· Vybrané osoby a skupiny - uživatelům s tímto povolením musíte v dolní části formuláře vybrat osobu nebo skupinu. Kliknutím na podtržený popisek Vybrané osoby se zobrazí formulář Výběr osob pro práva v intrawebu, ze kterého vyberete požadovanou osobu. Novou osobu můžete vytvořit v menu Seznamy/Zaměstnanci. Kliknutím na podtržený popisek Vybrané skupiny zobrazíte formulář Výběr skupin pro práva v intrawebu, ze kterého vyberete požadovanou skupinu osob. Novou skupinu můžete vytvořit v menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci. Osoba po nastavení práv uvidí údaje (například osobní údaje) vybrané osoby, vybrané skupiny (například Dělníků) v intrawebu.

· Vše - uživatelé s tímto povolením můžou v intrawebu prohlížet např. osobní údaje všech zaměstnanců.

· Zakázat - uživatelé s tímto povolením nemají právo prohlížet např. osobní údaje.

Pro volby Vlastní rozdělení, Vlastní rozdělení kromě sebe, Vlastní a podřízená rozdělení, Vlastní a podřízená rozdělení kromě sebe, Podřízená rozdělení, je nutné mít nastaveno na záložce Typy práv uživatelů typ rozdělení u zvoleného práva. Pokud u zvoleného práva není nastaven Typ rozdělení, potom se při přiřazení některé z uvedených voleb zobrazí hláška: "Pozor! Pro tento typ práva není nastaven typ rozdělení! (záložka Typy práv uživatelů)".

PŘÍKLAD: Na záložce Skupiny uživatelů nastavíte pro typ práva SCHVÁLENÍ ABSENCE hodnotu VLASTNÍ A PODŘÍZENÁ ROZDĚLENÍ KROMĚ SEBE. Na záložce Typy práv uživatelů pro typ práva SCHVÁLENÍ ABSENCE je nutné mít vybrán Typ rozdělení.

Pokud jste vybrali v horní části formuláře ze seznamu položku s typem práva Odblokování nebo Zablokování karty, potom se ve spodní části zobrazí popisek: Uživatel musí při odblokování/blokování karty zadat své heslo - při zaškrtnutí políčka musí uživatel při blokování nebo odblokování karty zadat své heslo.

Ø nastavení přihlašovacích jmen, hesel a skupin uživatelů pro všechny uživatele nebo vybrané skupiny

Zde máte možnost nastavit přístupová jména, hesla a případně skupinu uživatelů zaměstnancům.

V horní části formuláře vyberte z nabídky typ kódování hesla. V dalším kroku vyberte, zda chcete vytvořit práva pro všechny uživatele nebo jen pro vybrané skupiny.

1) Nastavení pro všechny uživatele:

· Přihlašovací jméno - z nabídky zvolte požadovaný tvar přihlašovacího jména. Pokud má být přihlašovací jméno bez diakritiky, zatrhněte pole Bez diakritiky.

· Přihlašovací heslo - z nabídky vyberte heslo. V poli můžete nastavit i jednotné heslo pro všechny vybrané uživatele a potom nastavit vynucení změny hesla.

· Vynutit změnu hesla - pokud se zvolí vynucení hesla (vybere se položka Ano), potom po prvním přihlášení do intrawebu se zaměstnanci zobrazí informace o tom, že platnost hesla vypršela a je nutné si zadat heslo nové. Vynucení hesla se projeví i v kartě zaměstnance na záložce Intraweb zaškrtnutou položkou Vynutit změnu hesla při přihlášení. Po prvním přihlášení zaměstnance a zadání nového hesla pole již zaškrtnuté nebude a navíc se vyplní pole Poslední změna hesla ve formátu DD.MM.RRRR HH:MM:SS.

· Skupina uživatelů - zaměstnancům můžete hromadně přiřadit jejich skupinu. Seznam skupin uživatelů vytvoříte v Nastavení intrawebu/Skupiny uživatelů.

2) Nastavení pro vybrané skupiny:

Pokud potřebujete nastavit jména a hesla jen pro určitou skupinu uživatelů, použijete tyto volby:

· Provést požadované změny pouze pro osoby ze skupiny - zatrhnutím políčka a výběrem z nabídky zvolte, pro jakou skupinu uživatelů chcete nastavit jména a hesla (například skupina Mistři). Novou skupinu můžete vytvořit v menu Systém/Správa databáze/Skupiny osob pro zabezpečení v aplikaci.

· Provést požadované změny pouze u osob, které nemají údaje vyplněné - při zaškrtnutí políčka provedete nastavení pro osoby, které nemají tyto údaje vyplněné.

Pokud máte údaje ve formuláři vyplněné, stačí stisknout tlačítko Provést a požadované změny se provedou. Všechna provedená nastavení pro osoby se uloží do Formuláře zaměstnance - Intraweb.


Příhlášení uživatele

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Příhlášení uživatele

 Return to chapter overview

Na Intraweb se vstupuje na základě vyplněného uživatelského Jména a Hesla. To je přiděleno každému uživateli správcem.

I_Prihlaseni do intrawebu


Osobní údaje

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Osobní údaje

 Return to chapter overview

V tomto odkazu se zobrazují osobní údaje zaměstnance. Pokud chcete odkaz využívat, je potřeba jej nastavit v programu:

Ø v nastavení intrawebu -> Ostatní údaje

-> Zobrazit osobní údaje.

Ø v nastavení intrawebu -> Obecné

-> Výběr osob - před jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

-> Výběr osob - za jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

Osoba.Uzivatelska1 - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 v kartě zaměstnance (Karta zaměstnance -> Ostatní údaje). Uživatelská pole je možné přejmenovat v nastavení aplikace (Nastavení aplikace -> Společné nastavení -> Uživatelská pole osob, prac. poměrů).

Osoba.Uzivatelska1 + ': ' - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 s dvojtečkou za zobrazenou hodnotou.

Osoba.IntrawebLogin - před jménem/za jménem se zobrazí přihlašovací jméno osoby.

PracovniPomer.OsobniCislo - před jménem/za jménem se zobrazí osobní číslo zaměstnance.

Ø pokud jste provedli potřebné nastavení odkazu v programu, objeví se následující:

I_Filtr vyber osoby

· Osoba - vyberte osobu, u které chcete zobrazit data. Pokud tuto možnost nemáte, není výběr povolen v programu (Karta zaměstnance -> Intraweb). Před jménem i za jménem se můžou zobrazit další údaje osoby. Je to například hodnota, která je zadaná v Uživatelském poli 1, přihlašovací jméno nebo osobní číslo zaměstnance. Nastavení dalších údajů provedete v aplikaci (Nastavení intrawebu -> Obecné -> Výběr osob - před/za jménem zobrazit).

Tlačítkem [image] nastavíte zadané údaje a zobrazí se vám údaje vybrané osoby.

V osobních údajích jsou zobrazeny podrobné informace k vybrané osobě. Automaticky zobrazované údaje jsou Jméno a příjmení osoby. Dále jsou to ty údaje, které jste vybrali v programu, konkrétně v menu "Systém -> Nastavení intrawebu -> Osobní údaje". Může se jednat o Rodné číslo, Datum narození apod.

I_Automaticky zobrazene udaje

POZOR: Další údaje se zobrazí pouze v případě, že máte zakoupen program Mzdy nebo Personalistika.

Dalšími zobrazovanými položkami jsou Trvalé bydliště a Telefon:

I_Adresa trvaleho bydliste

Pokud má zaměstnanec zapsané údaje o Přechodném bydlišti, zobrazí se tyto údaje pod adresou trvalého bydliště:

I_Adresa prechodneho bydliste

Je potřeba v programu, v kartě zaměstnance, v záložce Adresy vyplnit alespoň jednu z následujících položek: Ulice, Část obce, PSČ, Stát, Telefon 1, Telefon 2, Mobil.

V intrawebu máte možnost nahlásit změnu adresy trvalého a přechodného bydliště, a to prostřednictvím odkazu Nahlásit změnu:

I_Formular trvaleho bydliste

· Platnost Od - zadejte datum platnosti, od kdy daná změna platí.

· Ulice - doplňte novou ulici.

· Město - zadejte název města.

· PSČ - uveďte příslušné poštovní směrovací číslo.

· Poznámka - libovolná poznámka vztahující se ke změně údajů.

Tlačítkem [image] odešlete zadaná data do programu a zobrazí se hláška o provedené změně (např. Hlášení změny bylo zapsáno do databáze). Změna údajů bude provedena až po zapsání stavu v programu (menu "Personalistika/Vzkazy/Nahlášené změny -> formulář Nahlášená změna -> tlačítko Zapsat adresu).

V případě, že v kartě zaměstnance, v záložce Rodina vyplníte kolonku Rodinný stav a Platnost od, zobrazí se tento údaj v aplikaci intrawebu:

Tak jako v předešlém případě máte možnost nahlásit změnu prostřednictvím odkazu Nahlásit změnu:

I_Formular rodinneho stavu

· Platnost Od - zadejte datum platnosti, od kdy daná změna platí.

· Rodinný stav - vyberte jednu z následujících možností: Svobodný/á, Ženatý/Vdaná, Rozvedený/á, Osamělý otec/svobodná matka, Vdovec/a.

· Poznámka - libovolná poznámka týkající se změny údajů.

Tlačítkem [image] odešlete zadaná data do programu a zobrazí se hláška o provedené změně (např. Hlášení změny bylo zapsáno do databáze). Změna údajů bude provedena až po zapsání stavu v programu (menu "Personalistika/Vzkazy/Nahlášené změny -> formulář Nahlášená změna -> tlačítko Zapsat stav).

V další části jsou zobrazeny údaje o zdravotním stavu a pojišťovně, ke které zaměstnanec patří:

· Zdravotní stav - pro zobrazení zdravotního stavu zaměstnance vyplňte v programu v kartě zaměstnance, v záložce Zdravotní stav položky Platnost od a Zdravotní stav.

· Zdravotní pojišťovna - pro zobrazení zdravotní pojišťovny vyplňte v kartě zaměstnance, v záložce Zdravotní pojištění položky Platnost od a Pojišťovna.

· Číslo pojištěnce - pro zobrazení čísla pojištěnce musí být naplněna položka Číslo pojištěnce v záložce Zdravotní pojištění.

Můžete vytvořit přehled doplňujících informací o dané osobě:

· Vzdělání - pro zobrazení dosaženého vzdělání zaměstnance vyplňte v kartě zaměstnance, v záložce Vzdělání položky Vzdělání, Obor vzdělání, Datum ukončení, popřípadě Škola, Datum od.

· Schopnosti a dovednosti - intraweb načte údaje uvedené v kartě vybrané osoby, v sekci Schopnosti, v položkách Schopnost/dovednost a Úroveň.

· Pracovní místo - pro zobrazení pracovního místa vyplňte v kartě zaměstnance, v záložce Pracovní místa položky Pracovní místo a Platnost od.


XML formuláře

Navigation: Modul INTRAWEB > Manuál Intrawebu >

XML formuláře

 Return to chapter overview

V tomto odkazu máte možnost vyplňovat a předávat formuláře, které jste si vytvořili, nebo vám byly vytvořeny na zakázku. Předávání těchto formulářů je vázané na nastavení předávacího procesu v programu. Pokud chcete odkaz využívat, je potřeba jej nastavit v programu:

Ø v nastavení intrawebu -> Personalistika

-> Položka menu pro XML formuláře - položka, jejíž vložený název se zobrazí v menu intrawebu (například XML formuláře).

-> Načíst do menu XML šablony - některé XML šablony mohou být součástí menu v intrawebu.

POZOR: Položka se zobrazí pouze v případě, že máte zakoupen modul XML šablony.


Jídelníček

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Jídelníček

 Return to chapter overview

V tomto odkazu máte možnost zobrazit si a objednat stravu. Pokud chcete odkaz využívat je potřeba jej nastavit v programu Jídelna:

Ø v nastavení intrawebu -> Obecné

-> Výběr osob - před jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

-> Výběr osob - za jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

Osoba.Uzivatelska1 - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 v kartě zaměstnance (Karta zaměstnance -> Ostatní údaje). Uživatelská pole je možné přejmenovat v nastavení aplikace (Nastavení aplikace -> Společné nastavení -> Uživatelská pole osob).

Osoba.Uzivatelska1 + ': ' - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 s dvojtečkou za zobrazenou hodnotou.

Osoba.IntrawebLogin - před jménem/za jménem se zobrazí přihlašovací jméno osoby.

PracovniPomer.OsobniCislo - před jménem/za jménem se zobrazí osobní číslo zaměstnance.

Ø v nastavení intrawebu -> Jídelna

-> Zobrazit jídelníček.

-> Povolit burzu - zatrhnutím políčka povolíte burzu v intrawebu.

-> Přímá burza - počet minut před výdejem - zadejte počet minut před výdejem, kdy je ještě možné vkládat a vybírat jídla z burzy bez komunikace s terminálem. Změna se do terminálu zapíše až při následujícím generování. Více o burze naleznete v manuálu k programu Jídelna v kapitole Stravování -> Individuální objednávky osob.

Ø práva pro Objednávání jídla můžete nastavit v:

Karta zaměstnance -> Intraweb - pro jednoho konkrétního zaměstnance,

Nastavení intrawebu -> Práva uživatelů - pro více uživatelů.

Ø pokud máte v programu (Karta zaměstnance -> Intraweb) Prohlížení údajů (Jídelna) zakázáno, tento odkaz se nezobrazí. Pokud údaje můžete prohlížet a zároveň jste provedli potřebné nastavení odkazu v jídelně, objeví se následující:

I_Filtr vyber osoby

· Osoba - vyberte osobu, u které chcete zobrazit data. Pokud tuto možnost nemáte, není výběr povolen v programu Jídelna (Karta zaměstnance -> Intraweb). Před jménem i za jménem se můžou zobrazit další údaje osoby. Je to například hodnota, která je zadaná v Uživatelském poli 1, přihlašovací jméno nebo osobní číslo zaměstnance. Nastavení dalších údajů provedete v programu Docházka (Nastavení intrawebu -> Obecné -> Výběr osob - před/za jménem zobrazit).

Na stránce je zobrazena jídelna, do které je strávník přiřazen a jídelníček na aktuální týden. Šipkami I_Sipka dvojita vlevo , I_Sipka dvojita vpravo se posouváte na potřebný týden. Samotná objednávka proběhne kliknutím na tlačítko plus. Mínusem dojde ke zrušení objednávky. Jestliže strávník má již objednáno a není možné již tuto objednávku zrušit má možnost ji předat do burzy. Pokud chcete používat burzu v Intrawebu je potřeba ji nastavit v programu Jídelna (nastavení intrawebu -> záložka Jídelna -> Povolit burzu).

POZOR: burza je přístupná, jen pokud máte zakoupen modul burza.

Burza

Burzu použijete v případě, kdy objednané jídlo již nelze zrušit. Nastavení burzy provedete v programu Jídelna (Nastavení intrawebu/Jídelna).

Ukázka objednávek

V řádcích jsou uvedeny informace ke stravě. Červeně označená čísla a tlačítka znamenají, že se jedná o burzu. U modrých označení je standardní objednávání. Níže jsou jednotlivé informace ke stravě vysvětleny:

Pondělí Oběd 1 - objednávání jídel na pondělí bylo již ukončeno. Na řádku není zobrazena možnost pro objednání [image], [image] ani zrušení objednávky [image], [image]. Počet objednaných jídel: 1.

Úterý Oběd 1 - tento oběd byl přidán do burzy druhou osobou. Tlačítkem [image] si tuto objednávku můžete převzít z burzy.

Úterý Oběd 2 - tento oběd byl přidán do burzy. 0 - počet mých objednávek. +1 - počet mých objednávek přidaných do burzy. Tlačítkem [image] si tuto objednávku můžete převzít z burzy.

Úterý Oběd 5 - tento oběd je objednaný. Počet objednaných jídel: 1. Máte možnost přes tlačítko [image] oběd přidat do burzy.

Středa - na tento den byl objednán jeden oběd. Další oběd je možné si objednat přes tlačítko [image], případně zrušit přes tlačítko [image].

Čtvrtek - na tento den není možné si objednat další jídlo. Na řádku není zobrazena možnost pro objednání [image]. Osoba dosáhla maximálního počtu denních objednávek (nastavení se provádí v programu Jídelna). Osoba si může jídlo zrušit [image] a poté objednat [image] jinou položku.

Pátek - na tento den není ještě provedena žádná objednávka. Tlačítkem [image] si může osoba požadované jídlo objednat.


Pohyby na účtu

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Pohyby na účtu

 Return to chapter overview

V tomto odkazu máte možnost zobrazit provedené pohyby na účtu. V seznamu se zobrazují objednaná jídla, dotace stravy apod. Pokud chcete odkaz využívat je potřeba jej nastavit v programu Jídelna:

Ø v nastavení intrawebu -> Obecné

-> Výběr osob - před jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

-> Výběr osob - za jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

Osoba.Uzivatelska1 - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 v kartě zaměstnance (Karta zaměstnance -> Ostatní údaje). Uživatelská pole je možné přejmenovat v nastavení aplikace (Nastavení aplikace -> Společné nastavení -> Uživatelská pole osob).

Osoba.Uzivatelska1 + ': ' - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 s dvojtečkou za zobrazenou hodnotou.

Osoba.IntrawebLogin - před jménem/za jménem se zobrazí přihlašovací jméno osoby.

PracovniPomer.OsobniCislo - před jménem/za jménem se zobrazí osobní číslo zaměstnance.

-> Maximální počet zobrazených období - při výběru období se nabídne jen zadaný počet starších období. Pokud zadáte hodnotu 0, nebude počet omezen.

Ø pokud máte v programu (Karta zaměstnance -> Intraweb) Prohlížení údajů (Jídelna) zakázáno, tento odkaz se nezobrazí. Pokud údaje můžete prohlížet a zároveň jste provedli potřebné nastavení odkazu v jídelně, objeví se následující:

I_Vyber obdobi a osoby

· Období - zvolte měsíc, pro který chcete zobrazit seznam pohybů na účtu. Počet období, které se zobrazí v seznamu, můžete omezit v programu Jídelna (nastavení intrawebu -> Obecné -> Maximální počet zobrazených období). Zámek ( [image]) u položky Období, se zobrazuje u uzavřeného období.

· Osoba - vyberte osobu, u které chcete zjistit pohyby na účtu pro vybrané období. Pokud tuto možnost nemáte, není výběr povolen v programu Jídelna (Karta zaměstnance -> Intraweb). Před jménem i za jménem se můžou zobrazit další údaje osoby. Je to například hodnota, která je zadaná v Uživatelském poli 1, přihlašovací jméno nebo osobní číslo zaměstnance. Nastavení dalších údajů provedete v programu Docházka (Nastavení intrawebu -> Obecné -> Výběr osob - před/za jménem zobrazit).

Po nastavení se zobrazí seznam pro vybrané období a dny ve kterých jste měli pohyb na účtu. Ve sloupcích je uvedeno datum a čas, typ pohybu jakým může být objednávka jídla, odběr bez objednávky, dotace stravy, vklad hotově či vyplacení hotově. V dalších sloupcích je uvedena částka za provedený pohyb a popis pohybu, kterým může být Večeře 1, Dotace stravy, Oběd 1 apod. S těmito údaji nelze provádět žádné změny, slouží jen k prohlížení.

I_Pohyby na uctu


Denní pohyby

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Denní pohyby

 Return to chapter overview

V tomto odkazu máte možnost zobrazit denní pohyby strávníka. Pokud chcete odkaz využívat je potřeba jej nastavit v programu Jídelna:

Ø v nastavení intrawebu -> Obecné

-> Výběr osob - před jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

-> Výběr osob - za jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

Osoba.Uzivatelska1 - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 v kartě zaměstnance (Karta zaměstnance -> Ostatní údaje). Uživatelská pole je možné přejmenovat v nastavení aplikace (Nastavení aplikace -> Společné nastavení -> Uživatelská pole osob).

Osoba.Uzivatelska1 + ': ' - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 s dvojtečkou za zobrazenou hodnotou.

Osoba.IntrawebLogin - před jménem/za jménem se zobrazí přihlašovací jméno osoby.

PracovniPomer.OsobniCislo - před jménem/za jménem se zobrazí osobní číslo zaměstnance.

-> Maximální počet zobrazených období - při výběru období se nabídne jen zadaný počet starších období. Pokud zadáte hodnotu 0, nebude počet omezen.

Ø pokud máte v programu (Karta zaměstnance -> Intraweb) Prohlížení údajů (Jídelna) zakázáno, tento odkaz se nezobrazí. Pokud údaje můžete prohlížet a zároveň jste provedli potřebné nastavení odkazu v jídelně, objeví se následující:

I_Vyber obdobi a osoby

· Období - zvolte měsíc, pro který chcete zobrazit seznam denních pohybů. Počet období, které se zobrazí v seznamu, můžete omezit v programu Jídelna (nastavení intrawebu -> Obecné -> Maximální počet zobrazených období). Zámek ( [image]) u položky Období, se zobrazuje u uzavřeného období.

· Osoba - vyberte osobu, u které chcete zjistit denní pohyby pro vybrané období. Pokud tuto možnost nemáte, není výběr povolen v programu Jídelna (Karta zaměstnance -> Intraweb). Před jménem i za jménem se můžou zobrazit další údaje osoby. Je to například hodnota, která je zadaná v Uživatelském poli 1, přihlašovací jméno nebo osobní číslo zaměstnance. Nastavení dalších údajů provedete v programu Docházka (Nastavení intrawebu -> Obecné -> Výběr osob - před/za jménem zobrazit).

Po nastavení se zobrazí seznam pohybů na účtu pro vybrané období po dnech. Ve sloupcích je uvedeno datum, částka pohybu a částka dotace. V dalším sloupci může být uvedeno, zda Vám byla dotace nějakým způsobem upravena např. (upraveno). Na konci seznamu jsou uvedeny součty za celý měsíc. Je zde součet pohybů (např. -420), součet dotací (např. 60) a jejich rozdíl (např. -360).


Odběry jídel

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Odběry jídel

 Return to chapter overview

V tomto odkazu máte možnost zobrazit odběry jídel strávníka. Pokud chcete odkaz využívat je potřeba jej nastavit v programu Jídelna:

Ø v nastavení intrawebu -> Obecné

-> Výběr osob - před jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

-> Výběr osob - za jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

Osoba.Uzivatelska1 - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 v kartě zaměstnance (Karta zaměstnance -> Ostatní údaje). Uživatelská pole je možné přejmenovat v nastavení aplikace (Nastavení aplikace -> Společné nastavení -> Uživatelská pole osob).

Osoba.Uzivatelska1 + ': ' - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 s dvojtečkou za zobrazenou hodnotou.

Osoba.IntrawebLogin - před jménem/za jménem se zobrazí přihlašovací jméno osoby.

PracovniPomer.OsobniCislo - před jménem/za jménem se zobrazí osobní číslo zaměstnance.

-> Maximální počet zobrazených období - při výběru období se nabídne jen zadaný počet starších období. Pokud zadáte hodnotu 0, nebude počet omezen.

Ø pokud máte v programu (Karta zaměstnance -> Intraweb) Prohlížení údajů (Jídelna) zakázáno, tento odkaz se nezobrazí. Pokud údaje můžete prohlížet a zároveň jste provedli potřebné nastavení odkazu v jídelně, objeví se následující:

I_Vyber obdobi a osoby

· Období - zvolte měsíc, pro který chcete zobrazit seznam odběrů jídel. Počet období, které se zobrazí v seznamu, můžete omezit v programu Jídelna (nastavení intrawebu -> Obecné -> Maximální počet zobrazených období). Zámek ( [image]) u položky Období, se zobrazuje u uzavřeného období.

· Osoba - vyberte osobu, u které chcete zjistit odběry jídel pro vybrané období. Pokud tuto možnost nemáte, není výběr povolen v programu Jídelna (Karta zaměstnance -> Intraweb). Před jménem i za jménem se můžou zobrazit další údaje osoby. Je to například hodnota, která je zadaná v Uživatelském poli 1, přihlašovací jméno nebo osobní číslo zaměstnance. Nastavení dalších údajů provedete v programu Docházka (Nastavení intrawebu -> Obecné -> Výběr osob - před/za jménem zobrazit).

· Datum a čas - seznam dnů, ve kterých byl proveden odběr stravy.

· Místo odběru - odběrní místo stravy.

· Cena - cena odběru stravy.

· Množství - počet odebraných porcí jídla.

· Popis - název provedeného odběru.


Účet strávníka

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Účet strávníka

 Return to chapter overview

V tomto odkazu se zobrazí přehled účtu strávníka za jednotlivá období. V seznamu jsou zobrazeny jednotlivé měsíce a k nim celkový přehled vyúčtování.

Ø v nastavení intrawebu -> Obecné

-> Výběr osob - před jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

-> Výběr osob - za jménem zobrazit - v poli pro výběr osob je možné zobrazit další pole z tabulky Osoba nebo PracovniPomer. Vyberte z předdefinovaných nabídek nebo zadejte vlastní SQL pole.

Osoba.Uzivatelska1 - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 v kartě zaměstnance (Karta zaměstnance -> Ostatní údaje). Uživatelská pole je možné přejmenovat v nastavení aplikace (Nastavení aplikace -> Společné nastavení -> Uživatelská pole osob).

Osoba.Uzivatelska1 + ': ' - před jménem/za jménem se zobrazí hodnota zadaná v Uživatelském poli 1 s dvojtečkou za zobrazenou hodnotou.

Osoba.IntrawebLogin - před jménem/za jménem se zobrazí přihlašovací jméno osoby.

PracovniPomer.OsobniCislo - před jménem/za jménem se zobrazí osobní číslo zaměstnance.

Ø pokud máte v programu (Karta zaměstnance -> Intraweb) Prohlížení údajů (Jídelna) zakázáno, tento odkaz se nezobrazí. Pokud údaje můžete prohlížet a zároveň jste provedli potřebné nastavení odkazu v jídelně, objeví se následující:

I_Filtr vyber osoby

· Osoba - vyberte osobu, pro kterou chcete zobrazit data. Pokud tuto možnost nemáte, není výběr povolen v programu Jídelna (Karta zaměstnance -> Intraweb). Před jménem i za jménem se můžou zobrazit další údaje osoby. Je to například hodnota, která je zadaná v Uživatelském poli 1, přihlašovací jméno nebo osobní číslo zaměstnance. Nastavení dalších údajů provedete v programu Docházka (Nastavení intrawebu -> Obecné -> Výběr osob - před/za jménem zobrazit).

· Období - měsíc, ve kterém je účtovaná strava.

· Celkem za stravu - celková částka účtovaná za stravu.

· Částka dotace - celková částka dotace, která je vyúčtována v daném období.

· Hotovost - celková částka, která byla vložena/vybrána manuálně v programu Jídelna (Stravování/Manuální vklad/výběr hotovosti).

· Aktuální stav - celková částka, která má být za daný měsíc uhrazena. Aktuální stav = - Celkem za stravu + Částka dotace + Hotovost.

· Nárok na dotace - počet nároků na dotaci.

Pro zobrazení aktuálních částek je třeba v programu Jídelna provést vyúčtování (Stravování/Vyúčtování).


Zablokování karty

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Zablokování karty

 Return to chapter overview

V tomto odkazu máte možnost zablokovat kartu.

Ø práva pro Zablokování karty můžete nastavit v:

Karta zaměstnance -> Intraweb - pro jednoho konkrétního zaměstnance,

Nastavení intrawebu -> Práva uživatelů - pro více uživatelů.

Uživatel musí při blokování karty zadat své heslo - určete, jestli zaměstnanec musí při blokování karty zadat své heslo.

Pokud máte možnost zablokovat kartu, objeví se následující:

· Osoba - máte možnost vybrat osobu, u které chcete zablokovat kartu. Tuto možnost nemáte, pokud je v programu nastaveno blokování pouze vlastní karty.

Tlačítkem [image] přejdete na další tabulku, ve které máte zobrazeno:

· Osoba - zobrazí se příjmení a jméno osoby, případně další doplňující informace.

· Karta číslo - v případě, že má osoba přiděleno více karet, vyberte tu, kterou chcete zablokovat. V případě prázdného pole nemá dotyčná osoba žádnou kartu k zablokování.

Tlačítkem [image] přejdete na další tabulku, ve které máte zobrazeno:

· Osoba - zobrazí se příjmení a jméno vybrané osoby, případně další doplňující informace.

· Karta číslo - zobrazí se kód karty.

· Heslo - zadejte heslo, kterým se přihlašujete do aplikace Intraweb. Kolonka se zobrazí v případě, že máte v programu (Karta zaměstnance -> Intraweb) zaškrtnuto pole: Uživatel musí při blokování karty zadat své heslo.

Tlačítkem [image] potvrdíte zablokování karty a zobrazí se hláška o provedeném zablokování (např. Blokování karty proběhlo v pořádku).


Odblokování karty

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Odblokování karty

 Return to chapter overview

V této sekci můžete odblokovat kartu.

Ø práva pro Odblokování karty můžete nastavit v:

Karta zaměstnance -> Intraweb - pro jednoho konkrétního zaměstnance,

Nastavení intrawebu -> Práva uživatelů - pro více uživatelů.

Uživatel musí při odblokování karty zadat své heslo - určete, jestli zaměstnanec musí při odblokování karty zadat své heslo.

V případě, že máte možnost odblokovat kartu, objeví se následující:

· Osoba - máte možnost vybrat osobu, u které chcete odblokovat kartu. Tuto možnost nemáte, pokud máte v programu nastaveno odblokování pouze vlastní karty.

Tlačítkem [image] přejdete na další tabulku, ve které máte zobrazeno:

· Osoba - zobrazí se příjmení a jméno osoby, případně další doplňující informace.

· Karta číslo - v případě, že má osoba přiřazeno více karet, vyberte tu, kterou chcete odblokovat. V případě nezobrazení čísla karty nemá dotyčná osoba žádnou kartu k odblokování.

Tlačítkem [image] přejdete na další tabulku, ve které máte zobrazeno:

· Osoba - zobrazí se příjmení a jméno osoby, případně další doplňující informace.

· Karta číslo - zobrazí se kód karty.

· Heslo - zadejte heslo, kterým se přihlašujete do aplikace Intrawebu. Kolonka s heslem se zobrazí v případě, že máte v programu (Karta zaměstnance -> Intraweb) zaškrtnuto pole: Uživatel musí při odblokování karty zadat své heslo.

Tlačítkem [image] potvrdíte odblokování karty a zobrazí se hláška o provedeném odblokování (např. Odblokování karty proběhlo v pořádku).


Změna hesla

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Změna hesla

 Return to chapter overview

V tomto odkazu máte možnost změnit heslo přidělené správcem pro přístup na Intraweb.

Ø práva pro Změnu hesla můžete nastavit v:

Karta zaměstnance -> Intraweb - pro jednoho konkrétního zaměstnance,

Nastavení intrawebu -> Práva uživatelů - pro více uživatelů.

Pokud máte možnost změnit heslo, objeví se následující:

Pro změnu hesla zadejte následující údaje:

· Původní heslo - uveďte původní heslo pro přihlášení do aplikace Intrawebu.

· Nové heslo - zadejte nové heslo pro přihlášení do aplikace Intrawebu.

· Potvrzení nového hesla - zopakujte zadání nového hesla pro vstup do aplikace Intrewebu.

Tlačítkem [image] provedete změnu hesla pro vstup do aplikace Intrawebu.


Odhlásit

Navigation: Modul INTRAWEB > Manuál Intrawebu >

Odhlásit

 Return to chapter overview

Po stisku odkazu Odhlásit budete odhlášeni z aplikace Intrawebu a dostanete se do základního okna pro nové přihlášení.


Práce s terminály

Navigation: »No topics above this level«

Práce s terminály

 Return to chapter overview

Terminály slouží jak pro objednávání, tak pro výdeje stravy. V kapitole se dozvíte, jak ovládat terminály ACS-Line a DMR-System.


Postup práce na terminálech

Navigation: Práce s terminály >

Postup práce na terminálech

 Return to chapter overview

V kapitole jsou popsány postupy na objednávání a výdej jídel pro terminály ACS-Line a DMR-System.


Terminál ACS-Line

Navigation: Práce s terminály > Postup práce na terminálech >

Terminál ACS-Line

 Return to chapter overview

Postup práce na objednávacím terminálu ACS-Line:

Objednavaci ACS-Line terminal

Objednávání jídel:

1. Na terminálu nejdříve zvolte datum objednávky: vyberte požadované datum tlačítky s šipkami ńň. Terminál zobrazuje vždy nejen datum, ale i den v týdnu. Objednávejte proto opatrně, abyste si neobjednali jídlo např. na pátek, ale jiný týden než jste zamýšleli.

2. Tlačítky na terminálu (např. oběd 1, večeře 3 atd.) zvolte jídlo v již zvoleném dni a datu.

3. Ke čtecí hlavě (terčík na šedé ploše terminálu) přiložte identifikační médium pro potvrzení objednávky.

4. Na displeji objednávacího terminálu se zobrazí textová hláška "Objednáno 1x".

5. Tímto strávník provedl objednávku jídla.

Vícenásobné objednání jídla:

1. Na terminálu nejdříve zvolte datum objednávky: vyberte požadované datum tlačítky s šipkami ńň. Terminál zobrazuje vždy nejen datum, ale i den v týdnu. Objednávejte proto opatrně, abyste si neobjednali jídlo např. na pátek, ale jiný týden než jste zamýšleli.

2. Tlačítky na terminálu (např. oběd 1, večeře 3 atd.) zvolte jídlo v již zvoleném dni a datu.

3. Ke čtecí hlavě (terčík na šedé ploše terminálu) přiložte identifikační médium pro potvrzení objednávky.

4. Po přiložení karty se na prvním řádku zobrazí objednané jídlo (např. oběd 2). Na druhém řádku se zobrazí Počet těchto jídel. Tento počet můžete změnit pomocí číselných kláves.

Maximální množství jídla, které je možné objednat, jste nastavili v cenové kategorii (menu Seznamy/Cenové kategorie/formulář Cenové kategorie/záložka Vlastnosti cenové kategorie/podzáložka Základní nastavení - pole Maximální počet porcí objednávky/výdeje. Pokud je zadán větší počet jídel než nastavený, nepustí vás terminál k dalšímu kroku.

5. Potvrďte zvolený počet tlačítkem "i" v modrém poli.

6. Na displeji objednávacího terminálu se zobrazí textová hláška "Objednáno 2x".

7. Tímto strávník provedl objednávku jídla.

Pokud se rozhodnete zrušit objednávku, postupujte takto:

1. Na terminálu nejdříve zvolte datum zrušení objednávky: vyberte požadovaný datum tlačítky s šipkami ńň.

2. Tlačítky na terminálu (např. oběd 2, večeře 1 atd.) zvolte jídlo ke zrušení v již zvoleném dni a datu.

3. Následně zmáčkněte tlačítko křížku v červeném poli na terminálu pro zrušení konkrétní objednávky.

4. Ke čtecí hlavě (terčík na šedé ploše terminálu) přiložte identifikační médium pro zrušení objednávky.

5. Tímto strávník provedl zrušení objednávky jídla.

Pro zjištění kreditu postupujte následovně:

1. Nejprve stiskněte tlačítko "i" v modrém poli.

2. Ke čtecí hlavě (terčík na šedé ploše terminálu) přiložte identifikační médium pro zobrazení kreditu.

3. Terminál zobrazí aktuální kredit.

Postup práce na výdejním terminálu ACS-Line:

Vydejni ACS-Line terminal

Výdej stravy:

1. Výdej jídla je možný po rozsvícení zeleného světla.

2. Strávník přiloží identifikační kartu.

Následují možné varianty situací, které mohou nastat:

A) pokud má strávník objednáno, zelené světlo na čtečce zhasne (a rozsvítí se červené světlo). Na velkém výdejním displeji u pracovníka výdeje se zobrazí číslo jídla, počet porcí a kategorie. Také na displeji terminálu se zobrazí jméno strávníka, číslo jídla a počet porcí.

B) pokud nemá strávník objednáno, zobrazí velký výdejní displej E. Terminál zobrazí hlášku "Není objednáno!".

C) pokud bylo strávníkovi jídlo vydáno, zobrazí se na displeji výdejního terminálu hláška "Již vydáno!". Na velkém výdejním displeji se zobrazí E.

3. Po vydání jídla strávníkovi X, je nutné stisknout vypínač. Následně displej zhasne a na čtečce se znovu rozsvítí zelené světlo, což znamená, že terminál je připraven na další identifikační kartu, tj. může přijít k výdeji strávník Y (nepřikládejte identifikační médium, pokud svítí červené světlo!!). Pokud tedy je na displeji výdejního terminálu zobrazen text Další prosím..., lze provádět výdej. Pokud terminál hlásí, Nevydává se, pak není doba výdeje a výdej proveden nebude.

Informace o stavu výdeje:

Tlačítky na terminálu (1 až 9) lze zjistit informaci k danému jídlu, a to celkový počet vydávaných jídel (clk:1), počet jídel již vydaných (vyd:0) a současně nevydaných (zb:1). Může se zde zobrazit i informace, že jídlo nemá žádné objednávky.

Výdej bez objednávky:

Výdej bez objednávky lze provést v momentě, kdy si strávník neobjednal jídlo, ale přesto jej chce vydat. Výdej bez objednávky musí být povolený v cenové kategorii - pole Povolit výdej bez objednávky musí být zatrženo.

1. Pracovník výdeje nejprve zmáčkne na výdejovém terminálu tlačítko "Výdej bez objednávky" (Tlačítko s šipkou).

Vydávání příloh - pokud chcete vydat bez objednávky 1. Přílohu musíte stisknout "Výdej bez objednávky" 2x. Pokud se vydává bez objednávky 2. Příloha musí se stisknout "Výdej bez objednávky" 3x.

1 stisk - hlavní jídlo

2 stisk - 1. Příloha

3 stisk - 2. Příloha

2. Na displeji výdejního terminálu se zobrazí "Vydat bez obj >>.

3. Strávník přiloží svoji kartu ke čtecímu zařízení.

4. Na displeji výdejního terminálu se zobrazí jméno strávníka a "Jídlo: 01".

5. Strávník řekne pracovníkovi výdeje, jaké jídlo chce vydat.

6. Pracovník výdeje zadá z klávesnice terminálu vybrané jídlo. Jídla mohou být namapována pod čísly 1 až 99, ale záleží na individuálním nastavení. Tlačítkem se šipkou je možné špatně zadanou číslici opravit.

7. Pracovník výdeje zmáčkne na výdajovém terminálu tlačítko "i", tlačítko v modrém poli.

8. Obsluha může strávníkovi jídlo vydat.

Vícenásobný výdej bez objednávky:

1. Pracovník výdeje nejprve zmáčkne na výdejovém terminálu tlačítko "Výdej bez objednávky" (Tlačítko s šipkou).

2. Na displeji výdejního terminálu se zobrazí "Vydat bez obj >>.

3. Strávník přiloží svoji kartu ke čtecímu zařízení.

4. Na displeji výdejního terminálu se zobrazí jméno strávníka a "Jídlo: 01".

5. Strávník řekne pracovníkovi výdeje, jaké jídlo chce vydat.

6. Pracovník výdeje zadá, pomocí číselných kláves na terminálu, vybrané jídlo. Jídla mohou být namapována pod čísly 1 až 99, ale záleží na individuálním nastavení. Tlačítkem se šipkou je možné špatně zadanou číslici opravit.

7. Pracovník výdeje zmáčkne na výdajovém terminálu tlačítko "i", tlačítko v modrém poli.

8. Pracovník výdeje poté zadá, pomocí číselných kláves na terminálu, množství (Počet) vybraného jídla.

Maximální množství jídla, které je možné vydat (zadat z klávesnice), jste nastavili v cenové kategorii (menu Seznamy/Cenové kategorie/formulář Cenové kategorie/záložka Vlastnosti cenové kategorie/podzáložka Základní nastavení - pole Maximální počet porcí objednávky/výdeje. Ve formuláři je nutné mít pro tuto funkci zatrhnuté i pole Povolit změnu počtu objednávek. Pokud je zadán větší počet jídel než nastavený, nepustí vás terminál k dalšímu kroku.

9. Pracovník výdeje zmáčkne na výdajovém terminálu tlačítko "i", tlačítko v modrém poli.

10. Obsluha může strávníkovi jídlo vydat.

Takto provedená operace se objeví ve Formuláři strávníka - Původní odběry a v Odběrech jídel. Provedená operace tak vstupuje normálně do účtování a ovlivňuje dále měsíční saldo strávníka.

Pokud chcete vydávat všechny jídla bez objednávky, je potřeba provést nastavení v terminálu a to následujícím způsobem:

1. na výdejním terminálu stiskněte zároveň zelené šipky ńň,

2. zadejte heslo 9999,

3. pro potvrzení stiskněte modré tlačítko i,

4. pomocí šipek ńň nalistujte položku Parametry,

5. pomocí modrého tlačítka i nalistujte položku bez obj.: vyp/zap,

6. pomocí šipek ńň zapněte nebo vypněte zobrazení cenové kategorie na terminálu,

7. po nastavení stiskněte modré tlačítko i - provedená změna se v terminálu nastaví.

8. vyjeďte z menu terminálu pomocí červeného tlačítka x.

Po nastavení terminálu se na displeji terminálu bude zobrazovat automaticky Vydat bez obj >>. Postup výdeje stravy bude stejný jako v předešlém případě. Nebude, ale nutné stisknout na terminálu tlačítko "Výdej bez objednávky" (Tlačítko s šipkou), tzn., že při výdeji stravy budete postupovat od bodu 2.


Terminál DMR-System

Navigation: Práce s terminály > Postup práce na terminálech >

Terminál DMR-System

 Return to chapter overview

Postup práce na objednacím terminálu DMR-System:

Objednavaci DMR-System terminal

Objednávání jídel:

1. Na terminálu nejdříve zvolte datum objednávky: vyberte požadovaný datum tlačítky s šipkami ńň. Terminál zobrazuje vždy nejen datum, ale i den v týdnu. Objednávejte proto opatrně, abyste si neobjednali jídlo např. na pátek, ale jiný týden než jste zamýšleli.

2. Tlačítky na terminálu (např. oběd 1, večeře 3 atd.) zvolte jídlo v již zvoleném dni a datu.

3. Ke čtecí hlavě (terčík na šedé ploše terminálu) přiložte identifikační médium pro potvrzení objednávky.

4. Tímto strávník provedl objednávku jídla.

Pokud se rozhodnete zrušit objednávku, postupujte takto:

1. Na terminálu nejdříve zvolte datum zrušení objednávky: vyberte požadovaný datum tlačítky s šipkami.

2. Zmáčkněte tlačítko Zrušení objednávky.

3. Tlačítky na terminálu (např. oběd 2, večeře 1 atd.) zvolte jídlo ke zrušení.

4. Ke čtecí hlavě (terčík na šedé ploše terminálu) přiložte identifikační médium pro zrušení objednávky.

5. Tímto strávník provedl zrušení objednávky jídla.

Pro zjištění kreditu postupujte následovně:

1. Nejprve stiskněte tlačítko Kredit.

2. Ke čtecí hlavě (terčík na šedé ploše terminálu) přiložte identifikační médium pro zobrazení kreditu.

3. Terminál zobrazí aktuální kredit.

Postup práce na výdejním terminálu DMR-System:

Vydejni DMR-System terminal

Výdej stravy:

1. Výdej jídla je možný po rozsvícení zeleného světla.

2. Strávník přiloží identifikační kartu.

Následují možné varianty situací, které mohou nastat:

A) pokud má strávník objednáno, zelené světlo na čtečce zhasne (a rozsvítí se červené světlo). Na displeji u pracovníka výdeje se zobrazí číslo jídla, počet porcí a kategorie. Také na terminálu se zobrazí jméno strávníka, číslo jídla a počet porcí.

B) pokud nemá strávník objednáno, zobrazí displej obrácené E. Terminál zobrazí následující hlášku "Tato karta teď nemá žádné objednávky".

C) pokud již bylo strávníkovi jídlo vydáno, zobrazí terminál následující hlášku "Tato karta teď nemá platné objednávky".

3. Po vydání jídla strávníkovi X, je nutné stisknout vypínač. Následně displej zhasne a na čtečce se znovu rozsvítí zelené světlo, což znamená, že terminál je připraven na další identifikační kartu, tj. může přijít k výdeji strávník Y (nepřikládejte identifikační médium, pokud svítí červené světlo!!). Pokud tedy je na terminálu zobrazen text Další prosím, lze provádět výdej. Pokud terminál hlásí, Nevydává se, pak není doba výdeje a výdej proveden nebude.

Informace o stavu výdeje:

Stiskem tlačítka "Info o jídlech" a poté stiskem tlačítka na klávesnici (0 až 9 nebo a až e) lze zjistit informaci k danému jídlu, a to celkový počet vydávaných jídel (počet objednáv. 1), počet jídel již vydaných (vyd.o 0) a současně nevydaných (0bezo 1).

Výdej bez objednávky:

Výdej bez objednávky lze provést v momentě, kdy si strávník neobjednal jídlo, ale přesto jej chce vydat.

Na výdejních terminálech DMR-System je potřeba, aby:

1. Pracovník výdeje nejprve stiskne na výdejovém terminálu tlačítko "Výdej bez objednávky".

2. Na displeji výdejního terminálu se zobrazí "Identifikace pro výdej jídla".

3. Strávník přiloží svoji kartu ke čtecímu zařízení.

4. Na displeji výdejního terminálu se zobrazí jméno strávníka a "Zvolte jídlo".

5. Strávník řekne pracovníkovi výdeje, jaké jídlo chce vydat.

6. Pracovník výdeje zadá z klávesnice terminálu vybrané jídlo. Jídla mohou být namapována pod čísly 1 až 9 a písmeny a až e, ale záleží na individuálním nastavení.

4. Pracovník výdeje stiskne na výdajovém terminálu tlačítko "Enter".

5. Obsluha může strávníkovi jídlo vydat.

Vícenásobný výdej bez objednávky:

1. Pracovník výdeje nejprve zmáčkne na výdejovém terminálu tlačítko "Výdej bez objednávky".

2. Na displeji výdejního terminálu se zobrazí "Identifikace pro výdej jídla".

3. Strávník přiloží svoji kartu ke čtecímu zařízení.

4. Na displeji výdejního terminálu se zobrazí jméno strávníka a "Zvolte jídlo".

5. Strávník řekne pracovníkovi výdeje, jaké jídlo chce vydat.

6. Pracovník výdeje zadá z klávesnice terminálu vybrané jídlo. Jídla mohou být namapována pod čísly 1 až 9 a písmeny a až e, ale záleží na individuálním nastavení.

7. Pracovník výdeje zmáčkne na výdajovém terminálu tlačítko "Enter".

8. Na displeji výdejního terminálu se zobrazí informace "Počet jídel je 1, můžete ho změnit".

9. Pracovník výdeje poté může zadat, pomocí číselných kláves na terminálu, množství (Počet) vybraného jídla.

Maximální množství jídla, které je možné vydat (zadat z klávesnice), jste nastavili v cenové kategorii (menu Seznamy/Cenové kategorie/formulář Cenové kategorie/záložka Vlastnosti cenové kategorie/podzáložka Základní nastavení - pole Maximální počet porcí objednávky/výdeje.

10. Pracovník výdeje zmáčkne na výdajovém terminálu tlačítko "Enter".

11a. Pokud je množství vybraného jídla správné, obsluha může strávníkovi jídlo vydat.

11b. Pokud je zadán větší počet jídel než povolený, ozve se zvukový signál a na displeji výdejního terminálu se zobrazí hláška "Maximální počet vyd. jídel může být: 3". Terminál po této hlášce přejde do základního nastavení (vydání jídla bez objednávky je nutné provést znovu).

Takto provedená operace se objeví ve Formuláři strávníka - Původní odběry a v Odběrech jídel. Provedená operace tak vstupuje normálně do účtování a ovlivňuje dále měsíční saldo strávníka.


Velký display pro zobrazení výdeje

Navigation: Práce s terminály >

Velký display pro zobrazení výdeje

 Return to chapter overview

V kapitole je popsán význam jednotlivých polí na velkém výdejním displeji. Terminály ACS-Line a DMR-System mají odlišné výdejní displeje.


Terminál ACS-Line

Navigation: Práce s terminály > Velký display pro zobrazení výdeje >

Terminál ACS-Line

 Return to chapter overview

Význam čísel na velkém displeji

Display vydeje ACS

1) Výdej - v poli se zobrazí číslo hlavního jídla, které se má vydat. Zobrazené číslo přílohy odpovídá namapovanému tlačítku v poli Kód v terminálu.

2) Výdej - druhá pozice čísla hlavního jídla dle konfigurace velkého výdejního displeje.

3) Kategorie/2. Příloha - v poli se zobrazí číslo přílohy nebo písmeno cenové kategorie dle nastavení v terminálu. V terminálu je možné zapnout nebo vypnout zobrazení Kategorie. Postup vypnutí/zapnutí Kategorie je následující:

1. na výdejním terminálu stiskněte zároveň zelené šipky ńň,

2. zadejte heslo 9999,

3. pro potvrzení stiskněte modré tlačítko i,

4. pomocí šipek ńň nalistujte položku Parametry,

5. pomocí modrého tlačítka i nalistujte položku Kategorie: vyp/zap,

6. pomocí šipek ńň zapněte nebo vypněte zobrazení cenové kategorie na terminálu,

7. po nastavení stiskněte modré tlačítko i - provedená změna se v terminálu nastaví.

8. vyjeďte z menu terminálu pomocí červeného tlačítka x.

Kategorie - pokud nevydáváte k hlavnímu jídlu 2. Přílohu, můžete zobrazení Kategorie v terminálu zapnout. V poli se poté zobrazuje písmeno cenové kategorie strávníka dle nastavení v cenové kategorii. Číslo cenové kategorie jste nastavili v menu Seznamy/Cenové kategorie/Formulář cenové kategorie/Průvodce nastavením cenové kategorie/Nastavení terminálů - položka Číslo cenové kategorie v terminálu. Cenové kategorie jsou pravděpodobně číslované od jedničky. Potom se v poli budou zobrazovat pro zvolená čísla následující písmena:

Číslo cenové kategorie v terminálu | Písmeno zobrazené na velkém výdejním displeji
1 | A
2 | b
3 | C
4 | d
5 | E
6 | F
7 | F
8 | F
9 | F

Na terminálu ACS-Line je hodnota v poli Číslo cenové kategorie v terminálu omezena. Do terminálu lze poslat pouze čísla cenové kategorie v terminálu 1 až 9.

2. Příloha - pokud vydáváte 2. Přílohu, je nutné mít vypnutou Kategorii. Pokud vydáváte s hlavním jídlem druhou přílohu, zobrazí se v poli číslo přílohy, která se má vydat. Zobrazené číslo přílohy odpovídá namapovanému tlačítku v poli Kód v terminálu.

4) Počet - v této části výdejního displeje se zobrazí počet porcí výdeje.

5) 1. Příloha - pokud vydáváte s hlavním jídlem přílohu, zobrazí se v poli číslo přílohy, která se má vydat. Zobrazené číslo přílohy odpovídá namapovanému tlačítku v poli Kód v terminálu.


Display pro zobrazení výdeje při použití DMR terminálu

Navigation: Práce s terminály > Velký display pro zobrazení výdeje >

Terminál DMR-System

 Return to chapter overview

Význam čísel na velkém displeji

Display vydeje DMR

1) Výdej - v poli se zobrazí číslo hlavního jídla, které se má vydat. Zobrazené číslo přílohy odpovídá namapovanému tlačítku v poli Kód v terminálu.

2) Počet - v této části výdejního displeje se zobrazí počet porcí výdeje hlavního jídla.

3) 1. Příloha - pokud vydáváte s hlavním jídlem přílohu, zobrazí se v poli číslo přílohy, která se má vydat. Zobrazené číslo přílohy odpovídá namapovanému tlačítku v poli Kód v terminálu.

4) Počet - v této části výdejního displeje se zobrazí počet porcí výdeje 1. přílohy.

5) 2. Příloha - pokud vydáváte s hlavním jídlem přílohu, zobrazí se v poli číslo přílohy, která se má vydat. Zobrazené číslo přílohy odpovídá namapovanému tlačítku v poli Kód v terminálu.

6) Kategorie/Počet - v poli se zobrazí počet porcí výdeje 2. přílohy nebo písmeno cenové kategorie strávníka dle nastavení terminálu v programu. Ve formuláři terminálu je možné zapnout nebo vypnout zobrazení Kategorie. Pokud je vydávána 2. Příloha, nezobrazí se písmeno cenové kategorie strávníka.

Kategorie - zobrazení cenové kategorie na terminálu můžete nastavit zatrhnutím položky v menu Terminály/Terminály/Formulář výdejního terminálu/Záložka terminál/Stisk tlačítka [image] /Záložka základní parametry - Zobrazovat kategorii na displeji. V poli se poté zobrazuje písmeno cenové kategorie strávníka dle nastavení v cenové kategorii. Číslo cenové kategorie jste nastavili v menu Seznamy/Cenové kategorie/Formulář cenové kategorie/Průvodce nastavením cenové kategorie/Nastavení terminálů - položka Číslo cenové kategorie v terminálu. Cenové kategorie jsou pravděpodobně číslované od jedničky. Potom se v poli budou zobrazovat pro zvolená čísla následující písmena:

Číslo cenové kategorie v terminálu | Písmeno zobrazené na velkém výdejním displeji
1 | A
2 | b
3 | C
4 | d
5 | E

Na terminálu DMR-System není hodnota v poli Číslo cenové kategorie v terminálu omezena. Pouze pro hodnoty 0 a vyšší jak 5 se nezobrazuje písmeno na velkém výdejním displeji.

2. Příloha - pokud vydáváte s hlavním jídlem druhou přílohu, zobrazí se v poli číslo přílohy, která se má vydat. Zobrazené číslo přílohy odpovídá namapovanému tlačítku v poli Kód v terminálu.

7) Tečka - při výdeji 10 až 15 jídla se na velkém výdejním displeji rozsvítí tečka. Číslo jídla na velkém výdejním displeji nesvítí a je potřeba se podívat na displej terminálu, kde je číslo vybraného jídla zobrazené.

Pokud má strávník více objednávek, potom se na velkém výdejním displeji zároveň rozsvítí číslice s číslem jídla a tečka.


Nastavení výdeje noční stravy přes půlnoc

Navigation: Práce s terminály >

Nastavení výdeje noční stravy přes půlnoc

 Return to chapter overview

Noční stravu lze vydávat přes půlnoc, ale s jistým omezením, o kterém je zmínka v závěru této kapitoly.

Nastavení výdeje přes půlnoc provedete následujícím způsobem:

Ø menu Terminály -> Terminály -> Formulář výdejního terminálu -> záložka Mapování jídel v terminálu. V záložce již pravděpodobně budete mít namapována jídla. Příklady mapování jídel pro terminály:

Mapovani jidel vydejniho terminalu nocni strava ACS-Line

ACS-Line

Mapovani jidel vydejniho terminalu nocni strava DMR-System

DMR-System

Ø z každé položky noční stravy vytvoříte stiskem tlačítka J_Novy zaznam z kopie aktualniho Nový záznam z kopie aktuálního. U každé kopie změníte pouze Kód typu v terminálu (například: ze 3 na 4). Po přidání položek můžou namapovaná jídla pro noční stravu vypadat následovně:

Mapovani jidel vydejniho terminalu nocni strava1 ACS-Line

ACS-Line

Mapovani jidel vydejniho terminalu nocni strava1 DMR-System

DMR-System

Ø po přidání položek přejděte do záložky Časy výdeje. V záložce již pravděpodobně budete mít nastaveny časy výdeje jídel, což může vypadat následovně:

Casy vydeje vydejního terminalu nocni strava

Ø u času typu jídla v terminálu 3 upravte Čas do na 23:59:59 a potvrďte. Vytvořte tlačítkem [image] Nový záznam a zadejte do pole Čas od 00:00:01 (prodleva bude jen 2 sekundy - v této době nepojede výdej jídel), Čas do (například 1:00), Typ jídla v terminálu 4 (číslo musí odpovídat skutečnému nastavení v záložce Mapování jídel) a zatrhněte položku Jídelníček z předchozího dne. Po potvrzení formuláře můžou časy výdeje vypadat následovně:

Casy vydeje vydejního terminalu nocni strava1

Ø v plánovači úloh (úloha běží pravděpodobně na serveru) je nutné posunout úlohu Načítání vydaných jídel z terminálů na dobu cca 1 minuty po ukončení výdeje stravy (například 01:01). Generování (příprava) výdeje do terminálu MUSÍ probíhat jen jednou před začátkem výdeje stravy před půlnocí. Stravu začínáte vydávat například ve 22:00. Generování bude probíhat například jen ve 21:45.

POZOR: Mezi časem 22:00 až 1:00 se NESMÍ manuálně ani v plánovači úloh spouštět Načítání vydaných jídel z terminálů a Generování (příprava) výdeje do terminálu!!!

Omezení tohoto nastavení je:

· pokud si zaměstnanec odebere stravu před půlnocí, může si ji následně odebrat i po půlnoci,

· výdej noční stravy nelze provést přes půlnoc tj. od 23:59:59 do 0:00:01. Vzniká prodleva cca 2 sekund, dle nastavení. V této době nepojede výdej jídel.

Objednávat stravu je potřeba na den kdy začíná výdej noční stravy. PŘÍKLAD: Zítra po půlnoci například dne 19.4.2012 vím, že si chci odebrat objednanou noční stravu. Ale tuto stravu musím mít objednanou již na dnešní den tj. na 18.4.


Obecné informace o terminálech

Navigation: Práce s terminály >

Obecné informace o terminálech

 Return to chapter overview

V kapitole najdete některé další informace o terminálech ACS-Line a DMR-System.


Terminal ACS-Line

Navigation: Práce s terminály > Obecné informace o terminálech >

Terminal ACS-Line

 Return to chapter overview
Ø Servisní heslo:

Servisní heslo pro terminál ACS-Line je 9999.

Ø číslování tlačítek na terminálu:

Terminál přiřazuje tlačítka postupně po řádcích:

mapování jídel Kód v terminálu nastavená 1 = první tlačítko na klávesnici (levé rohové tlačítko),

mapování jídel Kód v terminálu nastavená 2 = druhé tlačítko v řádku na klávesnici,

mapování jídel Kód v terminálu nastavená 3 = třetí tlačítko v řádku na klávesnici,

mapování jídel Kód v terminálu nastavená 4 = první tlačítko ve druhém řádku na klávesnici,

mapování jídel Kód v terminálu nastavená 5 = druhé tlačítko ve druhém řádku na klávesnici,

... atd.

Ø počet jídel, které je terminál schopen objednat a vydat:

V ACS-Line objednávacím terminálu lze namapovat jídla na 12 tlačítek (lze objednat 12 jídel). Pro objednávání více jídel je nutné použít touchscreen. Ve výdejním terminálu lze namapovat jídla až na 99*3 jídel (99 - "hlavních jídel", 99 - 1. Příloh, 99 - 2. Příloh), které lze vydat i bez objednávky. Ale jen pro jídla namapovaná na tlačítkách 1 až 9 lze zjistit info o jídlech. Terminál podporuje maximálně 99 objednávek na jedno osobní číslo.

Ø Karta strávníka není v terminálu:

Po přiložení karty ke čtecímu zařízení displej výdejního (objednávacího) terminálu zobrazí hlášku "Nenalezeno!". Na velkém výdejním displeji se zobrazí písmeno F.

Objednávací terminál:

Ø v objednávacím terminálu není Jídelníček:

Po vybrání požadovaného data tlačítky s šipkami ńň se na displeji objednávacího terminálu zobrazí hláška "-- nevaří se --".

výdejní terminál:

Ø strávník má objednávku již vydanou:

Po přiložení karty ke čtecímu zařízení displej výdejního terminálu zobrazí hlášku "Již vydáno!". Na velkém výdejním displeji se zobrazí E.

Ø strávník nemá objednávku:

Po přiložení karty ke čtecímu zařízení displej výdejního terminálu zobrazí hlášku "Není objednáno!". Na velkém výdejním displeji se zobrazí E.

Ø výdej stravy bez objednávky není povolen:

Po přiložení karty ke čtecímu zařízení displej výdejního terminálu zobrazí hlášku "---nepovoleno---". Na velkém výdejním displeji se nezobrazí nic.

Ø Jídelníček není vytvořen, potvrzen nebo není tlačítko v terminálu namapované:

Po přiložení karty ke čtecímu zařízení displej výdejního terminálu zobrazí hlášku "Nedefinováno". Na velkém výdejním displeji se nezobrazí nic.


Terminal DMR-System

Navigation: Práce s terminály > Obecné informace o terminálech >

Terminal DMR-System

 Return to chapter overview
Ø Servisní heslo:

Servisní heslo pro terminál DMR-System pro nastavení IP adresy apod. je J135.

Ø Číslování tlačítek na terminálu:

Terminál přiřazuje tlačítka postupně po řádcích:

mapování jídel Kód v terminálu nastavená 0 = první tlačítko na klávesnici (levé rohové tlačítko),

mapování jídel Kód v terminálu nastavená 1 = druhé tlačítko v řádku na klávesnici,

mapování jídel Kód v terminálu nastavená 2 = třetí tlačítko v řádku na klávesnici,

mapování jídel Kód v terminálu nastavená 3 = čtvrté tlačítko v řádku na klávesnici,

mapování jídel Kód v terminálu nastavená 4 = první tlačítko ve druhém řádku na klávesnici,

mapování jídel Kód v terminálu nastavená 5 = druhé tlačítko ve druhém řádku na klávesnici,

... atd.

Ø počet jídel, které je terminál schopen objednat a vydat:

V objednávacím a výdejním terminálu DMR-System lze namapovat jídla na 15 tlačítek (lze objednat a vydat 15 jídel). Pro namapování 15 jídel je nutné v poli "Číslo tlačítka" začít číslovat od 0.

Ø Karta strávníka není v terminálu:

Po přiložení karty ke čtecímu zařízení displej výdejního (objednávacího) terminálu zobrazí hlášku "Tato karta nemá povolení na snímání". Na velkém výdejním displeji se nezobrazí nic. Více v kapitole Otázky a odpovědi.

Objednávací terminál:

Ø v objednávacím terminálu není Jídelníček:

Pokud není v terminálu jídelníček, zobrazí se na displeji objednávacího terminálu hláška "Term. nemá zapsané jídla". Více v kapitole Otázky a odpovědi.

Ø zvolené jídlo nelze již objednat:

Pokud strávník přehlédne, že stisknutá klávesa nemá přiřazeno žádné jídlo a přiloží kartu k terminálu pro objednání tohoto jídla, zobrazí se výše uvedená hláška.

Výdejní terminál:

Ø strávník nemá objednávku:

Po přiložení karty ke čtecímu zařízení displej výdejního terminálu zobrazí hlášku "Tato karta teď nemá žádné objednávky". Na velkém výdejním displeji se nezobrazí nic.

Ø strávník má objednávku již vydanou:

Po přiložení karty ke čtecímu zařízení displej výdejního terminálu zobrazí hlášku "Tato karta teď nemá platné objednávky". Na velkém výdejním displeji se nezobrazí nic.

Ø Teď není čas pro výdej jídel:

Pokud není čas výdeje jídel a strávník přiloží kartu ke čtečce karet, zobrazí se na terminálu výše uvedená hláška "Teď není čas pro výdej jídel". Pokud není čas výdeje a chtěli byste vydat jídlo bez předešlé objednávky, nepůjde vám zvolit z klávesnice požadované jídlo.


Nastavení popisu tlačítek terminálu

Navigation: Práce s terminály >

Nastavení popisu tlačítek terminálu

 Return to chapter overview

Pokud potřebujete vytvořit popisy tlačítek terminálu, postupujte následovně:

· otevřete si program (Docházka, Jídelna),

· zobrazte seznam terminálů v menu Terminály -> Terminály,

· stiskněte ikonu [image] tiskárny v nástrojové liště,

· v zobrazeném formuláři Tiskové sestavy označíte požadovanou sestavu pro tisk šablon na klávesnici terminálu,

· stisknete tlačítko [image] Náhled,

· podle zvolené sestavy se vám zobrazí formulář Editace tlačítek terminálu s požadovaným rozmístěním tlačítek,

Terminaly_Editor tlacitek terminalu

Doporučený postup nastavení popisu tlačítek terminálu:

o v režimu editace zvolte Editovat text tlačítka,

o kliknutím na tlačítko nastavte vybraným tlačítkům text,

o u ostatních tlačítek text smažte,

o zvolte styl písma stiskem požadovaného tlačítka (VELKÁ PÍSMENA, malá písmena, První velké),

o v režimu editace zvolte Editovat písmo a barvu tlačítka,

o nastavte tlačítkům barvy, případně písmo (písmo a barvu lze nastavit všem tlačítkům najednou nebo nastavit všem písmo a zachovat nastavené barvy volbou níže),

· po nastavení tlačítek terminálu potvrďte formulář tlačítkem [image],

· po potvrzení se zobrazí sestava pro tisk popisu tlačítek terminálu,

· stiskem tlačítka [image] Tisknout, vytiskněte sestavu,

· vytištěné popisy tlačítek terminálu zasuňte pod kryt tlačítek terminálu.


Poznámky

Navigation: Práce s terminály >

Poznámky

 Return to chapter overview
· vícenásobný výdej bez objednávky na terminálu ACS-Line lze provádět od verze firmware 2.10.


Vytvoření vzorku databáze

Navigation: Otázky a odpovědi > OBECNÉ >

Vytvoření vzorku databáze

 Return to chapter overview

Pro ověření správnosti nastavení systému Jídelna, případně pro zjištění důvodu chyb v zaznamenaných datech je možno v programu provést export vzorku databáze.

Postupujeme takto:

menu Systém/Správa databáze/Export vzorku databáze – dostanete se do formuláře pro Export vzorku databáze. Ve formuláři nechejte zatrženy všechny údaje a k těmto navíc zatrhněte položku Data osoby a vyberete z nabízeného seznamu zaměstnance, u kterého jste zaznamenali problém a potvrďte tlačítkem [image].

Potvrzením výběru se otevře další okno s cestou, kam se vzorek databáze uloží. Do Názvu souboru (pro uložení) vepište identifikaci ukládaného souboru (vzorek, data, jméno zaměstnance...). Nic dalšího nedopisujte, žádné přípony!!! Soubor se sám uloží s příponou .dbs.

Tento soubor můžete následně vložit jako přílohu k dotazu na stránkách naší podpory.


Jak změním umístění souboru se zálohou databáze

Navigation: Otázky a odpovědi > OBECNÉ >

Jak změním umístění souboru se zálohou databáze

Return to chapter overview

Umístění souboru se zálohou databáze (.bak) můžete změnit v plánovači úloh. Spusťte si manager service, který se nachází ve složce s instalací programu (po spuštění služby se zobrazí v Tray ikona [image]). Přejděte do editoru plánovače a otevřete si úlohu "Zálohovaní databáze" a v parametrech zálohovaní změňte cíl uložení.


Jazyk aplikace

Navigation: Otázky a odpovědi > OBECNÉ >

Jazyk aplikace

 Return to chapter overview

Pokud se změnil jazyk aplikace (například je dvojjazyčný: česko-anglický), pravděpodobně spouštíte program na anglických windows. Řešením tohoto problému je změnit nastavení systému windows (z anglické na českou verzi).


Kde naleznu dokumentaci k FastReportu

Navigation: Otázky a odpovědi > OBECNÉ >

Kde naleznu dokumentaci k FastReportu

 Return to chapter overview

Dokumentace pro vytváření vlastních sestav v editoru sestav je k dispozici na http://www.fast-report.com/en/download/documentation v sekci FastReport VCL.


Vytvoření nového zaměstnance v programu Docházka a jeho přiřazení do programu Jídelna

Navigation: Otázky a odpovědi > STRÁVNÍCI >

Vytvoření nového zaměstnance v programu Docházka a jeho přiřazení do programu Jídelna

 Return to chapter overview

Pokud máte pro program Jídelna a Docházka společnou databázi, potom můžete zaměstnance vytvořit v programu Docházka. Aby byl zaměstnanec přiřazen i v programu Jídelna, musí mít přiřazenou Cenovou kategorii a Jídelnu.

Cenovou kategorii a jídelnu je možné přiřadit v programu Docházka po vytvoření zaměstnance v jeho kartě. Tyto dvě rozdělení přiřadíte v záložce Rozdělení - Cenová kategorie a Jídelna. Ve formuláři pomocí šipek přetáhněte požadovanou Cenovou kategorii ze sloupce Není členem do sloupce Je členem. To stejné provedete pro Jídelnu.

Kontrolu přiřazení strávníka můžete provést v programu Jídelna v menu Seznamy -> Strávníci nebo Strávníci pracovní poměry. Případně zkontrolujte, zda v zobrazeném seznamu nemáte zatržený nějaký filtr, který by mohl bránit zobrazení zaměstnance.


Ukončení platnosti přiřazení osob v programu Jídelna

Navigation: Otázky a odpovědi > STRÁVNÍCI >

Ukončení platnosti přiřazení osob v programu Jídelna

 Return to chapter overview

Zrušení platnosti přiřazení osob v programu Jídelna můžete využít například v případě, že se osoby v jídelně již nestravují. Pokud potřebujete zrušit platnost přiřazení některých osob, je nutné provést následující kroky.

Platnost přiřazení osob je nutné ukončit v jídelně a cenové kategorii. To provedete v menu Seznamy -> Jídelny -> formulář Jídelny -> záložka Členové jídelny. Ve formuláři v části Členové jídelny vyberte osoby, kterým chcete ukončit přístup do jídelny. V poli Platnost do vepište datum ukončení platnosti přiřazení jídelny. To stejné je nutné provést pro cenovou kategorii v menu Seznamy -> Cenové kategorie -> formulář Cenové kategorie -> záložka Členové kategorie. Ve formuláři v části Členové jídelny vyberte osoby, kterým chcete ukončit přístup do jídelny. V poli Platnost do vepište datum ukončení platnosti přiřazení cenové kategorie.


Neviditelnost zaměstnance v seznamu

Navigation: Otázky a odpovědi > STRÁVNÍCI >

Neviditelnost zaměstnance v seznamu

 Return to chapter overview

Pokud nevidíte zaměstnance v některém ze seznamu, zkontrolujte následující body:

- zda není nad seznamem aktivován filtr,

- zda jsou zaměstnanci zobrazeni k aktuálnímu datu (ne Ke dni),

- zda zaměstnanec nemá ukončený pracovní poměr,

- zda se nacházíte ve správném období.


Jak změním zaměstnanci ID médium

Navigation: Otázky a odpovědi > ID MÉDIA >

Jak změním zaměstnanci ID médium

 Return to chapter overview

ID médium změníte v menu Seznamy/Strávníci. V seznamu vyhledáte strávníka. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku ID média.

V pravé části formuláře strávníka je seznam Přiřazené ID média. Proveďte dvojklik na řádku ID média, které chcete zaměstnanci zrušit. Zobrazí se Vám formulář Přiřazené ID médium. Do políčka Datum vrácení vepište datum vrácení ID média a potvrďte.

Ve formuláři strávníka přejděte do seznamu Volené ID média. Zde vyberte ID médium, které chcete přiřadit zaměstnanci. Šipkou, která je umístěna ve středovém panelu, přemístěte vybrané ID médium. Před přidáním ID média se zobrazí dotaz, zda chcete přiřadit vybrané ID médium osobě (dotaz se zobrazí, pokud máte v menu Systém/Nastavení/Nastavení aplikace/Uživatelské nastavení - Vlastnosti formulářů zaškrtnuté políčko Dotazy při přesunu mezi dvěma seznamy). Po potvrzení dotazu proběhne přiřazení ID média.


Přiřazení dvou ID médií jednomu zaměstnanci

Navigation: Otázky a odpovědi > ID MÉDIA >

Přiřazení dvou ID médií jednomu zaměstnanci

 Return to chapter overview

Jednomu zaměstnanci je možné v programu Jídelna (Docházka) přiřadit dvě ID média. Jedno pro zaznamenávání příchodů a odchodů a druhé pro objednávání a výdej stravy v jídelně.

V programech je nutné provést nejdříve několik kroků:

· v programu Docházka i v programu Jídelna zaškrtnout položku Povolit zaměstnancům přiřazení více ID médií v menu Systém/Nastavení aplikace/Společné nastavení/ID média.

· v programu Jídelna nastavte u ID médií, které mají být použity na objednávání a výdej stravy příznak Primární. Toto nastavení provedete v menu Seznamy/Strávníci/formulář Strávníka/záložka ID média. Ve sloupci Přiřazená ID média označte ID médium, které má být používáno v jídelně a otevřete jeho formulář (dvojklikem na požadovaném záznamu nebo tlačítkem [image] Editace záznamu). Ve formuláři Přiřazené ID médium zaškrtněte pole Primární. Toto nastavení je potřeba provést pro všechny karty, které mají být použity při objednávání a výdeji stravy.

· dále je nutné ještě provést nastavení u výdejních a objednávacích terminálů v menu Terminály/Terminály/formulář Terminálu/záložka Terminály. Ve formuláři zaškrtněte pole Používat jen primární ID média. Zaškrtnutí položky je nutné provést jak u výdejního terminálu, tak u objednávacího terminálu.

Po nastavení bude možné používat u jídelních terminálů jen primární ID média. U docházkových terminálů bude možné používat obě ID média.


Může mít zaměstnanec přiřazeny 2 jídelny

Navigation: Otázky a odpovědi > JÍDELNY >

Může mít zaměstnanec přiřazeny 2 jídelny

 Return to chapter overview

Zaměstnanec může být současně přiřazen na 2 jídelnách.

Přesun zaměstnanců do druhé jídelny, můžete provést v menu Seznamy/Jídelny/formulář Jídelny/záložka Členové jídelny. V záložce přesuňte požadované zaměstnance ze sloupce Není členem jídelny do sloupce Je členem jídelny. Po stisku šipky pro přesun se vám zobrazí formulář Nastavení datumů pro přiřazení rozdělení. V tomto formuláři u popisku Pokračovat v posledním záznamu nezaškrtávejte políčko (nechte jej prázdné). Tím se data přiřazení v první jídelně neukončí.

- z terminálu v jídelně 1 nelze objednat jídlo do jídelny 2.

- objednávka provedená v konkrétní jídelně může být vydána jen v této jídelně.


Ukončení platnosti jídelny

Navigation: Otázky a odpovědi > JÍDELNY >

Ukončení platnosti jídelny

 Return to chapter overview

Pokud máte v menu Seznamy/Jídelny dvě a více jídelen a potřebujete z nějakého důvodu ukončit jedné jídelně její platnost, postupujte následovně:

Ø Ukončení platnosti přiřazení současných členů jídelny provedete v menu Seznamy/Jídelny/formulář Jídelna/záložka Členové jídelny.

- pro zachování historie přiřazení v jídelně vyplňte v části Členové ve sloupci Platnost do datum ukončení platnosti přiřazení jídelny u všech členů jídelny.

- pokud nechcete zachovat historii přiřazení, použijte k přesunu členů dvojitou šipku doleva. Tím ukončíte platnost přiřazení všem členům vybrané jídelny.

Ø Ukončení platnosti jídelny provedete v menu Seznamy/Jídelny/formulář Jídelna/záložka Jídelna vyplněním data zrušení.

Kompletní zrušení jídelny (vymazání ze seznamu) provést nelze, jelikož jsou na jídelnu vázány jídelníčky, ke kterým se vztahují objednávky.

POZOR: V seznamu jídelen MUSÍ být alespoň jedna jídelna, která má aktuální platnost!


Jak provedu rozdělení typů denních jídel na dvě a více jídelen

Navigation: Otázky a odpovědi > JÍDELNY >

Jak provedu rozdělení typů denních jídel na dvě a více jídelen

 Return to chapter overview

Nastavení doporučujeme provést nejprve pro jednu jídelnu a nastavení zde odzkoušet. Teprve potom postupně pokračovat v nastavení dalších jídelen.

Během úpravy NESMÍ probíhat objednávání ani výdej stravy. Objednávací i výdejní terminály MUSÍ být vyčtené (menu Terminály/Načítání objednávek z terminálu a Načítání vydaných jídel z terminálu). Po dobu provádění změn zrušte potvrzení Jídelníčku na dny, na které je možné si ještě stravu objednat (menu Stravování -> Jídelníček) a v menu Terminály proveďte Generování jídelníčku do terminálu. Případně zkontrolujte, že již není možné si stravu objednat.

V menu Seznamy -> Typy denních jídel si vytvořte požadované typy jídel s požadovanou cenou.

V menu Seznamy -> Jídelny si u vytvořených typů denních jídel vytvořte objednávací pravidla.

V menu Stravování -> Jídelníček vytvořte pro vybranou jídelnu jídelníček.

V menu Seznamy -> Cenové kategorie na záložce Vlastnosti cenové kategorie vytvořte kopii aktuálního nastavení. Nastavte datum platnosti (například 04.2013). Proklikejte se nastavením až k jednotlivým typům denních jídel a nastavte u požadovaných Pravidlo výpočtu dotace.

V menu Terminály -> Terminály pro objednávací a výdejní terminál nastavte Mapování jídel.

Po provedené úpravě v menu Stravování -> Jídelníčky potvrďte jídelníčky a v menu Terminály proveďte Generování jídelníčku do terminálu.


Jak změním cenu jídla

Navigation: Otázky a odpovědi > JÍDELNÍČEK >

Jak změním cenu jídla

 Return to chapter overview

Změnu ceny jídel provedete v menu Seznamy/Typy denních jídel. Vyberete typ denního jídla, pro který chcete změnit cenu jídla. Dvojklikem na označeném řádku zobrazíte formulář Typu denního jídla.

V poli Cena jídla zadejte požadovanou cenu vybraného typu denního jídla. Po dokončení potřebných změn potvrďte tlačítkem [image]. Nastavení ceny se provádí pro každý typ denního jídla zvlášť. Nastavení se projeví u nově vytvářených jídelníčků.

Pokud již máte jídelníček vytvořen na dny, na které požadujete jiné ceny, tak cenu jídla změníte také v jídelníčku. To provedete v menu Stravování/Jídelníček. Ve formuláři Jídelníčku vyberete požadovanou položku denního jídla a ve spodní části formuláře změňte cenu v poli Cena. Jednotlivé kroky potvrďte tlačítkem [image] .

Výše uvedený postup je třeba provést pro každou položku jídla ode dne, od kterého požadujete změnu ceny a také pro všechny vytvořené jídelny. Cena začne platit ode dne, od kterého je jídelníček s novou cenou.

Nyní je nutné všechny provedené změny generovat do terminálu. To provedete v menu Terminály/Generování jídelníčku do terminálu. V zobrazeném formuláři vyberete jídelnu, pro kterou jste provedli změny a generujete do všech objednacích terminálů tlačítkem [image].

Dále je třeba provést vyúčtování stravy. To provedete v menu Stravování/Vyúčtování.


Kroky potřebné pro přídání nového typu denního jídla

Navigation: Otázky a odpovědi > JÍDELNÍČEK >

Kroky potřebné pro přídání nového typu denního jídla

 Return to chapter overview

Doposud bylo možné například objednat a vydat jen typ denního jídla Oběd. Rozhodli jste se pro zavedení nového typu denního jídla například Večeře. V programu Jídelna je nutné provést pro zavedení nového typu denního jídla následující kroky:

- nový typ denního jídla přidejte do seznamu v menu Seznamy/Typy denních jídel,

- pokud používáte objednávací pravidla, potom jejich nastavení provedete v menu Seznamy/Jídelny,

- nový typ denního jídla je nutné zařadit do jídelníčku v menu Stravování/Jídelníček,

- nové položky typu denního jídla je potřeba namapovat do objednávacích a výdejních terminálů v menu Terminály/Terminály,

- pro výdejní terminály je nutné určit čas výdeje nového typu denního jídla,

- pro všechny platné cenové kategorie v seznamu je nutné provést nastavení pravidel výpočtu dotace pro nový typ denního jídla,

- aby bylo možné si stravu nového typu denního jídla objednat, je potřeba provést Generování jídelníčku do terminálu v menu Terminály,

- v plánovači úloh přidejte novou úlohu Generování (příprava) výdeje do terminálů. Čas spuštění úlohy cca 15 minut před výdejem nového typu denního jídla,

- v plánovači úloh přidejte novou úlohu Načítání vydaných jídel z terminálů. Čas spuštění úlohy cca 5 minut po výdeji nového typu denního jídla.


Vypnutí používání burzy

Navigation: Otázky a odpovědi > JÍDELNÍČEK >

Vypnutí používání burzy

 Return to chapter overview

Pokud máte aktivaci na modul burza a zatím ji nepoužíváte a nechcete, aby se v programu prozatím nabízela je potřeba vyplnit čas u typů denních jídel.

To provedete v menu Seznamy -> Typy denních jídel -> Formulář typu denního jídla -> vyplňte pole Konec přímé burzy a Konec burzy. Do polí zadejte například hodnotu 10000. Poté se již nebude zobrazovat. Nastavení proveďte u všech typů denních jídel, u kterých chcete burzu "vypnout".


Jak zruším konkrétní položku menu z již schváleného jídelníčku

Navigation: Otázky a odpovědi > JÍDELNÍČEK >

Jak zruším konkrétní položku menu z již schváleného jídelníčku

 Return to chapter overview

Aby nebylo možné si ze špatného jídelníčku dále objednávat zrušte potvrzení jídelníčku v menu Stravování/Jídelníček a vygenerujte terminál v menu Terminály/Generování jídelníčku do terminálu.

Položku jídelníčku můžete smazat v menu Stravování/Jídelníček. V seznamu jídel označte požadovanou položku a tlačítkem Smazat ji odstraníte z nabídky.

Položka jídelníčku lze smazat jen v případě, že nemá žádné navazující záznamy tj. objednávky, zrušené objednávky apod. Pokud by jste takovou položku menu chtěli smazat, zobrazí se vám hláška:

The DELETE statement conflicted with the REFERENCE constraint "FK31_ObjednavkaNaJidelnic". The conflict occurred in database "NÁZEV DATABÁZE", table "dbo.ObjednaneJidlo", column ´IDPolozkyJidelnicku´

V tomto případě je možným řešením (menu Stravování/Jídelníček) označit v seznamu jídel požadovanou položku a přepsat číslo nabídky na vyšší v poli Číslo (například z 1 na 50). Položka se poté nebude generovat do terminálu. Také můžete v seznamu jídel (menu Stravování/Jídelníček) označit požadovanou položku a zaškrtnout pole Neobjednávat nebo v menu Stravování/Uzavření objednávek ukončit objednávky vybrané položky jídelníčku.

Po provedené změně je nutné provést v menu Terminály/Generování jídelníčku do terminálu.


Jak objednám novému zaměstnanci jídlo

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Jak objednám novému zaměstnanci jídlo

 Return to chapter overview

Nový zaměstnanec nemůže objednávat stravu ihned po zadání údajů do programu, jelikož jeho údaje nejsou načteny v objednávacím terminálu. Údaje o zaměstnanci se načtou do objednávacího terminálu až po automatickém spuštění úlohy generování jídelníčku do terminálů, která je nastavená v plánovači úloh. Objednat stravu zaměstnanci můžete následujícími způsoby:

1) Objednávku zaměstnanci můžete provést přímo v programu Jídelna. To provedete v menu Stravování/Individuální objednávky osob. V seznamu najdete zaměstnance, kterému chcete objednat. Dvojklikem na označeném řádku zobrazíte formulář pro objednání jídla. Zde vyberete jídlo, které si zaměstnanec chce objednat a tlačítkem + výběr potvrdíte. Nyní má zaměstnanec objednané jídlo.

Pokud jsou již objednávky pro daný den již uzavřeny, může objednávku provést jen uživatel, který má právo objednávat po uzávěrce objednávek. Nastavení provedete v menu Systém/Správa databáze/Nastavení zabezpečení -> Zabezpečení systémem uživatelů a práv -> Uživatelé. Uživatel musí mít oprávnění správce (zatrhnuté pole Správce) nebo musí mít zatrhnuté pole:

Objednávání - objednání jídla po uzávěrce,

Objednávání - zrušení objednávky po uzávěrce.

2) Druhou možností je generování jídelníčku do terminálů. To provedete v menu Terminály/Generování jídelníčku do terminálů. Ve formuláři nastavíte jídelnu a generujete do objednacích terminálů tlačítkem [image]. Jelikož se generováním načtou údaje o strávníkovi do terminálu, může po tomto kroku již objednávat stravu na terminálu.

POZOR: Aby se zaměstnanec mohl stravovat, musí mít přiřazenu Jídelnu, Cenovou kategorii a Identifikační médium. Toto přiřazení zkontrolujete v menu Seznamy/Strávníci/Formulář strávníka/záložky: Jídelna, Cenová kategorie, ID média.


Jak objednám jídlo po uzávěrce

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Jak objednám jídlo po uzávěrce

 Return to chapter overview

Objednávat po uzávěrce může jen oprávněný uživatel. Nastavení najdete v menu Systém/Správa databáze/Nastavení zabezpečení. Ve formuláři zvolíte Zabezpečení systémem uživatelů a práv a vyberete tlačítko [image]. V seznamu uživatelů zvolte daného uživatele. V záložce Základní údaje najděte a označíte křížkem Objednávání – objednávání jídla po uzávěrce. Zavřete editor uživatelů a potvrďte.

Jídlo objednáte po uzávěrce v menu Stravování/Individuální objednávky osob. V seznamu najdete zaměstnance, kterému chcete objednat. Dvojklikem na označeném řádku zobrazíte formulář pro objednání jídla. Zde vyberete jídlo, které si zaměstnanec chce objednat a tlačítkem + výběr potvrdíte. Poté se zobrazí dotaz, zda chcete provést objednávku po uzávěrce. Po potvrzení má zaměstnanec objednané jídlo.

POZOR: Objednání po uzávěrce lze provést nejpozději v den před výdejem daného jídla.


Zaměstnanec nemůže objednávat jídlo

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Zaměstnanec nemůže objednávat jídlo

 Return to chapter overview

Máte více možností, proč Váš zaměstnanec nemůže objednávat jídlo. Zkontrolujte následující body.

Po provedené změně proveďte generování jídelníčku do terminálu v menu Terminály/Generování jídelníčku do terminálů a ověřte, zda je možné objednat jídlo požadované osobě.

Ø Jídelna

Zkontrolujte, zda je správně přiřazena jídelna. Kontrolu provedete v menu Seznamy/Strávníci. V seznamu najdete zaměstnance, kterému chcete zkontrolovat správnost přiřazení jídelny. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku Rozdělení.

Nemá-li přiřazenu danou jídelnu, proveďte změnu. Šipkou, která je uprostřed panelu, přemístěte danou jídelnu. Při přesunu do seznamu Je členem se zobrazí formulář Nastavení dat pro přiřazení rozdělení. Zvolte potřebné a potvrďte.

Má-li přiřazenou Jídelnu, zkontrolujte aktuální platné nastavení ve sloupcích Platnost od - do.

Ø Cenová kategorie

Zkontrolujte, zda je správně přiřazena Cenovou kategorie. Kontrolu uděláte v menu Seznamy/Strávníci. V seznamu najdete zaměstnance, kterému chcete ověřit správnost přiřazení cenové kategorie. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku Rozdělení.

Nemá-li přiřazenu danou cenovou kategorii, proveďte změnu. Šipkami uprostřed panelu, přemístíte cenovou kategorii. Při přesunu do seznamu Je členem se zobrazí formulář Nastavení dat pro přiřazení rozdělení. Zvolte potřebné a potvrďte.

Má-li přiřazenou Cenovou kategorii, zkontrolujte aktuální platné nastavení ve sloupcích Platnost od - do.

Ø Platný pracovní poměr

Zkontrolujte, zda je platný pracovní poměr. V menu Seznamy/Strávníci se Vám otevře seznam, kde najdete zaměstnance, kterému chcete zkontrolovat pracovní poměr. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku Hlavní údaje.

V dolní části formuláře strávníka se nachází Pracovní poměry. V kolonce Datum ukončení zkontrolujte, zda je kolonka prázdná. Jestliže je v kolonce datum, vymažete ho.

Ø Id médium

Proveďte kontrolu Identifikačního média. To provedete v menu Seznamy/Strávníci. V seznamu najdete zaměstnance, kterému chcete zkontrolovat přiřazení identifikačního média. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku ID médium.

Nemá-li přiřazeno dané identifikační médium, proveďte změnu. Šipkami uprostřed panelu, přiřadíte dané ID médium. Při přesunu do seznamu přiřazených ID médií se dotaz zda se má vybrané ID médium přiřadit osobě. Potvrďte.

Má-li přiřazeno ID médium, zkontrolujte aktuální platné nastavení ve sloupcích Přidělena a Vrácena.

Ø TERMINÁL

Zkontrolujte zda je osoba uvedená v terminálu. Kontrolu provedete v menu Terminály/Terminály. Otevřete formulář objednávacího terminálu a přejděte na záložku Osoby. Pokud je osoba v seznamu, zkontrolujte, zda nedochází při generování terminálu k chybě. To zkontrolujete v Log souboru událostí, který otevřete pomocí klávesové zkratky Ctrl+Alt+L. V horní části nad seznamem můžete použít filtry pro lepší orientaci v datech (například: Aplikace - Jídelna, Kategorie - Jidelna_Agent_Terminal).

Ø identifikační médium

Zkontrolujte Identifikační médium. Kontrolu provedete v menu Terminály/Identifikační média. Otevřete formulář Identifikačního média a přejděte na záložku Formulář záznamu. Ve formuláři zkontrolujte, zda není u ID média vyplněné datum a způsob vyřazení, případně zda není zatrženo pole Blokována. Zkontrolujte také, zda je načten správný kód ID média v poli Kód. Kontrolu proveďte na terminálu:

- terminál ACS-line

Na terminálu stiskněte modré tlačítko i a přiložte ID médium. Na displeji se zobrazí 16 místné číslo. To se musí shodovat s tím, které je uvedeno v poli Kód. Pokud máte v nastavení terminálu (menu Terminály/Terminály/Formulář objednávacího terminálu/Záložka Terminál) zaškrtnutou položku Používat kód média č.2, potom se číslo zobrazené na terminálu, musí shodovat s tím, které je uvedeno v poli Kód 2.

- terminál DMR-System

Na terminálu stiskněte postupně tlačítka J 2 4 6 a přiložte ID médium. Na displeji se zobrazí 8 místné číslo. To se musí shodovat s tím, které je uvedeno v poli Kód. Pokud máte v nastavení terminálu (menu Terminály/Terminály/Formulář objednávacího terminálu/Záložka Terminál) zaškrtnutou položku Používat kód média č.2, potom se číslo zobrazené na terminálu, musí shodovat s tím, které je uvedeno v poli Kód 2.

POZOR: Pokud používáte v terminálu (menu Terminály/Terminály/Formulář objednávacího terminálu/Záložka Terminál/Tlačítko Editovat parametry/Formulář Editor parametrů terminálu DMR) ACS-line formát identifikačních médií, potom je nutné doplnit ve formuláři identifikačního média za zobrazené číslo ještě 8 nul, tak aby kód byl 16 místné číslo.

Ø zálohový (kreditní) způsob účtování

Zaměstnanec má kreditní způsob účtování jídel a právě si dobil peníze na kartu, aby si mohl objednávat. Po dobití karty je nutné provést vyúčtování, aby se dobité peníze připsali na účet osoby. Vyúčtování můžete provést v menu Stravování/Přehled podle osob. V levém seznamu vyhledejte a označte kliknutím danou osobu. V pravé části okna stiskněte tlačítko Vyúčtování.

Ø Období

Zkontrolujte, zda máte vytvořené aktuální období. Kontrolu provedete v menu Systém/Výběr období. V seznamu zkontrolujte, zda máte vytvořené aktuální období.

Pokud nemáte aktuální období vytvořeno, vytvořte si nové stiskem tlačítka [image] Nový záznam.

Ø licence

Pokud jsou předešlé body v pořádku, zkontrolujte, zda není překročená licence. Na kolik osob je aktuální licence zjistíte v menu Nápověda/O aplikaci. Aktuální počet osob, které se zasílají do terminálu, zjistíte v menu Terminály/Terminály/formulář Terminálu/záložka Osoby. V dolní části formuláře pod seznamem osob je uveden počet záznamů posílaných do terminálu. V případě, že je počet osob zasílaných do terminálu větší jak v aktuální licenci, máte dvě možnosti řešení problému:

- objednejte si zvýšení počtu lidí v licenci

- z jídelny a cenové kategorie odstraňte lidi, kteří se nestravují. To provedete v menu Seznamy/Jídelny/formulář Jídelny/záložka Členové jídelny a v menu Seznamy/Cenové kategorie/formulář Cenové kategorie/záložka Členové kategorie. Z pravé části seznamu (členové) přesuňte šipkou osoby, které se nestravují do levé části seznamu (osoby pro výběr členů). Počet záznamů musí být maximálně roven počtu osob aktuální licence. Počet záznamů je zobrazen pod seznamem členové.


Není možné objednat stravu na příští týden

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Není možné objednat stravu na příští týden

 Return to chapter overview

Pokud máte problém při objednávání stravy na více dní dopředu, zkontrolujte následující nastavení:

Ø V Jídelně (menu Seznamy/Jídelny) zkontrolujte:

- pro požadovaný typ denního jídla nastavení objednávacích pravidel.

Ø V Jídelníčku (menu Stravování/Jídelníček) zkontrolujte následující:

- zda je jídelníček vytvořen na dny, na které není možné objednávat,

- zda je jídelníček potvrzen ve dnech, na které není možné objednávat,

- pokud nelze objednávat stravu na jeden konkrétní den, zkontrolujte pro tento den nastavení časů objednávání v poli "Objednávky od" u jednotlivých položek jídelníčku. Pokud je zde nastavený starší datum, tak datumy upravte.

Ø V Terminálu (menu Terminály/Terminály) zkontrolujte následující:

Ve formuláři objednávacího terminálu máte nastaveno, na jak dlouho dopředu chcete objednávat (kolik dnů se do terminálu bude generovat).

- změňte pole "Generovat max. dnů dopředu" na požadovanou hodnotu.

Po provedených změnách proveďte generování jídelníčku do terminálu v menu Terminály/Generování jídelníčku do terminálů.


Jak zruším objednávku jídla se starším datem

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Jak zruším objednávku jídla se starším datem

 Return to chapter overview

V některých výjimečných případech se může stát, že budete potřebovat strávníkovi zrušit objednávku jídla (například pokud se při manuálním vkládání spletete a vyberete jinou osobu, datum, chybnou položku jídelníčku).

Objednávku chybně zadaného jídla zrušíte v menu Stravování/Přehled podle osob. V levé části zobrazeného okna vyberte ze seznamu osobu, u které chcete zrušit objednané jídlo. V pravé části se zobrazí přehled pohybů vybrané osoby. Nad přehledem pohybů osoby stiskněte tlačítko [image] Změna objednávky. Stiskem tlačítka se dostanete do formuláře Manuální změna objednávky jídla, kde zkontrolujete jméno vybrané osoby a datum objednávky. Po zkontrolování údajů stiskněte tlačítko [image] Zrušit objednávku.

Objednávku můžete zrušit i použitím tlačítka [image] Zrušit objednávky. Po stisku se zobrazí okno, ve kterém zadáte Datum od - do. Pokud se jedná o smazání jedné konkrétní objednávky, zadáte do obou položek stejné datum. Dbejte na správná data, jinak si můžete smazat více objednávek.

Po zrušení objednaného jídla je nutné provést VYÚČTOVÁNÍ. Vyúčtování můžete provést přímo v Přehledu podle osob stisknutím tlačítka [image] Vyúčtování v pravé části okna (pro jednu vybranou osobu) nebo v levé části okna (pro všechny osoby zobrazené v seznamu).


Jak změním čas uzávěrky objednávek jídla

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Jak změním čas uzávěrky objednávek jídla

 Return to chapter overview

Změnu nastavení času pro objednávání jídel provedete v menu Seznamy/Jídelny. Vyberete jídelnu, pro kterou chcete změnit termíny uzávěrky jídla. Dvojklikem na označeném řádku zobrazíte formulář Jídelny. V horní části formuláře jídelny vyberte záložku Objednávací pravidla.

V poli Zobrazit pravidla pro typ denního jídla zvolte typ denního jídla, u kterého chcete provést změnu objednacího pravidla. Nastavení se provádí pro každý typ denního jídla zvlášť.

Ve sloupci Dnů nejpozději před výdejem vyplňte, kolik dnů před výdejem nejpozději je možné objednat stravu. Ve sloupci Čas do vyplňte, do kdy nejpozději je možné před výdejem objednat stravu. Jednotlivé kroky potvrďte tlačítkem [image]. Po dokončení všech potřebných změn potvrďte [image]. Nastavení se projeví u nově vytvářených jídelníčků.

Pokud byl jídelníček před úpravou vytvořený, je potřeba změnit časy pro objednávání v jídelníčku. To provedete v menu Stravování/Jídelníček. Ve formuláři Jídelníčku vyberte jídelnu, ve které jste provedli úpravu časů pro objednávání stravy. Stiskem tlačítka Opravit časy objednávání zobrazíte formulář, ve kterém zvolíte data, pro která požadujete změnit časy objednávání. Po potvrzení formuláře se provede oprava časů objednávání pro zvolené dny.

Výše uvedený postup je potřeba provést pro všechny jídelny, u kterých nastala změna.

Nyní je potřeba nové časy objednávání generovat do terminálů. To provedete v menu Terminály/Generování jídelníčku do terminálu. V zobrazeném formuláři vyberete jídelnu, pro kterou jste provedli změny a generujete do všech objednacích terminálů tlačítkem [image].

Pokud máte nastavenou službu pro generování jídelníčků do terminálů je potřeba i zde opravit čas pro generování. Službu upravíte na serveru, na kterém běží. Otevřete service manager (Jídelna_ServiceManager.exe). V pravé části lišty Windows se zobrazí tlačítko [image] - dvojklikem ji otevřete. Zobrazí se Manažer služby, ve kterém zvolte Editor plánovače. V seznamu Plánovače úloh vyberete úlohu Generování jídelníčku do terminálů. Ve formuláři plánování úlohy nastavte Čas spuštění po ukončení objednávek (např. objednávání končí v 7 hodin - nastavte 7:05:00).

Pokud odesíláte po uzavření objednávek email dodavateli stravy, je nutné i zde nastavit správný čas odesílání. Nastavení provedete v plánovači úloh. Ze seznamu vyberete úlohu, která posílá email, a ve formuláři plánování úlohy upravíte čas automatického spouštění.


Nastavení upozornění druhého objednání na touchscreenu

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Nastavení upozornění druhého objednání na touchscreenu

 Return to chapter overview

Pokud chcete zamezit tomu, aby si strávníci objednali nechtěně další jídlo na touchscreenu (například z důvodu dlouhé prodlevy, kdy dochází k vyúčtování předchozí objednávky) můžete na touchscreenu nastavit hlášku "Opravdu si přejete objednat další jídlo?".

Tuto funkci v programu zapnete v programu Jídelna v menu Systém -> Nastavení -> Nastavení aplikace -> Společné nastavení -> Touchscreen. Ve formuláři zaškrtněte volbu "Strávník musí potvrdit druhou a další objednávku". Poté je nutné aplikaci na Touchscreenu restartovat, aby se změna nastavení projevila.


Jak zkontroluji jaké jídlo má objednáno zaměstnanec XY

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Jak zkontroluji jaké jídlo má objednáno zaměstnanec XY

 Return to chapter overview

V menu Seznamy/Strávníci najdete zaměstnance, u kterého chcete zjistit, jaké jídlo si objednal. Dvojklikem na označeném řádku zobrazíte formulář strávníka. Ve formuláři strávníka v jeho levé části vyberte záložku Objednávky jídel. Ve formuláři jsou zobrazeny objednávky, které má zaměstnanec objednané.


Co je potřeba nastavit pro objednávání obědů přes Intraweb

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Co je potřeba nastavit pro objednávání obědů přes Intraweb

 Return to chapter overview

U osob je nutné v programu Jídelna nastavit v kartě strávníka (menu Seznamy -> Strávníci) rozdělení Jídelna a Cenová kategorie. Dále přejděte do záložky Intraweb. Zde nastavte Přihlašovací jméno a Heslo. V záložce následně nastavte pro typ práva (objednání jídla, prohlížení údajů (Jídelna)) jeho hodnotu (pouze vlastní).


Objednávání stravy z domu

Navigation: Otázky a odpovědi > OBJEDNÁVKY >

Objednávání stravy z domu

 Return to chapter overview

Objednávání stravy z domu lze provést přes modul Intraweb. Stačí, když bude mít server, na kterém intraweb běží veřejnou IP adresu a bude tak dostupný z venkovní sítě. Pokud veřejnou IP adresu nemáte, kontaktujte svého dodavatele internetového připojení.


Jak doplním vydané jídlo po výdeji

Navigation: Otázky a odpovědi > ODBĚRY >

Jak doplním vydané jídlo po výdeji

 Return to chapter overview

U výdeje jídla po výdeji je třeba rozlišit, zda zaměstnanec má jídlo objednáno nebo ne.

Ø Zaměstnanec má jídlo objednáno

Proveďte v menu Stravování/Manuální výdej objednaného jídla.

V seznamu vyberete datum, pro které chcete provést výdej jídla zaměstnanci a zvolíte jídelnu. Nyní najděte a označte příslušného zaměstnance, u kterého chcete výdej provést. Potvrdíte tlačítkem [image].

V případě, že chcete vydat všechny objednané jídla pro daný den a jídelnu stiskněte tlačítko [image].

Takto vložené jídlo se zobrazí v přehledu odběrů jídel v menu Stravování/Odběry jídel.

Ø Zaměstnanec nemá jídlo objednáno

Nastavení provedete v menu Stravování/Manuální vložení odběru jídla. Ve formuláři vyberte osobu, která odebrala jídlo, datum odebrání jídla, jídelnu, typ denního jídla a Položku jídelníčku. Po vyplnění potvrďte tlačítkem [image] (formulář se po tomto potvrzení uzavře) nebo tlačítkem J_Vlozit bez uzavreni (formulář se po potvrzení neuzavře a můžete vydávat další jídla po výdeji). Po potvrzení informace, že jídlo bylo úspěšně vloženo do databáze, máte proveden výdej jídla zaměstnanci.

Takto vložené jídlo se zobrazí v přehledu odběrů jídel v menu Stravování/Odběry jídel. Aby se vložený odběr jídla zaúčtoval, je třeba provést VYÚČTOVÁNÍ v menu Stravování/Dotace – dle osob.


Jak zruším odběr jídla

Navigation: Otázky a odpovědi > ODBĚRY >

Jak zruším odběr jídla

 Return to chapter overview

V některých výjimečných případech se může stát, že budete potřebovat strávníkovi zrušit odběr jídla (např. pokud se při manuálním vkládání spletete a vyberete jinou osobu, datum, jídelnu, typ denního jídla či jinou položku jídelníčku).

Odběr chybně zadaného jídla zrušíte v menu Stravování/Odběry jídel. Pro lepší orientaci v seznamu můžete použít filtr v horní části (například podle Data vložení odběru). V seznamu si najděte osobu, které chcete zrušit odběr. Manuálně vložený odběr je ve sloupci "Vloženo manuálně (kód)" označen číslem 1. Označíte potřebnou položku a v nástrojové liště stisknete tlačítko [image].

Po zrušení se položka zobrazí ve zrušených odběrech jídel. Seznam zobrazuje informaci, kdo zrušil odběr jídla, jakému strávníkovi jídlo bylo zrušeno apod. Aby se zrušený odběr jídla zrušil i ve vyúčtování, je třeba provést VYÚČTOVÁNÍ v menu Stravování/Dotace – dle osob.


Jak zruším duplicitní odběr jídla

Navigation: Otázky a odpovědi > ODBĚRY >

Jak zruším duplicitní odběr jídla

 Return to chapter overview

Duplicitní odběr jídla může vzniknout v případě, že během načítání dat z výdejního terminálu nastane chyba. Obvykle tato chyba bývá způsobena technickými problémy (terminál je odpojený ze sítě, výpadek proudu apod.). V důsledku toho nejsou vyčtena všechna vydaná jídla z terminálu. Záznamy vydaných jídel se v tomto případě z terminálu nevymažou. Po odstranění chyby proběhne ještě jednou načtení výdeje jídel z terminálu do programu Jídelna. Tím vzniknou duplicitní odběry jídel.

Pokud duplicitní odběry vznikly v období, které je již uzavřeno, otevřete jej v menu Systém -> Období. Duplicitní odběry jídel zrušíte v menu Stravování -> Odběry jídel. Pro lepší orientaci v seznamu můžete použít filtr v horní části (například podle Data vložení odběru). Seznam si setřiďte podle příjmení (dvojklik na názvu sloupce). Najděte sloupeček Odběr bez objednávky a přesuňte si ho blíže ke sloupci Příjmení pro lepší orientaci. Ve sloupci Odběr bez objednávky je nutné, tam kde jsou zdvojené záznamy, smazat řádek s hodnotou 1 (odběr bez objednávky), protože jinak by se při vyúčtování stále započítávaly 2 odběry (objednávka a odběr bez objednávky). Záznam smažete označením řádku v seznamu a stiskem tlačítka v nástrojové liště [image] Zrušit záznam. Po zrušení se položka zobrazí ve zrušených odběrech jídel (menu Stravování -> Zrušené odběry jídel). Seznam zobrazuje informaci, kdo zrušil odběr jídla, jakému strávníkovi bylo jídlo zrušeno apod. Aby se zrušený odběr jídla zrušil i ve vyúčtování, je třeba provést vyúčtování v menu Stravování -> Vyúčtování. Poté uzavřete období a můžete provést export.

Jaký je postup, pokud smažu místo odběru bez objednávky (1) odběr z objednávky (0)

Když je smazán odběr, který je spárován s objednávkou (0), tak se strávníkovi účtuje objednávka jídla a odběr bez objednávky. Proto po smazání odběru z objednávky (0) jsou účtována dvě jídla. Opravu provedete tak, že nyní smažete i ten druhý odběr. Pohyb zůstane zaúčtován jako objednávka, takže není nutné vkládat odběr. Pokud chcete odběr jídla vložit, můžete to provést v menu Stravování -> Manuální výdej objednaného jídla. Protože už budou původní odběry smazány, dojde ke spárování s objednávkou a jídlo bude zaúčtováno jen jednou. Následně proveďte vyúčtování v menu Stravování -> Vyúčtování.


Kde zjistím, kolik má zaměstnanec zaplatit za odebrané jídlo

Navigation: Otázky a odpovědi > ODBĚRY >

Kde zjistím, kolik má zaměstnanec zaplatit za odebrané jídlo

 Return to chapter overview

V menu Seznamy/Strávníci najdete zaměstnance, u kterého chcete zjistit platbu za odebrané jídlo. Dvojklikem na označeném řádku zobrazíte formulář strávníka. Ve formuláři strávníka v jeho levé části vyberte záložku Pohyby na účtu. V dolní části formuláře jsou uvedeny součty Celkem, Dotace a Odběry a Objednávky.


Odebraná jídla se nenačítají z výdejního terminálu do programu Jídelna

Navigation: Otázky a odpovědi > ODBĚRY >

Odebraná jídla se nenačítají z výdejního terminálu do programu Jídelna

 Return to chapter overview

Čím to může být způsobeno:

- neměnil se server,

- nepřeinstalovala se databáze,

- nenačítají se data do jiné databáze,

- resetovat terminálu.


Jak změním cenu dotace

Navigation: Otázky a odpovědi > DOTACE, ÚČTOVÁNÍ >

Jak změním cenu dotace

Return to chapter overview

Cenu dotace stravy změníte v menu Seznamy -> Cenové kategorie. V seznamu vyberte požadovanou cenovou kategorii, u které chcete změnit cenu dotace. Tlačítkem [image] Editace záznamu si otevřete formulář vybrané cenové kategorie a přejdete na záložku Vlastnosti cenové kategorie. Zde stiskněte tlačítko J_Novy zaznam z kopie aktualniho_1 Kopie (Nový záznam z kopie aktuálního).

V průvodci nastavením cenové kategorie na první stránce zadejte datum platnosti (například 02.2013), od kterého se má změna dotace projevit. Pokud se žádné jiné nastavení cenové kategorie nemění, přejděte cca na 5 stranu průvodce nastavením cenové kategorie, kde se nastavují pravidla výpočtu dotace pro typy denních jídel. V poli Výše dotace změníte částku dotace. Nastavení ceny dotace pro další typy denních jídel provedete na následujících stránkách. Na poslední straně průvodce nastavením cenové kategorie stiskněte tlačítko [image] Dokončit.

Nastavení je nutné provést u všech cenových kategorií, u kterých nastala změna ceny dotace.


Přenášení nároků na dotace z programu Docházka do programu Jídelna

Navigation: Otázky a odpovědi > DOTACE, ÚČTOVÁNÍ >

Přenášení nároků na dotace z programu Docházka do programu Jídelna

 Return to chapter overview
· program Docházka poskytuje informace o počtu nároků (dotací) na stravu,

· nároky na stravu (dotace) z programu Docházka se přenášejí vyúčtováním prováděným v programu Jídelna,

· dotování jídel v programu Jídelna probíhá na základě nastavených podmínek v Cenové kategorii,

· dotace jsou přiznávány zpětně po zpracování dat v programu Docházka a následném vyúčtování v programu Jídelna,

· kontrola a přiznání dotací probíhá automaticky pomocí služby programu ADS a JIDELNA.


Do programu Jídelna se nenačítají nároky na dotace

Navigation: Otázky a odpovědi > DOTACE, ÚČTOVÁNÍ >

Do programu Jídelna se nenačítají nároky na dotace

 Return to chapter overview

Pokud se nenačítají nároky na dotace, zkontrolujte následující body:

- zda vyúčtování probíhá v pořádku (pokud vyúčtování zajišťuje služba, zkontrolujte ji v plánovači úloh),

- zda je zpracovaná docházka,

- jestli jsou správně vypočítány nároky na stravné v programu Docházka,

- zda je v programu Jídelna zaškrtnuto pole "Importovat denní dotace při vyúčtování z ADS" (menu Systém/Nastavení aplikace/Společné nastavení/Dotace),

- zda je v programu Jídelna správně vybraná časová složka pro import (menu Systém/Nastavení aplikace/Společné nastavení/Dotace),

- v menu Systém/Výběr období ověřte, zda nejsou uzavřena období za obdobím, které zpracováváte,

PŘÍKLAD: Zpracovávané období je Květen 2012. Uzavřené období jsou Červen 2012, Červenec 2012. Tato situace nesmí nikdy nastat!!!

- zda není zpracovávané období uzavřeno,

- zda jsou všechna stará období uzavřena,

- pokud byla v některém bodu chyba, proveďte vyúčtování,

- nároky i dotace stravy si přehledně můžete zobrazit v menu Stravování/Přehled podle osob.

- pokud po zkontrolování těchto údajů problém přetrvá, vložte dotaz na Helpdesk a připojte vzorek databáze.


Jak nastavit účtování jen vydaných jídel

Navigation: Otázky a odpovědi > DOTACE, ÚČTOVÁNÍ >

Jak nastavit účtování jen vydaných jídel

 Return to chapter overview

Pokud chcete, aby se strávníkům srážela jen částka za vydaná jídla, proveďte následující nastavení.

Nastavení provedete v menu Seznamy -> Cenové kategorie -> formulář Cenové kategorie, kde chcete provést změnu -> záložka Vlastnosti cenové kategorie -> stiskněte tlačítko Kopie -> na první stránce Průvodce nastavením cenové kategorie nastavte, v horní části Platnost od kdy změna platí (například 02.2012) a poté zaškrtněte políčko Účtovat jen odebraná jídla. Proklikejte se průvodcem nastavením cenové kategorie až na konec a potvrďte provedené změny. Po vyúčtování v menu Stravování -> Vyúčtování se nastavená změna projeví.


Dvakrát zaúčtovaná objednávka se stejným ID

Navigation: Otázky a odpovědi > DOTACE, ÚČTOVÁNÍ >

Dvakrát zaúčtovaná objednávka se stejným ID

 Return to chapter overview

K chybě může dojít, pokud je spuštěno vyúčtování jídelny na více počítačích najednou. Aktuální verze aplikace (od 4.3.305.26 včetně) při přeúčtování chybu opraví (odstraní dvojí zaúčtování odběru jídla).


Kde zjistím aktuální stav objednaných jídel

Navigation: Otázky a odpovědi > VÝSTUPNÍ SESTAVY >

Kde zjistím aktuální stav objednaných jídel

 Return to chapter overview

Nejprve se musí načíst objednávky z terminálu. Načtení objednávek provedete v menu Terminály/Načítání objednávek z terminálu. Nastavte jídelnu a objednací terminály a potvrďte. Je nutno provést načítání ze všech objednacích terminálů a jídelen.

Stav aktuálně objednaných jídel najdete v menu Výstupy/Manažer výstupních sestav/Objednávky/Přehled počtů objednávek z jídelníčku.


Kde si vytisknu přehled srážek ze mzdy za odebranou stravu

Navigation: Otázky a odpovědi > VÝSTUPNÍ SESTAVY >

Kde si vytisknu přehled srážek ze mzdy za odebranou stravu

 Return to chapter overview

Přehled srážek najdete v menu Výstupy/Manažer výstupních sestav/Přehledy pohybů na účtech.

· Rekapitulace vyúčtování – zde naleznete sloupce Osobní číslo, Titul, Příjmení, Jméno, Stravné, Příspěvek, Srážka a Podpis. Každému zaměstnanci přísluší jeden řádek, ve kterém jsou uvedeny sumy (Stravné, Příspěvek, Srážka) za daný měsíc.

· Součty za období – zde naleznete sloupce Titul, Příjmení, Jméno, Osobní číslo, Počet pohybů a Částka. Každému zaměstnanci přísluší jeden řádek, ve kterém je uvedena celková cena, kterou zaměstnanec má uhradit.

· Součty za období s detaily pohybů – zde naleznete sloupce Titul, Příjmení, Jméno, Rodné číslo, Osobní číslo, Nástup, Počet pohybů a Částka. Každý zaměstnanec má po dnech, ve kterých měl objednané jídlo, případně odebral jídlo bez objednání, rozepsané pohyby na účtu. Ve vrchním řádku je zobrazena celková částka, kterou zaměstnanec má uhradit.

V případě, že Vám tyto sestavy nebudou vyhovovat, je možnost vytvoření sestavy podle vašich požadavků.


Kterou výstupní sestavu mám použít, když potřebuji vědět kolik jídel je na den objednáno

Navigation: Otázky a odpovědi > VÝSTUPNÍ SESTAVY >

Kterou výstupní sestavu mám použít, když potřebuji vědět kolik jídel je na den objednáno

 Return to chapter overview

Nejprve načtěte objednávky z terminálu. Načtení objednávek provedete v menu Terminály/Načítání objednávek z terminálu. Nastavte jídelnu a objednací terminály a potvrďte. Je nutno provést načítání ze všech objednacích terminálů a jídelen.

Výběr výstupní sestavy vzhledem k počtu objednaných jídel na den najdete v menu Výstupy/Manažer výstupních sestav/Objednávky/Přehled počtů objednávek z jídelníčku.


Na terminálu je možné objednat stravu i po ukončení objednávání

Navigation: Otázky a odpovědi > TERMINÁLY >

Na terminálu je možné objednat stravu i po ukončení objednávání

 Return to chapter overview

Terminály ACS-Line je nutné, cca minutu po ukončení objednávek jednotlivých typů denních jídel (obědy, večeře), přegenerovat. Generování jídelníčku do terminálu můžete provést buď v menu Terminály/Generování jídelníčku do terminálu nebo pro tuto funkci máte nastavenou úlohu, která běží na serveru a je nastavena v plánovači úloh. Pokud je možné si na terminálu objednat stravu i po ukončení objednávání, zkontrolujte následující nastavení:

Ø V plánovači úloh zkontrolujte následující:

- pokud se objednávky všech typů denních jídel neukončují v jeden společný čas, musí být v seznamu naplánovaných úloh, pro každé ukončení objednávky jednotlivého typu denního jídla nastavena jedna úloha;

PŘÍKLAD: Ukončení objednávek pro Obědy v 8:00 hodin a pro Večeře ve 14:00 hodin => dva různé časy ukončení objednávek => dvě naplánované úlohy. Ukončení objednávek pro Obědy a pro Večeře v 8:00 hodin => jeden čas ukončení objednávek => jedna naplánovaná úloha.

- zkontrolujte, zda čas generování jídelníčku do terminálu ve sloupci Plánování je nastaven cca minutu po ukončení objednávek jednotlivých typů denních jídel. Čas ukončení objednávek jednotlivých typů denních jídel jste nastavili v Objednávacích pravidlech ve formuláři jídelny. Nastavení objednávacích pravidel zkontrolujte i v jídelníčku v seznamu jídel u položky Obj: nebo v poli Objednávky do;

- ve sloupci Čas provedení zkontrolujte, zda úloha byla provedena;

- ve sloupci Hlášení ověřte, zda při provádění úlohy nedošlo k chybě. Případné znění chyby připojte k dotazu na helpdesku.

Pokud úloha v plánovači úloh neproběhla, možné důvody proč se tak stalo jsou:

- pozastavený plánovač úloh (v seznamu úloh se dá plánovač pozastavit tlačítkem v liště nahoře),

- některá úloha mohla být seknutá a blokovala ostatní úlohy (čas provedení bude dlouhý),

- při generování jídelníčků do terminálu nastala chyba a terminál se nevygeneroval.


Na objednávacím terminálu nelze zrušit objednávku

Navigation: Otázky a odpovědi > TERMINÁLY >

Na objednávacím terminálu nelze zrušit objednávku

 Return to chapter overview

K chybě dochází, například pokud je u dvou položek jídla nastavená 1 (v poli Kód v terminálu), a proto dochází k chybnému rušení objednávek.

Pokud nelze zrušit objednávku přes objednávací terminál, ačkoliv dodržujete správný postup rušení objednávek, zkontrolujte mapování jídel v menu Terminály -> Terminály. Pokud zjistíte v mapování jídel v terminálu problém, proveďte opravu. Postupujte následujícím způsobem:

- nejdříve zajistěte, že nebude nikdo na terminálu provádět objednávky (úprava bude trvat několik minut),

- vyčtěte objednávky z terminálu - menu Terminály -> Načítání objednávek z terminálu,

- otevřete formulář objednávacího terminálu v menu Terminály -> Terminál,

- na záložce Mapování jídel proveďte potřebné úpravy,

- po změně nastavení proveďte vygenerování terminálu (menu Terminály - Generování Jídelníčku do terminálů),

- teprve potom je možné začít terminál znovu používat.


Po přiložení karty se na výdejním displeji terminálu zobrazí "F"

Navigation: Otázky a odpovědi > TERMINÁLY >

Po přiložení karty se na výdejním displeji terminálu zobrazí "F"

 Return to chapter overview

Máte více možností, proč po přiložení karty se na displeji výdejního terminálu zobrazí "F". Zkontrolujte následující body.

Ø Identifikační médium

Proveďte kontrolu Identifikačního média. To provedete v menu Seznamy/Strávníci. V seznamu najdete zaměstnance, kterému chcete zkontrolovat přiřazení identifikačního média. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku ID médium.

Nemá-li přiřazeno dané identifikační médium, proveďte změnu. Šipkami uprostřed panelu, přiřadíte dané ID médium. Při přesunu do seznamu přiřazených ID médií se zobrazí dotaz, zda se má vybrané ID médium přiřadit osobě. Potvrďte.

Má-li přiřazeno ID médium, zkontrolujte aktuální platné nastavení ve sloupcích Přidělena a Vrácena.

Ø Cenová kategorie

Zkontrolujte, zda je správně přiřazena Cenovou kategorie. Kontrolu proveďte v menu Seznamy/Strávníci. V seznamu najdete zaměstnance, kterému chcete ověřit správnost přiřazení cenové kategorie. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku Rozdělení.

Nemá-li přiřazenu danou cenovou kategorii, proveďte změnu. Šipkami uprostřed panelu, přemístíte cenovou kategorii. Při přesunu do seznamu Je členem se zobrazí formulář Nastavení datumů pro přiřazení rozdělení. Zvolte potřebné a potvrďte.

Má-li přiřazenou Cenovou kategorii, zkontrolujte aktuální platné nastavení ve sloupcích Platnost od - do.

Ø Jídelna

Zkontrolujte, zda je správně přiřazena jídelna. Kontrolu provedete v menu Seznamy/Strávníci. V seznamu najdete zaměstnance, kterému chcete zkontrolovat správnost přiřazení jídelny. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku Rozdělení.

Nemá-li přiřazenu danou jídelnu, proveďte změnu. Šipkou, která je uprostřed panelu, přemístěte danou jídelnu. Při přesunu do seznamu Je členem se zobrazí formulář Nastavení datumů pro přiřazení rozdělení. Zvolte potřebné a potvrďte.

Má-li přiřazenou Jídelnu, zkontrolujte aktuální platné nastavení ve sloupcích Platnost od - do.

Ø Platný pracovní poměr

Zkontrolujte, zda je platný pracovní poměr. V menu Seznamy/Strávníci se vám otevře seznam, kde najdete zaměstnance, kterému chcete zkontrolovat pracovní poměr. Dvojklikem na označeném řádku zobrazíte formulář strávníka. V levé části formuláře strávníka vyberte záložku Hlavní údaje.

V dolní části formuláře strávníka se nachází Pracovní poměry. V kolonce Datum ukončení zkontrolujte, zda je kolonka prázdná. Jestliže je v kolonce datum, vymažete ho.


Po přiložení karty se na výdejním displeji terminálu zobrazí "NEDEFINOVÁNO"

Navigation: Otázky a odpovědi > TERMINÁLY >

Po přiložení karty se na výdejním displeji terminálu zobrazí "NEDEFINOVÁNO"

 Return to chapter overview

Při výdeji stravy bez objednávky se po přiložení karty na displeji výdejního terminálu může zobrazit "NEDEFINOVÁNO". Tato chyba se zobrazuje, pokud není jídelníček nahraný ve výdejním terminálu nebo jsou špatně namapovaná tlačítka v terminálu. Důvodem nevygenerovaného jídelníčku v terminálu může být to, že jídelníček není vytvořený nebo potvrzený.

Zkontrolujte, zda je jídelníček vytvořený a potvrzený. Kontrolu provedete v menu Stravování/Jídelníček. Pokud není jídelníček vytvořen nebo potvrzen proveďte nápravu.

Zkontrolujte, zda jsou správně namapována tlačítka v terminálu. Kontrolu provedete v menu Terminály/Terminály/Formulář výdejního terminálu/Záložka mapování jídel. U výdejních terminálů ACS-Line doporučujeme pro každý typ denního jídla provést číslování v poli Kód v terminálu vždy od 1. U výdejních terminálů DMR-System se nesmí opakovat u každého typu denního jídla čísla tlačítek v poli Číslo tlačítka.

Terminál ACS-Line může při této chybě vydat zvukový signál v okamžiku Generování nastavení terminálu.

Generovani nastaveni terminalu

Pokud toto chování terminálu vypozorujete, vyzkoušejte následující nastavení. V menu Terminály/Terminály/Formulář výdejního terminálu/Tlačítko [image] Editovat parametry. Ve formuláři Editor parametrů terminálu ACS-Line zaškrtněte pole Bez prodlev při odesílání příkazů. Všechny formuláře potvrďte a proveďte Generování (přípravu) výdeje do terminálů.


Po přiložení karty se na displeji výdejního terminálu zobrazí Nepovoleno

Navigation: Otázky a odpovědi > TERMINÁLY >

Po přiložení karty se na výdejním displeji terminálu zobrazí "NEPOVOLENO"

 Return to chapter overview

Při výdeji stravy bez objednávky se po přiložení karty na displeji výdejního terminálu může zobrazit "NEPOVOLENO". Tato hláška se zobrazuje, pokud není v nastavení cenové kategorie povolen výdej bez objednávky.

Zkontrolujte, zda má cenová kategorie, kterou má strávník přiřazen, povolen výdej bez objednávky. Kontrolu provedete v menu Seznamy/Cenová kategorie/Formulář cenové kategorie/záložka Vlastnosti cenové kategorie/podzáložka Základní nastavení - pole Povolit výdej bez objednávky. Pokud má být výdej bez objednávky aktivní, je nutné mít pole zaškrtnuté.


Na výdejním terminálu je větší počet objednávek než v programu

Navigation: Otázky a odpovědi > TERMINÁLY >

Na výdejním terminálu je větší počet objednávek než v programu

Return to chapter overview

Pokud nesedí počty objednávek v programu Jídelna s počtem objednávek ve výdejním terminálu, zkontrolujte, zda nemá některý ze zaměstnanců přiřazeno více ID médií.

Kontrolu provedete v menu Seznamy -> Strávníci -> Formulář strávníka -> Záložka ID média. Pokud některý ze zaměstnanců či více zaměstnanců má přiřazeno více ID médií, máte následující možnosti řešení problému:

1) Nejjednodušším řešením problému je ukončení přiřazení jedné z karet u těchto osob.

2) Pokud není možné ukončit přiřazení jedné z karet, je nutné nastavit u všech karet, které mají být posílány do výdejních terminálů, příznak Primární. Nastavení provedete v menu Seznamy -> Strávníci -> formulář Strávníka -> záložka ID média. Ve sloupci Přiřazená ID média označte ID médium, které má být používáno v jídelně a otevřete jeho formulář (dvojklikem na požadovaném záznamu nebo tlačítkem [image] Editace záznamu). V otevřeném formuláři Přiřazené ID médium zaškrtněte položku Primární.

Dále je nutné provést nastavení pro odesílání primárních ID médií do terminálu. Nastavení provedete v menu Terminály -> Terminály -> Formulář výdejního terminálu -> Záložka terminál - zaškrtněte položku Používat jen primární ID média.


Na výdejním terminálu nelze vydávat jídlo bez objednávky

Navigation: Otázky a odpovědi > TERMINÁLY >

Na výdejním terminálu nelze vydávat jídlo bez objednávky

 Return to chapter overview

Problém nastává u terminálů DMR-System, pokud namapujete například výdej obědů i večeří na stejné tlačítko výdejního terminálu. To znamená, že Oběd 1 i Večeře 1 jsou pod tlačítkem 1 na výdejním terminálu. V případě tohoto problému může docházet i ke zkresleným informacím o stavu objednávek v terminálu (info o jídlech).

Pokud nelze provést výdej bez předešlé objednávky, ačkoliv dodržujete správný postup výdeje bez objednávky, zkontrolujte mapování jídel v menu Terminály -> Terminály. Pokud zjistíte v mapování jídel v terminálu problém, proveďte opravu. Postupujte následujícím způsobem:

- po skončení výdeje vyčtěte všechny výdejní terminály v menu Terminály -> Načítání vydaných jídel z terminálu.

POZOR: Tento postup je nutné dodržet. Na výdejních terminálech nesmí probíhat výdej a z výdejních terminálů musí být vydaná strava vyčtena do programu Jídelna!

- otevřete formulář výdejního terminálu v menu Terminály -> Terminál,

- na záložce Mapování jídel proveďte potřebné úpravy,

- pokud je problém na více terminálech je potřeba tento postup opakovat pro všechny výdejní terminály,

- po nastavení změn proveďte v menu Terminály/Generování (příprava) výdeje do terminálů.


Přestupný rok na terminálu ACS-Line

Navigation: Otázky a odpovědi > TERMINÁLY >

Přestupný rok na terminálu ACS-Line

 Return to chapter overview

Při přestupném roku se může na terminálech ACS-Line se starší verzí firmware objevit problém s datumem. Terminál bude zobrazovat například datum 1.3.2009 místo data 29.2.2009.

Jakou verzi firmware máte, zjistíte v programu Jídelna v menu Terminály/Terminály. V seznamu terminálů označte řádek s objednávacím terminálem a stiskněte tlačítko [image] Editace záznamu. Ve formuláři objednávacího terminálu stiskněte tlačítko [image] Test spojení. V zobrazeném okně Test komunikace je vypsána verze firmware.

Řešením je přehrání firmware v terminálu, ale u starých typů terminálu to již není možné provést. U verze firmware 2.29 je zobrazení datumu správné.


Nastavení času zobrazení informací na touchscreenu a terminálu

Navigation: Otázky a odpovědi > TERMINÁLY >

Nastavení času zobrazení informací na touchscreenu a terminálu

 Return to chapter overview

Pokud chcete nastavit na terminálech delší čas zobrazení informací, proveďte následující pro:

Ø Touchscreen - čas, za který se uživatel automaticky odhlásí po přiložení ID média na touchscreenu se nastaví v menu Systém -> Nastavení aplikace -> Společné nastavení -> Touchscreen. V položce "Doba, po které se uzavře touchscreen v případě neaktivity" zadejte požadovaný čas v sekundách.

Ø Objednávací terminál DMR-System - prodloužení (zkrácení) času zobrazených informací na objednávacích terminálech provedete v menu Terminály -> Terminály -> formulář objednávacího Terminálu -> záložka Terminál -> tlačítko Editovat parametry -> formulář Editor parametrů terminálu DMR -> záložka Základní parametry. V položce Čas zobrazení informací na terminálu nastavte požadovaný čas. Možné hodnoty, které lze do pole zadat jsou 1 až 130.

Ø Výdejní terminál DMR-System - pokud je využito externí tlačítko pro potvrzení výdeje, potom zobrazení informace na externím displeji a výdejním terminálu je ukončeno po stisku externího tlačítka.

Ø Objednávací terminál ACS-Line - prodloužení (zkrácení) času zobrazených informací na objednávacích terminálech provedete v terminálu. Na terminálu stiskněte naráz šipky ńň -> zadejte heslo 9999 -> šipkou ň najeďte na Parametry -> stisk modrého i cca 2x -> hodnota Doba Y1 (s): 5 -> šipkami ńň změňte hodnotu na požadovanou -> stisk modrého i cca 2x -> hodnota Doba Y2 (s): 5 -> šipkami ńň změňte hodnotu na požadovanou -> stisk modrého i cca 4x -> zobrazení menu Parametry -> vyjetí z menu terminálu stisk červeného x.

Ø Výdejní terminál ACS-Line - na výdejním terminálu ACS-Line je nastavená hodnota 0. Znamená nekonečný čas zobrazení informací na výdejním terminálu. V tomto případě dojde k ukončení zobrazení informací na terminálu a externím displeji stiskem externího tlačítka pro potvrzení výdeje nebo stiskem jakéhokoliv tlačítka na terminálu.


Jaké parametry je nutné nastavit na novém Touchscreenu

Navigation: Otázky a odpovědi > TERMINÁLY >

Jaké parametry je nutné nastavit na novém Touchscreenu

 Return to chapter overview

- na touchscreenu si vytvořte zástupce jidelna.exe

- přihlašte se do programu Jídelna jako správce,

- v menu Systém/Výběr období vyberte období,

- v menu Systém/Nastavení/Nastavení aplikace v položce Načítání ID média vyberte čtečku karet,

- program uzavřete,

- ve Vlastnostech zástupce Jídelna doplňte do pole Cíl /touchscreen /U: xxx /P:xxx

- U: xxx - je uživatel, pravděpodobně /U: touchscreen

- P: xxx - je heslo, pravděpodobně bez hesla, potom lze tento parametr vynechat

- tyto dva parametry naleznete v programu Jídelna v menu Systém -> Správa databáze -> Nastavení zabezpečení -> Uživatelé.

Příklad doplněného parametru: /touchscreen /U: touchscreen.


Přehrání verze firmware v terminálu DMR

Navigation: Otázky a odpovědi > TERMINÁLY >

Přehrání verze firmware v terminálu DMR

 Return to chapter overview

Před nahráním firmware do výdejního (objednávacího) terminálu NESMÍ probíhat výdej (objednávání) a je NUTNÉ mít všechny výdeje (objednávky) jídel NAČTENÉ v programu Jídelna [menu Terminály -> Načítání vydaných jídel z terminálu (Načítání objednávek z terminálu)]. V době, kdy se bude upgradovat verze firmware v terminálu, nesmí s výdejním (objednávacím) terminálem NIKDO pracovat. Tyto body je NUTNÉ zajistit před nahráním verze firmware do terminálu.

Přehrání verze firmware provedete v menu Terminály -> Terminály -> formulář Výdejního (Objednávacího) terminálu -> záložka Terminál. Ve formuláři stiskněte tlačítko [image] Editovat parametry. V zobrazeném okně přejděte na záložku Údržba. V dolní části zaškrtněte tlačítko Inicializovat implicitní konfigurační hodnoty. Poté stiskněte podtržený nadpis Nahrát firmware do terminálu. V otevřeném okně vyberte poslaný firmware, který jste si uložil do počítače a potvrďte. Po potvrzení dotazu, zda si přejete nahrát do terminálu firmware ze souboru, se firmware v terminálu přehraje. Po zobrazení okna o tom, že přehrání firmware proběhlo v pořádku vyčkejte cca jednu minutu. Potom proveďte na záložce Údržba reset terminálu s inicializací tak, že stisknete zároveň Ctrl+Alt+Shift a podtržený název Reset terminálu (vše dohromady stisknout).

Po provedeném přehrání firmware a resetu je potřeba provést v menu Terminály -> Generování (příprava) výdeje do terminálu (Generování jídelníčku do terminálů).


Jak nainstaluji Jídelna service manager

Navigation: Otázky a odpovědi > MODUL SLUŽBA >

Jak nainstaluji Jídelna service manager

 Return to chapter overview

Soubor JIDELNA_Service.exe nainstalujte do adresáře se softwarem JÍDELNA. JIDELNA_Service.exe spusťte s parametrem /install. Po úspěšném provedení instalace služby se zobrazí informační okno.

Následně je potřeba službu spustit. Službu spustíte v administraci počítače, kde ve službách naleznete - JIDELNA Service a tlačítkem spustit službu spustíte. Po spuštění služby Jidelna_ServiceManager.exe se v Tray zobrazí tlačítko [image], přes které se dostanete do plánovače úloh.


Nastavení odesílání emailů po neúspěšně provedené úloze

Navigation: Otázky a odpovědi > MODUL SLUŽBA >

Nastavení odesílání emailů po neúspěšně provedené úloze

 Return to chapter overview

Odesílání emailu po neúspěšně provedené úloze nastavíte v plánovači úloh, který vám pravděpodobně běží na serveru.

- v plánovači úloh vyberte úlohu, pro kterou chcete nastavit odesílání emailů,

- označte řádek a editujte jej tlačítkem J_Editovat vybranou naplanovanou ulohu Editovat vybranou naplánovanou úlohu,

- v dolní části formuláře zvolte v poli Zpráva e-mailem hodnotu V případě chyby (zpráva bude poslána jen v případě, když se vyskytne chyba při provádění nastavené úlohy),

- v poli Příjemce zadejte e-mailovou adresu, na kterou se bude odesílat e-mail v případě chyby,

- formulář potvrďte.

V případě zasílání zpráv e-mailem je nutné nastavit, v seznamu naplánovaných úloh, pomocí ikony [image] SMTP server. Tyto údaje záleží na nastavení vašeho SMTP serveru. S jejich nastavením vám pomůže váš správce sítě.

Nastavení lze provést pouze ve verzi programu 4.


Jak zruším překlad jídelny do angličtiny

Navigation: Otázky a odpovědi > MODUL SLUŽBA >

Jak zruším překlad jídelny do angličtiny

 Return to chapter overview

Jak nastavit Jidelna service manager, aby hlášky o vykonaných úlohách byly v češtině (slovenštině) a ne v angličtině. Služba jede na anglických windows.

Překlad jídelny do angličtiny zrušíte tím, že zrušíte nebo přejmenujete soubor default.mo, který se nachází v C:\cesta k souboru, kde je nainstalovaný program Jídelna\locale\EN\LC_MESSAGES\default.mo.


Jazyk intrawebu

Navigation: Otázky a odpovědi > INTRAWEB >

Jazyk intrawebu

 Return to chapter overview

Pro zobrazení anglické verze intrawebu použijte v prohlížeči v url adrese adseng.php místo ads.php. Pro slovenskou verzi intrawebu použijte v prohlížeči v url adrese appsk.php místo app.php.

PŘÍKLAD: http:\\jmeno_intraweboveho_serveru\ads\adseng.php - adresu upravte podle vaší konfigurace.


Nejde se přihlásit do Intrawebu

Navigation: Otázky a odpovědi > INTRAWEB >

Nejde se přihlásit do Intrawebu

 Return to chapter overview

Pokud se při přihlašování osoby do intrawebu zobrazí Špatné jméno nebo heslo!, zkontrolujte v programu Jídelna v kartě strávníka na záložce Intraweb, zda zadáváte správné přihlašovací jméno a heslo.

Pokud je přihlašovací jméno a heslo správné a i přesto se není možné přihlásit do intrawebu, zkontrolujte, zda některá z osob nemá stejné přihlašovací jméno (například u osoby, která má již ukončený pracovní poměr). Pokud tomu tak je, smažte přihlašovací jméno u osoby, která má již ukončený pracovní poměr nebo změňte přihlašovací jméno u jedné z osob.


Jak nastavím automatické přihlášení uživatele podle aktuálního uživatele Windows

Navigation: Otázky a odpovědi > INTRAWEB >

Jak nastavím automatické přihlášení uživatele podle aktuálního uživatele Windows

 Return to chapter overview

Je potřeba nastavit IIS server tak, aby prováděl ověřování podle windows a zakázat na něm anonymní ověřování. Správné nastavení je možné ověřit na stránce info.php (zadejte v prohlížeči místo ads.php) - v sekci PHP variables pak bude v proměnné _SERVER["REMOTE_USER"] aktuálně přihlášený uživatel.

Potom stačí v _appdbset.php povolit automatické přihlašování pomocí řádku

$activedirectorylogin = true;


Jaký je formát řádkového spuštění s automatickým přihlášením a zobrazením konkrétní stránky

Navigation: Otázky a odpovědi > INTRAWEB >

Jaký je formát řádkového spuštění s automatickým přihlášením a zobrazením konkrétní stránky

 Return to chapter overview

Zobrazení konkrétní stránky je možné pouze s přihlášením uživatele. V URL adrese je to možné provést takto:

http://..../ads.php?menuid=KONKRETNI_STRANKA&loginname=JMENO_UZIVATELE&loginpassword=HESLO_UZIVATELE

Do řádku doplňte místo:

- teček adresu serveru,

- KONKRETNI_STRANKA - název požadované stránky (například: jidelnicek, pohybynauctu apod.),

- JMENO_UZIVATELE - přihlašovací jméno uzivatele

- HESLO_UZIVATELE - heslo uzivatele.

PŘÍKLAD URL adresy:

http://localhost/ads_new/ads.php?menuid=jidelnicek&loginname=dostalova&loginpassword=dostalova


Problém při generování objednávacího/výdejního terminálu DMR-System

Navigation: Běžné problémy a jejich řešení >

Problém při generování objednávacího/výdejního terminálu DMR-System

 Return to chapter overview
Ø 1. Pokud se při generování objednávacího/výdejního terminálu DMR vyskytne tato chybová hláška:

Objednávací terminál:

CHYBOVÁ HLÁŠKA:

Chyba při generování nastavení terminálu: 3

Chyba při posílání položky menu: 15 - 'Oběd 15' do terminálu!

Chyba při zápisu položky menu do terminálu. Chybné číslo klávesy pro položku jídelníčku!

Povolený rozsah je 0-14! Aktuální hodnota je 20!

Terminál: 3 - počet ID médií: 5

Výdejní terminál:

CHYBOVÁ HLÁŠKA:

Chyba při generování nastavení terminálu: 6

Chyba při posílání položky menu: 16 - 'Oběd 16' do terminálu!

Chyba při zápisu položky menu do terminálu. Chybné číslo klávesy pro položku jídelníčku!

Povolený rozsah je 0-15! Aktuální hodnota je 20!

Terminál: 6 - počet ID médií: 5 - počet objednávek: 2

proveďte následující kroky:

Chybová hláška se zobrazí, pokud je položka jídelního lístku zapsaná pro klávesu s vyšším číslem jak 14 (terminál využívá aktuálně klávesy 0 - 14).

Zkontrolujte:

- v menu Terminály/Terminály - formulář objednávacího/výdejního terminálu - záložka Mapování jídel - zkontrolujte, zda se nenachází ve sloupci Číslo tlačítka hodnota větší jak 14.

Ø 2. Pokud se při generování objednávacího/výdejního terminálu DMR-System vyskytne tato chybová hláška:

Objednávací terminál:

CHYBOVÁ HLÁŠKA:

Chyba při generování nastavení terminálu: 3

Chyba při posílání položky menu: 1 - 'Oběd 1' do terminálu!

Chyba při zápisu položky menu do terminálu. Přijato chybové hlášení terminálu!

Text hlášení: Chybný příkaz.

Terminál: 3 - počet ID médií: 5

Výdejní terminál:

CHYBOVÁ HLÁŠKA:

Chyba při generování nastavení terminálu: 6

Chyba při posílání položky menu: 1 - 'Oběd 1' do terminálu!

Chyba při zápisu položky menu do terminálu. Přijato chybové hlášení terminálu!

Text hlášení: Chybný příkaz.

Terminál: 6 - počet ID médií: 5 - počet objednávek: 0

proveďte následující kroky:

Chybová hláška se zobrazí, pokud se do terminálu odesílá více jak 25 jídelníčků.

Zkontrolujte:

- v menu Terminály/Terminály - formulář objednávacího/výdejního terminálu - záložka Terminál - zkontrolujte, zda není ve sloupci Generovat maximálně dnů dopředu hodnota větší jak 25.


Problém při generování výdejního terminálu_ACS-Line

Navigation: Běžné problémy a jejich řešení >

Problém při generování výdejního terminálu ACS-Line

 Return to chapter overview
Ø 1. Pokud se při generování výdejního terminálu ACS-Line vyskytne tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Chyba při generování nastavení terminálu: VT

Chyba při ukončení posílání údajů o uživatelích do terminálu!

Chyba při kontrole počtu záznamů v terminálu při přenosu uživatelů do terminálu: VT!

Zjištěný počet záznamů v terminálu neodpovídá počtu odeslaných záznamů!

Terminál: VT - počet ID médií: 907 - počet objednávek: 0

proveďte následující kroky:

1) Zjistěte, kolik záznamů strávníků se generuje do terminálu. To provedete v menu Terminály/Terminály/Formulář výdejního terminálu - Osoby. Ve spodní části formuláře pod seznamem osob je zobrazen údaj např.: 903 záznamů. Tento počet se generuje do výdejního terminálu.

2) Na výdejním terminálu zadejte hodnotu vyšší než je počet zjištěných záznamů v programu. Například: pro 903 záznamů, nastavte na terminálu hodnotu 1000. Nastavení na výdejním terminálu provedete následovně:

1. na výdejním terminálu stiskněte zároveň zelené šipky ńň,

2. zadejte heslo 9999,

3. pro potvrzení stiskněte modré tlačítko i,

4. pomocí šipek ńň nalistujte položku Alokace,

5. pomocí modrého tlačítka i nalistujte položku Soubor 3,

6. pomocí klávesnice zadejte za = (rovnítko) počet aktivních uživatelů (zadejte hodnotu vyšší než je počet osob v terminálu),

7. stiskněte postupně modré tlačítko i (asi 2x) - terminál se následně přenastaví.

POZOR: Nastavení terminálu provádějte v době PŘED Generováním (přípravou) výdeje do terminálů!!!

Ø 2. Pokud se při generování výdejního terminálu ACS-Line vyskytne tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Chyba při generování nastavení terminálu: VT

Chyba při posílání záznamů objednávky uživatele do terminálu!

Chyba při přenosu objednávek do terminálu: VT.

Chybný počet porcí objednávky!

Požadovaný rozsah je: 1 - 99. Aktuální hodnota je 228!

Terminál: VT - počet ID médií: 907 - počet objednávek: 1176

proveďte následující kroky:

Pravděpodobnou příčinou této chybové hlášky je, že na jedno osobní číslo je objednáno 100 a více jídel. Terminál podporuje maximálně 99 objednávek na jedno osobní číslo.

Odstranění problému:

Kartu dočasně zablokujte (minimálně do dne, na který je objednán nadlimit jídel) v menu Terminály/Identifikační média si otevřete formulář ID média, které má nadlimit objednávek a pole Blokována zatrhněte. Formulář potvrďte tlačítkem [image].

Pokud je počet objednávek správný, je nutné rozdělit objednávky na více karet (ID médií).

Po tomto kroku vygenerujte výdejní terminál.

Ø 3. Pokud se při generování objednávacího/výdejního terminálu ACS-Line vyskytne tato chybová hláška:

Objednávací terminál:

CHYBOVÁ HLÁŠKA:

Terminál může vydat zvukový signál v okamžiku Odesílání položky jídelníčku. Poté se zobrazí chybová hláška:

Chyba při generování nastavení terminálu: 4

Chyba při ukončení komunikace s terminálem!

Connection Closed Gracefully.

Terminál: 4 - počet ID médií: 3

nebo

Terminál může vydat zvukový signál v okamžiku Odesílání informací o uživateli. Poté se zobrazí chybová hláška:

Chyba při generování nastavení terminálu: 4

Chyba při posílání záznamu uživatele: 'Ivo Vopršálek' do terminálu!

Chyba při přenosu uživatelů do teminálu: 4.

Uživatel: Ivo Vopršálek (o.č.:1) má chybné číslo kategorie.

Požadovaný rozsah je: 1 - 9. Aktuální hodnota je: 0!

Terminál: 4 - počet ID médií: 4

Výdejní terminál:

CHYBOVÁ HLÁŠKA:

Terminál může vydat zvukový signál v okamžiku Odesílání položky jídelníčku. Poté se zobrazí chybová hláška:

Chyba při generování nastavení terminálu: 5

Chyba při ukončení komunikace s terminálem!

Connection Closed Gracefully.

Terminál: 5 - počet ID médií: 9 - počet objednávek: 25

nebo

Terminál může vydat zvukový signál v okamžiku Odesílání informací o uživateli. Poté se zobrazí chybová hláška:

Chyba při generování nastavení terminálu: 5

Chyba při posílání záznamu uživatele: 'Ivo Vopršálek' do terminálu!

Chyba při přenosu uživatelů do teminálu: 5.

Uživatel: Ivo Vopršálek (o.č.:1) má chybné číslo kategorie.

Požadovaný rozsah je: 1 - 9. Aktuální hodnota je: 0!

Terminál: 5 - počet ID médií: 4 - počet objednávek: 0

proveďte následující kroky:

Chybová hláška se zobrazí, pokud je číslo cenové kategorie v terminálu 0 nebo vyšší jak 9. Do terminálu lze poslat pouze čísla cenové kategorie v terminálu 1 až 9.

Zkontrolujte:

- v menu Seznamy/Cenové kategorie - formulář cenové kategorie - záložka Vlastnosti cenové kategorie - zkontrolujte, zda se nenachází v poli Číslo cenové kategorie v terminálu hodnota 0 nebo vyšší jak 9.

Ø 4. Pokud se při generování objednávacího terminálu ACS-Line vyskytne tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Chyba při generování nastavení terminálu: 7

Chyba při zahájení komunikace s terminálem!

Chyba č. 2 při otevření portu: COM5.

Takový port neexistuje, nebo jej využívá jiný proces!

Terminál: 7 - počet ID médií: 0

proveďte následující kroky:

Pravděpodobnou příčinou této chybové hlášky je, že místo objednávacího terminálu generujete jídelníčky do touchscreenu (čtečky karet). Generování jídelníčků se provádí jen pro terminály. Pokud používáte pro objednávky Touchscreen, tak se změny týkající se objednávek projeví ihned, žádné generování se neprovádí.


Problém při komunikaci programu Jídelna s terminálem ACS-line

Navigation: Běžné problémy a jejich řešení >

Problém při komunikaci programu Jídelna s terminálem ACS-line

 Return to chapter overview

Pokud se při testu spojení s terminálem zobrazí tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Chyba při zahájení komunikace s terminálem!

Chyba při navázání spojení s terminálem!

Socket Error # 10060

Connection timed out.

proveďte následující kroky:

Chybová hláška se zobrazí, pokud se program Jídelna nemůže připojit na daný převodník. Chyba může být způsobena vytažením síťového kabelu ze switche, změnou nastavení komunikačních parametrů, převodníkem nebo má něco stejnou IP adresu.

Zkontrolujte:

- zda jde ping na tyto terminály,

- zda je správně nastavená IP adresa,

- zda je převodník připojený k síti, případně zkuste napájení terminálu vytáhnout ze zásuvky a znovu zapojit. Poté proveďte v programu Jídelna test spojení s terminálem.


Problém při načítání záznamů z terminálu

Navigation: Běžné problémy a jejich řešení >

Problém při načítání záznamů z terminálu

 Return to chapter overview

Pokud se při načítání záznamů z terminálu zobrazí tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Chyba při načítání záznamů z terminálu: 11

I/O error 103

Chyba při generování nastavení terminálu: 11

Chyba při zahájení komunikace s terminálem!

Terminál není připojen nebo jsou chybně zadány parametry terminálu!

Chyba při identifikaci terminálu: 11!

Terminál: 11 - počet ID médií 491 - počet objednávek: 211

proveďte následující kroky:

Chybová hláška se zobrazí, pokud se program Jídelna nemůže připojit na daný převodník. Chyba může být způsobena vytažením síťového kabelu ze switche, změnou nastavení komunikačních parametrů, převodníkem nebo má něco stejnou IP adresu.

Zkontrolujte:

- zda jde ping na tyto terminály,

- zda je správně nastavená IP adresa,

- zda je převodník připojený k síti, případně zkuste napájení terminálu (převodník) vytáhnout ze zásuvky na pár vteřin a znovu zapojit. Poté proveďte v programu Jídelna test spojení s terminálem.


Problém při generování výdejního terminálu

Navigation: Běžné problémy a jejich řešení >

Problém při generování výdejního terminálu

 Return to chapter overview

Pokud se při generování výdejního terminálu zobrazí tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Chyba při načítání seznamu osob pro terminál: VYDEJ

Dosažen limit max. počtu osob v terminálu podle licence!

Maximální počet osob podle aktuální licence: 600

Terminál: VYDEJ - počet ID médií: 600 - počet objednávek: 1396

proveďte následující kroky:

Chybová hláška se zobrazí, pokud je překročen (dosažen) maximální limit počtu osob v terminálu podle licence. Řešením je rozšíření licence o požadovaný počet osob nebo ukončení platnosti přiřazení jídelny a cenové kategorie strávníkům, kteří se v jídelně nestravují.


Problém při instalaci novější verze programu

Navigation: Běžné problémy a jejich řešení >

Problém při instalaci novější verze programu

 Return to chapter overview

Pokud se při instalaci novější verze programu zobrazí tato chybová hláška:

CHYBOVÁ HLÁŠKA:

C:\Program Files\Ron Software\JIDELNA4\Jidelna_Service.exe

Došlo k chybě při pokusu o nahrazení existujícího souboru:

DeleteFile selhala; kód 5

Přístup byl odepřen

Akci zopakujete klepnutím na tlačítko Opakovat. Tento soubor přeskočíte klepnutím na tlačítko Přeskočit (nedoporučuje se). Instalaci stornujete klepnutím na tlačítko Přerušit.

proveďte následující kroky:

Soubor Jidelna_Service.exe je spuštěný, a proto jej nelze přepsat.

Spuštěnou službu zastavíte v menu Start/Nastavení/Ovládací panely/Nástroje pro správu/Služby. V seznamu služby nalezněte JIDELNA Service. Na řádku JIDELNA Service pravé tlačítko myší a z nabídky vyberte Zastavit.

Po instalaci tuto službu opět spusťte.


Problém při restrukturalizaci programu

Navigation: Běžné problémy a jejich řešení >

Problém při restrukturalizaci programu

 Return to chapter overview

Pokud se při restrukturalizaci programu vyskytne tato chybová hláška:

CHYBOVÁ HLÁŠKA:

K databázi jsou připojeni jiní uživatelé!

Databázi nelze restrukturalizovat!

proveďte následující kroky:

Chybová hláška se zobrazí, pokud je k databázi připojen jiný uživatel. Uživatele, který je připojen k databázi, zjistíte v menu Systém/Seznam počítačů připojených k databázi. Zde ho můžete i případně odpojit od databáze.


Problém při kopírování jídelníčku

Navigation: Běžné problémy a jejich řešení >

Problém při kopírování jídelníčku

 Return to chapter overview

Pokud se při kopírování jídelníčku vyskytne tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Během vkládání položky jídelníčku došlo k chybě.

Cannot insert duplicate key row in object 'dbo.PolozkaJidelnicku' with unique index '123_UK_NabidkaJid'.

nebo

Při předplnění došlo k chybám. Pravděpodobně již některá z položek jídelníčku existuje.

proveďte následující kroky:

Chybová hláška se zobrazí, pokud již některá z položek v jídelníčku existuje. Nejprve je nutné smazat obsah jídelníčku a teprve potom provést kopii z jiného dne. Jídelníček požadovaného dne můžete vymazat stiskem tlačítka [image] Smazat jídelníček.


Problém při mazání jídelníčku

Navigation: Běžné problémy a jejich řešení >

Problém při mazání jídelníčku

 Return to chapter overview

Pokud se při mazání jídelníčku (Stravování/Jídelníček) vyskytne tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Nepodařilo se smazat jídelníček pro den po 28.03.2011

The DELETE statement conflicted with the REFERENCE constraint "FK31_ObjednavkaNaJidelnic". The conflict occurred in database "RONSW", table "dbo.ObjednaneJidlo", column ´IDPolozkyJidelnicku´

proveďte následující kroky:

Chybová hláška se zobrazí, pokud na daný den byla provedena objednávka. Hláška se zobrazí i v případě, pokud byla tato objednávka zrušena. To můžete ověřit v menu Stravování/Přehled objednávek. V horní části nad seznamem zaškrtněte pole Datum jídelníčku a zadejte uvedené datum v chybové hlášce (od 28.3.2011 do 28.32011). V seznamu se zobrazí objednávky na tento den.

Řešením je zrušit v jídelníčku potvrzení na daný den. Po zrušení potvrzení si nebudou moc zaměstnanci na daný den objednat.


Problém při vyúčtování stravy

Navigation: Běžné problémy a jejich řešení >

Problém při vyúčtování stravy

 Return to chapter overview

Pokud se na konci vyúčtování zobrazí tato chybová hláška:

CHYBOVÁ HLÁŠKA:

Chyby při vyúčtování stravy.

---------------------------------------

Chyba při vkládání záznamu pohybu na účtu

SQL text: INSERT INTO PohybNaUctu (ID, datumCasPohybu, typPohybu, castka, mnozstvi, rc, osobniCislo, datumNastupu, popisPohybu, IDObjednavky, IDPuvodnihoOdberu) VALUES (1452, { ts '2012-06-06 00:00:00.000'}, 1, -89, 1, '258', '258', { d '2010-06-02'}, 'Oběd' 3', '1103', NULL)

Chyba: Incorrect syntax near '3'.

proveďte následující kroky:

Chybová hláška se zobrazí, pokud je v položce jídelníčku v názvu jídla apostrof.

Zkontrolujte:

- v menu Stravování/Jídelníček - seznam položek jídelníčku - zkontrolujte, zda se nenachází v názvu jídla apostrof. Apostrof je nutné odstranit. Poté vyúčtování proběhne v pořádku.


Počet objednávek v programu nesedí s počtem na terminálu

Navigation: »No topics above this level«

Počet objednávek v programu nesedí s počtem na terminálu

 Return to chapter overview

Enter topic text here.


Rozdělení

Navigation: »No topics above this level«

Rozdělení

 Return to chapter overview

Enter topic text here.